function [xs,ys] = cc_solid(xx,fs)
%
%  calcula la capa solidificada en la colada continua
%
%    [xs,ys] = cc_solid(xx,fs)
%

nodes = find(abs(fs-1)<1e-5);
xx = xx(nodes,:);
fs = fs(nodes,:);

[yy,ii] = sort(xx(:,2));
plot(diff(yy),'x'),pause
mask = diff(xx(ii,2));
limit = find(mask~=0);
limit = limit+1;
limit = [1;limit];

nnod  = length(limit);

xs=[];
ys=[];

for k=2:nnod,
  nset =  (limit(k-1):limit(k)-1);
  [xmin,iii] = min(xx(nset,1));
  xs = [xs;xmin];
  ys = [ys;xx(limit(k-1),2)];
end
