function [xx,yy,zz] = cont3d (x,y,z,n)
%
%  [xx,yy,zz] = cont3d(x,y,z,n) 
%
%    isocurvas para los datos (x,y,z) 
%    no equiespaciados 
%    Se dibuja n lineas
%

if nargin<4, n = 5;end

   xmax = max(x);
   xmin = min(x);
   ymax = max(y);
   ymin = min(y);
%   n    = sqrt(length(x));
   dx   = (xmax-xmin)/n;
   dy   = (ymax-ymin)/n;
   [xx,yy] = meshgrid(xmin:dx:xmax,ymin:dy:ymax);
   zz = griddata(x,y,z,xx,yy);
   contour(xx,yy,zz,15);
