function UP = CV2PV(UC,gamma);
%
%  Transforma de conservativa a primitivas
%

[nnod,ndf]=size(UC);

g1 = gamma-1;
UP(:,1) = UC(:,1);
U2 = 0.0;
for idm=1:ndf-2,
   UP(:,idm+1) = UC(:,idm+1)./UC(:,1);
   U2 = U2+UP(:,idm+1).^2;
end
UP(:,ndf) = (UC(:,ndf)-0.5*UP(:,1).*U2)*g1;
