function [fsol] = frsol(T,C,Tm,slope_l,kp)
%
%  calcula la fraccion solida
%
%   [fsol] = frsol(T,C,Tm,slope_l,kp)
%

slope_s = slope_l/kp ; 
Tsol    =   Tm+slope_s*C;
Tliq    =   Tm+slope_l*C;

mask    = (T>Tsol & T< Tliq);
fsol    = mask .* ((T-Tliq) ./ (T-Tm)/ (1-kp)) + (T<= Tsol) ;

%fsol    = 1/(1-kp)*(1-slope_l*C ./ (T-Tm));
%fsol    = fsol .* (fsol<1 & fsol >0) ;
%fsol    = fsol  + (T<=Tsol) ;
