function w=itjk3(z,zskl)
%function w=itjk3(z,zskl)
%  Transformacion de Joukowski inversa definida por 3 puntos del esqueleto
%      del perfil zskl(1:3), zskl([1 2])=extremos, 
%      zskl(2)= algun punto intermedio
%    z=puntos a antitransformar

% calcula punto medio
p=1-(zskl(2)-zskl(3))*2/(zskl(1)-zskl(3));
if imag(p)~=0
   e=-(p*conj(p)-1)/(2*imag(p));
   e1=e;
   e=i*e*(sqrt(1+1/e^2)-1);
else
   e=0;
end

z=1-(z-zskl(3))*2/(zskl(1)-zskl(3));
%w=invtjk(z,e);    % SIN CONTINUACION
w=invtjkk(z,e);    % POR LOGCNT
%z=invtjk(z,e)/2;
%w=(1-z)/2*(zskl(1)-zskl(3))+zskl(3);
%save itjk3
