function [icol]=mqtoml(icoq)
% function to convert mesh data from quadratic elements
% to linear ones.

trafo = [1 5 9 8 ; 5 2 6 9 ; 8 9 7 4 ; 9 6 3 7 ];
[neleq,nen]=size(icoq);
icol = [];

for iele=1:neleq;
 for j=1:4,
  icol = [icol ; [ icoq(iele,trafo(j,:))]];
 end
end

