function pfmesh(xnod,icone,type_line)
%
%
%

if nargin>2, type=type_line; else type='-w';end

isclg = input(' Clear screen [y/n] ','s'), if isclg=='y', clg;end
axis('square')

hold on
[nele,n]=size(icone);

if n==4,
% MALLA DE TETRAEDROS
for iele=1:nele
  icjj=icone(iele,1);
  for j=2:3
    icj=icone(iele,j);
    if icj>0
       plot3([xnod(icj,1) xnod(icjj,1)],[xnod(icj,2) xnod(icjj,2)],...
             [xnod(icj,3) xnod(icjj,3)],type)
       icjj=icj;
    end
  end
  icj=icone(iele,1);
  plot3([xnod(icj,1) xnod(icjj,1)],[xnod(icj,2) xnod(icjj,2)], ...
        [xnod(icj,3) xnod(icjj,3)],type)
  for j=1:3
    icj=icone(iele,j);
    icjj=icone(iele,4);
    if icj>0
       plot3([xnod(icj,1) xnod(icjj,1)],[xnod(icj,2) xnod(icjj,2)],...
             [xnod(icj,3) xnod(icjj,3)],type)
    end
  end

end

elseif n==6,

for iele=1:nele
  icjj=icone(iele,1);
  for j=2:3
    icj=icone(iele,j);
    if icj>0
       plot3([xnod(icj,1) xnod(icjj,1)],[xnod(icj,2) xnod(icjj,2)],...
             [xnod(icj,3) xnod(icjj,3)],type)
       icjj=icj;
    end
  end
  icj=icone(iele,1);
  plot3([xnod(icj,1) xnod(icjj,1)],[xnod(icj,2) xnod(icjj,2)], ...
        [xnod(icj,3) xnod(icjj,3)],type)

  icjj=icone(iele,4);
  for j=5:6
    icj=icone(iele,j);
    if icj>0
       plot3([xnod(icj,1) xnod(icjj,1)],[xnod(icj,2) xnod(icjj,2)],...
             [xnod(icj,3) xnod(icjj,3)],type)
       icjj=icj;
    end
  end
  icj=icone(iele,4);
  plot3([xnod(icj,1) xnod(icjj,1)],[xnod(icj,2) xnod(icjj,2)], ...
        [xnod(icj,3) xnod(icjj,3)],type)

  for j=1:3
    icj=icone(iele,j);
    icjj=icone(iele,j+3);
    if icj>0
       plot3([xnod(icj,1) xnod(icjj,1)],[xnod(icj,2) xnod(icjj,2)],...
             [xnod(icj,3) xnod(icjj,3)],type)
    end
  end

end

elseif n==8,
% MALLA DE HEXAHEDROS
for iele=1:nele
  icjj=icone(iele,1);
  for j=2:4
    icj=icone(iele,j);
    if icj>0
       plot3([xnod(icj,1) xnod(icjj,1)],[xnod(icj,2) xnod(icjj,2)],...
             [xnod(icj,3) xnod(icjj,3)],type)
       icjj=icj;
    end
  end
  icj=icone(iele,1);
  plot3([xnod(icj,1) xnod(icjj,1)],[xnod(icj,2) xnod(icjj,2)], ...
        [xnod(icj,3) xnod(icjj,3)],type)
  icjj=icone(iele,5);
  for j=6:8
    icj=icone(iele,j);
    if icj>0
       plot3([xnod(icj,1) xnod(icjj,1)],[xnod(icj,2) xnod(icjj,2)],...
             [xnod(icj,3) xnod(icjj,3)],type)
       icjj=icj;
    end
  end
  icj=icone(iele,5);
  plot3([xnod(icj,1) xnod(icjj,1)],[xnod(icj,2) xnod(icjj,2)], ...
        [xnod(icj,3) xnod(icjj,3)],type)

  for j=1:4
    icj=icone(iele,j);
    icjj=icone(iele,j+4);
    if icj>0
       plot3([xnod(icj,1) xnod(icjj,1)],[xnod(icj,2) xnod(icjj,2)],...
             [xnod(icj,3) xnod(icjj,3)],type)
    end
  end

end
 
else
  error(' Bad element type in PFMESH3D')
end


axis;
axis('normal')
hold off

view(30,30)