function pfstream(xnod,icone,vector,sf,ibou)
%function pfstream(xnod,icone,vector,sf,ibou)
%   Dibuja vectores por nodo
global Window

axis('square')
setaxr(xnod);
clg
hold on
if nargin==4
  ibou=pfbou(xnod,icone);
else
  pfbou(xnod,icone,ibou);
end
axis; axis('square')
hold
[nnod,ndm]=size(xnod);
wsize=1;
if exist('Window')
  wsize=2*Window(3);
end


% Calcula la masa de cada nodo
[numel,nen]=size(icone);
% x1 = xnod(icone(:,2),1)-xnod(icone(:,1),1);
% y1 = xnod(icone(:,2),2)-xnod(icone(:,1),2);
% x2 = xnod(icone(:,4),1)-xnod(icone(:,1),1);
% y2 = xnod(icone(:,4),2)-xnod(icone(:,1),2);
% x3 = xnod(icone(:,2),1)-xnod(icone(:,3),1);
% y3 = xnod(icone(:,2),2)-xnod(icone(:,3),2);
% x4 = xnod(icone(:,4),1)-xnod(icone(:,3),1);
% y4 = xnod(icone(:,4),2)-xnod(icone(:,3),2);
% m1 = abs(pvec([x1 y1],[x2 y2])/2);
% m2 = abs(pvec([x3 y3],[x4 y4])/2);
% mass = 0.5*(m1+m2);
% mass_node = zeros(nnod,1);
 ar_node = 1e+10*ones(1,nnod);
 for k=1:nen-1,
   node_1 = icone(:,k);
   node_2 = icone(:,k+1);
   arista = sqrt(sum((xnod(node_2,:)-xnod(node_1,:))'.^2));
   ar_node(node_1) = min([ar_node(node_1) ;arista]);
   ar_node(node_2) = min([ar_node(node_2) ;arista]);
 end
 node_1 = icone(:,nen);
 node_2 = icone(:,1);
 arista = sqrt(sum((xnod(node_2,:)-xnod(node_1,:))'.^2));
 ar_node(node_1) = min([ar_node(node_1) ;arista]);
 ar_node(node_2) = min([ar_node(node_2) ;arista]);

 vector = vector .* [ar_node' ar_node']; 

% Escala de longitudes
xmax=max(xnod); xmin=min(xnod);
lmax=max(xmax-xmin)*wsize;
vmax=max(max(abs(vector(:,1:2))));
[nele,nen]=size(icone);
sfhead=lmax/10;
sfhead=0;
sf=5*sf*lmax/sqrt(nele)/vmax;

sf = sf ./ sqrt(vector(:,1).^2+vector(:,2).^2);
sf = [sf sf] * ones(2,5);

xa = [-1 1 1 1 1;
      0 0  0 0 0];
xh = sfhead*[0 0 -.2 -.2 0;
             0 0 .04 -.04 0];
for inod=1:nnod
  vx=vector(inod,1);
  vy=vector(inod,2);
%  vv=sqrt(vx*vx+vy*vy);
%  vv=max([vv 1.e-6/sf]);
%  xs=ones(size(1:5))'*xnod(inod,:)+([vx -vy;vy vx]*(sf*xa+xh/vv))';

  xs=ones(size(1:5))'*xnod(inod,:)+ ...
       ([vx -vy;vy vx]*([sf(inod,:);sf(inod,:)].*xa))';
  %vx,vy,xs
  plot(xs(:,1),xs(:,2),'-w')
  %disp('pause'),pause
end

%disp(' Ubicar escala de velocidads'), pause
%[xes,yes]=ginput(1);

%disp(' lmax - sf = '),lmax,sf,pause

%ves=rlog(.15*lmax/sf);
% xs=diag([xes,yes])*ones(xa)+ves*sf*xa+xh;
%xs=diag([xes,yes])*ones(size(xa))+ves*sf*xa+xh;
%xs=xs';
%plot(xs(:,1),xs(:,2),'-w')
%text(xs(2,1),xs(2,2),num2str(ves))

axis; 
axis('normal')
hold off

