function pfvec(xnod,set_node,icone,set_ele,vector,sf,ibou)
%function pfvec(xnod,set_node,icone,set_ele,vector,sf,ibou)
%   Dibuja vectores por nodo
global Window

xnod = xnod(set_node,:);
icone = icone(set_ele,:);
vector = vector(set_node,:);
axis('square')
setaxr(xnod);
clg
hold on
if nargin==6
  ibou=pfbou(xnod,icone);
else
  pfbou(xnod,icone,ibou);
end
axis; axis('square')
hold
[nnod,n]=size(xnod);
wsize=1;
if exist('Window')
  wsize=2*Window(3);
end


% Escala de longitudes
xmax=max(xnod); xmin=min(xnod);
lmax=max(xmax-xmin)*wsize;
%vmax=max2(abs(vector(:,1:2)));
vmax=max(max(abs(vector(:,1:2))));
[nele,nen]=size(icone);
sfhead=lmax/5;
%sfhead=sfhead/10;
sf=5*sf*lmax/sqrt(nele)/vmax;

xa = [-1 1 1 1 1  0 0  0 0 0];
xh = sfhead*[0 0 -.2 -.2 0 0 0 .04 -.04 0];

vx = vector(set_node,1);
vy = vector(set_node,2);
vv = sqrt(vx.*vx+vy.*vy);
vv = max([vv' ; ones(size(vv))'*1.e-6/sf])';

xs = [xnod(set_node,1)*ones(1,5) xnod(set_node,2)*ones(1,5)];

xhh = (1 ./vv)*xh;
 
xs = xs + [vx vx vx vx vx vy vy vy vy vy] .* (ones(size(vv))*sf*xa) + ... 
     [xhh(:,1).*vx-xhh(:,6).*vy  xhh(:,2).*vx-xhh(:,7).*vy  ...
      xhh(:,3).*vx-xhh(:,8).*vy  xhh(:,4).*vx-xhh(:,9).*vy  ...
      xhh(:,5).*vx-xhh(:,10).*vy  ... 
      xhh(:,1).*vy+xhh(:,6).*vx  xhh(:,2).*vy+xhh(:,7).*vx  ...
      xhh(:,3).*vy+xhh(:,8).*vx  xhh(:,4).*vy+xhh(:,9).*vx  ...
      xhh(:,5).*vy+xhh(:,10).*vx  ] ;

for inod=1:length(set_node),
  plot(xs(inod,1:5)',xs(inod,5+(1:5))','-r')
end

%disp(' Ubicar escala de velocidades'), pause
%[xes,yes]=ginput(1);

%disp(' lmax - sf = '),lmax,sf,pause

%ves=rlog(.15*lmax/sf);
% xs=diag([xes,yes])*ones(xa)+ves*sf*xa+xh;
%xs=diag([xes,yes])*ones(size(xa))+ves*sf*xa+xh;
%xs=xs';
%plot(xs(:,1),xs(:,2),'-w')
%text(xs(2,1),xs(2,2),num2str(ves))

axis; 
axis('normal')
hold off
