nx=40; ny=20; Rext=5;
%zprof=naca4ds(4312,nx/2);
zprof=naca4ds(0012,nx/2);
zprof=zprof(nx:-1:1);
zprof=[zprof;zprof(1)];
zskl=[0.01 0.5 0.9999];
wprof=itjk3cnt(zprof,zskl);

plotc(wprof)
w=zeros(ny,nx+1);
w(1,:)=log(wprof.');
w(ny,:)=log(2*Rext)+i*imag(w(1,:));
for k=1:nx+1
  w(2:ny-1,k)=w(1,k)+(w(ny,k)-w(1,k))*(1:ny-2)'/(ny-1);
end
w=exp(w);
z=.5*(w+1 ./w);
z=zskl(1)+(z+1)/2*(zskl(3)-zskl(1));
plotc(z)
