function ifaceb_cfx = convert_ifaceb_pf_to_cfx(ifaceb_pf,nen)
%
%  ifaceb_cfx = convert_ifaceb_pf_to_cfx(ifaceb_pf,nen)
%

if nen==4,
    map_inoca_pf_to_cfx = [2,3,4,1];
elseif nen==8,
    map_inoca_pf_to_cfx = [5,3,2,4,1,6];
else
    error(' *** Map between local nodes PF to CFX was not already done **** ')
end
nfaces = length(map_inoca_pf_to_cfx);

ifaceb_cfx = ifaceb_pf;
for k=1:nfaces,
    nn = find(ifaceb_pf(:,2)==k);
    ifaceb_cfx(nn,2) = map_inoca_pf_to_cfx(k);
end
