% datos necesarios
% archivo para escritura de la malla
filename = 'sinter_plant_1.msh';

% generacion de la malla
% malla con deflector de 100 mm
mydir = 'C:\beto\WORK\Ternium-Siderar\MESH\';
% malla con deflector de 10 mm
mydir = 'C:\beto\WORK\Ternium-Siderar\MESH\MESH_D10\';

file = 'sinter_plant.nod';
xnod = load([mydir file]);
file = 'sinter_plant.con';
icone = load([mydir file]);
[numnp,ndm] = size(xnod);
[numel,nen] = size(icone);    
    
% default
numel_tetras = 0;
numel_prism  = 0;
numel_hexas  = 0;
numel_pyram  = 0; 
num_material = 1;
num_surfaces = 0;

if nen==4, 
    type_elem = 'tetras';
    numel_tetras = numel;    
elseif nen==8
    type_elem = 'hexas';        
    numel_hexas  = numel;
elseif nen==6
    type_elem = 'prism';
    numel_prism  = numel;
elseif nen==5
    type_elem = 'pyram';
    numel_pyram  = numel;
else
    error(' **** Bad type of element *** ')
end

% genera las mallas de superficie en el formato que requiere CFX
gen_surface

% requiere esta numeracion para entenderlo bien
if nen==8, icone = icone(:,[1,2,4,3,5,6,8,7]); end

% fin de datos