function [v_array,tline] = read_line_if_no_string(fid,v_string)
%
%  [v_array,tline] = read_line_if_no_string(fid,v_string)
%
%  read numerical line and store in array while not reached v_string
%

tline = fgets(fid);
v_array = [];

while isempty(findstr(tline,v_string))
    v_array      = [v_array , str2num(tline)];
    tline  = fgets(fid);
    if tline==-1, 
        disp(' ******** EOF reached ********')
        break; 
    end        
end

