%
%  generate surfaces
%

[ifaceb,face_con] = pfbou3d(xnod,icone,1);

%keyboard;pause

% mapeo para tetraedros solamente
if nen==4,
    map_inoca_pf_to_cfx = [2,3,4,1];
elseif nen==8,
%    map_inoca_pf_to_cfx = [3,1,4,2,6,5];
%    map_inoca_pf_to_cfx = [5,1,2,4,3,6];
    map_inoca_pf_to_cfx = [5,3,2,4,1,6];
else
    error(' *** Map between local nodes PF to CFX was not already done **** ')
end

nfaces = length(map_inoca_pf_to_cfx);

% elementos sobre la pared
radius = sqrt(sum(xnod(:,[1,3])'.^2))';
tol = 1e-4;
radius_max = max(radius);
nodes_wall = find(abs(radius-radius_max)<tol);
ip_ele_wall = get_eles_by_nodes(nodes_wall,face_con,1);
ele_wall_pf = ifaceb(ip_ele_wall,:);
ele_wall_cfx = ele_wall_pf;
for k=1:nfaces,
    nn = find(ele_wall_pf(:,2)==k);
    ele_wall_cfx(nn,2) = map_inoca_pf_to_cfx(k);
end
ele_wall = ele_wall_cfx;

% elementos sobre la superficie de salida
tol = 1e-4;
y_min = min(xnod(:,2));
nodes_out = find(abs(xnod(:,2)-y_min)<tol);
ip_ele_out = get_eles_by_nodes(nodes_out,face_con,1);
ele_out_pf = ifaceb(ip_ele_out,:);
ele_out_cfx = ele_out_pf;
for k=1:nfaces,
    nn = find(ele_out_pf(:,2)==k);
    ele_out_cfx(nn,2) = map_inoca_pf_to_cfx(k);
end
ele_out = ele_out_cfx;

% elementos sobre la superficie de entrada
tol = 1e-4;
y_max = max(xnod(:,2));
nodes_in = find(abs(xnod(:,2)-y_max)<tol);
ip_ele_in = get_eles_by_nodes(nodes_in,face_con,1);
ele_in_pf = ifaceb(ip_ele_in,:);
ele_in_cfx = ele_in_pf;
for k=1:nfaces,
    nn = find(ele_in_pf(:,2)==k);
    ele_in_cfx(nn,2) = map_inoca_pf_to_cfx(k);
end
ele_in = ele_in_cfx;