function [xh,icoh] = mblock
%
%       [xh,icoh] = mblock
%

mbdatos;
fclose('all');

toler = 1e-8;

% dividimos cada uno de los macroelementos

nnod = 0;
xh   = [];
icoh = [];
bouh = [];
nmacroele = length(icone(:,1));

for k=1:nmacroele,
  N1 = N(k,1);
  N2 = N(k,2);
  x = xnod(icone(k,:),:) ;

  [x,ico] = refh1(x,[N1 N2],gradx(k),grady(k));

  nodo_bou = [(1:N1)';N1*(N2-1)+(1:N1)';(1:N1:N1*(N2-1)+1)';(N1:N1:N1*N2)'];
  bouh     = [bouh ; nodo_bou+nnod ] ;
  xh = [xh ; x];
  icoh = [icoh ; ico+nnod];
  nnod = nnod + length(x(:,1));
end

bouh=sort(bouh);
bouh=[bouh(1);bouh];
nodo_x = find(diff(bouh)==0);
bouh(nodo_x)=[];
nnod = length(xh(:,1));
ipunt = (1:nnod)';
nbou = length(bouh);

for k=nbou:-1:2,
  for l=1:k-1,
    distan = norm(xh(bouh(k),:)-xh(bouh(l),:),2);
    if distan < toler ,  ipunt(bouh(k)) = bouh(l); break ; end 
  end
end

icone = [];
for k=1:4,
  icone = [icone ipunt(icoh(:,k)) ];
end

nodes_ficticios = find(ipunt~=(1:nnod)') ;
ipunt = cumsum(ipunt==(1:nnod)');
ipunt(nodes_ficticios) = (nnod+1)*ones(length(nodes_ficticios),1);
xh(nodes_ficticios,:)=[];

icoh = [];
for k=1:4,
  icoh = [icoh ipunt(icone(:,k)) ];
end

nnod = length(xh(:,1));
[nele,nen] = size(icoh);

if display_mesh=='y',
 clg
 pltmsh4((1:nnod),xh,(1:nele),icoh);
end

