
%----------------------------------------------------------
% function to drive the routine   " stmesh3d.m "
%----------------------------------------------------------
ip = 0;

nx = 4; ny = 2; nz = 2;
xv = [0;0;0];
orient = 0;
type = 2;
typeh =[2 2 2 2 ... 
        3 3 3 3 ... 
        3 3 3 3 ...
        3 3 3 3 ]
xnod=[];icone=[];
for k=1:nz,
  for j=1:ny,
   for i=1:nx,
     type = typeh((k-1)*nx*ny+(j-1)*nx+i);
     xv = [(i-1);(j-1);(k-1)];
     [x,ico]=stmesh3d(type,orient,xv);
     xnod=[xnod;[x(:,1)+xv(1) x(:,2)+xv(2) x(:,3)+xv(3) ]];
     icone=[icone;ip*(ico~=0)+ico];
     ip = ip + 8;
   end 
 end 
end

tol=1e-4;
[nnod,ndm]=size(xnod);
[nele,nen]=size(icone);
it = (1:nnod)';
for k=1:nnod,
 for j=k+1:nnod,
  distance = norm(xnod(j,:)-xnod(k,:));
%  dh = [dh ; distance];
  if distance < tol, it(j) =  k; end
 end
end

xnew=[];
nn=0;
for k=1:nnod,
  if it(k)==k, xnew = [xnew; xnod(k,:)]; nn=nn+1; jt(k)=nn; end
end

for k=1:nnod,
 jt(k)= jt(it(k));
end

jt(nnod+1)=nnod+1;
for iele=1:nele,
  ico = icone(iele,1:8);
  ico = ico + (ico == 0 )*( nnod+1);
  icone(iele,1:8) = jt(ico(1:8));
end

icone(:,:) = (icone(:,:) ~=(nnod+1)).*icone(:,:);

% dibuja la malla de alambres

jcone=[];
for iele=1:nele
  ityp=1;
  if icone(iele,5)~=0 , ityp=2;end 
  if icone(iele,7)~=0 , ityp=3;end
  if ityp==3,
    hilos = [1 2 4 3 1 5 6 8 7 5 6 8 7 5 6];
  end
  if ityp==2,
    hilos = [1 2 3 1 4 5 6 4 6 3 1 2 5 4 1];
  end
  jcone = [jcone;icone(iele,hilos)];
end
