function [xnod,icone]=stmesh3d(type,orient,xv)


 xnod = [ ... 
           0 0 0 ; 
           1 0 0 ;
           0 1 0 ;
           1 1 0 ;
           0 0 1 ; 
           1 0 1 ;
           0 1 1 ;
           1 1 1 ] ;

% generate a brick element
if type==3 ,
  icone = [1 2 4 3 5 6 8 7]; 
end

% generate a prismatic element
if type==2 ,
  icone = [1 3 5 2 4 6 0 0 ;
           7 5 3 8 6 4 0 0 ];
  xnod = xnod';
  rota = eye(3); 
    if orient==2, rota=[0 -1 0 ; 1 0 0 ; 0 0 1];end
    if orient==3, rota=[0 0 -1 ; 0 1 0 ; 1 0 0];end
  xnod = rota * xnod ;
%  xnod = xv + xnod;
  xnod = xnod';
end

% generate a tetrahedral
if type==1 ,
  if orient>0 ,
   icone = [ 1 3 2 6
             3 7 6 8
             6 5 1 8
             8 4 1 3
             3 8 6 1 ];
  else
   icone = [ 5 1 2 4  
             7 8 5 4
             2 6 5 7
             4 3 2 7 
             4 7 2 5 ];
  end
  icone = [icone zeros(5,4)];
end

