function [x,y,z]=view3d(xnod,icone,sol)
% function that generate a 3D view of an unstructured 2D solution.
% [xnod,icone] : contain the coordinates and connectivities 
% [sol]        :         the solution

[numnp,ndm]=size(xnod);
[numel,nen]=size(icone);
ico = icone';
x = zeros(nen,numel);
y = x;
for k=1:numel,
 x(:,k) = xnod(ico(:,k),1);
 y(:,k) = xnod(ico(:,k),2);
 z(:,k) = sol(ico(:,k));
end

fill3(x,y,z,z);pause