function [iconew]=get_submesh_by_nodes(xnod,icone,lista_nodos)
%
%  [iconew]=get_submesh_by_nodes(xnod,icone,lista_nodos)
%

[numel,nen]=size(icone);
if nen~=8, error(' SOLO PARA HEXAS ');end

nlista = length(lista_nodos);

mask = zeros(numel,nen);

for l=1:nlista
   for k=1:nen,
      mask(:,k) = mask(:,k)+(icone(:,k)==lista_nodos(l));
   end   
end

nn=find(sum(mask')'>4);
if length(nn)>0, error(' ERROR in get_submesh_by_nodes'); end

nn=find(sum(mask')'==4);
for k=1:length(nn),
   nodes=find(mask(nn(k),:)~=0);
   iconew(k,:)=icone(nn(k),nodes);
end

dx12=xnod(iconew(:,2),:)-xnod(iconew(:,1),:);
dx14=xnod(iconew(:,4),:)-xnod(iconew(:,1),:);
dxn = pvec(dx12,dx14);

dxs = sum((dxn.*(ones(length(dxn(:,1)),1)*dxn(1,:)))')';
mm = find(dxs<0);
iconew(mm,:)=iconew(mm,[1,2,4,3]);

dx12=xnod(iconew(:,2),:)-xnod(iconew(:,1),:);
dx13=xnod(iconew(:,3),:)-xnod(iconew(:,1),:);
dxn = pvec(dx12,dx13);

dxs = sum((dxn.*(ones(length(dxn(:,1)),1)*dxn(1,:)))')';
mm = find(dxs<0);
iconew(mm,:)=iconew(mm,[1,3,2,4]);
