function [xtet,icotet] = hex2tet4(xnod,icone,set_ele)
%
%    [xtet,icotet] = hex2tet4(xnod,icone,set_ele)
%
%          Utilizo 5 tetraedros por cada hexahedro
%          sin agregar nodos adicionales
%


tol = 1e-10;
inoca = [... 
      1  2  3  6  ;
   	1  3  4  8  ;
	   6  8  7  3  ;
	   5  8  6  1  ;
	   1  3  8  6  ];

xtet = xnod;
[nnod,ndm] = size(xnod);
[nele,nen] = size(icone);

icotet = [];

if nargin <3, set_ele = (1:nele)'; end
   
% Armo arreglos de caras por elemento "ifael" y nodos por cara "inofa"
% En principio armo 6 caras por cada elemento (hay redundancia)
for k=1:5,
  i1 = icone(set_ele,inoca(k,1));
  i2 = icone(set_ele,inoca(k,2));
  i3 = icone(set_ele,inoca(k,3));
  i4 = icone(set_ele,inoca(k,4));
  icotet = [icotet ; [i1 i2 i3 i4]];
end

