function [jele] = neig_ele(icone,lista,iele,inofa)
%
% Calculo del elemento vecino a un dado elemento por una dada cara
%                    Solo para hexaedros.
%
% El calculo se basa en buscar en una lista previamente armada que
% ordena los elementos por proximidad aquel que comparte la citada
% cara con el elemento en cuestion.
% 

[nele,nen]=size(icone);
if nen~=8, error(' ONLY FOR HEXAHEDRALS ');end
nn = find(lista==iele);
n1 = max([nn-600,1]);
n2 = min([nn+600,nele]);

lconv=0;
k=n1-1;
while lconv==0,
  k=k+1;
  if k~=nn,
    kele = lista(k);
    nodes_k = icone(kele,:);
	mm=0;
	for m=1:4,
	  mm=mm+(length(find(nodes_k==inofa(m)))>0);
	end
  end
  lconv = (k>=n2)|(mm==4); 
  jele = kele;
end

if mm~=4, 
disp('ERROR @ NEIG_ELE ')
  keyboard;pause
  error(' NEIG_ELE - Neighbour element not found ');
end
