function [ifaceb,nodes_bou] = pfbou3d2(xnod,icone)
%
%    [ifaceb,nodes_bou] = pfbou3d2(xnod,icone)
%

tol = 1e-10;

[nnod,ndm] = size(xnod);
[nele,nen] = size(icone);

if nen==8,
inoca = [1 4 3 2 ; 
         1 2 6 5 ;
         6 2 3 7 ;
         8 7 3 4 ;
         1 5 8 4 ;
         8 5 6 7 ];
elseif nen==4,
inoca = [1 2 4 ; 
         2 3 4 ;
         1 4 3 ;
         1 3 2 ];
else
inoca = [1 3 2 0 ; 
         1 2 5 4 ;
         2 3 6 5 ;
         1 4 6 3 ;
         4 5 6 0 ];
end

[nface,mface]=size(inoca);

%inofa  = [];
inofa = (nnod+1)*ones(nele*nface,mface);
ifael  = [];

for k=1:nface,
 faces = (1:nface:nele*nface)'+k-1;
 ifael(1:nele,k) = faces;
 mm = mface;
 if (nen==6)&(k==1 | k==5), mm=3;end
 for m=1:mm,
  inofa(faces,m) = icone(:,inoca(k,m));
 end
end

% Remuevo caras duplicadas
% Ordeno nodos por cara por orden decreciente 
  [jnofa,is0] = sort(inofa');
   jnofa      = jnofa';

% ordeno por multiples llaves
%  [knofa,is1] = mksort(jnofa);
  [knofa,is1] = sortrows(jnofa);  % rutina de Matlab
  
% calculo operador inverso de ordenamiento
  ism1(is1,1) = (1:length(is1))'; 

% Reordeno el arreglo de caras por elemento
  for k=1:nface,
   ifael(:,k)= ism1(ifael(:,k));
  end

% Calculo aquellas caras duplicadas
  mask = (sum(abs((diff(knofa))'))'~=0);
  mask = [1;mask];

  jfaces = find(mask==0);
  jfaces = m2v([jfaces-1 , jfaces]);

  kfaces = (1:length(mask))';
  kfaces(jfaces) = zeros(length(jfaces),1);

clear jfaces mask knofa inofa jnofa ism1 is1

ifaceb = [];

  for k=1:nface,
   iaux = kfaces(ifael(:,k));
   iaux = (find(iaux~=0));
   ifaceb = [ifaceb ; [iaux ones(length(iaux),1)*k ] ];
  end

  if (nen==6) error(' QUEDA PENDIENTE VER COMO DEVUELVE LOS NODOS DE LA FRONTERA ');end
  
  nodes_bou = [];
  for m=1:mface     
     cols = inoca(ifaceb(:,2),m);
     nodes_bou = [nodes_bou ; getcol(icone(ifaceb(:,1),:),cols) ] ;
  end
  
  [nodes_bou] = rmdblist(nodes_bou);
  