function pltvec(xcor,icone,vector,sf)
%
%     pltvec(xcor,icone,vector,sf)
%
%   Dibuja un campo vectorial
%  

%xmax   = 1;
%xmin   = 0;
%ymax   = 1;
%ymin   = 0;
%nele   = 4;
%xcor   = [-2 10 ; -1 9 ];
%vector = [ 1 1 ; -1 3 ];

toler=8e-2;

[nele,nen ]=size(icone);
[nnod,ibid]=size(xcor);
xmax = max(xcor(:,1));
ymax = max(xcor(:,2));
xmin = min(xcor(:,1));
ymin = min(xcor(:,2));

% coordenadas de los puntos que definen el vector
% expresadas en un dominio master
%--------------------------------------------------------
xo    = [1 0 1 0 1 0 1 0 1 0 ];
delta = 0.01;
xa    = [ 0 0 1 0 1-4*delta delta 1-4*delta -delta 1 0];
xa    = xa - xo;

xa   = ones(nnod,1)*xa;
xo   = ones(nnod,1)*xo; 

% magnitud del vector
%--------------------------------------------------------
vm = (sqrt(sum(vector'.^2)))'; 
vmmax = max(vm);

% direccion del vector
%--------------------------------------------------------
tita = atan2(vector(:,2),vector(:,1));

hele = sqrt((xmax-xmin)^2+(ymax-ymin)^2)/sqrt(nele);
rota  = [cos(tita) -sin(tita) sin(tita) cos(tita)];

% rotacion del vector
%--------------------------------------------------------

for k=1:2:9,
  xaa(:,k)   = rota(:,1).*xa(:,k) + rota(:,2).*xa(:,k+1) ;
  xaa(:,k+1) = rota(:,3).*xa(:,k) + rota(:,4).*xa(:,k+1) ;
end

xa=xaa;

xa = xa - xa(:,[1 2 1 2 1 2 1 2 1 2]) ;

% escaleo del vector
%-------------------------------------------------------- 

%vm1 = zeros(nnod,1);
%nnn = find(vm>toler*vmmax);
%vm1(nnn,1) = 1/vmmax * ones(length(nnn),1);


for k=1:10,
  xa(:,k) = sf*hele/vmmax .* vm .* xa(:,k) ;
end

nele_x = 40;
nele_y = 40;
hele_x =  abs(xmax-xmin)/nele_x;
hele_y =  abs(ymax-ymin)/nele_y;

%xa(:,1:2:10) = sf*hele .* vm1 .* xa(:,1:2:10) ;
%xa(:,2:2:10) = sf*hele .* vm1 .* xa(:,2:2:10) ;

for k=1:2:9,
  xa(:,k) = xa(:,k) + xcor(:,1) ;
  xa(:,k+1) = xa(:,k+1) + xcor(:,2) ;
end

%charv = input('Desea limpiar la pantalla [s/n] ','s');
charv='s';
if charv=='s', clf; end
%setaxr(xcor)
hold on
for k=1:nnod
  plot(xa(k,1:2:9),xa(k,2:2:10))
end
hold off
