function U2 = CV2PV(U1,gamma,ijob);
%
%         U2 = CV2PV(U1,gamma,ijob)
%
%    ijob >= 0 ==>  conservative ---> primitive
%    ijob  < 0 ==>  primitive ---> conservative 
%

[numnp,ndf] = size(U1);
g1 = gamma-1;

if ijob>=0, UC=U1; else UP=U1; end

if ijob>=0,
UP(:,1) = UC(:,1);
for idf=2:ndf-1,
  UP(:,idf) = UC(:,idf)./UC(:,1);
end

KE = zeros(numnp,1);
for idf=2:ndf-1,
  KE = KE+UP(:,idf).^2;
end
KE =  0.5*UP(:,1).*KE ; 

UP(:,ndf) = (UC(:,ndf)-KE)*g1;
U2 = UP;

else
UC(:,1) = UP(:,1);

for idf=2:ndf-1,
  UC(:,idf) = UP(:,idf).*UP(:,1);
end

KE = zeros(numnp,1);
for idf=2:ndf-1,
  KE = KE+UP(:,idf).^2;
end
KE =  0.5*UP(:,1).*KE ; 

UC(:,ndf) = UP(:,ndf)/g1+KE;

U2 = UC;
end
