%
%  EIG_DCMP_FUNCTION
%

% estos flujos se obtienen rotando un sistema desacoplado para acoplarlo
theta = pi/4;
v1 = [1;0];
rota = [cos(theta), sin(theta) ; -sin(theta),cos(theta)];
v2 = rota*v1;

S  = zeros(N,ndf,ndf);
S1 = zeros(N,ndf,ndf);

S(:,1,1) = v1(1);
S(:,1,2) = v2(1);
S(:,2,1) = v1(2);
S(:,2,2) = v2(2);

S1(:,1,1) =  v2(2)/(v1(1)*v2(2)-v1(2)*v2(1));
S1(:,1,2) = -v1(2)/(v1(1)*v2(2)-v1(2)*v2(1));
S1(:,2,1) = -v2(1)/(v1(1)*v2(2)-v1(2)*v2(1));
S1(:,2,2) =  v1(1)/(v1(1)*v2(2)-v1(2)*v2(1));

Lax = zeros(N,ndf,ndf);
Lax(:,1,1) = veloc(:,1);
Lax(:,2,2) = -veloc(:,1);
Lay = zeros(N,ndf,ndf);
Lay(:,1,1) = veloc(:,2);
Lay(:,2,2) = -veloc(:,2);
