function [H,Cp] = enthalpy_function(Up,prop)
%
%      [H,Cp] = enthalpy_function(Up,prop)
%
%       Computes enthalpy function to handle primitive variables
%       in 2D 
%

[N,ndf]     = size(Up);

H            = Up;

Cp           = zeros(N,ndf,ndf);
for j=1:ndf
   Cp(:,j,j)    = ones(N,1);
end


