%
%  BC_TIME file
%

% caso de tener h_film = f(t)
if 0,
% amplitude
eval(['[h_seat,T0_seat]=' bc_time_file_amplitude '(' num2str(ttime) ');']);

% where to be imposed
eles    = ifaceb_seat(:,1);
face    = ifaceb_seat(:,2);
val1    = h_seat*ones(size(eles));
val2    = T0_seat*ones(size(eles));
teco    = [eles face val1/rho/Cp val2 ];
end

if 1,
   
props_valve_lift = [theta_VO,theta_VC,Lvmax];
omega = rpm*2*pi/60;

eval(['Lv=' bc_time_file_lift_valve '(' num2str(ttime*omega) ',[props_valve_lift]);']);

xnod_mod = xnod;
xnod_mod(:,2) = xnod_mod(:,2)+Lv;

if 0,
eles    = ifaceb_seat(:,1);
face    = ifaceb_seat(:,2);
h_seat  = 20*ones(size(eles));
T_seat  = 160*ones(size(eles));
teco_seat  = [eles face h_seat/rho/Cp T_seat ];

eles    = ifaceb_guide(:,1);
face    = ifaceb_guide(:,2);
h_guide = 1*ones(size(eles));
T_guide = 120*ones(size(eles));
teco_guide  = [eles face h_guide/rho/Cp T_guide ];

eles    = ifaceb_fluid(:,1);
face    = ifaceb_fluid(:,2);
h_fluid = 10*ones(size(eles));
T_fluid = 140*ones(size(eles));
teco_fluid  = [eles face h_fluid/rho/Cp T_fluid ];
end

x_guide = 0.5*(xnod_mod(icone_guide(:,1),2)+xnod_mod(icone_guide(:,2),2));
x_fluid = 0.5*(xnod_mod(icone_fluid(:,1),2)+xnod_mod(icone_fluid(:,2),2));
x_seat  = 0.5*(xnod_mod(icone_seat (:,1),2)+xnod_mod(icone_seat (:,2),2));

mask_guide = (x_guide>x_guide_min)&(x_guide<x_guide_max);

teco = [];
nn= find(mask_guide==1);
teco = [teco;[ifaceb_guide(nn,1:2) , ones(length(nn),1)*[h_guide,T_guide] ]];
nn= find(mask_guide==0);
teco = [teco;[ifaceb_guide(nn,1:2) , ones(length(nn),1)*[h_fluid,T_fluid] ]];
teco = [teco;[ifaceb_fluid(:,1:2) , ones(length(ifaceb_fluid(:,1)),1)*[h_fluid,T_fluid] ]];
teco = [teco;[ifaceb_seat(:,1:2) , ones(length(ifaceb_seat(:,1)),1)*[h_seat,T_seat] ]];

if 0,
if 0,
figure(2);clf;pltmsh(-xnod_mod,icone);
hold on;
nn= find(mask_guide==1);
plot(-xnod_mod(icone_guide(nn,1),1),-xnod_mod(icone_guide(nn,1),2),'.y')
plot(-xnod_mod(icone_guide(nn,2),1),-xnod_mod(icone_guide(nn,2),2),'.y')
line(-1.2*[D_stem/2;D_stem/2],-[x_guide_min;x_guide_max]);
axis([-1.5*[D_stem/2,0] -1.2*[x_guide_max , 0]])
pause
else
state = zeros(numnp,1);   
nn= find(mask_guide==1);
state(icone_guide(nn,1),1)=T_guide;
state(icone_guide(nn,1),2)=T_guide;
nn= find(mask_guide==0);
state(icone_guide(nn,1),1)=T_fluid;
state(icone_guide(nn,1),2)=T_fluid;
state(m2v(nodes_fluid))=T_fluid;
state(m2v(nodes_seat))=T_seat;
figure(2);clf;view2d(-xnod,icone,state); 
pause
end
end

end