function [h_film,T_ref]=valve_0_teco_time_seat(t)
%
%
%

   t_start = 0;
   t_end   = 10;
   h_min   = 1;
   h_max   = 10;


   % compute h_film(time)
   period  = (t_end-t_start)/2;
   psi = (0:100)'/100;
   tt = t_start+psi*(t_end-t_start);
   omega = 2*pi/period;
   ff = (h_max-h_min)*sin(tt*omega).^2+h_min;
   h_film = interp1(tt,ff,t,'cubic');
   % compute Tref(time)
   T_ref   = 150;
 



