function try = findzero(x,f)
%
%   propone un nuevo valor de x para hallar
%   un zero en f(x), de la cual se 
%   conocen x(1:n), f((x(1:n)) 
%
   n = length(x);

   [x,ind] = sort(x);
   f       = f(ind);

   k = 1; rlin = 0;
   for k=1:n-1
      if (f(k)*f(k+1)<0) 
         break;
      end
   end


   if (f(k)*f(k+1)<=0)
      p    = polyfit(x(k:k+1),f(k:k+1),1);
      rlin = roots(p);
      if n>2
         if (k==1) 
            p   = polyfit(x(k:k+2),f(k:k+2),2);
         elseif (k+1<n) 
            if ( abs(x(k+2)-rlin)<abs(x(k-1)-rlin)) 
               p   = polyfit(x(k:k+2),f(k:k+2),2);
            else
               p   = polyfit(x(k-1:k+1),f(k-1:k+1),2);
            end
         else
            p   = polyfit(x(k-1:k+1),f(k-1:k+1),2);
         end
      end
   else
      if (n>=3)
         p = polyfit(x,f,2);
      else
         p = polyfit(x,f,1);
      end
   end


   r = roots(p);

   if (length(r)==2)
      r1 = min(r);
      r2 = max(r);
      if (rlin==0)
         if (r1>0) 
            try = r1;
         else
            try = r2;
         end
      else
         if (abs(r1-rlin)<abs(r2-rlin))
            try = r1;
         else
            try = r2;
         end
      end
   elseif (length(r)==1)
      try = r;
   else
      disp('error -> raices complejas en polinomio');
      stop
   end


%   [x1,ind] = sort(abs(x-try));
%
%   x2 = x(ind(1:2));
%   f2 = f(ind(1:2));
%   p2 = polyfit(x2,f2,1);
%   try = roots(p2);