% Contribucion en el contorno

[nteco,bas] = size(teco);

if nteco~=0,

 xpg    = sqrt(3)/3;
 psipg  = [ -xpg xpg ];
 wpg    = [   1   1  ];

 for iteco=1:nteco,

  eles_teco = teco(iteco,1);
  face_teco = teco(iteco,2);
  val1_teco = teco(iteco,3);
  val2_teco = teco(iteco,4);

  nodo_1 = face_teco;
  nodo_2 = (nodo_1+1).*(nodo_1<nen)+(nodo_1==nen);
  nodos  = [nodo_1;nodo_2];
  nodog1 = icone(eles_teco,nodo_1);
  nodog2 = icone(eles_teco,nodo_2);

  lteco  = sqrt((xnod(nodog1,1) - xnod(nodog2,1)).^2 + ... 
                (xnod(nodog1,2) - xnod(nodog2,2)).^2 );

  Te(1,1)  = T(nodog1);
  Te(1,2)  = T(nodog2);

  for ipg=1:2,

   N1     = 0.5*(1-psipg(ipg));
   N2     = 0.5*(1+psipg(ipg));
   N      = [N1 N2];

   Tpg = 0;

   for inod=1:2,
     Tpg  = Tpg + N(inod)*Te(1,inod);
   end 

   for inod=1:2,
    iinod = nodos(inod);
    if ijob==0,
     for jnod=1:2,
      jjnod = nodos(jnod);
      ip=((iinod-1)*nen+(jjnod-1))*ndf^2;
      Kele(eles_teco,ip+1) = Kele(eles_teco,ip+1) + ... 
                N(inod) * val1_teco * N(jnod) .* (lteco/2) * wpg(ipg) ; 
     end % for jnod
    end % if ijob
    Rele(eles_teco,(iinod-1)*ndf+1) = Rele(eles_teco,(iinod-1)*ndf+1) - ... 
       N(inod)*val1_teco.*(Tpg-val2_teco) .* (lteco/2) * wpg(ipg);
   end  % for inod

  end % puntos de Gauss del contorno

 end % for iteco

end % if teco
