%------------------------------------------------------------------
%       Ej de uso del programa   " D R V F E M " 
%
%      Programa de Elementos Finitos en Matlab
%
%------------------------------------------------------------------

global Rg_old

if(exist('inicia')==0),
  disp('Ingrese la variable inicia ')
  disp(' inicia == 0 ---> si continua una corrida previa ')
  disp(' inicia ~= 0 ---> si comienza una corrida nueva ')
  inicia = input(' Inicia = ')
end


%------ Kectura del Fichero de Datos

if inicia,

  datos;
  bfh=[];          % Guarda la solucion
  hc=[];           % Guarda la historia de la convergencia
  bfh_nc = [];     % Guarda los pasos de tiempo en que no hubo convergencia

  Rg_old = zeros(length(xnod(:,1)),ndf);
  time_0 = 0;

end

%------ Calculo

for itime=1:ntime,

  time = itime*dt+time_0;
  nu    = 0;
  iterflag = 1;
  [numnp,ndf] = size(phi);

%
%  Cargas concentradas como una funcion del tiempo
%

  if exist('forctime'),
    if forctime,
      h_bound = hy;
      qs=feval('forc_t',time,U0);
      forc = zeros(Nx*Ny,ndf);
      forc(Nx:Nx:Nx*Ny,1) =((qs/rho/Cp)*h_bound/2) * ... 
                               ones(length(Nx:Nx:Nx*Ny),1);
      forc=m2v(forc);
    end
  end

while iterflag

  nu= nu+1;

  kkk = fix(nu/10);

%------------------------------------------------------------------
%        Montaje sistema y solucion del problema
%------------------------------------------------------------------

    ijob = 0;
    elem_lib;
    Kg = Kgl;
    Rg = Rgl;

  solver;

  iterflag = (norm(Rg)>limit) & (nu< nu_max); % & (norm(dphi)>limit);

  disp(['time ' num2str(itime) ... 
          ' Iter ' num2str(nu)  ' || R || -----> ' num2str(norm(Rg)) ... 
          ' || Delta phi || -----> ' num2str(norm(phi-phiold))  ])

  hc  = [hc ; norm(Rg)];

  plot_fem    % CADA APLICACION DEBE ENCARGARSE DE SU PLOTEO

end  % end while

  phiold = phi;
  bfh = [bfh phi(:,1)];

  if norm(Rg)>limit ,
    bfh_nc = [bfh_nc ; itime];
  end

end % itime loop

time_0 = time;
