%------------------------------------------------------------------
%                        fmushy1.m
%
%      Tratamiento de los elementos fuera de la zona mushy 
% 
%
%------------------------------------------------------------------

  ne    = length(eles);
  Kelet = zeros(ne,nen^2*ndf^2);
  Relet = zeros(ne,nen*ndf);

% Puntos de Gauss para elementos cuadrangulares

  if nen==4,
  xpg  = sqrt(3)/3;
  psipg = [ -xpg xpg xpg -xpg ];
  etapg = [ -xpg -xpg xpg xpg ];
  wpg   = [    1   1   1    1 ];
  npg   = 4;
  else

  psipg = [ 1/6  2/3  1/6 ];
  etapg = [ 1/6  1/6  2/3 ];
  wpg   = [ 1/6  1/6  1/6 ];
  npg   = 3;

%  psipg = [ 1/3 ];
%  etapg = [ 1/3 ];
%  wpg   = [ 1/2 ];
%  npg   = 1;

  end

% Calculo de la fraccion solida nodal
  [fsol,dfsdT,dfsdC,Cs,dCsdT,dCsdC] = frsol2(T,C,Tm,slopel,kp);

% Localizacion
  gather6;
  eles_father = eles;

if nen0==4,
  [X2S,S2X,Jaco0] = xy2st(xnod,icone(eles_father,:),0,0);
  [dNdx0,dNdy0,N] = shape(X2S,0,0,nen0); 
elseif nen0==3,
  [X2S,S2X,Jaco0] = xy2st(xnod,icone(eles_father,:),1/3,1/3);
  [dNdx0,dNdy0,N] = shape(X2S,1/3,1/3,nen0); 
else
  error(' Bad type of element , nen ~=3, nen ~=4 ')
end

 for ipg=1:npg
% Calculo de tensor metrico y jacobiano al elemento master
%------------------------------------------------------------------
  [X2S,S2X,Jaco] = xy2st(xnod,icone(eles,:),psipg(ipg),etapg(ipg));
% Calculo gradiente funcion de peso
%------------------------------------------------------------------
  [dNdx,dNdy,N] = shape(X2S,psipg(ipg),etapg(ipg),nen); 
   interpg6;
   KyR6_ele;
 end % ipg

  for itri=1:ne,
    Kele(eles(itri),:)=  Kele(eles(itri),:)+Kelet(itri,:);
    Rele(eles(itri),:)=  Rele(eles(itri),:)+Relet(itri,:);
  end
