function [h_supg] = h_supg(velpg,dNdx,dNdy)


  limit = 1e-10;
  [numel,nen] = size(dNdx);

  velmodpg = sqrt(sum(velpg'.^2))';
  velmodpg = velmodpg+limit*(velmodpg<limit);


  h_supg = zeros(size(velmodpg));
  vels   = velpg ./ (velmodpg*ones(1,2));
  for inod=1:nen,
    h_supg  = h_supg + abs(vels(:,1).*dNdx(:,inod)+vels(:,2).*dNdy(:,inod));
  end
  h_supg = h_supg+limit*(h_supg<limit);
  h_supg = 2 ./ h_supg;
