function [xnod,icone,ntri] = mushy_3(caso,edge,xnod,T,C,Tm,slopel,kp)         
%
%    Tarea 3:
%
%   Identificado el caso actuamos en consecuencia
%   armando el conjunto de subtriangulos . 
%   Recordar que los cuadrangulos 
%   que se generan se parten en dos triangulos y los
%   pentagonos en 3 triangulos. Por lo tanto siempre
%   al final queda el triangulo original dividido en
%   subtriangulos.
%
%   Caso 1 ---> 1 tri                        (1 sola fase)
%   Caso 2 ---> 1 tri + 1 quad --> 3 tri     (fase pura + mushy)
%   Caso 3 ---> 1 tri + 2 quad --> 5 tri     (2 fases pura + mushy)
%   Caso 4 ---> 2 tri + 1 pent --> 5 tri     (2 fases pura + mushy)
%

nn = [2 3 1];  % arreglo con los nodos comunes entre dos aristas
               % consecutivas.
mm = [3 1 2];  % arreglo con el nodo anterior a cada nodo
 
  if caso==1,
    ntri  = 1;
    icone = [1 2 3];
  elseif caso==2,
    ntri  = 3;

    if edge(3)==0, 
      icot =[4 2 5];
      icoq = [1;4;5;3];
      i1   = 1; 
      i2   = 2;
      i3   = 3;
    end
    if edge(1)==0, 
      icot =[4 3 5];
      icoq = [2;4;5;1];
      i1   = 2; 
      i2   = 3;
      i3   = 1;
    end
    if edge(2)==0, 
      icot =[4 1 5];
      icoq = [3;4;5;2];
      i1   = 3; 
      i2   = 1;
      i3   = 2;
    end

    xnew = fs2x(xnod([i1;i2],:),T([i1;i2]),C([i1;i2]),Tm,slopel,kp);
    xnod = [xnod ; xnew];
    xnew = fs2x(xnod([i2;i3],:),T([i2;i3]),C([i2;i3]),Tm,slopel,kp);
    xnod = [xnod ; xnew];
    if length(xnod)~=5, error(' Tarea3 - Caso 2 - [001] ');end
    ico  = Q2T(xnod(icoq,:));
    icone= [icot;icoq(ico(1,:))';icoq(ico(2,:))'];

  elseif caso==3,
    ntri  = 5;

    if edge(3)==0, 
      icot =[5 2 6];
      icoq = [1 4 7 3 ; 4 5 6 7];
      i1   = 1; 
      i2   = 2;
      i3   = 3;
    end

    if edge(2)==0, 
      icot =[5 1 6];
      icoq = [3 4 7 2 ; 4 5 6 7];
      i1   = 3; 
      i2   = 1;
      i3   = 2;
    end

    if edge(1)==0, 
      icot =[5 3 6];
      icoq = [2 4 7 1 ; 4 5 6 7];
      i1   = 2; 
      i2   = 3;
      i3   = 1;
    end

    xnew = fs2x(xnod([i1;i2],:),T([i1;i2]),C([i1;i2]),Tm,slopel,kp);
    xnod = [xnod ; xnew];
    xnew = fs2x(xnod([i2;i3],:),T([i2;i3]),C([i2;i3]),Tm,slopel,kp);
    xnod = [xnod ; xnew];

    if length(xnod)~=7, error(' Tarea3 - Caso 3 - [001] ');end
    icone= icot;
    ico  = icoq(1,:);
    jco  = Q2T(xnod(ico,:));
    icone= [icone;ico(jco(1,:)) ;ico(jco(2,:)) ];
    ico  = icoq(2,:);
    jco  = Q2T(xnod(ico,:));
    icone= [icone;ico(jco(1,:)) ;ico(jco(2,:)) ];

  elseif caso==4,
    ntri  = 5;

    if edge(2)==2, 
      icot =[4 2 5 ; 6 3 7 ];
      ico5 = [4 5 6 7 1];
      i1   = 1; 
      i2   = 2;
      i3   = 3;
    end

    if edge(1)==2, 
      icot =[5 2 6 ; 7 1 4 ];
      ico5 = [4 5 6 3 7];
      i1   = 1; 
      i2   = 2;
      i3   = 3;
    end

    if edge(3)==2, 
      icot =[7 1 4 ; 5 3 6];
      ico5 = [4 2 5 6 7];
      i1   = 1; 
      i2   = 2;
      i3   = 3;
    end

    xnew = fs2x(xnod([i1;i2],:),T([i1;i2]),C([i1;i2]),Tm,slopel,kp);
    xnod = [xnod ; xnew];
    xnew = fs2x(xnod([i2;i3],:),T([i2;i3]),C([i2;i3]),Tm,slopel,kp);
    xnod = [xnod ; xnew];
    xnew = fs2x(xnod([i3;i1],:),T([i3;i1]),C([i3;i1]),Tm,slopel,kp);
    xnod = [xnod ; xnew];
    if length(xnod)~=7, error(' Tarea3 - Caso 4 - [001] ');end
    icone= icot;
    ico  = P2T(xnod(ico5,:));
    icone= [icone; ico5(ico(1,:)); ico5(ico(2,:)); ico5(ico(3,:))];

  else 
    error(' Bad case in Tarea3 ')

  end
