function difu_num = shocap2d(a,grav,fi,source1,source2,difu,difu_supg,hele)
%      
%	   
%     difu_num = shocap2d(a,grav,phi,source1,source2,difu,difu_supg,hele)
%
%

       limit = 1.0d-04 ; 
       cte    = 0.7 ; 

       [n,ndm] = size(grav);
       if ndm ~= 2 , error(' NDM ~= 2 (SHOCAP) ');end

       ggrav = (sqrt(sum(grav'.^2)))';

       mask = (ggrav > limit);
       ggrav = max([ggrav' ; limit*ones(1,n)])';

       ssp   = grav ./ [ggrav ggrav];
       a2    = ggrav.^2;

       resi  = a(:,1).*grav(:,1)+a(:,2).*grav(:,2) ;
       resi  = resi+source1.*fi-source2;
       betap(:,1)  = resi.*grav(:,1) ./ (ggrav.^2) ; 
       betap(:,2)  = resi.*grav(:,2) ./ (ggrav.^2) ; 

       resi = abs(resi);
	   betapm = (sqrt(sum(betap'.^2)))';

       mask = mask .* ( abs(betapm)>limit ) ;
       betapm = max([betapm' ; limit*ones(1,n)])';

       hp = hele ; 
    
       alfac = max([zeros(1,n) ; (cte-2*difu ./ betapm ./ hp)'])';
       akdc  = 0.5*(alfac.*hp.*resi ./ ggrav);
       aksl  = max([zeros(1,n) ; akdc'-difu_supg'])';

       difu_num(:,1) = mask .* akdc;
	   difu_num(:,4) = mask .* akdc;
     
       mask = mask .* ( abs(a2)>limit ) ; 

       difu_num(:,1) = difu_num(:,1) + ... 
	          mask .* (aksl-akdc) ./ a2 .* a(:,1) .* a(:,1) ;

       difu_num(:,2) = difu_num(:,2) + ... 
	          mask .* (aksl-akdc) ./ a2 .* a(:,1) .* a(:,2) ;

       difu_num(:,3) = difu_num(:,3) + ... 
	          mask .* (aksl-akdc) ./ a2 .* a(:,2) .* a(:,1) ;

       difu_num(:,4) = difu_num(:,4) + ... 
	          mask .* (aksl-akdc) ./ a2 .* a(:,2) .* a(:,2) ;
