function [xnod2,icone2,vel2,T2,C2,eles_father] = Intvar(xnod,T,C,vel,eles,N,n0)
%
%   [xnod2,icone2,vel2,T2,C2,eles_father] = Intvar(xnod,T,C,vel,eles,N,n0)
%

[psi,ico] = divtri(N);

%disp(' Intvar');keyboard;pause
[xint]    = Inttri(psi,xnod(:,1:3));

[yint]    = Inttri(psi,xnod(:,4:6));

[vxint]   = Inttri(psi,vel(:,1:3));

[vyint]   = Inttri(psi,vel(:,4:6));

[Tint]    = Inttri(psi,T);

[Cint]    = Inttri(psi,C);

[nT,mT]	  = size(Tint);

icone2 = []; eles_father=[];
for k=1:nT,
  icone2   = [icone2 ; ico+(k-1)*mT+n0 ] ;
  eles_father = [eles_father ; ones(length(ico(:,1)),1)*eles(k) ];
end

xnod2 = [m2v(xint) m2v(yint)];
vel2  = [m2v(vxint) m2v(vyint)];
T2    = m2v(Tint);
C2    = m2v(Cint);
