
  if elem==0,
% ELEMENTO 1D PARA USAR EN CURSOS
    [Kg,Rg] = fem000(xnod,icone,fixa,forc,teco,peri,prop,... 
                       veloc,reac,source,phi,phiold,ijob);
  elseif elem==1,
% ELEMENTO CRD
    [Kg,Rg] = ele_crd(xnod,icone,ifaceb,fixa,forc,teco,peri,prop,... 
                       veloc,reac,source,phi,phiold,ijob);
                    
  elseif elem==2,
% ELEMENTO CFD EULER
    [Kg,Rg] = fem002(xnod,icone,fixa,forc,teco,peri,prop,... 
                 ifaceb,slip,data_slip,nodes_bou,phi,phiold,ijob);

  elseif elem==3,
% ELEMENTO T&C (CAMBIO DE FASE + TRANSF MASA)
    [Kg,Rg] = fem003(xnod,icone,fixa,forc,teco,peri,prop,... 
                       veloc,phi,phiold,ijob);

  elseif elem==4,
% ELEMENTO VORTICIDAD-FUNCION DE CORRIENTE
    [Kg,Rg] = fem004(xnod,icone,fixa,forc,teco,peri,prop,... 
       veloc,reac,source,phi,phiold,ijob);

  elseif elem==5,
% ELEMENTO T&C (CAMBIO DE FASE + TRANSF MASA) 
%               CALCULO MATRIZ TANGENTE A PARTIR DE RESIDUOS PERTURBADOS
    [Kg,Rg] = fem005(xnod,icone,iface,fixa,forc,teco,peri,prop,... 
                       veloc,phi,phiold,ijob);
    
  elseif elem==6,    
% ELEMENTO ADDI-ALE    
    [Kg,Rg] = addi_ale(xnod,xnod_0,xnod_old,V_grid,icone,ifaceb,fixa,forc, ...
                   teco,peri,prop,veloc,kappa,reac,source,phi,phiold,ijob,ttime);
    
  elseif elem==7,
% ELEMENTO FIBER BOARD

    [Kg,Rg] = fem007(xnod,icone,iface,fixa,forc,teco,ifaceb,bcpv,peri,prop,... 
       veloc,phi,phiold,ijob);
    
  elseif elem==8,
% ELEMENTO CFD EULER + ALE
    [Kg,Rg] = euler_ale(xnod,icone,fixa,forc,teco,peri,prop,... 
                 ifaceb,slip,data_slip,nodes_bou,phi,phiold,ijob);
              
  elseif elem==9,
% ELEMENTO CFD EULER 1D
    [Kg,Rg] = elem_euler_1D(xnod,icone,fixa,forc,teco,peri,prop,... 
                        ifaceb,phi,phiold,ijob);              
  elseif elem==10,
% ELEMENTO CRD SYSTEM
    [Kg,Rg] = ele_crd_sys(xnod,icone,ifaceb,fixa,forc,teco,peri,prop,... 
                          veloc,reac,source,phi,phiold);              
  else
    error(' Bad choice of element type ')
  end