
iii = v2m((1:ndf^2)',ndf);
iii = m2v(iii');

        ne = length(eles);
 weak_form = 0;

% Localizacion de las variables
%------------------------------------------------------------------

  for inod=1:nen,
            nodes = icone(eles,inod);
	          jnod = (inod-1)*ndf+(1:ndf);
       Ue(:,jnod) = U(nodes,1:ndf);		 
      U0e(:,jnod) = Uold(nodes,1:ndf);   
    radio(:,inod) = xnod(nodes,1);

  end

% Loop sobre los puntos de Gauss
%------------------------------------------------------------------

%disp(' TRACE # 0 ')
 for ipg=1:npg

  [X2S,S2X,Jaco] = xy2st(xnod,icone(eles,:),psipg(ipg),etapg(ipg));
  [dNdx,dNdy,N] = shape(X2S,psipg(ipg),etapg(ipg),nen); 

% Interpolacion en punto de Gauss
%------------------------------------------------------------------

     Upg    = zeros(ne,ndf);
    U0pg    = zeros(ne,ndf);
    dUpg    = zeros(ne,ndm*ndf);
   radpg    = zeros(ne,1);

  for inod=1:nen,
     jnod = (inod-1)*ndf+(1:ndf);
      Upg(:,(1:ndf))  =  Upg(:,(1:ndf)) + N(inod).*  Ue(:,jnod);
     U0pg(:,(1:ndf))  = U0pg(:,(1:ndf)) + N(inod).* U0e(:,jnod);
	 dUpg(:,(1:ndf))   = dUpg(:,(1:ndf)) + ...
	          (dNdx(:,inod)*ones(1,ndf)).* Ue(:,jnod);
	 dUpg(:,(1:ndf)+ndf) = dUpg(:,(1:ndf)+ndf)+ ...
	          (dNdy(:,inod)*ones(1,ndf)).* Ue(:,jnod);
	radpg(:,1)  =   radpg(:,1) + N(inod).* radio(:,inod);
  end

  UPpg = cv2pv(Upg,gamma);  % pasaje de variables conservativas a primitivas

% calculo del upwind en cada punto de Gauss
    Area = 4*Jaco;
    if nen==3, Area = 0.5*Jaco; end
    hele     = helem(UPpg(:,2:3),dNdx,dNdy,Area);
  [tau,delta,dt] = Tau_TET2(Upg,UPpg,dUpg,hele,Cou,gamma,shocap);
  tau = tau(:,1);  % es multiplo de la identidad;
  
  [Ax,Ay]  =  Ajac_euler(Upg,UPpg,gamma,axisim);

     [Fa]  =  fluxa_euler(Upg,UPpg);

% Correccion axisimetrica del jacobiano de la transformacion al elemento master
%------------------------------------------------------------------
% FIXME
%      adecuar al caso de las ecuaciones de Euler
  xsj =  wpg(ipg) .* Jaco;
  if axisim,
     xsj = xsj.*radpg;
  end
% FIN FIXME

    AgU = rowprod(Ax,dUpg(:,1:ndf),ndf,ndf,1);
    AgU = AgU + rowprod(Ay,dUpg(:,ndf+(1:ndf)),ndf,ndf,1);
       
%------ Matriz de masa 
  if matrix_type=='full',

  jp=[1,ndf+2,2*ndf+3,3*ndf+4];
  for inod=1:nen,
     P_supg = ((tau.*dNdx(:,inod))*ones(1,ndf^2)).*Ax(:,iii) + ...
        ((tau.*dNdy(:,inod))*ones(1,ndf^2)).*Ay(:,iii);     
     
   for jnod=1:nen,
      
      ip=((inod-1)*nen+(jnod-1))*ndf^2;
      
     ter1 = N(inod)*N(jnod) ./ dt ;
     Mele(:,ip+jp) = Mele(:,ip+jp) + (ter1.*xsj)*ones(1,ndf);
     
     if weak_form,
      ter2 = -((dNdx(:,inod)*N(jnod))*ones(1,ndf^2)).*Ax(:,iii) ... 
             -((dNdy(:,inod)*N(jnod))*ones(1,ndf^2)).*Ay(:,iii);
     else
      ter2 = +((dNdx(:,jnod)*N(inod))*ones(1,ndf^2)).*Ax(:,iii) ... 
             +((dNdy(:,jnod)*N(inod))*ones(1,ndf^2)).*Ay(:,iii);
     end
     % stabilization SUPG terms
     
     AgN  = Ax(:,iii).*(dNdx(:,jnod)*ones(1,ndf^2)) + ...
            Ay(:,iii).*(dNdy(:,jnod)*ones(1,ndf^2));
     
     ter3 = rowprod(P_supg,AgN,ndf,ndf,ndf);
          
     Mele(:,ip+(1:ndf^2)) = Mele(:,ip+(1:ndf^2)) + (1*ter2+1*ter3).*(xsj*ones(1,ndf^2));
   end
  end

  else

   for inod=1:nen,
     ip=(inod-1)*ndf+(1:ndf);
     ter1 = N(inod) ./ dt ;
     Mele(:,ip) = Mele(:,ip) + (ter1.*xsj)*ones(1,ndf);
   end

  end

%------ Residuo
  for inod=1:nen,
   ip=(inod-1)*ndf+(1:ndf);
   ter1 = N(inod)* ((Upg-U0pg) ./ (dt*ones(1,ndf)));
   if weak_form,
    ter2 = -(dNdx(:,inod)*ones(1,ndf)).*Fa(:,1:ndf) ... 
           -(dNdy(:,inod)*ones(1,ndf)).*Fa(:,ndf+(1:ndf));
   else
    ter2 = (N(inod)*ones(numel,ndf)).* AgU(:,1:ndf);
   end
   % stabilization SUPG terms
    P_supg = ((tau.*dNdx(:,inod))*ones(1,ndf^2)).*Ax + ((tau.*dNdy(:,inod))*ones(1,ndf^2)).*Ay;
    ter3   = rowprod(P_supg,AgU,ndf,ndf,1);
    
    Rele(:,ip) = Rele(:,ip) - ( ter1+ter2+ter3 ) .* (xsj*ones(1,ndf)) ;

  end % inod

 end % ipg

% ------ Terminos de contorno

if weak_form,
  [Rele] = bc_conv_euler(xnod,icone,Ue,ifaceb,slip,Rele,gamma,axisim);
end
