function [Rele,Mele] = bc_conv_euler_1D(xnod,icone,U,bou_data,Rele,Mele,ga,matrix_type)
%
%      [Rele,Mele] = bc_conv_euler_1D(xnod,icone,U,bou_data,Rele,Mele,ga,matrix_type)
%

ndf=3;
[numel,nen] = size(icone);
[nbou,bas] = size(bou_data);

if nbou>0,

  eles_bou = bou_data(:,1);
  face_bou = bou_data(:,2);
  
  norbc  = -1*(face_bou==1)+1*(face_bou==2);
  nodo   = face_bou;
  
  for idf=1:ndf
    Upg(:,idf)     = getcol(U(eles_bou,:),(nodo-1)*ndf+idf);
  end
   
  UPpg  =  cv2pv(Upg,ga,1);  
  [Fa]  =  fluxa_euler_1D(Upg,UPpg(:,3),ga);   
  Fan   =  Fa(:,1:ndf).*(norbc(:,1)*ones(1,ndf));
  Ax    =  Ajac_euler_1D(Upg,UPpg,ga);   
  norface = [-1,+1];
  
   for iface=1:2,
     eles = find(face_bou==iface);
     neles = length(eles);
     if isempty(eles)==0,
         Rele(eles_bou(eles),iface,(1:ndf)) = Rele(eles_bou(eles),iface,(1:ndf)) - ...
          reshape(Fan(eles,:),neles,1,ndf);         
     end
     if matrix_type=='full',
        Mele(eles_bou(eles),iface,:,iface,:) = Mele(eles_bou(eles),iface,:,iface,:) + ...
        norface(iface)*reshape(Ax(eles,:,:),neles,1,ndf,1,ndf);   
     end
   end % for iface
   
end % if nbou
