function F = fluxa_euler_1D(U,pres,ga)
%
%    compute advective flux
%

g1     =  ga-1;

F(:,1) =  U(:,2);
F(:,2) =  U(:,2).^2./U(:,1)+pres;
F(:,3) =  (0.5*U(:,2).^2./U(:,1) + ga/g1*pres).*(U(:,2)./U(:,1));
