%----------------------------------------------------------------------
%
%          Fichero de datos
%
%----------------------------------------------------------------------

  caso     = 1 ;

  if caso==1,
% Test flujo uniforme + una gausiana cuasi 1D
  euler_1D_01   
  else
    error(' MALA ELECCION DEL CASO A TRATAR')
  end

% Type_solver ------>  [ 0 ]  standard - directo con relajacion (relax)
%                      [ 1 ]  line-search
%                      [ 2 ]  explicito
%                      [ 3 ]  GMRES

  limit    =   1e-06;
  dt          = 0.0001 ;
  type_solver = 0;
  relax       = 1;     % parametro de relajacion fijo para type_solver=0
  nu_max      = 5;	  % numero maximo de iteraciones por paso de tiempo
  alfa_min    = 0.01;  % para linesearch
  alpha       = 1;     % grado de implicitud (1/2 Cranck-Nicholson)
  ntime       = 2;     % numero de pasos de tiempo
  nstep       = 1;     % guarda solucion cada nstep pasos de tiempo
  scaling     = 1;     % scaling equations at solver for better conditioning of the system

  if caso==1,
     type_solver = 2; 
%     type_solver = 0;      
   relax       = 1;  % parametro de relajacion fijo para type_solver=0
   nu_max      = 1;
   ntime       = 100;
   alpha       = 1;
   nstep       = 2; % guarda la solucion en el tiempo
   dt          = 1e-07 ;
   alfa_min    = 0.01;  % para linesearch
   nsave       = 10;
  end
  
prop(12) = limit    ;
prop(13)  = dt    ; % paso de tiempo
prop(14)  = alpha ; % grado de implicitud  

prop_solver = [type_solver,relax,nu_max,alfa_min,alpha,ntime,nstep,scaling];