function [Fa] = Aflux(UC,UP)
%
%            [Fa] = Aflux(UC,UP)
%       Computes advective fluxes F_a
%                   2D    
%	 Dimension of Fa array = numnp x ndm*ndf 
%             

[numnp,ndf] = size(UP);

Fa = zeros(numnp,ndf,ndf-2);

Fa(:,1,1)     = UC(:,2);
Fa(:,2,1)     = UC(:,2).*UP(:,2) + UP(:,ndf);
Fa(:,3,1)     = UC(:,3).*UP(:,2);
Fa(:,4,1)     = (UC(:,ndf)+UP(:,ndf)).* UP(:,2);
Fa(:,1,2)     = UC(:,3);
Fa(:,2,2)     = UC(:,2).*UP(:,3);
Fa(:,3,2)     = UC(:,3).*UP(:,3) + UP(:,ndf);
Fa(:,4,2)     = (UC(:,ndf)+UP(:,ndf)).* UP(:,3);
