syms K Cv mu mu_b u v w ie rho ga T

vel=[u;v;w];
vel_T=reshape(vel,1,3);

D_11(5,5)=K/Cv;
D_11(2:4,2:4)=mu*eye(3);
D_11(2,2)=D_11(2,2)+1/3*mu;
D_11(2:4,1)=-mu*(vel.*[4/3;1;1]);
D_11(5,2:4)= mu_b*(vel_T.*[1,1,1]);
D_11(5,2) = D_11(5,2)+mu/3*u;
D_11(5,1) = K/Cv*(0.5*(u^2+v^2+w^2)-ie)-mu*(u^2+v^2+w^2)-mu/3*u*u;
D_11 = D_11/rho;

D_22(5,5)    = K/Cv;
D_22(2:4,2:4)= mu*eye(3);
D_22(3,3)    = D_22(3,3)+1/3*mu;
D_22(2:4,1)  = -mu*(vel.*[1;4/3;1]);
D_22(5,2:4)  = mu_b*(vel_T.*[1,1,1]);
D_22(5,3)    = D_22(5,3)+mu/3*v;
D_22(5,1)    = K/Cv*(0.5*(u^2+v^2+w^2)-ie)-mu*(u^2+v^2+w^2)-mu/3*v*v;
D_22 = D_22/rho;

D_33(5,5)    = K/Cv;
D_33(2:4,2:4)= mu*eye(3);
D_33(4,4)    = D_33(4,4)+1/3*mu;
D_33(2:4,1)  = -mu*(vel.*[1;1;4/3]);
D_33(5,2:4)  = mu_b*(vel_T.*[1,1,1]);
D_33(5,4)    = D_33(5,4)+mu/3*w;
D_33(5,1)    = K/Cv*(0.5*(u^2+v^2+w^2)-ie)-mu*(u^2+v^2+w^2)-mu/3*w*w;
D_33 = D_33/rho;

D_12(2,2:4) = mu*[0,-2/3,0];
D_12(3,2:4) = mu*[1,0,0];
D_12(2:4,1) = mu*[2/3*v;-u;0];
D_12(5,1)   = -mu/3*u*v;
D_12(5,2:4) = mu*[v,-2/3*u,0];
D_12(5,5)   = 0;
D_12 = D_12/rho;

D_13(2,2:4) = mu*[0,0,-2/3];
D_13(4,2:4) = mu*[1,0,0];
D_13(2:4,1) = mu*[2/3*w;0;-u];
D_13(5,1)   = -mu/3*u*w;
D_13(5,2:4) = mu*[w,0,-2/3*u];
D_13(5,5)   = 0;
D_13 = D_13/rho;

D_23(3,2:4) = mu*[0,0,-2/3];
D_23(4,2:4) = mu*[0,1,0];
D_23(2:4,1) = mu*[0;2/3*w;-v];
D_23(5,1)   = -mu/3*v*w;
D_23(5,2:4) = mu*[0,w,-2/3*v];
D_23(5,5)   = 0;
D_23 = D_23/rho;

D_21(2:4,2:4)= transpose(D_12(2:4,2:4));
D_21(2:4,1)  = -transpose(D_12(5,2:4));
D_21(5,2:4)  = -transpose(D_12(2:4,1));
D_21(5,1)    = transpose(D_12(5,1));
D_21(5,5)   = 0;

D_31(2:4,2:4)= transpose(D_13(2:4,2:4));
D_31(2:4,1)  = -transpose(D_13(5,2:4));
D_31(5,2:4)  = -transpose(D_13(2:4,1));
D_31(5,1)    = transpose(D_13(5,1));
D_31(5,5)   = 0;

D_32(2:4,2:4)= transpose(D_23(2:4,2:4));
D_32(2:4,1)  = -transpose(D_23(5,2:4));
D_32(5,2:4)  = -transpose(D_23(2:4,1));
D_32(5,1)    = transpose(D_23(5,1));
D_32(5,5)   = 0;

for i=1:3,
    for j=1:3,
        eval(['D_' num2str(i) num2str(j) ' = simple((subs(subs(D_' num2str(i) num2str(j) ' ,mu_b,''mu-K/Cv''),ie,''Cv*T'')))']);
    end
end

Cp(5,5) = 1/(ga-1);
Cp(1,1) = 1;
Cp(2,1) = u;
Cp(3,1) = v;
Cp(4,1) = w;
Cp(2,2) = rho;
Cp(3,3) = rho;
Cp(4,4) = rho;
Cp(5,1) = 0.5*(u^2+v^2+w^2);
Cp(5,2) = u*rho;
Cp(5,3) = v*rho;
Cp(5,4) = w*rho;

Dp_11 = simple(D_11*Cp);
Dp_12 = simple(D_12*Cp);
Dp_13 = simple(D_13*Cp);

Dp_21 = simple(D_21*Cp);
Dp_22 = simple(D_22*Cp);
Dp_23 = simple(D_23*Cp);

Dp_31 = simple(D_31*Cp);
Dp_32 = simple(D_32*Cp);
Dp_33 = simple(D_33*Cp);

