function c=vector_dyad(a,b)
%
%		   c=vector_dyad(a,b)
%
%       a,b :  2 sym vectors
%         c :  dyad product between vectors a,b (2nd order tensor) 
%

a = sym(a); b = sym(b);


c = sym(zeros(length(a),length(b)));

for j=1:3,
   for i=1:3,      
      c(i,j)=a(i)*b(j);
   end; 
end ; 

c = simple(c);