function U2=vm2vl(U1,prop,job)
%
%    U2=vm2vl(U1,prop,job)
%
%  convierte un vector de estado expresado en vel_mix a otro en vel_liq (ijob=0)
%  inversa si ijob ~= 0
%  

ijob='get';
handle_prop_elem;

if nargin <3, job=0; end
[N,ndf]=size(U1);

U2 = U1;

if job==0,
   v_slip    = get_vslip(U1(:,2:3),prop,ijob);
   vel_liq   = get_vel_liq(U1(:,2:3),v_slip,U1(:,4),prop);
   U2(:,2:3) = vel_liq;
else
   nphases = ndf-(ndm+1);
   v_slip   = get_vslip(U1(:,2:3),prop,ijob);
   U2(:,2:3) = get_vel_mix(U1(:,2:3),v_slip,U1(:,4),prop);
end
