function [Fc,C] = Cflux(Up,alpha_g,grad_alpha_g,prop)
%
%   [Fc,C] = Cflux(Up,alpha_g,grad_alpha_g,prop)
%

ijob = 'get';
handle_prop_elem;

[N,ndf]      = size(Up);
pre          = Up(:,1);
vel_l        = Up(:,2:3);

alpha_l      = 1-alpha_g;
grad_alpha_l = -grad_alpha_g;
%grad_v_l     = dUp(:,2:3,1:2);

Fc         = zeros(N,ndf);
C          = zeros(N,ndf,ndf);

Fc(:,2)    = -pre.*grad_alpha_l(:,1);
Fc(:,3)    = -pre.*grad_alpha_l(:,2);
Fc(:,3)    = Fc(:,3) - rho_l*gravity*alpha_l;
