function vel_l = get_vel_liq(vel_m,v_slip,alpha,prop)
%
%   vel_l = get_vel_liq(vel_m,v_slip,alpha,prop)
%

ijob = 'get';
handle_prop_elem;

[N,ndf_fields]=size(alpha);

[rho_m,bas] = get_mixture_props(alpha,prop,0,0);

alpha_l = ones(N,1);
for iif=1:ndf_fields,
    alpha_l = alpha_l - alpha(:,iif);
end

alpha_l = max([alpha_l';1e-3*ones(1,N)])';

%vel_l = (rho_m*ones(1,2)).*vel_m;
vel_l = vel_m;
for iif=1:ndf_fields,
    [rho_k,bas] = get_mixture_props(alpha,prop,0,iif);     
    vel_l = vel_l - (rho_k.*alpha(:,iif)*ones(1,2)).*v_slip(:,(iif-1)*2+(1:2)) ./ ((rho_l.*alpha_l)*ones(1,2));
end

%vel_l = vel_l ./ (rho_m*ones(1,2));
