nu    = 0;
nu_max = nnwt;
iterflag = nu<nu_max;        

Rg = 0; dphi=0;
while iterflag
   
   nu= nu+1;      
   phi_nu = phi;      
   ijob = 0;
   
   %     external_fields = [];
   %     external_fields_old = [];            
   if nu==1,
      % NSI step
      external_fields = phi(:,indx_nonsi);
      external_fields_old = phiold(:,indx_nonsi);
      fixa_p = v2m(fixa,ndf);
      fixa_p = m2v(fixa_p(:,indx_nsi));
      forc_p = v2m(forc,ndf);
      forc_p = m2v(forc_p(:,indx_nsi));
      lin_con_p = [];      
      if isempty(lin_con)==0,
         [Nr,Nc]=size(lin_con);             
         for idf=indx_nsi,
            nn = find(lin_con(:,3)==idf);
            lin_con_p =[lin_con_p;lin_con(nn,:)];
         end
         %            map = [1,0,2,3,0,0];
         map = zeros(1,ndf);
         map(indx_nsi) = (1:ndf_nsi);
         for icol=3:3:Nc,
            ipt = lin_con_p(:,icol);
            jpt = map(ipt)';
            lin_con_p(:,icol) = jpt;               
         end
      end
   end
      
   %      disp('drvfem');keyboard;pause
   [Kg,Rg_nsi] = nsi_tet(xnod,icone,fixa_p,forc_p,teco,lin_con_p,external_fields,...
      external_fields_old,prop,ifaceb,phi(:,indx_nsi),phiold(:,indx_nsi));                      
   [phi_p,Rg_nsi]=solver(phi(:,indx_nsi),Rg_nsi,Kg,fixa_p,prop,prop_solver,ndf_nsi);   
   
         phi(:,indx_nsi) = phi_p;
         
         % Analisis de la convergencia
         %------------------------------------------------------------------
         dphi_nsi = phi-phi_nu;
         Rg = Rg_nsi;
         dphi = dphi_nsi;
   
   
   iterflag = (norm(Rg)>limit) & (nu< nu_max); % & (norm(dphi)>limit);
   
   if nu==1, Rg_outer=Rg_outer+norm(Rg); end
   
   disp(['time ' num2str(itime) ... 
         ' Iter ' num2str(nu)  ' || R || -----> ' num2str(norm(Rg)) ... 
         ' || Delta phi || -----> ' num2str(norm(dphi))  ])
   
end  % end while

