     % temporal term
        W_dUdt   = rowprod(W_supg,(H-H0),ndf,ndf,1);
        
        % advective fluxes
        if weak_form,
           
           gN_Fa = -(dshapex(:,inod,1)*ones(1,ndf)).*Fa(:,1:ndf,1) ... 
                   -(dshapex(:,inod,2)*ones(1,ndf)).*Fa(:,1:ndf,2);
        else
           gN_Fa = (N(inod)*ones(numel,ndf)).* AgU(:,1:ndf);
        end
        
        % diffusive fluxes
        gN_Fd = -(dshapex(:,inod,1)*ones(1,ndf)).*Fd(:,1:ndf,1) ... 
                -(dshapex(:,inod,2)*ones(1,ndf)).*Fd(:,1:ndf,2);
                          
        % stabilization SUPG terms        
        P_A_gU   = rowprod(P_supg,AgU,ndf,ndf,1);
        
        % reactive and source terms        
        W_Fc_1   = rowprod(W_supg,Fc_1,ndf,ndf,1) ;

        if flag_terms==0,
            vaux =  gN_Fa + P_A_gU - gN_Fd + W_Fc_1;  
        else
            vaux =  P_A_gU + W_Fc_1 + gN_D_gU ;              
        end
        
        for idf=1:ndf,
           Rele(:,inod,idf) = Rele(:,inod,idf) - ... 
                              (vaux(:,idf) + (flag_terms==0)*W_dUdt(:,idf) ./ dt ).* xsj ;
        end


        
        
        
        
        
        
        
        
        