

tol = 1e-6;
nodes_axis = find(abs(xnod(:,1)-0)<tol);

state_axis = phi(nodes_axis,:);
xnod_axis = xnod(nodes_axis,2);

N = length(xnod_axis);
indx = (2:N-1);

dx1 = (state_axis(indx+1,3)-state_axis(indx,3))./(xnod_axis(indx+1)-xnod_axis(indx));
dx2 = (state_axis(indx,3)-state_axis(indx-1,3))./(xnod_axis(indx)-xnod_axis(indx-1));
dp1 = (dx1+dx2)/2;
dx  = (xnod_axis(indx+1)+xnod_axis(indx))/2-(xnod_axis(indx)+xnod_axis(indx-1))/2;

% ecuacion de momento
term0 = (rho_l/rho_g-1)*gravity*state_axis(indx,1);
term1 = state_axis(indx,1).*state_axis(indx,3).*dp1;
term2 = visco_g*(dx1-dx2)./dx;

% ecuacion de continuidad
vaux = state_axis(:,1).*state_axis(:,3);
dx1 = (vaux(indx+1)-vaux(indx))./(xnod_axis(indx+1)-xnod_axis(indx));
dx2 = (vaux(indx)-vaux(indx-1))./(xnod_axis(indx)-xnod_axis(indx-1));
term3 = (dx1+dx2)/2;

vaux = state_axis(:,1).*state_axis(:,3).^2;
dx1 = (vaux(indx+1)-vaux(indx))./(xnod_axis(indx+1)-xnod_axis(indx));
dx2 = (vaux(indx)-vaux(indx-1))./(xnod_axis(indx)-xnod_axis(indx-1));
term4 = (dx1+dx2)/2;
