% 
%  handle_prop_elem
%

if strcmp(ijob,'get')
    
    % get_prop_elem
    
%%%%%%%%%%%%%% PROPIEDADES DEL MATERIAL 

rho_g   = prop(1);
visco_g = prop(2);
gravity = prop(3);
npg     = prop(4);
weak_form = prop(5);
Cou       = prop(6);
shocap  = prop(7);
axisim  = prop(8);
comp_interphase_terms =  prop(9);
drag_factor = prop(10);
dt       = prop(13);
visco_l  = prop(11);
rho_l    = prop(15);
d_bubble = prop(16);
virtual_mass = prop(17);
C_vm     = prop(18);
model_visco_std = prop(19);
qpot_drag_model = prop(20);
fRe_drag_model  = prop(21);
tau_factor = prop(22);
lumping_drag_forces = prop(23);
lumping_time_terms  = prop(24);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
elseif strcmp(ijob,'set'),
    
    %  set_prop_elem

 prop(1) =  rho_g  ;
 prop(2) =  visco_g;
 prop(3) =  gravity;
 prop(4) =  npg;
 prop(5)  = weak_form;
 prop(6)  = Cou ;
 prop(7)  = shocap ;
 prop(8)  = axisim ;
 prop(9)  = comp_interphase_terms;
 prop(10) = drag_factor;
 if exist('dt','var')>0,
     prop(13) = dt;      
  end
 prop(11) = visco_l;  
 prop(15) = rho_l;
 prop(16) = d_bubble; 
 prop(17) = virtual_mass;
 prop(18) = C_vm; 
 prop(19) = model_visco_std; 
 prop(20) = qpot_drag_model;
 prop(21) = fRe_drag_model; 
 if exist('tau_factor','var')==0,
     tau_factor = 1;
 end
 prop(22) = tau_factor; 
 prop(23) = lumping_drag_forces;
 prop(24) = lumping_time_terms;
 
else
    error(' Bad ijob choice for HANDLE_PROP_ELEM')
end
