% Gas phase         
if nu==1,
    external_fields = phi(:,indx_liq);        
    external_fields_old = phiold(:,indx_liq);         
    fixa_p = v2m(fixa,ndf);
    fixa_p(:,indx_gas_p)=ones(numnp,length(indx_gas_p));
    fixa_p = m2v(fixa_p(:,indx_gas));
    forc_p = v2m(forc,ndf);
    forc_p(:,indx_gas_p)=phi(:,indx_gas_p);
    forc_p = m2v(forc_p(:,indx_gas));         
    lin_con_p = [];
    if isempty(lin_con)==0,            
        [Nr,Nc]=size(lin_con);                          
        for idf=indx_gas,
            %            if isempty(indx_gas_p)==0,
            %                for jdf=1:length(indx_gas_p),
            %                    if idf~=indx_gas_p(jdf),
            nn = find(lin_con(:,3)==idf);
            lin_con_p =[lin_con_p;lin_con(nn,:)];
            %                    end
        end
        map = [0,1,0,0,2,3];
        for icol=3:3:Nc,
            ipt = lin_con_p(:,icol);
            jpt = map(ipt)';
            lin_con_p(:,icol) = jpt;               
        end            
        %           end      
        %end
    end
end
%      disp('drvfem');keyboard;pause
[Kg,Rg_gas] = bubbly_2D(xnod,icone,fixa,forc,teco,lin_con_p,external_fields,...
    external_fields_old,prop,ifaceb,phi(:,indx_gas),phiold(:,indx_gas),'gas');
[phi_p,Rg_gas]=solver(phi(:,indx_gas),Rg_gas,Kg,fixa_p,prop,prop_solver,ndf_gas);   
phi(:,indx_gas) = phi_p;

% Analisis de la convergencia
%------------------------------------------------------------------
dphi_gas = phi-phi_nu;
Rg = Rg_gas;
dphi = dphi_gas;

iterflag = (norm(Rg)>limit) & (nu< nu_max); % & (norm(dphi)>limit);

if nu==1,disp(' Gas phase step'); end
if nu==1, Rg_outer=Rg_outer+norm(Rg); end      
disp(['time ' num2str(itime) ... 
        ' Iter ' num2str(nu)  ' || R || -----> ' num2str(norm(Rg)) ... 
        ' || Delta phi || -----> ' num2str(norm(dphi))  ])

hc_res  = [hc_res ; [norm(Rg_liq) , norm(Rg_gas)]];
hc_du   = [hc_du ; [norm(dphi_liq) , norm(dphi_gas)]];
