function Uout=cv2pv(Uin,ijob)
%
%   transform Uc = [alpha, alpha*u , alpha*v] en [alpha, u , v]
%
%   ijob == -1 , transformacion inversa


if ijob==1,
   % transformacion directa
   alpha_ctf   = 1e-6;
   alpha       = Uin(:,1);
   [N,ndf]     = size(alpha);
   alpha = max([alpha_ctf*ones(1,N);alpha'])';
   alpha = min([(1-alpha_ctf)*ones(1,N);alpha'])';   
   Uout(:,1)   = Uin(:,1);
   Uout(:,2:3) = Uin(:,2:3)./(alpha*[1,1]);
elseif ijob==-1,
   % transformacion inversa   
   Uout(:,1)   = Uin(:,1);
   Uout(:,2:3) = Uin(:,2:3).*(Uin(:,1)*[1,1]);   
else
   error(' Bad choice in cv2pv')
end

