
%clear all;drvfem;

smoothed_alpha_freq = 0;

dt           = 10e-3;
hnod = max(abs(diff(xnod)));
dt = 5e-4*hnod;

nnwt = 2;
model_visco_std       = 1;   % [0]  visco_k [1] alpha_k * visco_k  [2]  avg(alpha_k) * visco_k
visco_l  =  0.e-8;          % liquid phase viscosity
visco_g  =  0.00e-10;        % gas phase viscosity

%shocap                = 0.1;
flag_interf_pressure  = 0.1;

if 0,



visco_l  =  0.8e-5;          % liquid phase viscosity
visco_g  =  1.000e-7;        % gas phase viscosity
visco_l  =  0.8e-8;          % liquid phase viscosity
visco_g  =  1.000e-10;        % gas phase viscosity
model_visco_std       = 0;   % [0]  visco_k [1] alpha_k * visco_k  [2]  avg(alpha_k) * visco_k


%virtual_mass          = 1;
C_vm                  = 0.5;
flag_interf_pressure  = 1;
stadtke_method        = 1;
artif_compres         = 1;
%s_sound_g             = 300;
%s_sound_l             = 1000;
shocap                = 0;
tau_factor            = 1;
limit = 1e-10;
prop(12) = limit;

nstep_liq  = 1;
nstep_gas  = 1;
coupled = 1;
nnwt = 2;
nnwt_liq = 2;
nnwt_gas = 2;

end

ijob='set';
handle_prop_elem;

for ii=1:1, inicia=0;ntime=100; drvfem; eval(['save tempo_' num2str(ii) ]); end

return

