syms rho_g rho_l ug ul Cg Cl alpha_g alpha_l Lg Ll

cc_g = Cg;
cc_l = Cl;

Z1 = -2*(ug+ul);
Ca = rho_g*cc_g^2*alpha_l;
Cb = rho_l*cc_l^2*alpha_g;
deno = Ca+Cb;

Ccg = Lg / rho_g;
Ccl = Ll / rho_l;

Z2 = Ca.*( (ug+ul).^2 +2*ug.*ul - Ccg - cc_l^2) + Cb.*( (ug+ul).^2 +2*ug.*ul - Ccl - cc_g^2);
Z2 = 1 ./ deno .*Z2;
Z3 = Ca.*( ug.*(cc_l^2-ul.^2) + ul.*(Ccg - ug.^2)) + Cb.*( ul.*(cc_g^2-ug.^2) + ug.*(Ccl - ul.^2));
Z3 = 2 ./ deno .*Z3;
Z4 = Ca.*( (cc_l^2-ul.^2).*(Ccg - ug.^2)) + Cb.*( (cc_g^2-ug.^2).*(Ccl - ul.^2));
Z4 = 1 ./ deno .*Z4;

x=solve('x^4+(-2*(ug+ul)*(rho_g*cc_g^2*alpha_l+rho_l*cc_l^2*alpha_g))*x^3+(Ca.*( (ug+ul).^2 +2*ug.*ul - Ccg - cc_l^2) + Cb.*( (ug+ul).^2 +2*ug.*ul - Ccl - cc_g^2))*x^2+(Ca.*( ug.*(cc_l^2-ul.^2) + ul.*(Ccg - ug.^2)) + Cb.*( ul.*(cc_g^2-ug.^2) + ug.*(Ccl - ul.^2)))*x+(Ca.*( (cc_l^2-ul.^2).*(Ccg - ug.^2)) + Cb.*( (cc_g^2-ug.^2).*(Ccl - ul.^2)))=0');
