%-------------------------------------------------------------------%
% Aplication: GENERAL                                               %
%-------------------------------------------------------------------%
% Rutina:                                                           %
%             POSTDAT                                               %
%-------------------------------------------------------------------%
% Descripcion:                                                      %
%              aplico proyecciones periodicas                       %
%              y/o slip a la solucion inicial                       %
%-------------------------------------------------------------------%
% Subrutinas:                                                       %
%                                                                   %
%-------------------------------------------------------------------%

U = bini;

if exist('lin_con')==0, lin_con=[]; end
if exist('ther_contact')==0, ther_contact=[]; end

[numnp,ndf]=size(bini);

fixa=m2v(fixa);
forc=m2v(forc);   
fixed = find(fixa==1);
vaux=m2v(bini);
nr = length(vaux);

if isempty(lin_con)==0,
   [Rg,Kg] = linear_constraint(vaux,speye(nr),lin_con,ndf);   %%%%%%%%%%%%%%==============> Queda por ver
   vaux    = Kg\Rg;
end

phi = v2m(vaux,ndf);   
clear U vaux

% Calculo de los elementos - caras que estan en el contorno
ifaceb=[];
if ndm==2,
   ifaceb = pfbou2d(xnod,icone);
elseif ndm==3,
   ifaceb = pfbou3d2(xnod,icone);
else
   ifaceb = [1,1;numel,2];
end

return

