function [tau_l,tau_g,delta] = supg_bubbly_2d_bis_3(Upg,grad_phi,hele_l,hele_g,prop,Cpi,Ax,Ay)
%
%

tol_upw = 1e-08;

ijob = 'get';
handle_prop_elem;

indx_l = [1,3,4];
indx_g = [2,5,6];

[N,ndf]     = size(Upg);
alpha_g     = Upg(:,indx_g(1));
vel_g       = Upg(:,indx_g(2:3));
pre         = Upg(:,indx_l(1));
vel_l       = Upg(:,indx_l(2:3));
alpha_l     = 1-alpha_g;
hele        = sqrt(hele_l.*hele_g);

sdir = vel_g-vel_l; sdir = sdir ./(sqrt(dot(sdir',sdir')')*[1,1]); 
[nnod,ndf] = size(Upg);

vaux_Ax = rowprod(Cpi,Ax,ndf,ndf,ndf);
vaux_Ay = rowprod(Cpi,Ay,ndf,ndf,ndf);
vaux    = rowprod(vaux_Ax,vaux_Ax,ndf,ndf,ndf)+rowprod(vaux_Ay,vaux_Ay,ndf,ndf,ndf);

for kk=1:nnod,
   vaux2 = reshape(vaux(kk,:,:),ndf,ndf);
   tau_t(kk,:,:) = (hele(kk)/2*ones(ndf,ndf)).*(inv(sqrtm(vaux2))*reshape(Cpi(kk,:,:),ndf,ndf));    
   delta(kk,1) = max(diag(reshape(tau_t(kk,:,:),ndf,ndf)));   
%   disp('SUPG BUBBLY 2D BIS ');keyboard;pause
end

if 0,
tau_gg = tau_t; tau_gg(:,indx_l,indx_l)=0;
vel_l_mod = sqrt(sum(vel_l'.^2))';
tau_ll = 0*tau_t; %tau_ll(:,indx_g,indx_g)=0; 
for idm=1:3,
   tau_ll(:,indx_l(idm),indx_l(idm)) = vel_l_mod;
end
else
    tau_gg = tau_t;
    tau_ll = tau_t;
end

tau_l = tau_factor*tau_ll;
tau_g = tau_factor*tau_gg;

%disp('SUPG BUBBLY 2D BIS ');keyboard;pause

return

for kk=1:nnod,
   
   if 0,
      vaux_Cp = reshape(Cp(kk,:,:),ndf,ndf);
      vaux_Cp(indx_g(1),indx_l(1)) = vaux_Cp(indx_g(1),indx_l(1)) + alpha_g(kk) /cc^2;
      vaux_Cp(indx_l(1),indx_l(1)) = vaux_Cp(indx_l(1),indx_l(1)) + (1-alpha_g(kk)) /cc^2;
      vaux_Cp = inv(vaux_Cp);
   else
      vaux_Cp = reshape(Cpi(kk,:,:),ndf,ndf);
   end
   
   vaux_Ax = vaux_Cp*reshape(Ax(kk,:,:),ndf,ndf);
   vaux_Ay = vaux_Cp*reshape(Ay(kk,:,:),ndf,ndf);    
   
   if 1,
      vaux    = (vaux_Ax*vaux_Ax+vaux_Ay*vaux_Ay);
   else
      vaux    = vaux_Ax*abs(sdir(kk,1))+vaux_Ay*abs(sdir(kk,2));
   end    
   
   
   tau_t = (hele(kk)/2*ones(ndf,ndf)).*(inv(sqrtm(vaux))*vaux_Cp);    
   
   tau_gg = tau_t; tau_gg(indx_l,indx_l)=0;
   vel_l_mod = sqrt(sum(vel_l(kk,:).^2));
   tau_ll = tau_t; tau_ll(indx_g,indx_g) = 0; tau_ll(indx_l,indx_l) = diag(vel_l_mod*ones(3,1));
   tau_l(kk,:,:) = tau_ll;
   tau_g(kk,:,:) = tau_gg;
   
   delta(kk) = max(diag(tau_t));
      
end
