function [tau_l,tau_g,delta_l,delta_g] = supg_bubbly_2d_bis_4(Upg,grad_phi,hele_l,hele_g,prop,beta,Cpi)
%
%

tol_upw = 1e-08;

ijob = 'get';
handle_prop_elem;

indx_l = [1,3,4];
indx_g = [2,5,6];

[N,ndf]     = size(Upg);
alpha_g     = Upg(:,indx_g(1));
vel_g       = Upg(:,indx_g(2:3));
pre         = Upg(:,indx_l(1));
vel_l       = Upg(:,indx_l(2:3));
alpha_l     = 1-alpha_g;
hele        = sqrt(hele_l.*hele_g);

sdir = vel_g-vel_l; sdir = sdir ./(sqrt(dot(sdir',sdir')')*[1,1]); 
[nnod,ndf] = size(Upg);

for idm=1:2,
    lambda(:,idm) = (rho_g*(1-alpha_g).*beta.*vel_g(:,idm)+alpha_g*rho_l.*vel_l(:,idm)) ./ ...
         (rho_g*beta.*(1-alpha_g)+alpha_g*rho_l);
end

for kk=1:nnod,
    
    tau_t = hele(kk)/2/norm(lambda(kk,:))*eye(ndf); 

%    vaux_Cp = reshape(Cpi(kk,:,:),ndf,ndf);
%    tau_t   = tau_t * vaux_Cp;
    
    tau_g(kk,1:ndf,1:ndf) = tau_t;
    delta_g(kk,1) = hele(kk)/2*norm(lambda(kk,:));    
    
    tau_l(kk,1:ndf,1:ndf) = tau_t;
    delta_l(kk,1) = hele(kk)/2*norm(lambda(kk,:));    

  
end


