function  [C_alpha] = compute_C_alpha(U,gU)
%
%   [C_alpha] = compute_C_alpha(U,gU)
%

alpha = U(:,1);
vel   = U(:,2:3);
[ne,ndf] = size(U);

C_alpha = zeros(ne,ndf);
for idm=1:ndm
    for jdm=1:ndm
        C_alpha(:,idm+1) = C_alpha(:,idm+1) + alpha.*vel(:,jdm).*gU(:,idm+1,jdm);
    end
end

C_alpha = zeros(ne,ndf,ndf);
for idm=1:ndm
   C_alpha_prime(:,idm+1,1) = C_alpha_prime(:,idm+1,1) + ...
      N*(vel(:,1).*gU(:,idm+1,1)+vel(:,2).*gU(:,idm+1,2))*W;
   C_alpha_prime(:,idm+1,idm+1) = C_alpha_prime(:,idm+1,idm+1) + ...
      alpha.*(vel(:,1).*gN(:,1)+vel(:,2).*gN(:,2))*W;          
   for jdm=1:ndm
      C_alpha_prime(:,idm+1,jdm+1) = C_alpha_prime(:,idm+1,jdm+1) + ...
            N*alpha.*gU(:,idm+1,jdm)*W;          
   end
   
end
