
tol = 1e-4;
alpha_l = 1-alpha_g;

DD  = -(rho_g/rho_l*alpha_l+C_vm);
D2 = alpha_g.*(alpha_l+C_vm) ./ alpha_l;

%b1 = (-rho_g/rho_l*(1-alpha_g)-C_vm)^2*u_g^2;
%b2 = (2*((-rho_g/rho_l*(1-alpha_g)-C_vm)*u_g-2*alpha_g/(1-alpha_g)*(1-alpha_g+C_vm)*u_l)*(-rho_g/rho_l*(1-alpha_g)-C_vm)*u_g-(4*rho_g/rho_l*(1-alpha_g)+4*C_vm)*((C_vm+rho_g/rho_l*(1-alpha_g))*u_g^2+alpha_g/(1-alpha_g)*(1-alpha_g+C_vm)*u_l^2));
%b3 = ((-rho_g/rho_l*(1-alpha_g)-C_vm)*u_g-2*alpha_g/(1-alpha_g)*(1-alpha_g+C_vm)*u_l)^2-(4*alpha_g+4*C_vm*alpha_g/(1-alpha_g))*((C_vm+rho_g/rho_l*(1-alpha_g))*u_g^2+alpha_g/(1-alpha_g)*(1-alpha_g+C_vm)*u_l^2);

v1 = DD.^2.*u_g.^2;
v2 = -2*DD.*(DD.*u_g.^2+2*D2.*u_l.*u_g-2*D2.*u_l.^2);
v3 = DD.*u_g.*(DD.*u_g-4*D2.*u_l+4*D2.*u_g);

mask = (v1+v2+v3)>=0;
n0   = find(mask==1);

beta_1 = (-v2+sqrt(v2.^2-4*v1.*v3))./(2*v1);
beta_2 = (-v2-sqrt(v2.^2-4*v1.*v3))./(2*v1);            

beta = 1.01*max([beta_1';beta_2'])';

mask=u_g>u_l;
%nn=find(mask==1);
%if isempty(nn)==0, beta(nn) = 1.01*max([beta_1(nn);beta_2(nn)]); end
nn=find(mask==0);
if isempty(nn)==0, beta(nn) = 0.99*min([beta_1(nn)';beta_2(nn)'])'; end

mask = abs(u_g-u_l)<tol;
nn   = find(mask==1);
beta(nn) = 1;

if isempty(n0)==0,
    beta(n0)=1;
end
