
caso = 0;

if caso==0, 
   ndf=4;
elseif caso==1,
   ndf = 1;
elseif caso==2,
   ndf=2;
else
   error(' Bad case chosen ')
end

delta = 0.0; % parametro termino presion interfacial
C_vl = 1.;
C_vg = 1.;

p      = 0;
u_l    = 2;
rho_g  = 1;
mu_l   = 0.8e-3;
mu_g   = 1e-5;

Cou    = 1;
dx     = 0.1;

alpha  = 0.1;
rho_l = 1*rho_g;         
u_g   = 1.*u_l;        

C_d  = 1.000;
r_b  = 4/1000;

C_d  = 3/8*mu_l/r_b^2*24;

dt     = dx*Cou/max([u_l;u_g]);

artif_compres = 0;
cc_g = 1000;
cc_l = 1000;

job='set';
handle_param    

xnod = (0:nnod-1)'*dx;

state = ones(nnod,1)*[alpha,u_g,u_l,p];

if caso==0,
   Ampl   = 0.5*alpha;
   kappa  = 2;
   z = (xnod-min(xnod))/(max(xnod)-min(xnod));
   state(:,1)=state(:,1)+Ampl*sin(kappa*2*pi*z);
elseif caso>0,
   if 1,
      Ampl   = 0.2*alpha;
      sigma  = 10;
      xc     = max(xnod)/2;
      z      = xnod-xc;
      state(:,1)=state(:,1)+Ampl*exp(-z.^2/sigma);
      Ampl   = 0.2*u_g;   
      sigma  = 5;   
      state(:,2)=state(:,2)+Ampl*exp(-z.^2/sigma);   
   else
   Ampl   = 0.25*alpha;
   kappa  = 2;
   z = (xnod-min(xnod))/(max(xnod)-min(xnod));
   state(:,1)=state(:,1)+Ampl*sin(kappa*2*pi*z);      
   end
end

fixa=[]; lin_con=[];
% fixations & linear restrictions
if caso==0,
   if 1,
      lin_con=[];
      for idf=1:ndf
         lin_con = [lin_con; [1,nnod,idf,-1,2,idf];[1,1,idf,-1,nnod-1,idf] ];  
         %lin_con = [lin_con;[1,1,idf,-1,nnod,idf]];              
      end
      fixa = [2,4,0;nnod-1,4,0];
   else
      for idf=1:ndf   
         lin_con = [lin_con;[1,nnod,idf,-1,1,idf]];                 
      end
      fixa = [];
%      fixa = [fixa;[(1:nnod)',ones(nnod,1)*[1,alpha]]];      
      fixa = [fixa;[(1:nnod)',ones(nnod,1)*[3,u_l]]];      
      fixa = [fixa;[(1:nnod)',ones(nnod,1)*4 ,-xnod*0 ]];
   end   
elseif caso==1,    
   if 1,
      %  lin_con = [1,nnod,1,-1,nnod-1,1];    
      fixa = [1,1,alpha];
   else
      %        lin_con = [1,1,1,-1,2,1];    
      fixa = [nnod,1,alpha];
   end
elseif caso==2,
       lin_con = [1,1,1,-1,nnod,1;
           1,nnod,2,-1,1,2];
%       lin_con = [1,nnod,1,-1,nnod-1,1;
%           1,nnod,2,-1,nnod-1,2];   
%   fixa = [ 1, 1  1.1*alpha  ;
%      1  2  1.1*alpha  ];
   %          nnod  1  1  ;
   %          nnod  2  1 ];    
      for idf=1:ndf   
         lin_con = [lin_con;[1,1,idf,-1,nnod,idf]];                 
      end
      fixa = [];
      fixa = [fixa;[(1:nnod)',ones(nnod,1)*[1,alpha]]];      
end
