if inicia==1,
    
    bfh=[]
    
    casa = 0;
    
    if casa==1,
        set(1,'Position',[     3   286   215   274])
        set(2,'Position',[   198   287   217   273])   
        set(3,'Position',[   369   285   243   278])
        set(4,'Position',[   595   284   205   274])
    else
        set(1,'Position',[     6   332   238   358])
        set(2,'Position',[   227   333   257   360])   
        set(3,'Position',[   488   333   262   359])
        set(4,'Position',[   756   333   266   370])
    end
    
    syms psi
    
    h = 1;
    Ni = 0.5*(1+psi*[-1,1]);
    Nj = 0.5*(1+psi*[-1,1]);
    gNi = diff(Ni,psi);
    gNj = diff(Nj,psi);
    
    Jaco = h/2;
    
    % termino temporal
    coe_m = int(Ni(2)*Nj(1),-1,1)*Jaco;
    coe_p = int(Ni(1)*Nj(2),-1,1)*Jaco;
    coe_0 = (int(Ni(1)*Nj(1),-1,1)+int(Ni(2)*Nj(2),-1,1))*Jaco;
    coe_00 = [coe_m,coe_0,coe_p];
    coe_00 = double(coe_00);
    
    % termino convectivo
    coe_m = int(Ni(2)*gNj(1),-1,1);
    coe_p = int(Ni(1)*gNj(2),-1,1);
    coe_0 = (int(Ni(1)*gNj(1),-1,1)+int(Ni(2)*gNj(2),-1,1));
    coe_01 = [coe_m,coe_0,coe_p];
    coe_01 = double(coe_01);
    
    % termino difusivo
    coe_m = int(gNi(2)*gNj(1),-1,1)/Jaco;
    coe_p = int(gNi(1)*gNj(2),-1,1)/Jaco;
    coe_0 = (int(gNi(1)*gNj(1),-1,1)+int(gNi(2)*gNj(2),-1,1))/Jaco;
    coe_11 = [coe_m,coe_0,coe_p];
    coe_11 = double(coe_11);
    
    % termino estabilizacion antisimetrico
    coe_m = int(gNi(2)*Nj(1),-1,1);
    coe_p = int(gNi(1)*Nj(2),-1,1);
    coe_0 = (int(gNi(1)*Nj(1),-1,1)+int(gNi(2)*Nj(2),-1,1));
    coe_10 = [coe_m,coe_0,coe_p];
    coe_10 = double(coe_10);
    
    get_data
    
    Mas_Op   = coe_00/dt;
    Mas_Op   = [0,1,0]/dt;
    Adv_Op   = coe_01/dx;           
    Dif_Op   = coe_11/dx/dx;        
    Mas_P_Op = coe_10/dx;        
    Adv_P_Op = coe_11/dx/dx;                
    
    Mas_Op_bc_lef   = [1, 2, 1]/6/dt;
    Mas_Op_bc_lef   = [0, 1, 0]/dt;   
    Adv_Op_bc_lef   = [0,-1, 1]/dx;           
    Dif_Op_bc_lef   = [0, 1,-1]/dx/dx;        
    Adv_P_Op_bc_lef   = [0,1,-1]/dx/dx;           
    
    Mas_Op_bc_rig   = [1, 2, 1]/6/dt;
    Mas_Op_bc_rig   = [0, 1, 0]/dt;   
    Adv_Op_bc_rig   = [-1, 1,0]/dx;           
    Dif_Op_bc_rig   = [-1,1,0]/dx/dx;        
    Adv_P_Op_bc_rig   = [-1,1,0]/dx/dx;           
    
    
    jndx=[-1,0,1]; 
    
    nofree=[];
    if isempty(fixa)==0,
        for idf=1:ndf,
            nn=find(fixa(:,2)==idf);
            if isempty(nn)==0,
                node=fixa(nn,1);
                ipt=rmdblist((idf-1)*nnod+node);
                nofree=[nofree;ipt];
                state(node,idf)=fixa(nn,3);
            end
        end
    end
    
    state_ini = state;
    
    type_line = 'bgrkcm';
    
end

[A,B,D,E,P_st] = get_matrix(state,param);

for idf=1:ndf,
    for jdf=1:ndf
        for kdf=1:ndf
            B_st(:,idf,kdf) = P_st(:,idf,jdf).*B(:,jdf,kdf);
        end
    end   
end

ttime=0;
for itime=1:ntime,
    ttime = ttime+dt;
    if rem(itime,5)==0 , disp(['time = ' num2str(ttime)]); end
    state_old = state;

    if caso==0,
        [A,B,D,E,P_st] = get_matrix(state,param);
        
        for idf=1:ndf,
            for jdf=1:ndf
                for kdf=1:ndf
                    B_st(:,idf,kdf) = P_st(:,idf,jdf).*B(:,jdf,kdf);
                end
            end   
        end
        
    end
    
    row=[];col=[];coe=[];coe_rhs=[];
    
    %   t0=cputime;
    % contribucion al interior
    
    indx = (2:nnod-1)';
    
    for idf=1:ndf
        for jdf=1:ndf
            
            % termino temporal (matriz A)                
            kndx=[1,2,3];
            for k=1:length(kndx),
                kk=kndx(k);
                row = [row;nnod*(idf-1)+indx];
                col = [col;nnod*(jdf-1)+indx+jndx(kk)];
                vaux = (A(indx,idf,jdf)+D(indx,idf,jdf))*Mas_Op(kk);
                coe = [coe;vaux];
                coe_rhs = [coe_rhs;vaux.*(state(indx+jndx(kk),jdf)-state_old(indx+jndx(kk),jdf))];
            end
            
            % termino conveccion (matriz B centrada)        
            kndx=[1,3];
            for k=1:length(kndx),
                kk=kndx(k);
                row = [row;nnod*(idf-1)+indx];
                col = [col;nnod*(jdf-1)+indx+jndx(kk)];
                vaux = B(indx,idf,jdf)*Adv_Op(kk);
                coe = [coe;vaux];
                coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
            end        
            
            % termino difusion (matriz E)        
            kndx=[1,2,3];
            for k=1:length(kndx),
                kk=kndx(k);
                row = [row;nnod*(idf-1)+indx];
                col = [col;nnod*(jdf-1)+indx+jndx(kk)];
                vaux = E(indx,idf,jdf)*Dif_Op(kk);
                coe = [coe;vaux];
                coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
            end        
            
            % termino estabilizacion termino advectivo 
            kndx=[1,2,3];
            for k=1:length(kndx),
                kk=kndx(k);
                row = [row;nnod*(idf-1)+indx];
                col = [col;nnod*(jdf-1)+indx+jndx(kk)];
                vaux = B_st(indx,idf,jdf)*Adv_P_Op(kk);
                coe = [coe;vaux];
                coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
            end        
            
        end
    end
    
    % contribucion en el contorno
    for idf=1:ndf
        for jdf=1:ndf
            
            indx = 1;
            kndx=[2,3];
            for k=1:length(kndx),
                kk=kndx(k);
                row = [row;nnod*(idf-1)+indx];
                col = [col;nnod*(jdf-1)+indx+jndx(kk)];
                vaux = (A(indx,idf,jdf)+D(indx,idf,jdf))*Mas_Op_bc_lef(kk);
                coe = [coe;vaux];
                %            coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
                coe_rhs = [coe_rhs;vaux.*(state(indx+jndx(kk),jdf)-state_old(indx+jndx(kk),jdf))];
                
                row = [row;nnod*(idf-1)+indx];
                col = [col;nnod*(jdf-1)+indx+jndx(kk)];
                vaux = B(indx,idf,jdf)*Adv_Op_bc_lef(kk);
                coe = [coe;vaux];
                coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
                
                row = [row;nnod*(idf-1)+indx];
                col = [col;nnod*(jdf-1)+indx+jndx(kk)];
                vaux = E(indx,idf,jdf)*Dif_Op_bc_lef(kk);
                coe = [coe;vaux];
                coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
                
                row = [row;nnod*(idf-1)+indx];
                col = [col;nnod*(jdf-1)+indx+jndx(kk)];
                vaux = B_st(indx,idf,jdf)*Adv_P_Op_bc_lef(kk);         
                coe = [coe;vaux];
                coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
                
            end      
            
            
            indx = nnod;
            kndx=[1,2];
            for k=1:length(kndx),
                kk=kndx(k);
                row = [row;nnod*(idf-1)+indx];
                col = [col;nnod*(jdf-1)+indx+jndx(kk)];
                vaux = (A(indx,idf,jdf)+D(indx,idf,jdf))*Mas_Op_bc_rig(kk);
                coe = [coe;vaux];
                %            coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
                coe_rhs = [coe_rhs;vaux.*(state(indx+jndx(kk),jdf)-state_old(indx+jndx(kk),jdf))];
                
                row = [row;nnod*(idf-1)+indx];
                col = [col;nnod*(jdf-1)+indx+jndx(kk)];
                vaux = B(indx,idf,jdf)*Adv_Op_bc_rig(kk);
                coe = [coe;vaux];
                coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
                
                row = [row;nnod*(idf-1)+indx];
                col = [col;nnod*(jdf-1)+indx+jndx(kk)];
                vaux = E(indx,idf,jdf)*Dif_Op_bc_rig(kk);
                coe = [coe;vaux];
                coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
                
                row = [row;nnod*(idf-1)+indx];
                col = [col;nnod*(jdf-1)+indx+jndx(kk)];
                vaux = B_st(indx,idf,jdf)*Adv_P_Op_bc_rig(kk);         
                coe = [coe;vaux];
                coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];         
                
            end            
        end
    end
    
    %   t1=cputime;
    
    linear_constraint_1d;
    
    K=sparse(row,col,coe);
    R=sparse(row,ones(size(row)),coe_rhs);
    
    K(nofree,:)=0;
    K(nofree,nofree)=eye(length(nofree));
    R(nofree,1)=0;
    
    %   delta_state = -full(K\R);
    
    delta = -(K\R);
    [row,col,coe]=find(delta);
    row=[row;nofree];col=[col;ones(length(nofree),1)];coe=[coe;zeros(length(nofree),1)];
    delta_state=sparse(row,col,coe);
    
    for idf=1:ndf
        state(:,idf)=state(:,idf)+delta_state((idf-1)*nnod+(1:nnod));
    end
    
    %   t2=cputime;
    %   bfh=[bfh;[t0,t1,t2]];
    
    if rem(itime,nplot)==0,      
        for idf=1:ndf        
            figure(idf);clf;hold on          
            plot(xnod,state(:,idf),type_line(idf)),pause(0.1);
        end

        
    end
    
end
