if inicia==1,
    
    
    constrained_all=0    ;  % llave para ligar todos los grados de libertad del grado de libertad 
    
    bfh    = [];
    beta_h = [];
    
    state_h = [];
    
    casa = 0;
    
    if casa==1,
        set(1,'Position',[     3   286   215   274])
        set(2,'Position',[   198   287   217   273])   
        set(3,'Position',[   369   285   243   278])
        set(4,'Position',[   595   284   205   274])
    else
        set(1,'Position',[     6   332   238   358])
        set(2,'Position',[   227   333   257   360])   
        set(3,'Position',[   488   333   262   359])
        set(4,'Position',[   756   333   266   370])
    end
    
    
    syms psi
    
    h = 1;
    Ni = 0.5*(1+psi*[-1,1]);
    Nj = 0.5*(1+psi*[-1,1]);
    gNi = diff(Ni,psi);
    gNj = diff(Nj,psi);
    
    Jaco = h/2;
    
    % termino temporal
    coe_m = int(Ni(2)*Nj(1),-1,1)*Jaco;
    coe_p = int(Ni(1)*Nj(2),-1,1)*Jaco;
    coe_0 = (int(Ni(1)*Nj(1),-1,1)+int(Ni(2)*Nj(2),-1,1))*Jaco;
    coe_00 = [coe_m,coe_0,coe_p];
    coe_00 = double(coe_00);
    
    % termino convectivo
    coe_m = int(Ni(2)*gNj(1),-1,1);
    coe_p = int(Ni(1)*gNj(2),-1,1);
    coe_0 = (int(Ni(1)*gNj(1),-1,1)+int(Ni(2)*gNj(2),-1,1));
    coe_01 = [coe_m,coe_0,coe_p];
    coe_01 = double(coe_01);
    
    % termino difusivo
    coe_m = int(gNi(2)*gNj(1),-1,1)/Jaco;
    coe_p = int(gNi(1)*gNj(2),-1,1)/Jaco;
    coe_0 = (int(gNi(1)*gNj(1),-1,1)+int(gNi(2)*gNj(2),-1,1))/Jaco;
    coe_11 = [coe_m,coe_0,coe_p];
    coe_11 = double(coe_11);
    
    % termino estabilizacion antisimetrico
    coe_m = int(gNi(2)*Nj(1),-1,1);
    coe_p = int(gNi(1)*Nj(2),-1,1);
    coe_0 = (int(gNi(1)*Nj(1),-1,1)+int(gNi(2)*Nj(2),-1,1));
    coe_10 = [coe_m,coe_0,coe_p];
    coe_10 = double(coe_10);
    
    get_data
    
    Mas_Op   = coe_00/dt;
%    Mas_Op   = [0,1,0]/dt;
    Adv_Op   = coe_01/dx;           
    Dif_Op   = coe_11/dx/dx;        
    Adv_P_Op = coe_11/dx/dx;        
    Mas_P_Op = coe_10/dx;            
    
    Mas_Op_bc_lef   = [1, 2, 1]/6/dt;
    Mas_Op_bc_lef   = [0, 1, 0]/dt;   
    Adv_Op_bc_lef   = [0,-1, 1]/2/dx;           
    Dif_Op_bc_lef   = [0,1,-1]/dx/dx;        
    Adv_P_Op_bc_lef = [0,1,-1]/dx/dx;           
    Mas_P_Op_bc_lef = [0,-1,-1]/2/dx;              
    
    Mas_Op_bc_rig   = [1, 2, 1]/6/dt;
    Mas_Op_bc_rig   = [0, 1, 0]/dt;   
    Adv_Op_bc_rig   = [-1, 1,0]/2/dx;           
    Dif_Op_bc_rig   = [-1,+1,0]/dx/dx;        
    Adv_P_Op_bc_rig = [-1,+1,0]/dx/dx;           
    Mas_P_Op_bc_rig = [1,1,0]/2/dx;           
    
    jndx=[-1,0,1]; 
    
    type_line = 'bgrkcm';
    
end

[A,B,D,E,P_st,A_st,B_st,D_st,beta] = get_matrix_pmm(state,param);

for idf=1:ndf, figure(idf);clf; end

ttime=0;
for itime=1:ntime,
    ttime = ttime+dt;
    if rem(itime,nplot)==0 , disp(['time = ' num2str(ttime)]); end
    state_old = state;    
    
    iterflag = 1;
    nu = 0;
    
    while iterflag,
        
        nu=nu+1;
        row=[];col=[];coe=[];coe_rhs=[];        
        
        if caso==0,
            if nu==1,
                [AA,B,D,E,P_st,A_st,B_st,D_st,beta] = get_matrix_pmm(state,param);
            else
                [AA,B,D,E,P_st,A_st,B_st,D_st,bas] = get_matrix_pmm(state,param);            
            end 
            for idf=1:ndf,
                A(:,1,idf) = AA(:,1,idf).*beta;
            end    
            
            A_st=0*A;
            for idf=1:ndf,
                for jdf=1:ndf
                    for kdf=1:ndf
                        A_st(:,idf,kdf) = A_st(:,idf,kdf)+P_st(:,idf,jdf).*A(:,jdf,kdf);
                    end
                end   
            end
            
        end
        
        %   t0=cputime;
        % contribucion al interior
        
        indx = (2:nnod-1)';
        
        for idf=1:ndf
            
            ipt = (idf:ndf:ndf*nnod)';
            
            for jdf=1:ndf
                
                jpt = (jdf:ndf:ndf*nnod)';            
                
                % termino temporal (matriz A)                
                kndx=[1,2,3];
                for k=1:length(kndx),
                    kk=kndx(k);                
                    row = [row;ipt(indx)];
                    col = [col;jpt(indx+jndx(kk))];
                    vaux = A(indx,idf,jdf)*Mas_Op(kk);
                    coe = [coe;vaux];
                    coe_rhs = [coe_rhs;vaux.*(state(indx+jndx(kk),jdf)-state_old(indx+jndx(kk),jdf))];
                end
                
                % termino temporal (matriz D)                
                kndx=[1,2,3];
                for k=1:length(kndx),
                    kk=kndx(k);                
                    row = [row;ipt(indx)];
                    col = [col;jpt(indx+jndx(kk))];
                    vaux = D(indx,idf,jdf)*Mas_Op(kk);
                    coe = [coe;vaux];
                    coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
                end
                
                % termino conveccion (matriz B centrada)        
                kndx=[1,3];
                for k=1:length(kndx),
                    kk=kndx(k);
                    row = [row;ipt(indx)];
                    col = [col;jpt(indx+jndx(kk))];
                    vaux = B(indx,idf,jdf)*Adv_Op(kk);
                    coe = [coe;vaux];
                    coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
                end        
                
                % termino difusion (matriz E)        
                kndx=[1,2,3];
                for k=1:length(kndx),
                    kk=kndx(k);
                    row = [row;ipt(indx)];
                    col = [col;jpt(indx+jndx(kk))];
                    vaux = E(indx,idf,jdf)*Dif_Op(kk);
                    coe = [coe;vaux];
                    coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
                end        
                
                % termino estabilizacion termino advectivo 
                kndx=[1,2,3];
                for k=1:length(kndx),
                    kk=kndx(k);
                    row = [row;ipt(indx)];
                    col = [col;jpt(indx+jndx(kk))];
                    vaux = B_st(indx,idf,jdf)*Adv_P_Op(kk);
                    coe = [coe;vaux];
                    coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
                end        
                
                % termino estabilizacion termino masa
                kndx=[1,3];
                for k=1:length(kndx),
                    kk=kndx(k);
                    row = [row;ipt(indx)];
                    col = [col;jpt(indx+jndx(kk))];
                    vaux = A_st(indx,idf,jdf)*Mas_P_Op(kk);
                    coe = [coe;vaux];
                    coe_rhs = [coe_rhs;vaux.*(state(indx+jndx(kk),jdf)-state_old(indx+jndx(kk),jdf))];
                end        
                
                % termino estabilizacion termino reaccion
                kndx=[1,3];
                for k=1:length(kndx),
                    kk=kndx(k);
                    row = [row;ipt(indx)];
                    col = [col;jpt(indx+jndx(kk))];
                    vaux = D_st(indx,idf,jdf)*Mas_P_Op(kk);
                    coe = [coe;vaux];
                    coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
                end        
                
            end
        end
        
        %keyboard;pause
        
        if 0,
            % contribucion en el contorno
            for idf=1:ndf
                
                ipt = (idf:ndf:ndf*nnod)';                    
                
                for jdf=1:ndf
                    
                    jpt = (jdf:ndf:ndf*nnod)';            
                    
                    indx = 1;
                    kndx=[2,3];
                    for k=1:length(kndx),
                        kk=kndx(k);
                        row = [row;ipt(indx)];
                        col = [col;jpt(indx+jndx(kk))];
                        vaux = (A(indx,idf,jdf)+D(indx,idf,jdf))*Mas_Op_bc_lef(kk);
                        coe = [coe;vaux];
                        %            coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
                        coe_rhs = [coe_rhs;vaux.*(state(indx+jndx(kk),jdf)-state_old(indx+jndx(kk),jdf))];
                        
                        row = [row;ipt(indx)];
                        col = [col;jpt(indx+jndx(kk))];
                        vaux = B(indx,idf,jdf)*Adv_Op_bc_lef(kk);
                        coe = [coe;vaux];
                        coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
                        
                        row = [row;ipt(indx)];
                        col = [col;jpt(indx+jndx(kk))];
                        vaux = E(indx,idf,jdf)*Dif_Op_bc_lef(kk);
                        coe = [coe;vaux];
                        coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
                        
                        row = [row;ipt(indx)];
                        col = [col;jpt(indx+jndx(kk))];
                        vaux = B_st(indx,idf,jdf)*Adv_P_Op_bc_lef(kk);         
                        coe = [coe;vaux];
                        coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
                        
                        row = [row;ipt(indx)];
                        col = [col;jpt(indx+jndx(kk))];
                        vaux = (A_st(indx,idf,jdf)+D_st(indx,idf,jdf))*Mas_P_Op_bc_lef(kk);         
                        coe = [coe;vaux];
                        coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
                        
                    end      
                    
                    
                    indx = nnod;
                    kndx=[1,2];
                    for k=1:length(kndx),
                        kk=kndx(k);
                        row = [row;ipt(indx)];
                        col = [col;jpt(indx+jndx(kk))];
                        vaux = (A(indx,idf,jdf)+D(indx,idf,jdf))*Mas_Op_bc_rig(kk);
                        coe = [coe;vaux];
                        %            coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
                        coe_rhs = [coe_rhs;vaux.*(state(indx+jndx(kk),jdf)-state_old(indx+jndx(kk),jdf))];
                        
                        row = [row;ipt(indx)];
                        col = [col;jpt(indx+jndx(kk))];
                        vaux = B(indx,idf,jdf)*Adv_Op_bc_rig(kk);
                        coe = [coe;vaux];
                        coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
                        
                        row = [row;ipt(indx)];
                        col = [col;jpt(indx+jndx(kk))];
                        vaux = E(indx,idf,jdf)*Dif_Op_bc_rig(kk);
                        coe = [coe;vaux];
                        coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
                        
                        row = [row;ipt(indx)];
                        col = [col;jpt(indx+jndx(kk))];
                        vaux = B_st(indx,idf,jdf)*Adv_P_Op_bc_rig(kk);         
                        coe = [coe;vaux];
                        coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];         
                        
                        row = [row;ipt(indx)];
                        col = [col;jpt(indx+jndx(kk))];
                        vaux = (A_st(indx,idf,jdf)+D_st(indx,idf,jdf))*Mas_P_Op_bc_rig(kk);         
                        coe = [coe;vaux];
                        coe_rhs = [coe_rhs;vaux.*state(indx+jndx(kk),jdf)];
                        
                    end            
                end
            end
        end
        
        %   t1=cputime;
        
        if isempty(lin_con)==0,
            ijob=0;
            linear_constraint_1d;
        end
        
        K=sparse(row,col,coe);
        R=sparse(row,ones(size(row)),coe_rhs);
        
        K(nofree,:)=0;
        K(nofree,nofree)=eye(length(nofree));
        R(nofree,1)=0;
        
        delta = -(K\R);
        delta(nofree) = 0;
        
        [row,col,coe]=find(delta);
        last = nnod*ndf;
        %   row=[row;nofree;last];col=[col;ones(length(nofree),1);1];
        %   coe=[coe;zeros(length(nofree),1);1e-16];
        row=[row;nofree];col=[col;ones(length(nofree),1)];
        coe=[coe;zeros(length(nofree),1)];
        delta_state=sparse(row,col,coe);
        if length(delta_state)<(nnod*ndf),
            delta_state(end:nnod*ndf)=0;
        end
        
        for idf=1:ndf
            state(:,idf)=state(:,idf)+delta_state(((1:nnod)-1)*ndf+idf);
        end
        
        iterflag = (norm(R)>limit) & (nu< nu_max);
        disp([' nu = ' num2str(nu) ' || R || -----> ' num2str(norm(R)) ])
        
        %        disp('PROC4');keyboard;pause    
        
    end
    
    %   t2=cputime;
    %   bfh=[bfh;[t0,t1,t2]];   
    
    if rem(itime,nplot)==0,      
        for idf=1:ndf        
            figure(idf);clf;hold on          
            plot(xnod,state(:,idf),type_line(idf)),pause(0.1);
        end
        state_h = [state_h , state];
    end
    
    beta_h = [beta_h,beta];
end

for idf=1:ndf        
    figure(idf);hold on;plot(xnod,state_ini(:,idf),'r-'),pause(0.1)      
end


