function [Fa] = Aflux(U)
%
%            [Fa] = Flux_bubbly(U)
%
%       Computes advective fluxes F_a
%             

[numnp,ndf] = size(UC);
Fa = zeros(numnp,ndf,ndf-2);
alfa = U(:,1);
ux   = U(:,2);
uy   = U(:,3);

Fa(:,1,1)     = alfa.*ux;
Fa(:,2,1)     = alfa.*ux.*ux;
Fa(:,3,1)     = alfa.*uy.*ux;
Fa(:,1,2)     = alfa.*uy;
Fa(:,2,2)     = alfa.*ux.*uy;
Fa(:,3,2)     = alfa.*uy.*uy;
