
load Run_2a.mat;
phi_a = phi;
v_mesh_a = v_mesh;
load Run_2b.mat;
phi_b = phi;
v_mesh_b = v_mesh;
load Run_2c.mat;
phi_c = phi;
v_mesh_c = v_mesh;
load Run_2d.mat;
phi_d = phi;
v_mesh_d = v_mesh;
load Run_2e.mat;
phi_e = phi;
v_mesh_e = v_mesh;
load Run_2f.mat;
phi_f = phi;
v_mesh_f = v_mesh;
load Run_2g.mat;
phi_g = phi;
v_mesh_g = v_mesh;
load Run_2h.mat;
phi_h = phi;
v_mesh_h = v_mesh;

xnod_1 = xnod(:,1);

bfh = [phi_a,phi_b,phi_c,phi_d,phi_e,phi_f,phi_g,phi_h];
bfh_v_mesh = [v_mesh_a,v_mesh_b,v_mesh_c,v_mesh_d,v_mesh_e,v_mesh_f,v_mesh_g,v_mesh_h];

figure(2);clf,
subplot(221);
plot(xnod_1,bfh(:,1:3:end),'-')    
xlabel(' X ');ylabel(' U ');title('density - upwind scalar vs non scalar')
subplot(222);
plot(xnod_1,bfh(:,2:3:end)-ones(Nx,1)*bfh_v_mesh,'-')    
xlabel(' X ');ylabel(' U ');title('velocity - blue upwind non scalar')
subplot(223);
plot(xnod_1,bfh(:,3:3:end),'-')    
xlabel(' X ');ylabel(' U ');title('pressure - gree upwind scalar')
ga = 1.4;

Mach_a = abs(phi_a(:,2)-v_mesh_a)./sqrt(ga*phi_a(:,3)./phi_a(:,1));
Mach_b = abs(phi_b(:,2)-v_mesh_b)./sqrt(ga*phi_b(:,3)./phi_b(:,1));
Mach_c = abs(phi_c(:,2)-v_mesh_c)./sqrt(ga*phi_c(:,3)./phi_c(:,1));
Mach_d = abs(phi_d(:,2)-v_mesh_d)./sqrt(ga*phi_d(:,3)./phi_d(:,1));
Mach_e = abs(phi_e(:,2)-v_mesh_e)./sqrt(ga*phi_e(:,3)./phi_e(:,1));
Mach_f = abs(phi_f(:,2)-v_mesh_f)./sqrt(ga*phi_f(:,3)./phi_f(:,1));
Mach_g = abs(phi_g(:,2)-v_mesh_g)./sqrt(ga*phi_g(:,3)./phi_g(:,1));
Mach_h = abs(phi_h(:,2)-v_mesh_h)./sqrt(ga*phi_h(:,3)./phi_h(:,1));

bfh_Mach = [Mach_a,Mach_b,Mach_c,Mach_d,Mach_e,Mach_f,Mach_g,Mach_h];

subplot(224),
plot(xnod_1(:,1),bfh_Mach,'-'); 
xlabel(' X ');ylabel(' U ');title('Mach number ')