ga = prop(1);

node_in = 1
mdot_in = phi(node_in,1)*phi(node_in,2)*Area(node_in);
ene_in = ga/(ga-1)*phi(node_in,3)+0.5*phi(node_in,1)*phi(node_in,2).^2;
s_in   = phi(node_in,3)/phi(node_in,1)^ga;

node_out = 101
mdot_out = phi(node_out,1)*phi(node_out,2)*Area(node_out);
ene_out = ga/(ga-1)*phi(node_out,3)+0.5*phi(node_out,1)*phi(node_out,2).^2;
s_out   = phi(node_out,3)/phi(node_out,1)^ga;

disp(' mdot in & out (kg/seg) ')
[mdot_in , mdot_out]
disp(' Relative Error (%) in mass balance ')
abs(mdot_in/mdot_out-1)*100

disp(' Ene in & out (Joule/m^3) ')
[ene_in , ene_out]
disp(' Relative Error (%) in energy balance ')
abs(ene_in/ene_out-1)*100

disp(' Entropy in & out (Joule/m^3) ')
[s_in , s_out]
disp(' Relative Error (%) in entropy evolution ')
abs(s_in/s_out-1)*100
