
global datos

ga = 1.4;
type_end = [1;1;-1];
Area = [1,1,1];
dx = [0.1;0.1;0.1];

datos.ga = ga;
datos.type_end = type_end;
datos.Area=Area;

U_in = [ ...
        1 0.1 1e5
    1 0.1 1e5
    1 0.2 1e5    
    ];
U_in = cv2pv(U_in,ga,-1);
datos.U_in = U_in;  % estado en el nodo inmediato interior a cada tubo
datos.dx = dx;    % tamao celda extrema de cada tubo en la union 

U0 = [ ...
        1.1 0.1 1.1e5
    1.1 0.1 0.9e5
    1.1 0.1 0.9e5    
    ];
U0 = cv2pv(U0,ga,-1);

U = U0;

for k=1:20,
    [K,R] = get_num_jacobian('r_junction',U);
    dU = -inv(K)*R;
    U = U+reshape(dU,3,3);
    %keyboard;pause
end

U = cv2pv(U,ga,1);

return

U = fsolve(@r_junction,U0,optimset('Display','iter','MaxIter',1000,'MaxFunEvals',1000))