function [fz,hsupg] = shocap_fun(xnod,icone,vel,phi)
%
%      [fz,hsupg] = shocap_fun(xnod,icone,vel,phi)
%
%  calcula norm(grad_phi)*hele / phi;
%
%  con hele = h elemental proyectado en la direccion del gradiente normalizado
%

[nnod,ndm]=size(xnod);
[nele,nen]=size(icone);

ndof = ndm+1;
ndof = 3;


[nnod,bas]=size(xnod);
[nele,nen]=size(icone);
Rele = zeros(nele,ndof*nen);
Rg   = zeros(nnod,ndof);

npg = 1;
% set coordinates and weights of Gauss points for numerical integration  

if ndm==2,
   pgauss2d;
else
   pgauss3d;  
end

ceros = zeros(nele,nen);

phie = ceros;
for inod=1:nen,
  nodes = icone(:,inod);
  phie(:,inod) = phi(nodes);
  for idm=1:ndm
    vele(:,inod,idm) = vel(nodes,idm);
  end
end   

% Loop sobre los puntos de Gauss
%------------------------------------------------------------------
for ipg=1:npg
   
   if ndm==2,
      [X2S,S2X,Jaco] = xy2st(xnod,icone,psipg(ipg),etapg(ipg));  
      [dshapex,N] = shape2d(X2S,psipg(ipg),etapg(ipg),nen);  
      dNdx = dshapex(:,:,1);
      dNdy = dshapex(:,:,2);
   else            
%      [X2S,S2X,Jaco] = xyz2rst(xnod,icone,psipg(ipg),etapg(ipg),zetapg(ipg));  
%      [dNdx,dNdy,dNdz,N] = shape3d(X2S,psipg(ipg),etapg(ipg),zetapg(ipg),nen);  
       disp(' 3d is not implemented yet , need to copy files from Windows ')
   end
   xsj =  wpg(ipg) .* Jaco;
   
   type = ['xyz'];
   
   dphidx = zeros(nele,ndm);
   phipg = zeros(nele,1);  
   velpg = zeros(nele,ndm);
     for inod=1:nen,        
       phipg = phipg + N(inod)*phie(:,inod);
       for idm=1:ndm,
	 velpg(:,idm) = velpg(:,idm) + N(inod)*vele(:,inod,idm);
         eval(['dphidx(:,idm) = dphidx(:,idm) + dNd' type(idm) '(:,inod).* phie(:,inod);']);
       end        
     end
     
     dphidx_mag = sqrt(sum(dphidx'.^2))';
     
     for idm = 1:ndm
       jvec(:,idm) = dphidx(:,idm) ./  (dphidx_mag+1e-16) ;
     end

     velmod = sqrt(sum(velpg'.^2))';
     for idm = 1:ndm
       svec(:,idm) = velpg(:,idm) ./  velmod;
     end
     
     hele = h_supg(jvec,dNdx,dNdy);

     hvel = h_supg(svec,dNdx,dNdy);
     
     ff = dphidx_mag.*hele ./ phipg;
     
     for inod=1:nen,
       Rele(:,(inod-1)*ndof+1) =  Rele(:,(inod-1)*ndof+1) + N(inod) .* ones(nele,1) .*xsj;
       Rele(:,(inod-1)*ndof+2) =  Rele(:,(inod-1)*ndof+2) + N(inod) .* ff .* xsj;         
       Rele(:,(inod-1)*ndof+3) =  Rele(:,(inod-1)*ndof+3) + N(inod) .* hvel .* xsj;         
     end % inod
     
   end  % for ipg

for k=1:nen,
   nodos=icone(:,k);
   for idf=1:ndof,
      Rg(nodos,idf) = Rg(nodos,idf)+Rele(:,(k-1)*ndof+idf);
   end   
end

fz = Rg(:,2) ./ Rg(:,1);
hsupg = Rg(:,3) ./ Rg(:,1);
