%
%  R poisson
%

div_u = zeros(ne,1);
for idm =1:ndm
    div_u = div_u + dUpg(:,indx_v(idm),idm) ;
end

u_grho_m = zeros(ne,1);
for idm=1:ndm
    u_grho_m = u_grho_m + (rho_g-rho_l)*dUpg(:,indx_vf,idm).*velpg(:,idm);
end

grad_p = reshape(dUpg(:,indx_p,:),ne,ndm,1);    
grad_p_old = reshape(dU0pg(:,indx_p,:),ne,ndm,1);    

for inod=1:nen,   
    
    if tau_centroide==0,
        compute_P_supg;
    end
    
    for idm=1:ndm        
        Rele(:,inod,indx_p) = Rele(:,inod,indx_p) - ( ...            
            P_epsilon(:,1,indx_v(idm)).*grad_p(:,idm)  + ... % stabilizing pressure term
            dt*dshapex(:,inod,idm).*(grad_p(:,idm)-grad_p_old(:,idm)) ...
            ).*xsj; 
    end
    
    Rele(:,inod,indx_p) = Rele(:,inod,indx_p) - ( ... 
        N(inod)*(rho_m.*div_u+u_grho_m+(rho_m-rho_m_old)/dt) ...      % continuity Galerkin
        ).*xsj; 

end