% 
%  handle_prop_elem
%

if strcmp(ijob,'get')
    
    % get_prop_elem
    
%%%%%%%%%%%%%% PROPIEDADES DEL MATERIAL 

rho        = prop(1);
visco      = prop(2);
gravity    = prop(3);
npg        = prop(4);
weak_form  = prop(5);
Cou        = prop(6);
shocap     = prop(7);
axisim     = prop(8);
dt         = prop(13);
tau_factor = prop(9);
ttime      = prop(15);

nphases    = prop(16);
g_dir      = prop(17);
vslip      = prop(18);
nu_vf      = prop(19);
Sct_vf     = prop(20);
rho_g      = prop(21);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
elseif strcmp(ijob,'set'),
    
    %  set_prop_elem

 prop(1) =  rho  ;
 prop(2) =  visco;
 prop(3) =  gravity;
 prop(4) =  npg;
 prop(5)  = weak_form;
 prop(6)  = Cou ;
 prop(7)  = shocap ;
 prop(8)  = axisim ;
 if exist('tau_factor','var')==0,
     tau_factor = 1;
 end
 prop(9)  = tau_factor;
 if exist('dt','var')>0,
     prop(13) = dt;      
  end

 if exist('ttime','var')>0,
     prop(15) = ttime;      
 else
     ttime = 0;
     prop(15) = ttime;
  end

  prop(16) = nphases ;  
  prop(17) = g_dir ;
  prop(18) = vslip ;
  
  prop(19) = nu_vf ;
  prop(20) = Sct_vf;
  prop(21) = rho_g;  
  
else
    error(' Bad ijob choice for HANDLE_PROP_ELEM')
end
