function Res_eq = Res_vslip(X)

global vslip_data prop

tol = 1e-3;
alpha_g = vslip_data.alpha_g;
grad_p  = vslip_data.grad_p;

ijob = 'get';
handle_prop_elem;

uno = ones(1,length(alpha_g));
alpha_g = max([alpha_g';tol*uno])';
alpha_g = min([alpha_g';(1-tol)*uno])';
alpha_l = (1-alpha_g);
visco_l = visco;
rho_l   = rho;

if 0
    C_ab = 150*(alpha_g.^2./alpha_l)*visco_l/dp^2+1.75*rho_l*alpha_g/dp; 
    F_drag = C_ab.*abs(X).*X;    
    Res_eq = -alpha_g.*grad_p-F_drag+rho_g*alpha_g*gravity;
elseif 0
    C_ab = 150*(alpha_g./alpha_l)*visco_l/dp^2+1.75*rho_l/dp; 
    F_drag = C_ab.*abs(X).*X;    
    Res_eq = (-grad_p-F_drag+rho_g*gravity);    
else
    Re = rho_l*abs(X)*dp/visco_l;
    C_ab = (17.3 ./Re +0.336)*rho_l/dp;
    F_drag = C_ab.*abs(X).*X .*alpha_l.^(-1.8) ;        
    Res_eq = -grad_p-F_drag+rho_g*gravity;    
end

%disp('Res_vslip');keyboard;pause