if length(eles)>0,    
    nsi_tet_ele;
end

if isempty(bou_data_neumann)==0,
    [Rele,Kele] = bc_neumann_nsi_tet(xnod,icone,Ue,bou_data_neumann,Rele,Kele,axisim,prop);
end

%keyboard;pause

% scalar transport equations
reac   = zeros(numel,1);
source = zeros(numel,1); 

if 0
    Vel_d = Up(:,indx_v);
    Vel_d(:,g_dir) = Vel_d(:,g_dir) + vslip;    
    veloc  = Vel_d;
else
    veloc = Up(:,indx_v_d);
end

T      = Up(:,indx_vf);
Told   = Upold(:,indx_vf);

if (weak_form) | (~isempty(teco)),
    % ------ Terminos de contorno
    eles = (1:numel)';  
    ceros = zeros(length(eles),nen);
    Te = ceros;   
    vele = zeros(length(eles),nen,ndm);  
    for inod=1:nen,
        nodes = icone(eles,inod);
        Te(:,inod) = T(nodes);
        vele(:,inod,1:ndm) = veloc(nodes,1:ndm);       
    end
    
    % Convective heat flux at boundary
    %------------------------------------------------------------------
    if ~isempty(teco), 
        Ktmp = Kele(:,:,indx_vf,:,indx_vf);
        Rtmp = Rele(:,:,indx_vf);
        [Ktmp,Rtmp] = bc_teco_advdif_2d(xnod,icone,Te,teco,Ktmp,Rtmp,axisim);
        Kele(:,:,indx_vf,:,indx_vf) = Ktmp;
        Rele(:,:,indx_vf) = Rtmp;        
    end
    
    if weak_form,
        Ktmp = Kele(:,:,indx_vf,:,indx_vf);
        Rtmp = Rele(:,:,indx_vf);        
        [Rtmp,Ktmp] = bcconv_advdif_2d(xnod,icone,vele,Te,ifaceb,Rtmp,Ktmp,axisim);
        Kele(:,:,indx_vf,:,indx_vf) = Ktmp;
        Rele(:,:,indx_vf) = Rtmp;                
    end
end
%==========================================================================
