iter = 0;
jter = 0;
sigma_jter = 100;
lconv = 1;
jtermax = 0;
relax0 = 0.01;
tol    = 1e-12;
itermax = 1000;
phi = phi0;

while lconv
    iter=iter+1;
    jter=jter+1;
    if iter==1, phi0 = phi; end
    
%    [Kg,Rg] = get_num_jacobian('r_poise_mf',phi);    
    [Kg,Rg] = get_num_jacobian(file_res,phi);    
    
    if 0,
        free = [3+(1:2*3),12+(1:2*3)];    
        Kg = Kg(free,free);
        Rg = Rg(free);
    end
    relax = min(relax0 + tanh(jter/sigma_jter),1);
    dphi = relax*inv(Kg)*Rg;    
    
    phi=phi+dphi;
    
    if iter==1, Rg0=Rg; Rgh=[]; end 
    Rgh = [Rgh;[relax,norm(Rg)]];
    lconv = (norm(dphi)>tol)&(iter<itermax);
    %        lconv = (norm(dphi)>tol);        
    %        disp([' || dphi || = ' num2str(norm(dphi))])
    disp([' || Rg || = ' num2str(norm(Rg))])
    
    %phi,pause
    
    if (iter>500 & norm(Rg)>norm(Rg0))            
        %            if iter>10,
        disp(' poise multiphase , problems with convergence ');keyboard;pause                    
        %            else
        %                phi = phi0;
        %                iter=0;
        %                jter = 0;
        %                sigma_jter = 20;
        %                relax0 = 0.1*relax0;
        %                lconv = 1;
        %            end
    end
    
end
