%----------------------------------------------------------------------
%
%          Fichero de datos
%
%----------------------------------------------------------------------

caso  = 3;

if caso==0,
    pipe_bubbly
elseif caso==1,
    column_bubbly;            
elseif caso==2,
    tee_bubbly;                
elseif caso==3,
    water_faucet;                    
else
   error(' MALA ELECCION DEL CASO A TRATAR')
end

% Type_solver ------>  [ 0 ]  standard - directo con relajacion (relax)
%                      [ 1 ]  line-search
%                      [ 2 ]  explicito
%                      [ 3 ]  GMRES

limit       =   1e-08;
dt          = 0.0001 ;
type_solver = 0;
relax       = 1;     % parametro de relajacion fijo para type_solver=0
nu_max      = 1;	  % numero maximo de iteraciones por paso de tiempo
alfa_min    = 0.01;  % para linesearch
alpha       = 1;     % grado de implicitud (1/2 Cranck-Nicholson)
ntime       = 2;     % numero de pasos de tiempo
nstep       = 1;     % guarda solucion cada nstep pasos de tiempo
scaling     = 0;     % scaling equations at solver for better conditioning of the system
nplot       = 1;

if caso==0 ,
   alpha       = 1;
   dt          = 0.01;
   type_solver = 0;
   relax       = 1;     
   nu_max      = 3;  
   alfa_min    = 0.01;  
   ntime       = 1;   
   nstep       = 2;     
   nsave       = 5;   
   dtmin       = dt;
   dtmax       = dt;   
   nplot       = 1;      
elseif caso==1
   alpha       = 1;
   dt          = 0.01;
   type_solver = 0;
   relax       = 1;     
   nu_max      = 3;  
   alfa_min    = 0.01;  
   ntime       = 1;   
   nstep       = 2;     
   nsave       = 5;   
   dtmin       = dt;
   dtmax       = dt;   
   nplot       = 1;      
elseif caso==3
   alpha       = 1;
   dt          = 0.0001;
   type_solver = 0;
   relax       = 1;     
   nu_max      = 3;  
   alfa_min    = 0.01;  
   ntime       = 1;   
   nstep       = 2;     
   nsave       = 5;   
   dtmin       = dt;
   dtmax       = dt;   
   nplot       = 1;         
else
   alpha       = 1;
   dt          = 2^(-6);
   type_solver = 0;
   relax       = 1;     
   nu_max      = 2;  
   alfa_min    = 0.01;  
   ntime       = 1;   
   nstep       = 10;     
   nsave       = 10;   
   dtmin       = dt;
   dtmax       = dt;   
   nplot       = 1;    
end

prop(12) = limit    ;
prop(13)  = dt    ; % paso de tiempo
prop(14)  = alpha ; % grado de implicitud  

prop_solver = [type_solver,relax,nu_max,alfa_min,alpha,ntime,nstep,scaling];