function rho_m = compute_rho_m(alpha_g,rho_l,rho_g)
%
%     rho_m = compute_rho_m(alpha_g,rho_l,rho_g)
%
%     mixture density computation (for two phase flows)
%

alpha_g = max([0*alpha_g';alpha_g'])';
alpha_g = min([ones(1,length(alpha_g));alpha_g'])';

alpha_l = 1-alpha_g;

rho_m = rho_l*alpha_l+rho_g*alpha_g;
