%
%  compute the mixture compressibility
% 

rho_L = 1000;
rho_G = 1;
alpha_G = (0.001:0.001:0.999)';
alpha_L = 1-alpha_G;
rho_M = alpha_L*rho_L+alpha_G*rho_G;

a_G   = 350;
kappa_G = a_G^2;

a_L_v   = [500,1000,1500,2000,1e4,1e5,1e6,1e7,1e15];
bfh = [];
for a_L = a_L_v,
    kappa_L = a_L^2;
    kappa_M = (alpha_L./(rho_L*kappa_L) + alpha_G./(rho_G*kappa_G)).^(-1).*rho_M.^(-1);   
    bfh = [ bfh , kappa_M];
end

semilogy(alpha_G,bfh);title([' Mixture compressibility with ' ' a_L=' num2str(a_L) ' and a_G=' num2str(a_G) ])