

Upg_p = phi(2:5:end,:);
Upg_p(:,indx_g_vel(1))=1e-6;
Upg_p(:,indx_l_vel(1))=1e-6;

[rho_g,rho_l,drho_g_dp,drho_l_dp] = get_density(Upg_p,prop,2);
[H,Cp,Cpi] = enthalpy_function(Upg_p,prop,rho_g,rho_l,drho_g_dp,drho_l_dp);

N = size(Upg_p,1);

Cp_num = zeros(N,ndf,ndf);
for k1=1:ndf
    Upg_p_pert = Upg_p;
    Upg_p_pert(:,k1) = Upg_p(:,k1)*(1+1e-7);
    [rho_g,rho_l,drho_g_dp,drho_l_dp] = get_density(Upg_p_pert,prop,2);    
    [Hp,bas,bas] = enthalpy_function(Upg_p_pert,prop,rho_g,rho_l,drho_g_dp,drho_l_dp);
    
    Upg_p_pert = Upg_p;
    Upg_p_pert(:,k1) = Upg_p(:,k1)*(1-1e-7);
    [rho_g,rho_l,drho_g_dp,drho_l_dp] = get_density(Upg_p_pert,prop,2);        
    [Hm,bas,bas] = enthalpy_function(Upg_p_pert,prop,rho_g,rho_l,drho_g_dp,drho_l_dp);
    
    delta_U = Upg_p(:,k1)*1e-7;
    Cp_num(:,:,k1) = (Hp-Hm)./(2*delta_U*ones(1,ndf));

end
