
flag = 0;
if exist('gp_reduced','var')==1, flag=1; end
if nen==3 & flag, error(' Not possible to reduce Gauss Point with simplices'); end

if nen==3,
   if npg==3,npg=7;end
   if npg==2,npg=3;end
elseif nen==4,   
   if flag==0,
      if npg==2, npg=4; end
      if npg==3, npg=9; end
   end   
else
   error(' Bad choice of Gauss point number ')
end

% Puntos de Gauss para elementos cuadrangulares y triangulares
%------------------------------------------------------------------
if nen==4,
   if flag==0,
      if npg==4,
         xpg  = sqrt(3)/3;
         psipg = [ -xpg xpg xpg -xpg ];
         etapg = [ -xpg -xpg xpg xpg ];
         wpg   = [    1   1   1    1 ];
      elseif npg==1,
         xpg  = 0;
         psipg = [ xpg ];
         etapg = [ xpg ];
         wpg   = [   4 ];
      elseif npg==9,
         psipg = sqrt(0.6)*[-1,1,1,-1,0,1,0,-1,0];
         etapg = sqrt(0.6)*[-1,-1,1,1,-1,0,1,0,0];
         wpg   = (1/81)*[25*ones(1,4),40*ones(1,4),64];
      end
   else
      if gp_reduced==1,
         if npg==2,
            xpg  = sqrt(3)/3;
            psipg = [ -xpg xpg ];
            etapg = [ 0 0 ];
            wpg   = [ 2 2 ];
         elseif npg==3,
            psipg = sqrt(0.6)*[-1,0,1];
            etapg = sqrt(0.6)*[0,0,0];         
            wpg   = (1/81)*[90,144,90];
         end         
      else
         if npg==2,
            xpg  = sqrt(3)/3;
            etapg = [ -xpg xpg ];
            psipg = [ 0 0 ];
            wpg   = [ 2 2 ];
         elseif npg==3,
            etapg = sqrt(0.6)*[-1,0,1];
            psipg = sqrt(0.6)*[0,0,0];         
            wpg   = (1/81)*[90,144,90];
         end                  
      end
   end
else
   if npg==3,
      psipg = [ 1/6  2/3  1/6 ];
      etapg = [ 1/6  1/6  2/3 ];
      wpg   = [ 1/6  1/6  1/6 ];
   elseif npg==1,      
      psipg = [ 1/3 ];
      etapg = [ 1/3 ];      
      wpg   = [ 1/2 ];
   end
end
