%
%  interp_contraint :
%
%  funcion que restringe los nodos irregulares cuyos padres estan ambos restringidos
%  
%  esta se aplica por ahora solo al caso en que restringimos varios gdl del mismo nodo
%

[nrows,ncols]=size(cons);
icol = (2:3:ncols);
vmax = max(sum(abs(diff(cons(:,icol)')))');
if vmax>0, error(' CONSTRAINTS REFINEMENT ONLY FOR SEVERAL DOFS OF THE SAME NODE '); end

cons_ref = cons;
if isempty(cons_ref)==0,
    nodes_cons = cons(:,2);
    for k=1:length(nodes_irreg)    
        n1 = find(nodes_cons==nodes_father(k,1));
        n2 = find(nodes_cons==nodes_father(k,2));
        if isempty(n1)==0 & isempty(n2)==0,
            ni = find(nodes_cons==nodes_irreg(k));
            if isempty(ni)==1,
                vaux   = cons(n1,:);
                vaux(2:3:end)= nodes_irreg(k);
                cons_ref = [cons_ref;vaux]; 
            end
        end
    end
end
return

cons_array = zeros(numnp,ndof);
for idof=1:ndof
    
    vaux = prod([fixa_array(nodes_father(:,1),idof) , fixa_array(nodes_father(:,2),idof)]')';
    nn = find(vaux>0);
    if isempty(nn)==0,
        fixa_array(nodes_irreg(nn),idof)=1;
        value_array(nodes_irreg(nn),idof)=0.5*(value_array(nodes_father(nn,1),idof)+value_array(nodes_father(nn,2),idof));
    end
end    
