function [] = meshref(filename,eles_to_ref,level_ref)

if level_ref ==0, 
    inicia=1; 
else
    inicia=0;
end

xnod       = load([filename '.nod.tmp']);    
icone      = load([filename '.con.tmp']);       

% despues no va mas esto
if exist([filename '.state.tmp'],'file')==2,state = load([filename '.state.tmp']);end

[numnp,ndm]=size(xnod);
[numel,nen]=size(icone);    

if 1,
    % find ficticious nodes
    mark=zeros(numnp,1);
    for k=1:nen
        mark(icone(:,k))=1;
    end
    nodes_fict = find(mark==0);
    nodes_real = (1:numnp)';
    nodes_real(nodes_fict)=[];
    icone_fict = [];
    fixa_fict = [];
    if isempty(nodes_fict)==0,
        icone_fict  = load([filename '.con-fict.tmp']);
        fixa_fict = load([filename '.fixa-fict.tmp']);                    
    end
    
    save malla_old xnod icone nodes_real nodes_fict
    
    fixa = [];
    if exist([filename '.fixa.tmp'],'file')==2,fixa = load([filename '.fixa.tmp']);end
    cons = [];
    if exist([filename '.constraint.tmp'],'file')==2,cons = load([filename '.constraint.tmp']);end
    bcconv = [];
    if exist([filename '.bcconv.tmp'],'file')==2,bcconv = load([filename '.bcconv.tmp']);end
    if exist([filename '.state.tmp'],'file')==2,state = load([filename '.state.tmp']);end
end

if inicia==1,
    [numnp,ndm]=size(xnod);
    [numel,nen]=size(icone);
    %========================================================================
    ele_edges = get_ele_edges_array(xnod,icone);
    %========================================================================
    % remove duplicate edges
    nedges = max(max(ele_edges));
    map_edges = rmdbedge(icone,ele_edges,ndm,nedges);
    %========================================================================
    % map array ele_edges
    for m=1:nen,
        edge = ele_edges(:,m);
        new_edge = map_edges(edge);        
        ele_edges_new(:,m) = new_edge ; 
    end        
    ele_edges   = ele_edges_new;
    nedges = max(max(ele_edges));
    edges = zeros(nedges,1);
    edges_father = get_edges_nodes(icone,ele_edges,ndm);
    eles_level_ref = zeros(numel,1);
    [ifaceb,nodes_bou_ref] = pfbou2d(xnod,icone,1); 
    
    filesave = [filename '-ref_' num2str(level_ref)];    
    eval(['save ' filesave ])
    
else
    filesave = [filename '-ref_' num2str(level_ref)];
    eval(['load ' filesave ])    
end

ndof = length(state(1,:));
[numnp,ndm]=size(xnod);
[numel,nen]=size(icone);

if 0,
    %========================================================================
    % refinement
    eles_to_ref=[];
    xc=xc_ele(xnod,icone);
    xmax = max(xnod);
    xmin = min(xnod);
    xref = (xmin+xmax)/2;
    factor = 0.5^level_ref;
    %factor = 1;
    
    if 0,
        eles_to_ref = [eles_to_ref;find(xc(:,1)<factor*xref(1) & xc(:,2)<factor*xref(2))];
    elseif 0,
        radio = sqrt((xc(:,1)-xref(1)).^2+(xc(:,2)-xref(2)).^2);
        R = sqrt(sum((xmax-xmin).^2)')'/5;
        eles_to_ref = [eles_to_ref;find(radio<factor*R)];
    elseif 0,
        [fz,hsupg] = shocap_fun(xnod,icone,state(:,2:3),state(:,4));    
        fzele = zeros(numel,1);
        for k=1:nen,
            fzele = fzele + 1/nen*fz(icone(:,k));
        end
        eles_to_ref = find(fzele>0.5*factor);
    elseif 1,
        fzele = zeros(numel,1);
        mark  = zeros(numnp,1);
        nn    = find(state(nodes_real,4)<1e3);
        mark(nodes_real(nn),1) = 1;
        for k=1:nen,
            fzele = fzele + mark(icone(:,k));
        end
        eles_to_ref = [eles_to_ref;find(fzele>0)];    
    else
        xc = xc_ele(xnod,icone);
        load ptos
        N = length(curva_spline(:,1));
        min_dist = 100000*ones(1,numel);
        for k=1:N
            dd = xc - (ones(numel,1)*curva_spline(k,:));
            dist = sqrt(sum(dd'.^2));
            min_dist = min([min_dist;dist]);
        end
        eles_to_ref = find(min_dist<2e-3);
    end
end

% agregamos al conjunto de elementos a refinar sus vecinos
for k=1:1,
    add_neighour_eles_to_refine;
end

% First refinement to satisfy 1-irregular criterion
set_eles_to_refined;

% Refinamiento
if nele_news>0,
    [xnew,iconew,statenew,ele_edges_new,edges,edges_father,eles_level_ref,icone_ref_info] = ...
        refine_2d(eles_to_ref(1:nele_news),xnod,icone,state,ele_edges,edges,edges_father,eles_level_ref,level_ref);
    
    map_refinement;    
    post_refinement;
    
    [numnp,ndm]=size(xnod);
    [numel,nen]=size(icone);
    
    % Second refinement
    [xnew,iconew,statenew,ele_edges_new,edges,edges_father,eles_level_ref,icone_ref_info] = ...
        refine_2d(eles_to_ref(nele_news+1:end),xnod,icone,state,ele_edges,edges,edges_father,eles_level_ref,level_ref);
    
else
    
    [xnew,iconew,statenew,ele_edges_new,edges,edges_father,eles_level_ref,icone_ref_info] = ...
        refine_2d(eles_to_ref,xnod,icone,state,ele_edges,edges,edges_father,eles_level_ref,level_ref);
    
end

map_refinement;    
post_refinement;

level_ref = level_ref+1;
filesave = [filename '-ref_' num2str(level_ref)];

eval(['save ' filesave ' xnod icone ele_edges edges eles_level_ref level_ref state edges_father icone_ref_info constraint nodes_bou_ref fixa'])
%    fixa constraint nodes_bou_ref cons icone_fict fixa_fict '])

if 0,
    % write_refinement;
    my_fprintf([filesave '_' num2str(level_ref) '.nod.tmp'],'%20.10e %20.10e \n',xnew)
    my_fprintf([filesave '_' num2str(level_ref) '.con.tmp'],'%7i %7i %7i %7i \n',iconew)
    [nrow,ncol]=size(statenew);
    fmt = [];
    for k=1:ncol
        fmt = [fmt , ' %20.10e ' ];
    end
    fmt = [fmt , ' \n '];
    my_fprintf([filesave '_' num2str(level_ref) '.state.tmp'],fmt,statenew)
    
    my_fprintf([filesave '_' num2str(level_ref) '.fixa.tmp'],'%7i %2i %20.10e \n',fixa_ref)
    
    [nrow,ncol]=size(cons_ref);
    fmt = [];
    for k=1:ncol/3
        fmt = [fmt , ' %15.5e %7i %2i ' ];
    end
    fmt = [fmt , ' \n '];
    my_fprintf([filesave '_' num2str(level_ref) '.constraint.tmp'],fmt,cons_ref)
    
    my_fprintf([filesave '_' num2str(level_ref) '.constraint-ref.tmp'],'%15.5e %7i %2i %15.5e %7i %2i %15.5e %7i %2i \n',constraint_ref)
    
    my_fprintf([filesave '_' num2str(level_ref) '.bcconv-ref.tmp'],'%7i %7i \n',nodes_bou_ref)
    
    if isempty(nodes_fict)==0,
        my_fprintf([filesave '_' num2str(level_ref) '.con.twall-ref.tmp'],'%7i %7i \n',icone_fict_ref)
        my_fprintf([filesave '_' num2str(level_ref) '.fixa-twall-ref.tmp'],'%7i %2i %20.10e \n',fixa_fict_ref)    
    end
    
end
%========================================================================
return
