%========================================================================
% save mesh refined

figure(1);clf; pltmsh(xnew,iconew);hold on; %pause

[nodes_irreg,nodes_father] = get_all_irregular_edges(edges,edges_father,iconew,ele_edges_new,ndm);

if 1,
    
    if 1,
        [fixa_ref] = get_fixa_ref(fixa,nodes_irreg,nodes_father,numnpnew);
        fixa = fixa_ref;
        
        % tratamiento nodos ficticios
        % agrega malla de nodos ficticios si ambos padres de cada irregular esta en la malla de ficticios
        if isempty(nodes_fict)==0,
            icone_fict_ref = icone_fict;
            icone_fict_ref(:,2) = numnpnew+(1:length(nodes_fict))';
            nlast = length(icone_fict_ref(:,1));    
            node_fict_last = max(max(icone_fict_ref));
            map_fict = zeros(node_fict_last,1);     
            map_fict(icone_fict(:,2),1) = icone_fict_ref(:,2);
            
            for k=1:length(nodes_irreg)
                n1=nodes_father(k,1);
                n2=nodes_father(k,2);
                nn = find( (((icone_fict_ref(:,1)==n1) + (icone_fict_ref(:,1)==n2)) ) ==2 );
                if isempty(nn)==0,
                    icone_fict_ref(nlast+1,1:2) = [nodes_irreg(k) , node_fict_last+1];
                    nlast = nlast+1;
                    node_fict_last = node_fict_last+1;
                end
            end
            
            [fixa_fict_ref] = get_fixa_ref(fixa_fict,nodes_irreg,nodes_father,node_fict_last);
            
            xnew(icone_fict_ref(:,2),:) = xnew(icone_fict_ref(:,1),:);
            statenew(icone_fict_ref(:,2),:) = statenew(icone_fict_ref(:,1),:);     
            
        end
        
        % interpola los constraints del problema original
        if isempty(cons)==0
            interp_constraint_ref;
        end
        
    end
    mark = zeros(length(nodes_irreg),1);
    nlast = length(nodes_bou_ref(:,1));
    for k=1:length(nodes_irreg)
        n1=nodes_father(k,1);
        n2=nodes_father(k,2);
        nn = find( ((nodes_bou_ref(:,1)==n1) | (nodes_bou_ref(:,2)==n1)) & ((nodes_bou_ref(:,1)==n2) | (nodes_bou_ref(:,2)==n2)));
        if isempty(nn)==0,
            % ambos nodos padres del irregular son del contorno, entonces agrego el irregular al contorno  
            nodes_bou_ref(nlast+1,:) = [ nodes_irreg(k) , nodes_bou_ref(nn,2)];
            nodes_bou_ref(nn,:) = [nodes_bou_ref(nn,1) , nodes_irreg(k)];
            mark(k)=1;
            nlast = nlast+1;
        else
            mm = find( (nodes_bou_ref(:,1)==nodes_irreg(k) | nodes_bou_ref(:,2)==nodes_irreg(k) ));
            if isempty(mm)==0,
                % el irregular ya esta en el contorno entonces solo lo marco para no restringirlo
                mark(k)=1;
            end    
        end   
    end
    
    nn = find(mark==1);
    nodes_irreg(nn)=[];
    nodes_father(nn,:)=[];
    
    vaux = [];
    uno = ones(size(nodes_irreg));
    
    for idof=1:ndof        
        vaux = [vaux ; [uno nodes_irreg idof*uno -0.5*uno nodes_father(:,1) idof*uno -0.5*uno nodes_father(:,2) idof*uno] ];
    end
    constraint_ref = vaux;
    
    hold on;plot(xnew(nodes_irreg,1),xnew(nodes_irreg,2),'r*')
    hold on;plot(xnew(nodes_father,1),xnew(nodes_father,2),'bo')
%    pause
    
    state = statenew;
    constraint = constraint_ref;
    
    if isempty(cons)==0, cons = cons_ref; end
    if isempty(fixa_fict)==0, fixa_fict = fixa_fict_ref; end
    if isempty(icone_fict)==0,icone_fict = icone_fict_ref; end
    
end

ele_edges = ele_edges_new;
xnod = xnew;
icone = iconew;
