function map_edges = rmdbedge(icone,ele_edges,ndm,nedges)
%
%  map_edges = rmdbedge(icone,ele_edges,ndm,nedge)
%
%  edges = [n1 , n2] 
%      two nodes for each edge

[numel,nen]=size(icone);

% extraigo las aristas no usadas
%    nedges = max(max(ele_edges));
mark = zeros(nedges,1);
for k=1:nen
   iedge=ele_edges(:,k);
   mark(iedge)=1;
end

edges_no_used = find(mark==0);
edges_used    = find(mark>0);

edges_nodes     = get_edges_nodes(icone,ele_edges,ndm);

edges_nodes_tmp = edges_nodes;
if isempty(edges_no_used)==0,
   edges_nodes(edges_no_used,:)=[];
end    

% por definicion de sorting yaux = waux(iaux)
waux = sort(edges_nodes')';
[yaux,iaux] = sortrows(waux);
edges_nodes_s = edges_nodes(iaux,:);
zaux = diff(yaux);
zaux = [[1,1];zaux];
zaux = sum(zaux'.^2)';
nn = find(zaux==0);
edges_nodes_s = [edges_nodes_s, iaux];
edges_nodes_s(nn,3) = 0;
edges_nodes_s(:,4) = cumsum(edges_nodes_s(:,3)>0);
nn = find(zaux~=0);
n1 = iaux;
n2 = edges_nodes_s(:,4);
map_edges(n1,1) = n2; 

nedges_no_used = length(edges_no_used);    
imin = min(map_edges);
imax = max(map_edges); 
if imin~=1, error('RMDBEDGE IMIN .NE. 1'); end
edge_last = imax;
map_edges_tmp = map_edges;
map_edges(edges_used,1) = map_edges_tmp;
map_edges(edges_no_used,1) = edge_last+(1:nedges_no_used)';
