function [lista_sorted,ipt] = neigbour_ele_by_nodes(icone)
%
% [neigb_list,ipt] = neigbour_ele_by_nodes(icone)
%
% Esta rutina calcula los elementos que comparten cada nodo
%
% Devuelve neigb_list : vector con los elementos que comparten los nodos
% ipt : vector de punteros a la lista donde empieza el set de elementos que pertenecen a cada nodo
%
% neigb_list(ipt(j):ipt(j+1)-1) : elementos que comparten el nodo j
%  

[numel,nen]=size(icone);
%[numnp,ndm]=size(xnod);

lista = [];
for k=1:nen,
    nodos=icone(:,k);
    lista = [lista ; [nodos, (1:numel)']];
end

% calculo los punteros a la lista donde empieza el set de elementos que pertenecen a cada nodo
% lista_sorted(ipt(j):ipt(j+1)-1,2) : elementos que comparten el nodo j
[bas,ibas] = sort(lista(:,1));
lista_sorted = lista(ibas,:);
ii = diff(lista_sorted(:,1));
jj = find(ii>0);
ipt = [1;jj+1];

lista_sorted = lista_sorted(:,2);