function x=onedstr(h,n)

if length(n)==1
  gives_x=0;                    
  xi=(0:n-1)'/(n-1);
else
  gives_x=1;                    
  xi = n;
  n = length(xi);
  xi0 = min(xi);
  xi1 = max(xi);
  xi = (xi-xi0)/(xi1-xi0);
end

if any(h<0)
  disp('h has to be >0. Discarding refinement')
  h=[1 0 1];
end

if abs(h(2)-(h(1)+h(3))/2)<1e-4;
  h(2) = 0;
end

if h(2)==max(h)
  ratio=sqrt((h(2)-h(1))/(h(2)-h(3)));
  a=ratio/(1+ratio);
  sigma=a/sqrt(1-h(1)/h(2));
  sig=sigma;
  x=xi*(atanh((1-a)/sig)+atanh(a/sig))-atanh(a/sig);
  x=tanh(x)*sig+a;
elseif h(2)~=0
  ha = (h(1)+h(3))/2;
  xia = (xi(1:n-1)+xi(2:n))/2;
  H = h(1)+xia*(h(3)-h(1))+(h(2)-ha)*xia.*(1-xia)*4;
  if any(H<0) 
    disp('h results in a negative refinement. Discarding refinement')
    if gives_x
      x = xi0+(xi1-xi0)*xi;
    else
      x = onedstr([1 0 1],n);
    end
    return
  end
  xi = [0;cumsum(H)];
  x=xi/max(xi);
elseif abs(log(h(3)/h(1))) > .01
  bsa=h(3)/h(1)-1;
  x=exp(xi*log(1+bsa));
  x=(x-1)/bsa;
else 
  x=xi;
end

