function [xnod] = random_points_in_box(N,xmin,xmax,xnod_bou)
%
%   [xnod] = random_points_in_box(N,xmin,xmax,xnod_bou)
%
%   si ingresamos xnod_bou (opcional) incluye nodos especificados en el borde
%   sino solo agrega los nodos que forman los vertices de la caja
%

[bas,ndm]=size(xmin);
for k=1:ndm
    L(k)=xmax(k)-xmin(k); 
    xnod(:,k) = xmin(k)+rand(N,1)*L(k);    
end

xv = [xmin(1),xmin(2); xmax(1),xmin(2); xmax(1),xmax(2); xmin(1),xmax(2)];

if nargin>3,
    xnod=[xnod;xnod_bou];
else
    xnod = [xnod;xv];
end
