function [xnew2,iconew2,phinew2] = ref_triangles_x2(xnod,icone,phi)
%
%    [xnew,iconew,phinew2] = ref_triangles_x2(xnod,icone)
%

[numnp,ndm]=size(xnod);
[numel,nen]=size(icone);
xnew = xnod;
iconew = icone;
if nargin>2, phinew=phi; end

for k=1:nen,
    n1=k; n2=k+1; if n2>nen, n2=1; end
    m1=icone(:,n1);m2=icone(:,n2);
    xhalf=0.5*(xnod(m1,:)+xnod(m2,:));
    phihalf=0.5*(phi(m1,:)+phi(m2,:));
    xnew = [xnew;xhalf];
    phinew = [phinew;phihalf];    
    iconew(:,nen+k)=numnp+numel*(k-1)+(1:numel)';
end

vaux = iconew;
iaux = [1,4,6;4,2,5;5,3,6;6,4,5];
iconew = [];
for k=1:4,
    iconew = [iconew; vaux(:,iaux(k,:))];
end

tol = 1e-6;
[xnew2,iconew2,imap] = sew_mesh(xnew,iconew,tol);
phinew2  = phinew(imap,:);
