function [xnew,iconew] = refqx2(xnod,icone)
%
%        [xf,icof] = refqx2(xnod,icone)
%
%  Refina un quad en 2x2 quads
%

[nnod,ndm]=size(xnod);
[nele,nen]=size(icone);
i1 = icone(:,1)';
i2 = icone(:,2)';
i3 = icone(:,3)';
i4 = icone(:,4)';

x1 = xnod(i1,:);
x2 = xnod(i2,:);
x3 = xnod(i3,:);
x4 = xnod(i4,:);
x5 = (x1+x2)/2;
x6 = (x2+x3)/2;
x7 = (x3+x4)/2;
x8 = (x4+x1)/2;
x9 = (x1+x3)/2;
xf = [xnod;x5;x6;x7;x8;x9];

[xnew,irenum]=rmdbnode(xf);

i5 = nnod+(1:nele); i6=i5+nele;
i7 = i6+nele; i8=i7+nele;i9=i8+nele;
iconew = [[i1' i5' i9' i8'] ; [i5' i2' i6' i9'] ; 
          [i8' i9' i7' i4'] ; [i9' i6' i3' i7'] ];

for k=1:nen,
  iconew(:,k) = irenum(iconew(:,k));
end
