function [x_reg] = regions_in_domain(xnod,nchunks)
%
%    [x_reg] = regions_in_domain(xnod,nchunks)
%
%  Divide un dominio en regiones (quads u octs)
% 

[numnp,ndm]=size(xnod);

xmin = min(xnod);
xmax = max(xnod);
dx = xmax-xmin;
if ndm==3,
   for i=1:nchunks, xs = xmin(1)+(i-1)*dx(1)/nchunks; xe = xs+dx(1)/nchunks;
      for j=1:nchunks, ys = xmin(2)+(j-1)*dx(2)/nchunks; ye = ys+dx(2)/nchunks;
         for k=1:nchunks, zs = xmin(3)+(k-1)*dx(3)/nchunks; ze = zs+dx(3)/nchunks;
            ichunk = (k-1)*nchunks^2+(j-1)*nchunks+i;
            x1=[xs,ys,zs];   x2=[xe,ye,ze];   
            x_reg(ichunk,1:2*ndm)=[x1,x2];            
         end
      end
   end
else
   for i=1:nchunks, xs = xmin(1)+(i-1)*dx(1)/nchunks; xe = xs+dx(1)/nchunks;
      for j=1:nchunks, ys = xmin(2)+(j-1)*dx(2)/nchunks; ye = ys+dx(2)/nchunks;
         ichunk = (j-1)*nchunks+i;
         x1=[xs,ys];   x2=[xe,ye];   
         x_reg(ichunk,1:2*ndm)=[x1,x2];            
      end
   end   
end
