function Mi = row_inv_3x3(M)
%
% Mi = row_inv_3x3(M)
%
% Computes the matrices inverse only for N x 3 x 3 matrices
%

detM = row_det_3x3(M);

Mi(:,1,1) = ( M(:,2,2).*M(:,3,3)-M(:,2,3).*M(:,3,2))./detM; 
Mi(:,1,2) = (-M(:,1,2).*M(:,3,3)+M(:,1,3).*M(:,3,2))./detM;  
Mi(:,1,3) = ( M(:,1,2).*M(:,2,3)-M(:,1,3).*M(:,2,2))./detM;
Mi(:,2,1) = (-M(:,2,1).*M(:,3,3)+M(:,2,3).*M(:,3,1))./detM;  
Mi(:,2,2) = ( M(:,1,1).*M(:,3,3)-M(:,1,3).*M(:,3,1))./detM;
Mi(:,2,3) = (-M(:,1,1).*M(:,2,3)+M(:,1,3).*M(:,2,1))./detM;
Mi(:,3,1) = ( M(:,2,1).*M(:,3,2)-M(:,2,2).*M(:,3,1))./detM;
Mi(:,3,2) = (-M(:,1,1).*M(:,3,2)+M(:,1,2).*M(:,3,1))./detM;
Mi(:,3,3) = ( M(:,1,1).*M(:,2,2)-M(:,1,2).*M(:,2,1))./detM;
