%
%  suaviza la malla usando como estrategia el promedio de
%  los centroides de los elementos conectados a cada nodo movil
%

filename = 'mrcvc_1';
filename = 'camara_2';

if 1,
   eval(['load ' filename ])
else
   eval(['load ' filename '.nod'])
   eval(['xnod=' filename ';'])
   eval(['load ' filename '.con'])
   eval(['icone=' filename ';'])
end

[numnp,ndm]=size(xnod);
[numel,nen]=size(icone);

if ndm==2,
   [ifaceb,nodesb]=pfbou2d(xnod,icone,1);
else
   [ifaceb,face_con]=pfbou3d(xnod,icone,1); 
   nodesb = m2v(face_con);
end
nodesb = rmdblist(m2v(nodesb));

lista=[];
for k=1:nen
   lista = [lista;[icone(:,k),(1:numel)']];   
end

[bas,ibas] = sort(lista(:,1));
lista = lista(ibas,:);

vv     = [diff(lista(:,1));1];
ip_end = find(vv==1);
ip_sta = [1;ip_end(1:numnp-1)+1];

xc=xc_ele(xnod,icone);
omega = 0.25;

xnew = xnod;
for k=1:numnp,
   if isempty(find(nodesb==k))==1,
   eles = lista(ip_sta(k):ip_end(k),2);
   xn = sum(xc(eles,:))/length(eles);
   delta = xn-xnod(k,:);
   xnew(k,:) = xnod(k,:)+omega*delta;
   end
end
