function [xnew,iconew,unew] = sortmesh(xnod,icone,u,Nx,Ny)
%
% ordena una malla estructurada y mapea
% las conectividades y la funcion incognita
%
%     [xnew,iconew,unew] = sortmesh(xnod,icone,u,Nx,Ny)
%
[ynod,inod]=sort(xnod(:,2));
ynod = [xnod(inod,1) ynod];

knod = [];

for k=1:Ny,
  n=(k-1)*Nx+(1:Nx);
  ip = (k-1)*Nx;
  [znod,jnod]=sort(ynod(n,1));
  knod = [knod; inod(jnod+ip)];  
end

% mapeo inverso
n = length(knod);
knod1(knod) = (1:n)';

% mapeo las coordenadas nodales
xnew= xnod(knod,:);

% mapeo las conectividades
[numel,nen]=size(icone);

iconew=[];
for k=1:nen,
 iconew = [iconew knod1(icone(:,k))'];
end

% mapeo la solucion
unew = u(knod,:);
