R = 1;
N = 20;
x0 = 2*R;
angle = pi/2;
psi = (0:N)'/N; theta= -psi*angle; x=R*cos(theta); y=R*sin(theta);
c1 = [x,y];

tol = 1e-10;
mask = (theta>-pi/4); 
x = (x0)*mask             + (1-mask)*(-x0) ./ tan(theta+tol);
y = x0*tan(theta).*mask  + (1-mask)*(-x0);
c2 = [x,y];

N = 10;
psi = (0:N)'/N;
x = R + psi.^3*(x0-R); y = 0*x;
c3 = [x,y]; 
y = -R - psi.^3*(x0-R); x = 0*y;
c4 = [x,y]; 
                      
plot(c1(:,1),c1(:,2),'-*',c2(:,1),c2(:,2),'-*',c3(:,1),c3(:,2),'-*',c4(:,1),c4(:,2),'-*');
axis('square')


[xnod,icone] = gen_block_mesh(c1,c2,c3,c4);

figure(1);clf;pltmsh(xnod,icone)

