xy = [ ...
                  0                  0
   0.28906250000000  -0.34234234234234
   0.74218750000000   0.15315315315315
   0.35937500000000   0.55855855855856
   0.11250000000000  -0.73513513513513
  -0.18750000000000  -0.48648648648649
  -0.49687500000000  -0.24864864864865
  -0.36562500000000   0.07567567567568
   0.16875000000000   0.87567567567568
  -0.06562500000000   0.61621621621622
  -0.43125000000000   0.55135135135135 ];

figure(1);clf;plot(xy(:,1),xy(:,2),'o')

for k=1:length(xy(:,1)), 
   eval(['text(xy(' num2str(k) ',1),xy(' num2str(k) ',2),''' num2str(k) ''')']);
end

ico = [ ...
      1 2 3 4
   1 4 9 10
   1 10 11 8
   1 8 7 6
   1 6 5 2];

N = 5;
pltmsh(xy,ico)

[numel,nen]=size(ico);

for k=1:numel
   for kk=1:nen,
      ip1 = ico(k,kk); 
      if kk==nen, ip2=ico(k,1); else ip2=ico(k,kk+1); end      
      ref  = [1 1 1];
      hele = norm(xy(ip2,:)-xy(ip1,:));
      cc = set_nodes_in_line(xy([ip1,ip2],:),hele/N,ref);
      eval(['cc_' num2str(k) num2str(kk) '= cc;']);
   end
end

figure(1);clf
icone = [];
xnod  = [];
nlast = 0;
for k=1:numel,
   eval(['[xnod' num2str(k) ',icone' num2str(k) '] = gen_block_mesh(cc_' ...
         num2str(k) '1,flipud(cc_' num2str(k) '3),flipud(cc_' num2str(k) '4),cc_' ...
         num2str(k) '2);']);
   eval(['pltmsh(xnod' num2str(k) ',icone' num2str(k) ')']);
   eval(['xnod  = [xnod; xnod' num2str(k) '];']);
   eval(['icone = [icone; icone' num2str(k) '+nlast];']);   
   eval(['nlast = nlast + length(xnod' num2str(k) '(:,1));']);
end

[icone] = check_mesh_orientation(xnod,icone);
figure(2);clf;pltmsh(xnod,icone)

tol = 1e-10;
[xnew,iconew] = sew_mesh(xnod,icone,tol);
figure(1);clf;pltmsh(xnew,iconew)


