function [x,y,z,u]=view4d(xnod,icone,sol)
%
%     [x,y,z,u]=view4d(xnod,icone,sol)
%
% function that generate a 4D view of an unstructured 3D solution.
% [xnod,icone] : contain the coordinates and connectivities 
% [sol]        :         the solution


iii = input('Clear screen [y/n] ','s')
if iii=='y',
    clf
end

[numnp,ndm]=size(xnod);
[numel,nen]=size(icone);
%ico = icone';

%x = zeros(nen,numel);
%y = x;
%z = x;
for k=1:nen,
    x(:,k) = xnod(icone(:,k),1);
    y(:,k) = xnod(icone(:,k),2);
    z(:,k) = xnod(icone(:,k),3);
    u(:,k) = sol(icone(:,k));
end

x(:,nen+1) = xnod(icone(:,1),1);
y(:,nen+1) = xnod(icone(:,1),2);
z(:,nen+1) = xnod(icone(:,1),3);
u(:,nen+1) = sol(icone(:,1));

fill3(x',y',z',u');pause;
disp('return for shading or for ending')
shading interp;pause(0.1)
return

clf
[numnp,ndm]=size(xnod);
[numel,nen]=size(icone);
ico = icone';

x = zeros(nen,numel);
y = x;
z = x;
for k=1:numel,
    x(:,k) = xnod(ico(:,k),1);
    y(:,k) = xnod(ico(:,k),2);
    z(:,k) = xnod(ico(:,k),3);
    u(:,k) = sol(ico(:,k));
end

fill3(x,y,z,u);pause;
disp('return for shading or for ending')
shading interp
