function write_mesh(xnod,icone,fileout,ext)
%
%      write_mesh(xnod,icone,fileout,ext);
%
%  escribe la malla en el archivo fileout.nod y fileout.con
%
%  ext es opcional 
%
%  SEE ALSO write_mesh_to_gid

if nargin <4, ext=[]; end

[numel,nen]=size(icone);
[numnp,ndm]=size(xnod);

format_xnod = [];
for k=1:ndm,
   format_xnod=[format_xnod, '%20.10e'];
end
format_xnod=[format_xnod, '\n'];

format_icone = [];
for k=1:nen,
   format_icone=[format_icone, '%7i'];
end
format_icone=[format_icone, '\n'];

my_fprintf([fileout ['.nod' ext]],format_xnod,[xnod]);
my_fprintf([fileout ['.con' ext]],format_icone,[icone]);

