function wrt2feap(xnod,icone,fix,forc,material)
%---------------------------------------------------------------------
%
%      wrt2feap(xnod,icone,fix,forc,material)   
%
%---------------------------------------------------------------------
%
%  Escribe datos de la malla sobre ficheros auxiliares
%  de uso posterior por el programa FEAP
%
%     xnod   :   coordenadas nodales
%     icone  :   conectividades
%     fix    :   fijaciones
%     forc   :   flujos
%   material :   nro de material (1 por c/elemento)
%
%   NOTA:  como minimo ----->   (xnod,icone)
%          si no ingresa material adopta el mismo para todos los elementos
%---------------------------------------------------------------------
%

nnod=length(xnod(:,1));
my_fprint('COOR','%5i     %10.4f%10.4f \n',[(1:nnod)' xnod(:,1:2)]);

nele = length(icone(:,1));
if nargin<5,
my_fprint('ELEM','%5i%5i%5i%5i%5i%5i \n',...
           [(1:nele)' ones(nele,1) icone ]);
else
my_fprint('ELEM','%5i%5i%5i%5i%5i%5i \n',...
           [(1:nele)' material icone ]);
end

if nargin<3, return;end

my_fprint('BOUN','%5i     %5i%5i%5i%5i%5i \n',fix);

my_fprint('FORC','%5i     %10.4f%10.4f%10.4f%10.4f%10.4f \n',forc);


return

% POR LAS DUDAS SE NECESITE MAS ADELANTE
%------------------------------------------

my_fprint('TECO','%5i     %5i%5i \n',[ele_TECO ones(size(ele_TECO))*[2 Tamb]]);

my_fprintf('STRG', ... 
  '%5i%5i%10.5f%10.5f%10.5f%10.5f%10.4e%10.4e \n %9.4f%10.4f \n',vaux);

end