function [xnew,iconew,node_dupl] = check_mesh(xnod,icone,ijob)
%
%     [xnew,iconew,node_dupl] = check_mesh(xnod,icone,ijob)
%
%  if ijob ~=0 ---> remove nodes not conected to any element
%                   Take care with ficticious nodes for some application (turbulence, etc)
%

[numnp,ndm]      = size(xnod);
[numel,nen]      = size(icone);

% chequea si hay nodos sin usar por ningun elemento
if ijob~=0,
   mask = zeros(numnp,1);   
   for k=1:nen
      nodes=icone(:,k);
      mask(nodes) = ones(numel,1);
   end
   nn=find(mask==0);
   jpt = (1:numnp)';
   jpt(nn) = jpt(nn)+numnp;
   [bas,ibas]=sort(jpt);
   numnp_active = numnp-length(nn);
   nodes_active = bas(1:numnp_active);
   jpt(nodes_active) = (1:numnp_active)';
   xnod=xnod((nodes_active),:);
   iconew = [];
   for k=1:nen
      nodes=icone(:,k);
      nodes2=jpt(nodes);
      iconew = [iconew , nodes2];
   end
   icone = iconew;
%   keyboard;pause
end

% chequea si hay nodos duplicados
node_dupl = duplnode(xnod,icone);

jpt = zeros(numnp,1);
mask = ones(numnp,1);
mask(node_dupl)=zeros(length(node_dupl),1);

xnew = xnod;
xnew(node_dupl,:)=[];

kpt = zeros(length(xnew),1);

jj=1;
for k=1:numnp,
   if mask(k)==1,
      jpt(k)=jj;
      kpt(jj)=k;      
      jj=jj+1;      
   end
end

for k=1:length(node_dupl),
   dx(:,1) = xnew(:,1)-xnod(node_dupl(k),1);
   dx(:,2) = xnew(:,2)-xnod(node_dupl(k),2);   
   ds = sqrt(sum(dx'.^2))';
   [iv,ij] = sort(ds);
   jpt(node_dupl(k))= jpt(kpt(ij(1)));     
end

iconew = [];
for k=1:nen,
   iconew = [iconew , jpt(icone(:,k))];
end

vaux=sort(iconew');
bas=min(diff(vaux))';
nn=find(bas==0);
if length(nn)>0,
   disp(' Check the following elements (please enter to return) '),pause
   disp([' element # - nodes 1 , 2 , ... '])
   disp([nn iconew(nn,:)])
end
