function ele_face = find_ele(icone,set_nodes,ijob)
%
%     ele_face = find_ele(icone,set_nodes,ijob)
%
%    ijob = 0 (solo calcula los elementos que contienen el conjunto de nodos)
%

if ijob>0, error(' ijob > 0 not available YET ');end
if nargin <3, ijob=1;end

[numel,nen]=size(icone);
ele_face = [];

if ijob==0,
   for j=1:length(set_nodes),
      if rem(j,10)==0, disp([' j = ' num2str(j) ]); end
      node = set_nodes(j);
      nn=find(icone==node);   
      ir=fix(nn/numel);
      ic=rem(nn,numel);
      ir = (ir+1).*(ic==0)+ir.*(ic>0);
      ele_face = [ele_face;nn];
   end
   
   return
   
%mark = zeros(numel,nen);
%for k=1:nen,
%   for j=1:length(set_nodes),
%      node = set_nodes(j);
%      nn = find(icone(:,k)==node);
%      mark(nn,k) = ones(length(nn),1);
%   end   
%end
   
end


if ijob>0,
for k=1:nen,
   i1 = k; i2 = k+1; i2 = i2*(k<nen)+(k>=nen);
   mask = (mark(:,i1)==1)&(mark(:,i2)==1);
   nn = find(mask==1);
   ele_face = [ele_face ; [nn , k*ones(length(nn),1)]];
end
else
   ele_face = find(sum(mark')'==nen);
end