function eles = get_eles_by_nodes(nodes,icone,ijob)
%
%    eles = get_eles_by_nodes(nodes,icone,ijob)
%
%  Se calculan los elementos que tienen 
%     al menos 1 nodo en la lista "nodes" (ijob=0)
%     todos los nodos en la lista "nodes" (ijob~=0)
%
if nargin<3, ijob=0; end

if isempty(nodes)==1, eles=[]; return; end

[numel,nen]=size(icone);
numnp = max(max(icone));
mark = zeros(numnp,1);
mark(nodes,1)=1;
mark2 = zeros(numel,1);

if ijob==0,
   for inod=1:nen
      nn = find(mark(icone(:,inod))==1);
      mark2(nn,1)=1;
   end
   eles = find(mark2==1);
else
   for inod=1:nen
      nn = find(mark(icone(:,inod))==1);
      mark2(nn,1)=mark2(nn,1)+1;
   end
   eles = find(mark2==nen);
end

