function [IX,jdiag] = get_jdiag(icone,id,ndf)
%
%   [IX,jdiag] = get_jdiag(icone,id,ndf)
%
%   Skyline profile and jdiag
%   

[nele,nen] = size(icone);

for k=1:nele,
  for l=1:nen,
    for m=1:nen,
      i1=icone(k,m);
      i2=icone(k,l);
      IX(id((i1-1)*ndf+(1:ndf)),id((i2-1)*ndf+(1:ndf)))= ones(ndf,ndf);
    end
  end
end 

spy(IX)

[nIX,nIX]=size(IX);

jdiag   = zeros(nIX,1);
jdiag(1)=1;
for k=2:nIX,
  jdiag(k)=0;
  for l=1:k,
    if IX(k,l)~=0, jdiag(k)= k-l+1+jdiag(k-1); break ; end
  end
end