function B = getcol(A,jA)
%
%        B = getcol(A,jA)
%
% Get a set of values in matrix "A" placed at different columns 
% in a vector "B"
%              B(1:N) = A(1:N,jA(1:N))
%  
%

[nA,mA]=size(A);
B = zeros(nA,1);
jA1 = min(jA); jA2=max(jA);
for j=jA1:jA2,
  nA = find(jA==j);
  B(nA) = A(nA,j);
end