function [eles,ele_face] = geteles(nodes_list,icone)
%
%    [eles,ele_face] = geteles(nodes_list,icone)
%

   [numel,nen]=size(icone);
   mark_ele = zeros(numel,nen);
   ntop = length(nodes_list);
   for k=1:ntop
      for inod=1:nen
         nn=find(icone(:,inod)==nodes_list(k));
         mark_ele(nn,inod)=ones(length(nn),1);
      end
   end
   
   % elementos que tienen como alguno de sus nodos a aquellos
   % dentro del conjunto en nodes_list
   eles = find(sum(mark_ele')'>0);
   % elementos con alguna cara formada por los nodos en nodes_list
   ele_face = [];
   for k=1:nen
      k1 = k; k2=k+1; k2 = k2*(k2<=nen)+(k2>nen);
      nn = find(sum(mark_ele(:,[k1,k2])')'==2);
      if length(nn)>0,
         ele_face = [ele_face ; [ nn , ones(length(nn),1)*k]];
      end      
   end
   
      