function [lmin,lele] = lmin_ele(xnod,icone)
%
%  [lmin,lele] = lmin_ele(xnod,icone)
%
%  lele : longitud de cada vertice del tetra
%  lmin : la menor de las longitudes de cada vertices

[numel,nen]=size(icone);

ip = [3,2,4; 3,4,1; 4,2,1; 1,2,3];
lmin = 1e+20*ones(numel,1);
lele = [];
for k=1:4,
    nodo=icone(:,k);
    plano=icone(:,ip(k,:));
    v1 = xnod(icone(:,ip(k,2)),:)-xnod(icone(:,ip(k,1)),:);
    v2 = xnod(icone(:,ip(k,3)),:)-xnod(icone(:,ip(k,1)),:);
    no_plano = pvec(v1,v2);
    vaux = sqrt(sum(no_plano'.^2))';

    no_plano = no_plano./(vaux*ones(1,3));
    hh = xnod(nodo,:)-xnod(icone(:,ip(k,1)),:);
    hhh = sum((hh.*no_plano)')';
    lmin = min([lmin';hhh'])';
    lele = [lele, hhh];
%    keyboard;pause    
end

return
dx_ele = zeros(numel,1);
for k=1:nen
    nodos=icone(:,k);
    dx_ele = max([dx(nodos)';dx_ele'])';
end
