function [map,ipt] = map_node_to_ele(xnod,icone)
%
%   [map,ipt] = map_node_to_ele(xnod,icone)
%
%   arma un mapeo de nodes ===> elements que lo contienen
%   map es el vector que contiene los elementos 
%   ipt es un vector de punteros de cada nodo a ese map
%
%   elesmentos que tienen al nodo "a" = map(ipt(a):ipt(a+1)-1)  
%

[numnp,ndm] = size(xnod);
[numel,nen] = size(icone);

eles=(1:numel)';
vaux=[];
for k=1:nen,
   nodes = icone(eles,k);
   vaux=[vaux;[nodes , eles]];   
end

[bas,ibas]=sort(vaux(:,1));
vaux = vaux(ibas,:);
bas  = vaux(:,1); 
nn         = find(diff(bas)>0);
nn         = [1;nn+1];
map        = vaux(:,2);
nn         = [nn;length(map)+1];
ipt        = nn;

return

keyboard ;
pause



% centroide de cada elemento
xc = get_elem_center(xnod,icone);
% ordeno por cercania
xmin = min(xnod);
dxc  = xc-ones(numel,1)*xmin;
dxc  = sqrt(sum(dxc'.^2));
[bas,ibas] = sort(dxc);
ibas1(ibas)=(1:numel)';
% particion de la malla en chunks de elementos acorde a su vecindad
nele_by_chunk = 100;
nchunks = fix(numel/nele_by_chunk);
sobran = rem(numel,nele_by_chunk);
if sobran>0,
   last_eles = fix(sobran/nchunks);
   nele_by_chunk=nele_by_chunk+last_eles;
end
sobran = rem(numel,nele_by_chunk);

if 0,
ele_by_chunk = zeros(numel,1);
for k=1:nchunks,
   ipt=(k-1)*nele_by_chunk+(1:nele_by_chunk)';
   ele_by_chunk(ipt)= ones(nele_by_chunk,1)*k;
end   
end

for k=1:nen,
   iconew(:,k)=icone(ibas,k);
end

for kk=1:nele_by_chunk,
   eles = (kk:nele_by_chunk:numel);
   for k=1:nen,
      nodes = iconew(eles,k)';
      caux(nodes)=caux(nodes)+1;
      map(k,nodes)=ibas(eles);   
   end
end

for kk=1:sobran
   eles = numel-sobran+kk;
   for k=1:nen,
      nodes = iconew(eles,k);
      k,nodes,eles,ibas(eles)
      map(k,nodes)=ibas(eles);pause         
   end   
end



% pone el arreglo como vector columna, barriendo para cada nodo 
% todos los elementos que lo contienen
bas  = reshape(map,nen*numnp,1);
nn   = find(bas~=0);
bas2 = bas(nn);

mask = (map)~=0;
vv   = cumsum(sum(mask))';
vv=[1;vv+1];

keyboard;pause

% define punteros al vector [nodo --> elementos que lo contienen]
ipt = vv;
map = bas2;


if(size(map)~=(max(ipt)-1)), error(' Error [01] in map_node_to_ele');end

if(size(ipt)~=(numnp+1))   , error(' Error [02] in map_node_to_ele');end   