function aerop(z,x,cp,ltyp)
% AEROP(z,x,cp)

if nargin==3, ltyp='-r'; end

xp=real(z);
yp=imag(z);
cpmax= max2( cp);
cpmin=-max2(-cp);
Dcp=cpmax-cpmin;
c=max(xp)-min(xp);
t=(max(yp)-min(yp))/c;
yp=cpmin+(yp-max(yp))/c/(1-t)*Dcp;
axis('square')
plot(xp,yp,'-g',x,cp,ltyp)
grid
axis('normal')
