function [ierror] = check_mesh(xnod,icone)
%
%    [ierror] = check_mesh(xnod,icone)
%

[numnp,ndm]=size(xnod);
[numel,nen]=size(icone);

ierror = 0;

ierror = 1*(max(max(icone))>numnp);

edges = [];
for k=1:nen
   i1 = k; i2 = k+1; i2 = i2*(k<nen)+(k>=nen);
   edges = [edges; [icone(:,i1),icone(:,i2)]];   
end
[ifaceb]=pfbou2d(xnod,icone);
i1 = ifaceb(:,2); i2 = i1+1; i2 = i2.*(i1<nen)+(i1>=nen);
ico1 = getcol(icone(ifaceb(:,1),:),i1);
ico2 = getcol(icone(ifaceb(:,1),:),i2);

keyboard;pause

edges = [edges ; [ico1,ico2]];

edges = sort(edges')';
[bas,ip]=mksort(edges,[1,2]);
index = bas(:,2)+bas(:,1)*numnp;
nn=find(diff(index)==0);


index([nn;nn+1])=[];

ierror = 2*(length(index)>0);

ierror = 3*(max(max(icone))<numnp);

if ierror==1,
   disp(' Malla chequeada - Falla la numeracion - Faltan nodos ')
   error(' Malla chequeda - Error [01]')
elseif ierror==2,
   disp(' Malla chequeada - Falla la conectividad por aristas ')
   error(' Malla chequeda - Error [02]')
elseif ierror==3,
   disp(' Malla chequeada - Falla la numeracion - Sobran nodos ')
   error(' Malla chequeda - Error [03]')
else
   disp(' Malla chequeada - Satisface todos los criterios ');
end
   