%----------------------------------------------------
%        FeC_diag :   Dibuja el diagrama Fe-C
%----------------------------------------------------

% Puntos del diagrama

pts = [ ... 
   1   0.0    1538        ; 
   2   0.1    1495        ; 
   3   0.0    1394        ; 
   4   0.16   1495        ; 
   5   0.51   1495        ;
   6   2.08   1154        ;
   7   2.11   1148        ;
   8   4.26   1154        ;
   9   4.30   1148        ;
  10   5.00   1154        ;
  11   5.00   1148        ;
  12   5.00   1182        ;
  13   5.00   1427        ;
  14   0.00    912        ;
  15   0.0218  738        ;
  16   0.0218  727        ;
  17   0.00    600        ;
  18   0.68    738        ;
  19   0.77    727        ;
  20   5.00    738        ;
  21   5.00    727        ;
      ]; 

% Diagrama completo
chain_0   = [1;2;3;4;2;5;1;5;8;13;8;9;11;7;6;4;6;7;19;21;16;17;16;14;18;19];
% Parte peritectica (Transformacion delta)
chain_1 = [1;2;3;4;2;5;1];
% Parte eutectica
chain_2 = [chain_1;5;8;13;8;9;11;7;6;4];
% Transformacion alfa 
chain_3 = [14;15;16;17;16;19;18;14];

chain = chain_3;

xl = pts(chain,2);
yl = pts(chain,3);

clg
hold on
  line(xl,yl);
%  line(pts([5;8],2),pts([5;8],3));
%  line(pts([4;6],2),pts([4;6],3));
  line(pts([19;21],2),pts([19;21],3));
  line(pts([19;7],2),pts([19;7],3));
hold off