function r2d=pf3to2(r3d,arlist,coe)
%function r2d=pf3to2(r3d,arlist,coe)
%   obtener los reultados sobre la malla 2d producto del corte de una 3d
n2d=length(coe);
[bid,nddl]=size(r3d);
r2d=zeros(n2d,nddl);
for j=1:n2d
  n1=arlist(j,1);
  n2=arlist(j,2);
  c=coe(j);
  r2d(j,:)=(1-c)*r3d(n1,:)+c*r3d(n2,:);
end
