function srot=pfrot(s,angle,opt);
%function srot=pfrot(s,angle,opt);

angle=angle*pi/180;
coss=cos(angle);
sinn=sin(angle);

% Additive rotation matrix
if opt(1)=='x'
  ss=[1 0 0;
      0 coss -sinn;
      0 sinn coss];
elseif opt(1)=='y'
  ss=[coss  0    sinn;
      0     1    0;
      -sinn 0    coss];
elseif opt(1)=='z'
  ss=[coss -sinn 0;
      sinn coss  0;
      0    0     1];
end

%
if opt(2)=='s'
  srot=s*ss;
elseif opt(2)=='w'
  srot=ss*s;
end
