function splot(s,q,lab)
% PLOTL  Ploteo simultaneo de varias cantidades con escala automatica
%        Uso: splot(s,q,lab) 
%             s=vector de abscisas (nx1)
%             q=matriz de ordenadas (nxm)
%             lab=['<label1>';'<label2>'; ...]   Ej: lab=['x  ';'y  ';'sum']
%                   Nota: Ojo que todos los labels deben tener la misma
%                         longitud. Completar hacia atras con blancos como en
%                         el ejemplo.
%                   Por defecto: lab=['c00';'c02';'c03';...]
[lv n]=size(q);
plot(s,q), grid
if nargin~=3
  lab=[]; kkk=0;
  for k1=0:9
  for k2=0:9
    if kkk>n, break, end
    lab=[lab;'c' setstr(48+k1) setstr(48+k2)];
  end
  if kkk>n, break, end
  end
end
iscal=zeros(1:n);
for i=1:n
  t=lab(i,:);
% l=length(t);
% for k=length(t):-1:1
%   if t(k)~=' '
%      break
%   end
% end
% t(k+1:l)=[];
  is=-iscal(i);
  if is~=0
    t1=['10**'];
    if is<0
      t1=[t1 '-']; is=abs(is);
    end
    if is>9
      fd=floor(is/10); t1=[t1 setstr(48+fd)]; is=is-fd*10;
    end
    t1=[t1 setstr(48+is)];
    t=[t1 'x' t];
  end
  text(s(lv),q(lv,i),t)
end
