function UC = PV2CV(UP,gamma);
%
%  Transforma de primitivas a conservativa
%

[nnod,ndf]=size(UP);

g1 = gamma-1;
UC(:,1) = UP(:,1);
U2 = 0.0;
for idm=1:ndf-2,
   UC(:,idm+1) = UP(:,idm+1).*UP(:,1);
   U2 = U2+UP(:,idm+1).^2;
end

UC(:,ndf) = UP(:,ndf)/g1+0.5*UP(:,1).*U2;
