function sf=smooth(f,pf)
%function sf=smooth(f,pf)
% Filtrado (pasabajo) de una funcion f
% pf=parametro de filtrado   0<pf<1 
% pf=1: maximo filtrado
% pf=0: no filtrado
%     

n=length(f);
check2pw(n);
u=zeros(f);
u(n/2)=1;
teta=((1:n)/n*2-1)'*pi;
su=(-cos(teta)+1)/2;
su=exp(-su/pf*(1-pf));
su=su/sum(su);

sf=takereal(ifft(fft(f).*fft(su)./fft(u)));
