function  start=stati(percent,start,min)
% start=STATI(percent,start,min)
%     retorna cada min minutos un cartel indicando el prcentaja dado de un
%     trabajo
if percent==0
   start=[clock 0];
   disp(['STATI: starting....   current time is: ' ...
       num2str(start(4)) 'hs ' num2str(start(5)) ' min'])
   return
elseif start(7)==-2 | start(7)>0
   if nargin==2, min=1; end
   st=start(1:6); steps=start(7);
   emin=etime(clock,st)/60;
   cstep=floor(emin/min);
   if cstep>steps & cstep>0
      start(7)=cstep;
      tprev=clock; tpm=fix(tprev(5)+emin/percent*(1-percent)); 
      ih=floor(tpm/60); tpm=tpm-ih*60;
      tph=tprev(4)+ih;
      td=['elapsed min:' num2str(emin) ...
          '    work done:' num2str(percent*100) '%' ...
          '    finish by:' num2str(tph) 'hs ' num2str(tpm) 'min'];
      disp(td)
   end
   return
elseif start(7)==0
   start(7)=-1;
   return
elseif start(7)==-1
   if nargin==2, min=1; end
   st=start(1:6);
   start(7)=-2;
   emin=etime(clock,st)/60;
   tprev=clock; tpm=fix(tprev(5)+emin/percent*(1-percent)); 
   ih=floor(tpm/60); tpm=tpm-ih*60;
   tph=tprev(4)+ih;
   td=['elapsed min:' num2str(emin) ...
       '    work done:' num2str(percent*100) '%' ...
       '    finish by:' num2str(tph) 'hs ' num2str(tpm) 'min'];
   disp(td)
   return
end
