function [x,y,z]=view3d(xnod,icone,sol,iii)
%
%  [x,y,z]=view3d(xnod,icone,sol,[...clean])
%
% function that generate a 3D view of an unstructured 2D solution.
% [xnod,icone] : contain the coordinates and connectivities 
% [sol]        :         the solution
% clean        : 'y' clear screen , else leave the board as it 
%

%iii = input('Clear screen [y/n] ','s')
if nargin <4, iii='y'; end

if iii=='y',
    clf
end

[numnp,ndm]=size(xnod);
[numel,nen]=size(icone);

%x = zeros(nen,numel);
%y = x;

for k=1:nen,
 x(k,:) = xnod(icone(:,k),1)';
 y(k,:) = xnod(icone(:,k),2)';
 z(k,:) =  sol(icone(:,k))';
end

fill3(x,y,z,z);pause(0.1)

return
