%
% script que genera datos para nuestros programas a partir de una malla de
% CFX
%

% llama rutina que el usuario usa para definir sus datos
gen_datos_pre;


fid = fopen(filename,'w');
% agregar el header del archivo
fprintf(fid,'%s \n','1128683573');
fprintf(fid,'%s \n','Version number: 5.6S');

num_surfaces = length(array_surface.nval);

fprintf(fid,'%d %d %d %d %d %d %d \n',numnp,numel_tetras,numel_prism,numel_hexas,numel_pyram,num_material,num_surfaces);
for k=1:numnp
    fprintf(fid,'%f %f %f \n',xnod(k,:));
end

fmt = [];
for k=1:nen
    fmt = [fmt , '%d '];
end
fmt = [fmt , ' \n'];

for k=1:numel
    fprintf(fid,fmt,icone(k,:));
end

fprintf(fid,'%d CREATED_MATERIAL_11 \n',numel);
for k=1:numel
    if rem(k,10)==0,
        fprintf(fid,' %d \n',k);
        new_line = 1;
    else
        fprintf(fid,' %d ',k);
        new_line=0;
    end
end
if new_line==0, 
    fprintf(fid,' \n');
end

for m=1:num_surfaces
    name  = array_surface.name(m,:);
    nval = array_surface.nval(m,1);
    if m>1,
        ip1 = sum(array_surface.nval(1:m-1))+1;
    else
        ip1 = 1;
    end    
    ip2 = sum(array_surface.nval(1:m));
    
    fprintf(fid,'%d  %s \n',nval,name);
    
    ele_p = array_surface.value(ip1:ip2,1:2);
    for k=1:nval
        if rem(k,5)==0,
            fprintf(fid,'%d %d \n',ele_p(k,:));
            new_line = 1;
        else
            fprintf(fid,'%d %d ',ele_p(k,:));        
            new_line=0;
        end
    end
    if new_line==0, 
        fprintf(fid,' \n');
    end
    
end

fclose(fid)

return

