% datos necesarios
filename = 'malla_bis_2.msh';
filename = 'malla_fcc_A.msh';

if 0

    dx = 1;
    dy = 2;
    dz = 3;
    
    xnod = [0,0,0;
        dx,0,0;
        dx,dy,0;
        0,dy,0];
    xnod = [xnod;[xnod(:,1),xnod(:,2),xnod(:,3)+dz]];
    icone = [1,2,3,4,5,6,7,8];
    
    icone = icone(:,[1,5,6,2,4,8,7,3]);
    
    [numnp,ndm] = size(xnod);
    [numel,nen] = size(icone);    
    
else 

    gen_mesh
    xnod = x3d;
    icone = icone3d;    
    [numnp,ndm] = size(xnod);
    [numel,nen] = size(icone);    
    
end

% default
numel_tetras = 0;
numel_prism  = 0;
numel_hexas  = 0;
numel_pyram  = 0; 
num_material = 1;
num_surfaces = 0;

if nen==4, 
    type_elem = 'tetras';
    numel_tetras = numel;    
elseif nen==8
    type_elem = 'hexas';        
    numel_hexas  = numel;
elseif nen==6
    type_elem = 'prism';
    numel_prism  = numel;
elseif nen==5
    type_elem = 'pyram';
    numel_pyram  = numel;
else
    error(' **** Bad type of element *** ')
end


if 0

    ele_f1 = [1,1];
    ele_f2 = [1,2];
    ele_f3 = [1,3];
    ele_f4 = [1,4];
    ele_f5 = [1,5];
    ele_f6 = [1,6];
    nele_f1 = size(ele_f1,1);
    nele_f2 = size(ele_f2,1);
    nele_f3 = size(ele_f3,1);
    nele_f4 = size(ele_f4,1);
    nele_f5 = size(ele_f5,1);
    nele_f6 = size(ele_f6,1);    

    % array de superficies
    array_surface.name  = strvcat('F1','F2','F3','F4','F5','F6');
    array_surface.nval = [nele_f1;nele_f2;nele_f3;nele_f4;nele_f5;nele_f6];
    array_surface.value = [ele_f1;ele_f2;ele_f3;ele_f4;ele_f5;ele_f6];
    
else

    gen_surface

    nele_wall = size(ele_wall,1);
    nele_out = size(ele_out,1);
    nele_in = size(ele_in,1);
    
    % array de superficies
    array_surface.name  = strvcat('PARED','SALIDA','ENTRADA');
    array_surface.nval = [nele_wall;nele_out;nele_in];
    array_surface.value = [ele_wall;ele_out;ele_in];
end

% requiere esta numeracion para entenderlo bien
icone = icone(:,[1,2,4,3,5,6,8,7]);

% fin de datos