function [psi] = x2psi(x,icone,xp)
%
%          x : coordenadas de los 3 vertices de cada triangulo
%        ico : conectividades de cada triangulo
%         xp : coordenadas del punto a interpolar
%        psi : coordenadas naturales correspondientes al pto xp
%
	  i1 = icone(:,1);i2=icone(:,2);i3=icone(:,3);
      a(:,1+(1-1)*2) = x(i2,1)-x(i1,1);
      a(:,2+(1-1)*2) = x(i2,2)-x(i1,2);
      a(:,1+(2-1)*2) = x(i3,1)-x(i1,1);
      a(:,2+(2-1)*2) = x(i3,2)-x(i1,2);
      rhs1   = xp(:,1)-x(i1,1);
      rhs2   = xp(:,2)-x(i1,2);
      det    = (a(:,1).*a(:,4)-a(:,2).*a(:,3));
      psi(:,1) = (a(:,4).*rhs1-a(:,3).*rhs2)./det;
      psi(:,2) = (a(:,1).*rhs2-a(:,2).*rhs1)./det;
