nlay = 5;
Nref = 5;

xin   = 0;
xstep = 1;
xout  = 5;
ymin  = -1;
ymax  = 1;
zmin  = 0;
zstep = 1;
zmax  = 2;

% malla 2D gruesa
xnod([1,3,6],1) = xin;
xnod([2,4,7],1) = xstep;
xnod([5,8],1)   = xout;
xnod([1,2],3)   = zmin;
xnod([3,4,5],3) = zstep;
xnod([6,7,8],3) = zmax;
xnod(1:8,2)   = ymin;
icone = [1,2,4,3; 3,4,7,6;4,5,8,7];
% malla 2D fina
[xnew,iconew] = refq2xN(xnod(:,[1,3]),icone,Nref);

% generamos layers en la direccion normal
n1 = length(xnew(:,1));
n2 = 2*n1;
xnew = [xnew(:,1),ones(n1,1)*ymin,xnew(:,2)];

xnod = xnew;
iconew = [iconew,iconew+n1];

icone = [];

for k=1:nlay
    xnod = [xnod;xnew];
    xnod(k*n1+(1:n1),2) = ymin+(ymax-ymin)/nlay*k;
    icone = [icone;iconew+(k-1)*n1];
end

% fijamos las condiciones de contorno
tol=1e-6;
% entrada
nodes_in=find(abs(xnod(:,1)-xin)<tol);
% salida
nodes_out=find(abs(xnod(:,1)-xout)<tol);
% bottom
nodes_bot_1=find(abs(xnod(:,3)-zmin)<tol);
nn=find(abs(xnod(:,3)-zstep)<tol);
mm=find(xnod(nn,1)>=xstep);
nodes_bot_2 = nn(mm);
nodes_bot = [nodes_bot_1;nodes_bot_2];
% top
nodes_top=find(abs(xnod(:,3)-zmax)<tol);
% left
nodes_lef=find(abs(xnod(:,2)-ymax)<tol);
% right
nodes_rig=find(abs(xnod(:,2)-ymin)<tol);
% step
nn=find(abs(xnod(:,1)-xstep)<tol);
mm=find(xnod(nn,3)<=zstep);
nodes_step = nn(mm);
