function [iconew]=hex_to_tet(icone,nx,ny,nz);
% function that generate tetrahedrals from hexahedral elements
%

map_0 = [ 1 3 2 6
          3 7 6 8
          6 5 1 8
          8 4 1 3
          3 8 6 1 ];

map_1 = [ 5 1 2 4  
          7 8 5 4
          2 6 5 7
          4 3 2 7 
          4 7 2 5 ];

[numel,nen]=size(icone);

iconew = [];

map = map_0;
for k=1:nz,
  iz = (1-2*rem(k,2));
  for j=1:ny,
    iy = (1-2*rem(j,2));
    for i=1:nx,
      ix = (1-2*rem(i,2));
        if ix*iy*iz == -1,map = map_1; else map = map_0; end
        ie = (k-1)*nx*ny+(j-1)*nx+i;
          iconew = [iconew ; ...
                   [ icone(ie,map(1,:));icone(ie,map(2,:));icone(ie,map(3,:)); ... 
                     icone(ie,map(4,:));icone(ie,map(5,:)) ] ] ;
    end            
  end
end

 
%for k=1:numel
%  iconew = [iconew ; ... 
%      [icone(k,map(1,:));icone(k,map(2,:));icone(k,map(3,:)); ... 
%       icone(k,map(4,:));icone(k,map(5,:)) ] ] ;
%end
%
disp(' new number of numel and amount of nodes in each element ') 
[numelnew,nen]=size(iconew),pause
