function [x,y,z]=view3d_2(xnod,icone,sol)
% function that generate a 3D view of an unstructured 2D solution.
% [xnod,icone] : contain the coordinates and connectivities 
% [sol]        :         the solution

[numnp,ndm]=size(xnod);
if ndm ~= 3 , disp('** ERROR ** ndm ~= 3 '); break;end
[numel,nen]=size(icone);
if nen ~= 8 , disp('** ERROR ** nen ~= 8 '); break;end
ico = icone(:,[1 2 3 4 1 5 6 7 8 5]);
ico = ico';
x = zeros(nen+2,numel);
y = x;
for k=1:numel,
 x(:,k) = xnod(ico(:,k),1);
 y(:,k) = xnod(ico(:,k),2);
 z(:,k) = xnod(ico(:,k),3);
 u(:,k) = sol(ico(:,k));
end

fill3(x,y,z,u);pause
