function [xnew,iconew] = refh1(xnod,N)
%
% rutina para dividir un elemento en N_x * N_y partes
% mediante una interpolacion lineal
% Usamos un grading para el macroelemento de la pared

N_x = N(1);
N_y = N(2);

[psi,eta] = meshgrid((-1:2:1),(-1:2:1));

%dpsi = 2 / (N_x-1);
%deta = 2 / (N_y-1);
%[psi1,eta1] = meshgrid((-1:dpsi:1),(-1:deta:1));

psi1 =  (0:N_x-1)'/(N_x-1);
psi1 = rot90(rot90(psi1));
%psi1=sqrt(psi1) ; 
psi1 = cos(psi1*pi);
%psi1 = psi1*2-1; 
eta1 =  (0:N_y-1)'/(N_y-1);
%eta1=sqrt(eta1) ; 
eta1 = eta1*2-1;
[psi1,eta1] = meshgrid(psi1,eta1);

xxx = xnod([1 2 ; 4 3],:);
xx  = [ xxx(1,1) xxx(2,1) ; 
        xxx(3,1) xxx(4,1) ] ;
x1=interp2(psi,eta,xx,psi1,eta1,'linear');
xx  = [ xxx(1,2) xxx(2,2) ; 
        xxx(3,2) xxx(4,2) ] ;
x2=interp2(psi,eta,xx,psi1,eta1,'linear');

xnew = [];
for k=1:N_y,
  xnew = [xnew ; [ x1(k,:)' x2(k,:)'] ];
end

iconew = [];
ico0   = [ (1:N_x-1)' (2:N_x)' ];
ico0   = [ ico0  ico0(:,[2 1])+N_x ];
for k=1:N_y-1,
  ip = (k-1)*N_x ;  
  iconew = [iconew ; ip+ico0  ] ;
end