function xc = get_elem_center(xnod,icone)
%
%   xc = get_elem_center(xnod,icone)
%
%   Compute the geometric center of a list of elements
%

[nele,nen]=size(icone);
[nnod,ndm]=size(xnod);

xc = zeros(nele,ndm);
for idm=1:ndm,   
   for k=1:nen,      
      xc(:,idm)=xc(:,idm)+xnod(icone(:,k),idm);
   end
end

xc = xc/nen;




