function [iconew,iconew2]=get_submesh_by_nodes(xnod,icone,lista_nodos)
%
%  [iconew,iconew2]=get_submesh_by_nodes(xnod,icone,lista_nodos)
%

[numel,nen]=size(icone);
if nen~=8, error(' SOLO PARA HEXAS ');end

ifaceb=pfbou3d(xnod,icone);
[nfaces,ibas] = size(ifaceb);

inoca=[1 4 3 2;
       1 2 6 5;
       2 3 7 6;
       3 4 8 7;
       4 1 5 8;
       6 7 8 5];
    
[numel,nen]=size(icone);    
[numnp,ndm]=size(xnod);    

iconew = [];
% calculo paneles del contorno
for k=1:6,
   nn=find(ifaceb(:,2)==k);
   eles = ifaceb(nn,1);
   if length(eles)>0,
   nodes = [];
   for l=1:4,
      nodes(:,l) = icone(eles,inoca(k,l));
   end   
   iconew = [iconew;nodes];
   end
end

% me quedo ademas con los paneles que tienen a la lista

[numel,nen]=size(iconew);
nlista = length(lista_nodos);
mask = zeros(numel,nen);

for l=1:nlista
   for k=1:nen,
      mask(:,k) = mask(:,k)+(iconew(:,k)==lista_nodos(l));
   end   
end

nn=find(sum(mask')'>4);
if length(nn)>0, error(' ERROR in get_submesh_by_nodes'); end
nn=find(sum(mask')'==4);

iconew2 = [];
for k=1:length(nn),
   nodes=find(mask(nn(k),:)~=0);
   iconew2(k,:)=iconew(nn(k),nodes);
end
