function [xnod,icone]=gethex0(x,y,z)
%
%     [xnod,icone]=gethex0(x,y,z)
%
%  Get a regular hexahedral mesh as a cartesian dot
%

Nx=length(x);
Ny=length(y);
Nz=length(z);

x2d=[];
for k=1:Ny,
  x2d=[x2d;[x ones(Nx,1)*y(k)]];
end

xnod=[];
for k=1:Nz,
  xnod=[xnod;[x2d ones(Nx*Ny,1)*z(k)]];
end

ico2d=[];
ico = [(1:Nx-1)' (2:Nx)' (2:Nx)'+Nx (1:Nx-1)'+Nx];
for k=1:Ny-1,
  ip = (k-1)*Nx;
  ico2d=[ico2d; ico+ip];
end

icone=[];
for k=1:Nz-1,
  ip = (k-1)*Nx*Ny; jp=k*Nx*Ny;
  icone=[icone; [ico2d+ip ico2d+jp]];
end
