function [xtet,icotet] = hex2tet(xnod,icone)
%
%    [xtet,icotet] = hex2tet(xnod,icone)
%

tol = 1e-10;
inoca = [1 4 3 2 ; 
         5 1 2 6 ;
         6 2 3 7 ;
         8 7 3 4 ;
         5 8 4 1 ;
         5 6 7 8 ];

xtet = xnod;
[nnod,ndm] = size(xnod);
[nele,nen] = size(icone);

xcc = zeros(nele,3);

for k=1:8,
  xcc= xcc+ xnod(icone(:,k),:)/8;
end
xtet = [xtet;xcc];

nlast = length(xtet(:,1));

icotet=[];
for k=1:6,
  i1 = icone(:,inoca(k,1));
  i2 = icone(:,inoca(k,2));
  i3 = icone(:,inoca(k,3));
  i4 = icone(:,inoca(k,4));
  xcf= (xnod(i1,:)+xnod(i2,:)+xnod(i3,:)+xnod(i4,:))/4; 
  xtet=[xtet;xcf];

  icotet=[icotet;[i2 i1 nnod+nele+(k-1)*nele+(1:nele)' nnod+(1:nele)']];
  icotet=[icotet;[i3 i2 nnod+nele+(k-1)*nele+(1:nele)' nnod+(1:nele)']];
  icotet=[icotet;[i4 i3 nnod+nele+(k-1)*nele+(1:nele)' nnod+(1:nele)']];
  icotet=[icotet;[i1 i4 nnod+nele+(k-1)*nele+(1:nele)' nnod+(1:nele)']];
end

% Remuevo los duplicados
nnodtet = length(xtet(:,1));
ipt = (1:nnodtet)';
node_dupl = duplnode(xtet,icotet);

nn = length(node_dupl);

disp(' nro duplicados '),nn,pause(1)

for k=1:nn,
  if rem(k,20)==0, disp(' k = '),k,pause(0.1);end
%  dx = [];
%  dx(:,1) = xtet(:,1)-xtet(node_dupl(k),1);
%  dx = [dx , xtet(:,2)-xtet(node_dupl(k),2) ];
%  dx = [dx , xtet(:,3)-xtet(node_dupl(k),3) ];
%  distan = sqrt(dx(:,1).^2+dx(:,2).^2+dx(:,3).^2);

  dx = [xtet(:,1)-xtet(node_dupl(k),1) , ...
        xtet(:,2)-xtet(node_dupl(k),2) , ...
        xtet(:,3)-xtet(node_dupl(k),3) ];
  distan = sqrt(sum(dx'.^2))';

  n1 = find(distan<tol);
  nn = find(n1~=node_dupl(k)); n1=n1(nn);
  if length(n1)~=1,
    error('hex2tet [111] ');
  end
  ipt(node_dupl(k),1)=n1;
end

for k=1:4,
  icotet(:,k) = ipt(icotet(:,k));
end

ns   = 0;
ytet = 0*xtet;
jpt  = 0*ipt;
for k=1:nnodtet,
  if k==ipt(k),
     ns=ns+1; jpt(k,1)= ns;
	 ytet(ns,:)=xtet(k,:);
  else
%     keyboard;pause
     jpt(k,1) = -jpt(ipt(k),1);
  end
end

for k=1:4,
  icotet(:,k) = abs(jpt(icotet(:,k),1));
end

%xtet(abs(jpt),1) = xtet(:,1);
%xtet(abs(jpt),2) = xtet(:,2);
%xtet(abs(jpt),3) = xtet(:,3);
%nn = find(jpt<0);
%xtet(nn,:)=[];
ytet(ns+1:nnodtet,:)=[];
xtet=ytet;