function [ifaceb,nodes_bou] = pfbou3d3(xnod,icone)
%
%    [ifaceb,nodes_bou] = pfbou3d3(xnod,icone)
%

tol = 1e-10;

[nnod,ndm] = size(xnod);
[nele,nen] = size(icone);

if nen==8,
inoca = [1 4 3 2 ; 
         1 2 6 5 ;
         6 2 3 7 ;
         8 7 3 4 ;
         1 5 8 4 ;
         8 5 6 7 ];
elseif nen==4,
inoca = [1 2 4 ; 
         2 3 4 ;
         1 4 3 ;
         1 3 2 ];
else
inoca = [1 3 2 0 ; 
         1 2 5 4 ;
         2 3 6 5 ;
         1 4 6 3 ;
         4 5 6 0 ];
end

[nface,mface]=size(inoca);

array = [];
for k=1:nface,
   mm = mface;
   if (nen==6)&(k==1 | k==5), mm=3;end
   vaux = [];
   for m=1:mm
      vaux = [vaux , icone(:,inoca(k,m))];
   end
   array = [array ; [(1:nele)' , k*ones(nele,1) , vaux]];   
end

% Ordeno nodos por cara por orden decreciente 
  ip = 2+(1:mface);
  vaux  = array(:,ip);
  vaux = sort(vaux')';
  array(:,ip) = vaux;
  
  array = [array , sum(array(:,ip)')' , prod((array(:,ip))')' ];
  [vaux,iii] = sortrows(array,mface+2+(1:2));  % rutina de Matlab
  
  vaux = [vaux ; vaux(1,:)];
  
  vaux2 = diff(vaux(:,mface+2+(1:2)));
  nn = find(sum(vaux2')'==0);
  nn = [nn;nn+1];
  vaux(nn,:)=[];
  nl = length(vaux(:,1));
  vaux(nl,:)=[];
  
  ifaceb = vaux(:,1:2);
  
  if (nen==6) error(' QUEDA PENDIENTE VER COMO DEVUELVE LOS NODOS DE LA FRONTERA ');end
  
  nodes_bou = [];
  for m=1:mface     
     cols = inoca(ifaceb(:,2),m);
     nodes_bou = [nodes_bou ; getcol(icone(ifaceb(:,1),:),cols) ] ;
  end
  
  [nodes_bou] = rmdblist(nodes_bou);
  
