function [xnew,iconew] = refq2xN(xnod,icone,N)
%
%        [xf,icof] = refq2xN(xnod,icone)
%
%       Refina un quad (2D) en NxN quads
%

[nnod,ndm]=size(xnod);
[nele,nen]=size(icone);

% Calculo de las funciones de forma del elemento master
 psi = (-1:2/N:1); 

 x1 = [psi' , zeros(N+1,1)];
 x2 = [zeros(N+1,1) , psi'];

 xnew=[];
 iconew=[];

for k=1:nele,
  
  nodes = icone(k,:);

% genero un quad master de NxN
  [xq,icoq] = qq3d(x1,x2);

% transformacion inversa al quad original

  Nj(:,1)  = 0.25*(1-xq(:,1)).*(1-xq(:,2));
  Nj(:,2)  = 0.25*(1+xq(:,1)).*(1-xq(:,2));
  Nj(:,3)  = 0.25*(1+xq(:,1)).*(1+xq(:,2));
  Nj(:,4)  = 0.25*(1-xq(:,1)).*(1+xq(:,2));
  xx=0;yy=0;
  for j=1:nen,
    xx = xx + Nj(:,j)*xnod(nodes(j),1);
    yy = yy + Nj(:,j)*xnod(nodes(j),2);
  end

  [nnew,ndm]=size(xnew);
  xnew   = [ xnew ; [ xx , yy] ];
  iconew = [iconew ; nnew+[icoq] ];

  if 0,
     [xnew,irenum]=rmdbnode(xnew);
     for j=1:nen,
        iconew(:,j) = irenum(iconew(:,j));
     end
  end

end

[xnew,iconew] = check_mesh(xnew,iconew,1);
