function [icone_bou]=surf_mesh_connectivity(icone,ifaceb)
%
%   [icone_bou]=surf_mesh_connectivity(icone,ifaceb)
%
%   Dado un conjunto de elementos y caras pertenecientes a una
%   superficie calcular las conectividades de la malla de superficie
%

tol = 1e-10;

[nele,nen] = size(icone);

if nen==8,
inoca = [1 4 3 2 ; 
         1 2 6 5 ;
         6 2 3 7 ;
         8 7 3 4 ;
         1 5 8 4 ;
         8 5 6 7 ];
elseif nen==4,
inoca = [1 2 4 ; 
         2 3 4 ;
         1 4 3 ;
         1 3 2 ];
else
inoca = [1 3 2 0 ; 
         1 2 5 4 ;
         2 3 6 5 ;
         1 4 6 3 ;
         4 5 6 0 ];
end

[nface,mface]=size(inoca);


  if (nen==6) error(' PARA PRISMAS AUN NO HECHO ');end
  
  vaux = [];
  for m=1:mface     
     cols = inoca(ifaceb(:,2),m);
     vaux = [vaux , getcol(icone(ifaceb(:,1),:),cols) ] ;
  end
  
  icone_bou = vaux;

