function xnod=xgen1d(x_array,dx_est)
%
%    xnod=xgen1d(x_array,dx_est)
%

N       = length(x_array);
xmax    = max(x_array);
xmin    = min(x_array);
L       = xmax-xmin;
L_i     = diff(x_array);
Nx_i    = round(L_i/dx_est);
Nx_i    = max(Nx_i,4);
dx_i    = L_i/Nx_i;

xnod=[];xnod=xmin;
for k=1:N-1,
  x_start = x_array(k);
  x_end   = x_array(k+1);
  L_k     = x_end-x_start;
  psi     = (1:Nx_i(k))'/(Nx_i(k));
  psi     = psi*L_k;
  xnod    = [xnod;[psi+x_start]];
end