function [iconew] = check_mesh_orientation(xnod,icone);
%
%  [iconew] = check_mesh_orientation(xnod,icone);
%
%  check the mesh orientation ONLY for 2D, if the mesh is clockwise
%  change it to become counterclockwise
%

[numnp,ndm] = size(xnod);
[numel,nen] = size(icone);
if ndm==2,
    v1 = xnod(icone(:,2),:)-xnod(icone(:,1),:);
    v2 = xnod(icone(:,nen),:)-xnod(icone(:,1),:);
    v3 = pvec([v1,0*v1(:,1)],[v2,0*v2(:,1)]);    
    nn=find(v3(:,3)<0);
    disp([' Elementos con jacobiano negativos ' num2str(length(nn)) ' / ' num2str(numel) ])
    iconew = icone;
    iconew(nn,1:nen)=icone(nn,nen:-1:1);
else
    v1 = xnod(icone(:,2),:)-xnod(icone(:,1),:);
    v2 = xnod(icone(:,nen),:)-xnod(icone(:,1),:);
    v3 = pvec(v1,v2);    
    nodes = rmdblist(m2v(icone));
    xmin = min(xnod(nodes,:));
    xmax = max(xnod(nodes,:));
    xc   = (xmin+xmax)/2;
    v0   = xnod(icone(:,1),:)-ones(length(v1(:,1)),1)*xc;
    v30  = sum((v3.*v0)')';
    nn   = find(v30<0);
    disp([' Elementos con jacobiano negativos ' num2str(length(nn)) ' / ' num2str(numel) ])
    iconew = icone;
    iconew(nn,1:nen)=icone(nn,nen:-1:1);
end

