function [Rg,Kg]=gather(Rele,Kele,icone,nen,ndf)
%
%------------------------------------------------------------------
%        Montaje
%------------------------------------------------------------------
%
%   [Rg,Kg]=gather(Rele,Kele,icone,nen,ndf)
%


%  Kele = reshape(Kele,ne,nen,ndf,nen,ndf);
%  Rele = reshape(Rele,ne,nen*ndf);
%  [row,col,coe] = assemble(Kele,icone,ndf);

row = []; col = []; coe = [];
rowg = []; colg = []; coeg = [];
nK=ndims(Kele)-1;
for inod=1:nen,
 for idf=1:ndf,
    rowg = [rowg;(icone(:,inod)-1)*ndf+idf];
    colg = [colg;ones(length(Rele(:,1)),1)];    
    coeg = [coeg;Rele(:,inod,idf)];
    if nK==2,
       row = [row;(icone(:,inod)-1)*ndf+idf];          
       col = [col;ones(length(Rele(:,1)),1)];             
       coe = [coe;Kele(:,inod,idf)];       
    else    
       for jnod=1:nen,
          for jdf=1:ndf,
             row = [row;(icone(:,inod)-1)*ndf+idf];          
             col = [col;(icone(:,jnod)-1)*ndf+jdf];             
             coe = [coe;Kele(:,inod,idf,jnod,jdf)];
          end
       end
    end
 end
end

Rg = sparse(rowg,colg,coeg);
Kg = sparse(row,col,coe);