function [Rg,Kg] = linear_constraint(Rg,Kg,lin_con,ndf)
%
%  [Rg,Kg] = linear_constraint(Rg,Kg,lin_con,ndf)
%

lin_con=sort_lin_con(lin_con);

[nr,nc]=size(lin_con);

if rem(nc,3)~=0, error(' lin_con array is corrupted [00] '); end
nnod  = nc/3;
if nnod<2,  error(' lin_con array is corrupted [01]'); end

coef1 = lin_con(:,1);
node1 = lin_con(:,2);
dof1  = lin_con(:,3);

row=(node1-1)*ndf+dof1;
col=row;
coe=ones(nr,1);

for k=2,nnod
   coef = lin_con(:,1+3*(k-1));
   node = lin_con(:,2+3*(k-1));
   dof  = lin_con(:,3+3*(k-1));
   row=[row;(node1-1)*ndf+dof1];
   col=[col;(node-1)*ndf+dof];
   coe=[coe;coef./coef1];
end

[row0,col0,coe0]=find(Kg);
%Kg_lr = sparse(row,col,coe);
Kg = sparse([row;row0],[col;col0],[coe;coe0]);

%Kg    = [Kg;Kg_lr];

%Rg    = [Rg;zeros(nr*(nnod-1)*ndf,1)];
%[row0,col0,coe0]=find(Rg);
%[nr,nc]=size(Kg_lr);
nr = max(row);
Rg    = [Rg;zeros(nr,1)];
