type_upwind = 1; % [0] simple  [1] based on eigenvalues
type_shocap = 2; % [0] isotropico [1] anisotropico [2] anisotropico new

ne  = length(eles);

% Localizacion de las variables
%------------------------------------------------------------------

    ceros = zeros(ne,nen*ndf);
       Ue = ceros;
      U0e = ceros;
      re = zeros(ne,nen);
     vele = zeros(length(eles),nen,ndm);      
   Uenorm = zeros(ne,nen);
for inod=1:nen,
            nodes  = icone(eles,inod);
             jnod  = (inod-1)*ndf+(1:ndf);
       Ue(:,jnod)  = U(nodes,1:ndf);		 
       U0e(:,jnod) = Uold(nodes,1:ndf);   
       re(:,inod)  = xnod(nodes,1);		        
 vele(:,inod,1:ndm) = veloc(nodes,1:ndm);      
    Uenorm(:,inod) = sqrt(sum(Uold(nodes,1:ndf)'.^2)');
end

% UPWIND EN EL CENTROIDE 
%------------------------------------------------------------------
if nen==4,
  [X2S,S2X,Jaco0] = xy2st(xnod,icone(eles,:),0,0);
  [dshapex0,N0] = shape2d(X2S,0,0,nen); 
elseif nen==3,
  [X2S,S2X,Jaco0] = xy2st(xnod,icone(eles,:),1/3,1/3);
  [dshapex0,N0] = shape2d(X2S,1/3,1/3,nen); 
else
  error(' Bad type of element , nen ~=3, nen ~=4 ')
end
Upg     = zeros(ne,ndf);
dUpg    = zeros(ne,ndf,ndm);
grad_Unorm   = zeros(ne,ndm);
velpg  = zeros(ne,ndm);
for inod=1:nen,
   jnod = (inod-1)*ndf+(1:ndf);
   Upg(:,(1:ndf))    =  Upg(:,(1:ndf)) + N0(inod).*  U0e(:,jnod);
   dUpg(:,(1:ndf),1) = dUpg(:,(1:ndf),1) + ...
	          (dshapex0(:,inod,1)*ones(1,ndf)).* U0e(:,jnod);          
   dUpg(:,(1:ndf),2) = dUpg(:,(1:ndf),2)+ ...
      (dshapex0(:,inod,2)*ones(1,ndf)).* U0e(:,jnod);             
   velpg(:,1)  = velpg(:,1) +  N0(inod).* vele(:,inod,1);      
   velpg(:,2)  = velpg(:,2) +  N0(inod).* vele(:,inod,2);         
   grad_Unorm(:,1) = grad_Unorm(:,1) + dshapex0(:,inod,1).* Uenorm(:,inod);
   grad_Unorm(:,2) = grad_Unorm(:,2) + dshapex0(:,inod,2).* Uenorm(:,inod);   
end    

%[H,bas] = enthalpy_function(Upg,prop);

hele    = comp_hele(velpg,dshapex0,Jaco0,nen);
[tau,delta] = supg_advdif_system(Upg,dUpg,velpg,hele,shocap,type_upwind);

delta2 = zeros(ne,ndf,ndm,ndf,ndm);
if 0,
for idf=1:ndf
   vaux = reshape(dUpg(:,idf,:),ne,ndm);
   [visco_dcdd] = comp_tau_rgn(velpg,dshapex0,vaux);   
   delta2(:,idf,:,idf,:) = visco_dcdd;
   delta2(:,idf,2,idf,2) = delta2(:,idf,2,idf,2)+0*delta;   
   delta2(:,idf,1,idf,1) = delta2(:,idf,1,idf,1)+0*delta;         
end
elseif 0,  
for idf=1:ndf   
   vaux = grad_Unorm;
   [visco_dcdd] = comp_tau_rgn(velpg,dshapex0,vaux);   
   delta2(:,idf,:,idf,:) = visco_dcdd; 
   delta2(:,idf,2,idf,2) = delta2(:,idf,2,idf,2)+0.*delta;   
   delta2(:,idf,1,idf,1) = delta2(:,idf,1,idf,1)+0.*delta;      
end   
elseif 0,
for idf=1:ndf   
   delta2(:,idf,2,idf,2) = delta;   
   delta2(:,idf,1,idf,1) = 0.1*delta;   
end   
else
   vaux = dUpg;
   [visco_dcdd_bis] = comp_tau_rgn_bis(velpg,dshapex0,vaux);   
   delta2 = visco_dcdd_bis;     
end

[bas,Ax0,Ay0]     =  Flux_function(Upg,prop,velpg);   

%disp('Bubbly_2d_ele');keyboard;pause

% Loop sobre los puntos de Gauss
%------------------------------------------------------------------
 for ipg=1:npg
  
  [X2S,S2X,Jaco] = xy2st(xnod,icone(eles,:),psipg(ipg),etapg(ipg));
  [dshapex,N] = shape2d(X2S,psipg(ipg),etapg(ipg),nen); 

% Interpolacion en punto de Gauss
%------------------------------------------------------------------

     Upg    = zeros(ne,ndf);
    U0pg    = zeros(ne,ndf);
    dUpg    = zeros(ne,ndf,ndm);
   radpg    = zeros(ne,1);
   
  for inod=1:nen,
     jnod = (inod-1)*ndf+(1:ndf);
      Upg(:,(1:ndf))  =  Upg(:,(1:ndf)) + N(inod).*  Ue(:,jnod);
      U0pg(:,(1:ndf)) = U0pg(:,(1:ndf)) + N(inod).* U0e(:,jnod);
      radpg(:,1)      =      radpg(:,1) + N(inod).* re(:,inod);
      
      dUpg(:,(1:ndf),1)   = dUpg(:,(1:ndf),1) + ...
	          (dshapex(:,inod,1)*ones(1,ndf)).* Ue(:,jnod);
          
      dUpg(:,(1:ndf),2) = dUpg(:,(1:ndf),2)+ ...
	          (dshapex(:,inod,2)*ones(1,ndf)).* Ue(:,jnod);          
  end
  
  
  [H,Cp]     =  enthalpy_function(Upg,prop);
  [H0,bas]   =  enthalpy_function(U0pg,prop);
  
  % advective flux function  
  [Fa,Ax,Ay]     =  Flux_function(Upg,prop,velpg);   
  % reactive and source terms due to:
  % .- pressure gradient 
  % .- bouyancy forces
  % .- phase interactions drag  
  
  % DEBUG add div(vel) to test something , after this remove please
  %div_vel = dUpg(:,2,1)+dUpg(:,3,2);
  %[Fc,C]     = Cflux(Upg,grad_p,vel_l,prop);   %,div_vel);
  
  % Upg y dUpg deben tener como 2da y 3ra componentes a la velocidad   
  %[Fd]       = Dflux(Upg,dUpg,prop);  
  %[Kxx,Kxy,Kyx,Kyy] = Djac_2D(Upg,prop);
  
  % Correccion axisimetrica del jacobiano de la transformacion al elemento master
  %------------------------------------------------------------------
  xsj =  wpg(ipg) .* Jaco;
  if axisim,
     xsj = xsj.*radpg;
  end
  
  AgU = rowprod(Ax,dUpg(:,1:ndf,1),ndf,ndf,1) + ... 
        rowprod(Ay,dUpg(:,1:ndf,2),ndf,ndf,1);
  
  P_supg = zeros(ne,ndf,ndf);
  
  % P_i Petrov-Galerkin perturbation weight function
  for inod=1:nen,   
     
     % W_i = N_i + P_i
     if type_upwind==-1,
        tmpx = tau.*dshapex(:,inod,1);
        tmpy = tau.*dshapex(:,inod,2);
        for idf=1:ndf,
           for jdf=1:ndf,
              P_supg(:,idf,jdf) = tmpx.*Ax0(:,idf,jdf) + tmpy.*Ay0(:,idf,jdf) ;
           end 
        end
     elseif type_upwind==0,
        tmp = tau.*(velpg(:,1).*dshapex(:,inod,1)+velpg(:,2).*dshapex(:,inod,2));
        for idf=1:ndf,
           P_supg(:,idf,idf) = tmp;
        end
     elseif type_upwind==1,
        tmpx = rowprod(tau,Ax0,ndf,ndf,ndf);
        tmpy = rowprod(tau,Ay0,ndf,ndf,ndf);
%        tmpx = rowprod(Ax0,tau,ndf,ndf,ndf);
%        tmpy = rowprod(Ay0,tau,ndf,ndf,ndf);
        for idf=1:ndf,
           for jdf=1:ndf,
              P_supg(:,idf,jdf) = tmpx(:,idf,jdf).*dshapex(:,inod,1) + ... 
                 tmpy(:,idf,jdf).*dshapex(:,inod,2);
           end 
        end           
     else
        error('Bad type of upwind has been chosen ')
     end
  
    W_supg = P_supg;
  
     for idf=1:ndf,
        W_supg(:,idf,idf)=W_supg(:,idf,idf)+N(inod);
     end
     
     % W_i N_j term
                
        for jnod=1:nen,        
        % A_gN     
        tmpx = dshapex(:,jnod,1);
        tmpy = dshapex(:,jnod,2);
        for idf=1:ndf,
           for jdf=1:ndf,
              A_gN(:,idf,jdf,jnod) = tmpx.*Ax(:,idf,jdf) + tmpy.*Ay(:,idf,jdf) ;
           end 
        end    
        end
        
        for jnod=1:nen,
           
        % temporal terms
        W_Cp_N = rowprod(W_supg,Cp,ndf,ndf,ndf)*N(jnod) ;        
        %W_Cp_N = N(inod)*Cp*N(jnod) ;         
        
        % N_A_gN or gN_A_N according to weak form
        if weak_form,
                 N_A_gN = -A_gN(:,:,:,inod)*N(jnod);                 
        else          
                 N_A_gN =  A_gN(:,:,:,jnod)*N(inod);              
        end
        
        P_A_gN = rowprod(P_supg,A_gN(:,:,:,jnod),ndf,ndf,ndf);
        
        % shock capturing term
        gN_D_gN = zeros(numel,ndf,ndf);        
        if (shocap > 0)        
        if(type_shocap==0)
           for idf=1:ndf,
              for idm=1:ndm
                 gN_D_gN(:,idf,idf) = gN_D_gN(:,idf,idf) + ...
                    dshapex(:,inod,idm).*delta.*dshapex(:,jnod,idm);
              end
           end
        elseif(type_shocap==1)
           for idf=1:ndf,
              for idm=1:ndm
                 for jdm=1:ndm
                    gN_D_gN(:,idf,idf) = gN_D_gN(:,idf,idf) + ...
                       dshapex(:,inod,idm).*delta2(:,idf,idm,idf,jdm).*dshapex(:,jnod,jdm);
                 end
              end
           end
        else
           for idf=1:ndf,
              for jdf=1:ndf,
              for idm=1:ndm
                 for jdm=1:ndm
                    gN_D_gN(:,idf,jdf) = gN_D_gN(:,idf,jdf) + ...
                 dshapex(:,inod,idm).*delta2(:,idf,idm,jdf,jdm).*dshapex(:,jnod,jdm);
                 end
              end
              end
           end           
        end
        end
        
        if 0,
        gN_K_gN = zeros(numel,ndf,ndf);        
        for idf=1:ndf,
           for jdf=1:ndf,
              gN_K_gN(:,idf,jdf) = ...
                 -( (dshapex(:,inod,1).*Kxx(:,idf,jdf).*dshapex(:,jnod,1))+ ...
                    (dshapex(:,inod,1).*Kxy(:,idf,jdf).*dshapex(:,jnod,2))+ ...
                    (dshapex(:,inod,2).*Kyx(:,idf,jdf).*dshapex(:,jnod,1))+ ...
                    (dshapex(:,inod,2).*Kyy(:,idf,jdf).*dshapex(:,jnod,2)) );
           end             
        end
        
        % reactive terms
        W_C_N = rowprod(W_supg,C,ndf,ndf,ndf)*N(jnod) ;        
        
        % assembling
        vaux =  N_A_gN + P_A_gN + gN_D_gN - gN_K_gN + W_C_N;
        
        else
        % assembling
        vaux =  N_A_gN + P_A_gN + gN_D_gN ;

        end
        
        
        for idf=1:ndf,
           for jdf=1:ndf,              
              Mele(:,inod,idf,jnod,jdf) = Mele(:,inod,idf,jnod,jdf) + ... 
              xsj.*( W_Cp_N(:,idf,jdf) ./ dt + vaux(:,idf,jdf) );           
           end
        end
                
        end % jnod
        
        % temporal term
        W_dUdt   = rowprod(W_supg,(H-H0),ndf,ndf,1);
        %W_dUdt   = N(inod)*(H-H0);
        
        % advective fluxes
        if weak_form,
           
           gN_Fa = -(dshapex(:,inod,1)*ones(1,ndf)).*Fa(:,1:ndf,1) ... 
                   -(dshapex(:,inod,2)*ones(1,ndf)).*Fa(:,1:ndf,2);
        else
           gN_Fa = (N(inod)*ones(numel,ndf)).* AgU(:,1:ndf);
        end
        
        % stabilization SUPG terms        
        P_A_gU   = rowprod(P_supg,AgU,ndf,ndf,1);
        
        gN_D_gU = zeros(ne,ndf);        
        if(shocap>0)                
        if(type_shocap==0)
           for idf=1:ndf,
              for idm=1:ndm              
                 gN_D_gU(:,idf) = gN_D_gU(:,idf) + ...
                    dshapex(:,inod,idm).*delta.*dUpg(:,idf,idm);
              end
           end
        elseif(type_shocap==1)
           for idf=1:ndf,
              for idm=1:ndm
                 for jdm=1:ndm
                    gN_D_gU(:,idf) = gN_D_gU(:,idf) + ...
                       dshapex(:,inod,idm).*delta2(:,idf,idm,idf,jdm).*dUpg(:,idf,jdm);
                 end
              end
           end           
        else
           for idf=1:ndf,
              for jdf=1:ndf
              for idm=1:ndm
                 for jdm=1:ndm
                    gN_D_gU(:,idf) = gN_D_gU(:,idf) + ...
                       dshapex(:,inod,idm).*delta2(:,idf,idm,jdf,jdm).*dUpg(:,jdf,jdm);
                 end
              end              
              end
           end                      
        end
        
        end        
        
        if 0,
        % reactive and source terms        
        W_Fc   = rowprod(W_supg,Fc,ndf,ndf,1) ;
        
        % diffusive fluxes
        gN_Fd = -(dshapex(:,inod,1)*ones(1,ndf)).*Fd(:,1:ndf,1) ... 
           -(dshapex(:,inod,2)*ones(1,ndf)).*Fd(:,1:ndf,2);
        vaux =  gN_Fa + P_A_gU + gN_D_gU - gN_Fd + W_Fc;                
        else        
        vaux =  gN_Fa + P_A_gU + gN_D_gU ;        
        end
     
        for idf=1:ndf,
           Rele(:,inod,idf) = Rele(:,inod,idf) - ... 
                              (vaux(:,idf) +W_dUdt(:,idf) ./ dt ).* xsj ;
        end
        
  end % inod
  
end % ipg

% ------ Terminos de contorno

if weak_form,
   [Mele,Rele] = bc_conv_advdif_system(xnod,icone,Ue,ifaceb,Rele,Mele,prop);   
end

