function [iconew] = check_mesh_orientation(xnod,icone);
%
%  [iconew] = check_mesh_orientation(xnod,icone);
%
%  check the mesh orientation ONLY for 2D, if the mesh is clockwise
%  change it to become counterclockwise
%

[numel,nen] = size(icone);
v1 = xnod(icone(:,2),:)-xnod(icone(:,1),:);
v2 = xnod(icone(:,nen),:)-xnod(icone(:,1),:);
v3 = pvec([v1,0*v1(:,1)],[v2,0*v2(:,1)]);

nn=find(v3(:,3)<0);
iconew = icone;
iconew(nn,1:nen)=icone(nn,nen:-1:1);

