function [tau_ugn,h_ugn] = comp_tau_ugn(velpg,dshapex,visco)
%
%    [tau_ugn,h_ugn] = comp_tau_ugn(velpg,dshapex,visco)
%
  
  
  limit = 1e-10;
  [numel,nen,ndm] = size(dshapex);
  
  velmodpg = sqrt(sum(velpg'.^2))';
  h_ugn_star = zeros(numel,1);
  for inod=1:nen,
    h_ugn_star  = h_ugn_star + abs(velpg(:,1).*dshapex(:,inod,1)+velpg(:,2).*dshapex(:,inod,2));
  end
  
  % calculamos 1/tau_ugn_1 
  tau_ugn_1_inv = h_ugn_star;
  
  h_ugn_star  = max([h_ugn_star';ones(1,numel)*limit])';
  h_ugn       = 2*velmodpg ./ h_ugn_star;
  tau_ugn_3   = h_ugn.^2/4/visco;
  tau_ugn_3   = max([tau_ugn_3';ones(1,numel)*limit])';
  tau_ugn_3_inv = 1 ./ tau_ugn_3;
  
  tau_ugn_inv = tau_ugn_1_inv.^2+tau_ugn_3_inv.^2;
  tau_ugn     = 1 ./ sqrt(tau_ugn_inv);
