function [Lv]=bc_time_file_lift_valve(theta,theta_VO,theta_VC,Lvmax)
%
%      Lv = Lv(theta,theta_VO,theta_VC,Lvmax)
%
%   Valve lift with theta in radians
%   

angle = (theta-theta_VO)/(theta_VC-theta_VO);
Lv = Lvmax*sin(pi*angle).^2
mask = (theta>theta_VO)&(theta<theta_VC);
Lv = Lv.*mask;
