function [P1_pg,tau,difu_anis]=supg_advdif_2d(velpg,kappa,dshapex,hele, ...
                                           Tpg,dTpg,reac,source,nen,shocap,tau_fac)
%
%  [P1,tau,difu_anis]=supg_advdif_2d(velpg,kappa,dshapex,Tpg,dTpg,reac,source,nen,shocap)
%
%  en construccion 
%

ne = length(velpg(:,1));

tau  = tau_fac*supg2d(velpg,hele,kappa);

difu_anis = zeros(ne,4);             
if shocap,
    difu_supg = tau.*sum(velpg'.^2)';
    difu_anis = ... 
	   shocap2d(velpg,dTpg,Tpg,reac,source,kappa,difu_supg,hele);   
end

%disp('FEM0001');keyboard;pause

% Calculo de funciones de peso perturbadas (Petrov-Galerkin)
%------------------------------------------------------------------
  for inod=1:nen,
   P1_pg(:,inod) = tau .* ... 
    ( velpg(:,1) .*dshapex(:,inod,1) + velpg(:,2) .*dshapex(:,inod,2) );
  end 
  
  if 0,
%  metemos a gamba una funcion del tipo (SU+C)_PG en la direccion normal a la velocidad
   beta = 0.4;
   P2_pg = -beta*(1-etapg(ipg)^2); 
   mask = sqrt(sum(dTpg'.^2))'>0.1;
   P1_pg = P1_pg+P2_pg*mask*ones(1,nen);  
  end

