function [h_cyl,T_cyl] = valve_0_T_cyl(theta)
%
%   [h_cyl,T_cyl] = valve_0_T_cyl(theta)
%
%   theta in radians 
%

load T_cylinder_0.dat;  % T_cylinder_0.dat is a data file with cylinder temp history
                        % format [angle temperatura] with angle between 0 and 720 degrees
                        
                        
T_cylinder_0(:,2) = T_cylinder_0(:,2)-273;
theta = theta*180/pi;
theta = rem(theta,720);

T_cyl = interp1(T_cylinder_0(:,1),T_cylinder_0(:,2),theta);

h_cyl = 1000;
