function [row,col,coe] = assemble(Kele,icone,ndf)
%
%    [row,col,coe] = assemble(Kele)
%

if nargin==2, ndf=1;end

[numel,nen]=size(icone);

for inod=1:nen,
 for jnod=1:nen,
  for idf=1:ndf,
   for jdf=1:ndf,
    in = (((1:numel)-1)*nen^2+(inod-1)*nen+(jnod-1))*ndf^2+(idf-1)*ndf+jdf;
    row(in) = (icone(:,inod)-1)*ndf+idf;
    col(in) = (icone(:,jnod)-1)*ndf+jdf;
    coe(in) = Kele(:,((inod-1)*nen+jnod-1)*ndf^2+(idf-1)*ndf+jdf);
   end
  end
 end
end