%------------------------------------------------------------------
%                        fmushy2.m
%
% Tratamiento de los elementos en la zona mushy en el tiempo actual
% 
%
%------------------------------------------------------------------


  eles_mushy = eles;

% Puntos de Gauss para elementos triangulares

  psipg = [ 1/6  2/3  1/6 ];
  etapg = [ 1/6  1/6  2/3 ];
  wpg   = [ 1/6  1/6  1/6 ];
  npg   = 3;

[xt,icot,ico2t,ico2tt,xfather,Te,Ce,velex,veley,eles_father] = ...          
      mushyint(xnod,icone,T,C,veloc,Tm,slopel,kp,eles_mushy) ;

   ntri = length(icot(:,1));
   eles = (1:ntri)';

  Kelet = zeros(ntri,9*ndf^2);
  Relet = zeros(ntri,3*ndf);

       [fsole] = frsol2(m2v(Te),m2v(Ce),Tm,slopel,kp);
         fsole = v2m(fsole,3);

   itri_mushy = (max(fsole')>tol)&(min(fsole')<(1-tol));
   itri_mushy = [itri_mushy ; itri_mushy ; itri_mushy ]';

      [fsole,dfsdTe,dfsdCe,Cse,dCsdTe,dCsdCe] = ... 
               frsol2(m2v(Te),m2v(Ce),Tm,slopel,kp,m2v(itri_mushy));

         fsole = v2m(fsole,3);
        dfsdTe = v2m(dfsdTe,3);
        dfsdCe = v2m(dfsdCe,3);
           Cse = v2m(Cse,3);
        dCsdTe = v2m(dCsdTe,3);
        dCsdCe = v2m(dCsdCe,3);
        RgTe   = zeros(size(Te));
        RgCe   = zeros(size(Te));

  for itri=1:ntri,
   for inod=1:nen,
               nodes = icone(eles_father(itri),ico2tt(itri,inod));
     RgTe(eles(itri),inod) = Rg_old(nodes,1);
     RgCe(eles(itri),inod) = Rg_old(nodes,2);
   end
  end

if nen0==4,
  [X2S,S2X,Jaco0] = xy2st(xnod,icone(eles_father,:),0,0);
  [dNdx0,dNdy0,N] = shape(X2S,0,0,nen0); 
elseif nen0==3,
  [X2S,S2X,Jaco0] = xy2st(xnod,icone(eles_father,:),1/3,1/3);
  [dNdx0,dNdy0,N] = shape(X2S,1/3,1/3,nen0); 
else
  error(' Bad type of element , nen ~=3, nen ~=4 ')
end

      for ipg=1:npg
        [X2S,S2X,Jaco] = xy2st(xt,icot(eles,:),psipg(ipg),etapg(ipg));
        [dNdx,dNdy,N]  = shape(X2S,psipg(ipg),etapg(ipg),3); 
        ne         = ntri;
        nen        = 3;
        interpg6; 
        mushy_e    = itri_mushy(:,1);
        KyR6_ele;
      end % for ipg        

% Transformacion entre elementos triangulares

xson    = xt(m2v(icot),:);
eles = eles_father;
[Kele1,Rele1] = mapt2t(xfather,xson,Kelet,Relet,ico2tt,ntri,ndf,nen0);
               
for itri=1:ntri,
  Kele(eles(itri),:)=  Kele(eles(itri),:)+Kele1(itri,:);
  Rele(eles(itri),:)=  Rele(eles(itri),:)+Rele1(itri,:);
end


