%
%  Generacion de datos programa fem001
%

xnod=[];
icone=[];
Nx = 20;
Ny = 20;
x = (0:Nx-1)'/(Nx-1);
y = (0:Ny-1)'/(Ny-1);

%-------- coordenadas (XNOD)
for k=1:Ny,
  xnod=[xnod;[x ones(Nx,1)*y(k)]];
end

%-------- conectividades (ICONE)
ico = [ (1:Nx-1)' (2:Nx)' Nx+(2:Nx)' Nx+(1:Nx-1)'];
for k=1:Ny-1,
  icone=[icone; (k-1)*Nx+ico ];
end

%-------- fijaciones (FIXA)
[numnp,ndm]=size(xnod);
[numel,nen]=size(icone);
fixa= zeros(numnp,1);
fixa(1:Nx,1)=ones(Nx,1);
%fixa(Nx*(Ny-1)+(1:Nx),1)=ones(Nx,1);
fixa(1:Nx:Nx*Ny,1)=ones(Ny,1);
%fixa(Nx:Nx:Nx*Ny,1)=ones(Ny,1);

%-------- Cargas/Desplazamientos (FORC)
forc= zeros(numnp,1);
%forc(Nx*(Ny-1)+(2:Nx-1),1)=0.1*ones(Nx-2,1);
%forc(Nx*(Ny-1)+1,1)=0.1/2;
%forc(Nx*(Ny-1)+Nx,1)=0.1/2;
%forc(Nx*(Ny-1)+(2:Nx-1),1)=0.1*ones(Nx-2,1);

%-------- Propiedades del material
kappa =  0.01*ones(numel,1);
react =  0*ones(numel,1);
veloc =  ones(numnp,2);
%veloc(:,1) = ones(numnp,1);

%-------- Solucion inicial (PHI)
phi =zeros(numnp,1);
nodes=(1:fix(Nx/2));
phi(nodes,1)=ones(fix(Nx/2),1); 
%phi(Nx:Nx:Nx*Ny,1)=ones(Ny,1);
%phi(Nx*(Ny-1)+(1:Nx),1)=ones(Nx,1);
phi(1:Nx:Nx*Ny,1)=ones(Ny,1);