function C = mamav3(A,B)
%
% multiplica varias matrices de 3 x 3 
%

[na,ma] = size(A);
[nb,mb] = size(B);

if na~=nb | ma~=9 | mb~=9, error('mamav3');end

     C = [ A(:,1).*B(:,1)+A(:,2).*B(:,4)+A(:,3).*B(:,7) , ...
           A(:,1).*B(:,2)+A(:,2).*B(:,5)+A(:,3).*B(:,8) , ...
           A(:,1).*B(:,3)+A(:,2).*B(:,6)+A(:,3).*B(:,9) , ...
           A(:,4).*B(:,1)+A(:,5).*B(:,4)+A(:,6).*B(:,7) , ...
           A(:,4).*B(:,2)+A(:,5).*B(:,5)+A(:,6).*B(:,8) , ...
           A(:,4).*B(:,3)+A(:,5).*B(:,6)+A(:,6).*B(:,9) , ...
           A(:,7).*B(:,1)+A(:,8).*B(:,4)+A(:,9).*B(:,7) , ...
           A(:,7).*B(:,2)+A(:,8).*B(:,5)+A(:,9).*B(:,8) , ...
           A(:,7).*B(:,3)+A(:,8).*B(:,6)+A(:,9).*B(:,9) ];

