function C = mavev3(A,B)
%
% multiplica varias matrices de 3 x 3 por varios 
% vectores de 3 x 1 
%

[na,ma] = size(A);
[nb,mb] = size(B);

if na~=nb | ma~=9 | mb~=3, error('mavev3');end

     C = [ A(:,1).*B(:,1)+A(:,2).*B(:,2)+A(:,3).*B(:,3) , ...
           A(:,4).*B(:,1)+A(:,5).*B(:,2)+A(:,6).*B(:,3) , ...
           A(:,7).*B(:,1)+A(:,8).*B(:,2)+A(:,9).*B(:,3) ];

end
