function icone = tarea0(fs,type)
%
%  Tarea0 : Divide un cuadrangulo en dos triangulos
%           Si type == 1 usa como criterio que el maximo cambio de fraccion
%           solida en cada triangulo sea el minimo posible dentro 
%           de las dos alternativas posibles.  
%
%           Devuelve las conectividades de los dos triangulos 
%           generados.
%
%                   icone = tarea0(fs)
%

% las dos particiones posibles (Pt)
Pt = [ [ 1 2 4 ; 2 3 4 ] ; [ 1 2 3 ; 1 3 4 ] ];
icone = Pt(1:2,:);

if type==1,
for k=1:2,
  ico    = Pt((k-1)*2+1,:);
  fsmax  = -10;
  fsmin  = +10;
  fsmax  = max([fsmax ;max(fs(ico))]);
  fsmin  = min([fsmin ;min(fs(ico))]);
  dfs(k) = fsmax - fsmin ;
  ico    = Pt((k-1)*2+2,:);
  fsmax  = -10;
  fsmin  = +10;
  fsmax  = max([fsmax ;max(fs(ico))]);
  fsmin  = min([fsmin ;min(fs(ico))]);
  dfs(k) = min([dfs(k);(fsmax - fsmin)]) ;
end

if dfs(1)>dfs(2), icone = Pt(3:4,:); end
end