function [Kele,Rele] = bc_teco(xnod,icone,T,teco,Kele,Rele,ijob,idf,ndf)
%
% Contribucion en el contorno
%
%

[numel,nen] = size(icone);
[nteco,bas] = size(teco);

if nteco~=0,

 xpg    = sqrt(3)/3;
 psipg  = [ -xpg xpg ];
 wpg    = [   1   1  ];

% for iteco=1:nteco,

  eles_teco = teco(:,1);
  face_teco = teco(:,2);
  val1_teco = teco(:,3);
  val2_teco = teco(:,4);

  nodo_1 = face_teco;
  nodo_2 = (nodo_1+1).*(nodo_1<nen)+(nodo_1==nen);
  nodos  = [nodo_1,nodo_2];
  nodog1 = getcol(icone(eles_teco,:),nodo_1);
  nodog2 = getcol(icone(eles_teco,:),nodo_2);

  lteco  = sqrt((xnod(nodog1,1) - xnod(nodog2,1)).^2 + ... 
                (xnod(nodog1,2) - xnod(nodog2,2)).^2 );

  Te(:,1)  = T(nodog1);
  Te(:,2)  = T(nodog2);

  for ipg=1:2,

   N1     = 0.5*(1-psipg(ipg));
   N2     = 0.5*(1+psipg(ipg));
   N      = [N1 N2];

   Tpg = zeros(nteco,1);

   for inod=1:2,
     Tpg  = Tpg + N(inod)*Te(:,inod);
   end 

   for inod=1:2,
    iinod = nodos(:,inod);
    if ijob==0,
     for jnod=1:2,
      jjnod = nodos(:,jnod);
      ip=((iinod-1)*nen+(jjnod-1))*ndf^2+(idf-1)*ndf+idf;
      vaux = N(inod)* N(jnod)*wpg(ipg).*val1_teco.*(lteco/2);
%	  Kele(eles_teco,ip+1) = Kele(eles_teco,ip+1) + vaux;
	  Kele(eles_teco,:) = addcol(Kele(eles_teco,:),vaux,ip);
     end % for jnod
    end % if ijob
    vaux =  N(inod)*val1_teco.*(Tpg-val2_teco) .* (lteco/2) * wpg(ipg);
%    Rele(eles_teco,(iinod-1)*ndf+1) = Rele(eles_teco,(iinod-1)*ndf+1) - vaux;
	Rele(eles_teco,:) = addcol(Rele(eles_teco,:),-vaux,(iinod-1)*ndf+idf);
   end  % for inod

  end % puntos de Gauss del contorno

% end % for iteco

end % if teco
