
%
% aplico proyecciones periodicas y/o slip a la solucion inicial%
%-----------------------------------------------------------------

U = bini;

if isempty(peri)==0,
  [n,m]=size(peri);
  ang = zeros(length(peri(:,1)),1);
  if(m>2) ang=peri(:,3); end
   if(ndf==4),
% sobre la variable de estado
  U(peri(:,1),1)=U(peri(:,2),1);
  U(peri(:,1),4)=U(peri(:,2),4);
  U(peri(:,1),2)=U(peri(:,2),2).*cos(ang)+U(peri(:,2),3).*sin(ang);
  U(peri(:,1),3)=-U(peri(:,2),2).*sin(ang)+U(peri(:,2),3).*cos(ang);
% sobre las fijaciones  
  nn = find(fixa(peri(:,2),1)~=0);
  if isempty(nn)==0, 
     forc(peri(nn,1),1) = forc(peri(nn,2),1); 
     fixa(peri(nn,1),1) = fixa(peri(nn,2),1); 
  end
  nn = find(fixa(peri(:,2),4)~=0);
  if isempty(nn)==0, 
     forc(peri(nn,1),4) = forc(peri(nn,2),4); 
     fixa(peri(nn,1),4) = fixa(peri(nn,2),4); 
  end
  mm = find(fixa(peri(:,2),2)~=0);
  nn = [];
  if (isempty(mm)==0)nn = mm(find(fixa(peri(mm,2),3)~=0));end
  if (isempty(nn)==0), 
    forc(peri(nn,1),2)=+forc(peri(nn,2),2).*cos(ang(nn)) ...
                       +forc(peri(nn,2),3).*sin(ang(nn));
    forc(peri(nn,1),3)=-forc(peri(nn,2),2).*sin(ang(nn)) ...
                       +forc(peri(nn,2),3).*cos(ang(nn));
    fixa(peri(nn,1),2) = fixa(peri(nn,2),2); 
    fixa(peri(nn,1),3) = fixa(peri(nn,2),3); 
 end
else
% sobre la variable de estado
  U(peri(:,1),1)=U(peri(:,2),1);
% sobre las fijaciones  
  nn = find(fixa(peri(:,2),1)~=0);
  if isempty(nn)==0, 
     forc(peri(nn,1),1) = forc(peri(nn,2),1); 
     fixa(peri(nn,1),1) = fixa(peri(nn,2),1); 
  end
end
end

% calculo de datos slip
% data_slip = [ nodes_slip , normal_slip];
if (exist('slip')==1)&(isempty(slip)==0),
  [data_slip] = get_normal(xnod,icone,slip);

  nodes_slip = data_slip(:,1);
  normal_slip = data_slip(:,2:3);
  Un = U(nodes_slip,2).*normal_slip(:,1)+U(nodes_slip,3).*normal_slip(:,2);
  U(nodes_slip,2)=U(nodes_slip,2)-Un.*normal_slip(:,1);
  U(nodes_slip,3)=U(nodes_slip,3)-Un.*normal_slip(:,2);

else
  data_slip = [];
end

phi    = U;
phiold = phi;

%-------- Conversion de STRG --> FORC

if isempty(strg)==0, 
nstrg = length(strg(:,1));

for istrg=1:nstrg,

  nodos_1 = strg(istrg,1);
  nodos_2 = strg(istrg,2);
  value_1 = strg(istrg,3);
  value_2 = strg(istrg,4);

  hele    = sqrt((xnod(nodos_2,1)-xnod(nodos_1,1)).^2 + ... 
                 (xnod(nodos_2,2)-xnod(nodos_1,2)).^2 );

  forc(nodos_1,1) = forc(nodos_1,1) + ...
      ((value_1+value_2)/2 - (value_2-value_1)/6).*hele/2 ; 
  forc(nodos_2,1) = forc(nodos_2,1) + ...
      ((value_1+value_2)/2 + (value_2-value_1)/6).*hele/2 ; 

end

end

% Conversion de arreglos fixa y forc
%-----------------------------------------------

fixa=m2v(fixa);

forc=m2v(forc);

% Calculo de los elementos - caras que estan en el contorno

ifaceb=[];
if ndm==2,
   ifaceb = pfbou2d(xnod,icone);
elseif ndm==3,
   ifaceb = pfbou3d2(xnod,icone);
else
   ifaceb = [1,1;numel,2];
end

% calculo de los nodos que pertenecen al contorno
iaux = [(1:nen),1];
nodes_bou=[];

for k=1:length(ifaceb(:,1)),
 iele  = ifaceb(k,1);
 face  = ifaceb(k,2);
 node  = [iaux(face);iaux(face+1)];
 nodes_bou = [nodes_bou;icone(iele,node)'];
end
nodes_bou=rmdblist(nodes_bou);
