function [psieta,icone] = divtri(N)
%
%  Divide un triangulo en NxN subtriangulos
%
%       [psieta,icone] = divtri(N)     
%

N=N+1;
psi = (0:N-1)'/(N-1);

psieta = [];
for k=1:N,
  psieta = [psieta ; [psi(1:N-k+1) ones(N-k+1,1)*psi(k) ]];
end

icone = [];
ico2 = (1:N);
for k=1:N-1,
  ico1 = ico2;
  ico2 = ico2(1:N-k)+N-(k-1);
  icone = [icone ; 
            [ico1(1:N-k-1)' ico1(2:N-k)' ico2(1:N-k-1)'];
			[ico1(2:N-k)' ico2(2:N-k)' ico2(1:N-k-1)'];
			[ico1(N-k) ico1(N-k+1) ico2(N-k)];
			];
end