%
%  Rutina para calcular el incremento ortogonal al residuo
%  Busqueda lineal (por Alberto Cardona)
%  
%  Dado
%            phi
%           dphi
%   Residuo(phi)

    phin  = phi;
    phinv = m2v(phin);

    free = find(fixa==0);
    Rg = Rg(free);
    Kg = Kg(free,free);
    dphi = Kg\Rg;
    phiv = m2v(phi);
    phiv(free) = phinv(free) + dphi;
    phi = v2m(phiv,ndf);
    
    alfa = [];
    f_alf = [];
    alfa(1) = 0;
    f_alf(1) = dphi'*Rg;
    alfa(2) = 1.;

    ijob=1;

    elem_lib;
    Rg1 = Rgl;

    Rg1 = Rg1(free);
    f_alf(2) = dphi'*Rg1;
    f_alfa = f_alf(2);
    k = 2;

    n_basis = 3;

%     while (abs(f_alf(k))>=1e-1*norm(Rg) )
    while (abs(f_alf(k))>=0.1*abs(f_alf(1)) )
         k = k+1;
         alfa(k) = findzero(alfa,f_alf);

         if isreal(alfa(k)) ~=1 | k > n_basis,
           alfa(k) = real(alfa(k));  
           break
         end  

         ijob=1;
         phiv = m2v(phi);
         phiv(free) = phinv(free) + alfa(k)*dphi;
         phi  = v2m(phiv,ndf);

         elem_lib;
         Rg1 = Rgl;

         Rg1 = Rg1(free);
         f_alf(k) = dphi'*Rg1;
         f_alfa = f_alf(k);

      end

%  Actualizacin de la variable

      alfa(k) = max([alfa(k);alfa_min]);

disp(' alfa Line search ---> '),alfa(k)

      phiv = m2v(phi);
      phiv(free) = phinv(free) + alfa(k)*dphi;     
      phi  = v2m(phiv,ndf);

      dphi = phi-phin;
      Rg   = Rg1;
