function [dt] = dt_crit_euler_1d(Upg,UPpg,hele,gamma,Cou)
%
% calculo del paso tiempo critico para Euler 1D
%
%     [dt] = dt_crit_euler_1d(Upg,UPpg,hele,gamma,Cou)
%


ne         = length(Upg(:,1));
cc         = sqrt(gamma*UPpg(:,3)./UPpg(:,1));
lambda_max = abs(Upg(:,2))+cc;

dt         = min(hele)*Cou ./ max(lambda_max);
dt         = dt* ones(ne,1);
