
%iii  = v2m((1:ndf^2)',ndf);
%iii  = m2v(iii');
ne   = length(eles);
hele = xnod(icone(:,2),1)-xnod(icone(:,1),1); 
cero = zeros(ne,1);  
 
% Localizacion de las variables
%------------------------------------------------------------------

  for inod=1:nen,
            nodes = icone(eles,inod);
	          jnod = (inod-1)*ndf+(1:ndf);
       Ue(:,jnod) = U(nodes,1:ndf);		 
      U0e(:,jnod) = Uold(nodes,1:ndf);   
  end

% Loop sobre los puntos de Gauss
%------------------------------------------------------------------

 for ipg=1:npg
    
% Calculo de transformacion isoparametrica y funciones de forma
%------------------------------------------------------------------
  [X2S,S2X,Jaco]  = xy2st(xnod,icone(eles,:),psipg(ipg));
  [dNdx,N]        = shape1d(X2S,psipg(ipg),nen); 
  xsj             =  wpg(ipg) .* Jaco;
    
% Interpolacion en punto de Gauss
%------------------------------------------------------------------

     Upg    = zeros(ne,ndf);
    U0pg    = zeros(ne,ndf);
    dUpg    = zeros(ne,ndf);

  for inod=1:nen,
     jnod = (inod-1)*ndf+(1:ndf);
      Upg(:,(1:ndf))  =  Upg(:,(1:ndf)) + N(inod).*  Ue(:,jnod);
     U0pg(:,(1:ndf))  = U0pg(:,(1:ndf)) + N(inod).* U0e(:,jnod);
     dUpg(:,(1:ndf))  = dUpg(:,(1:ndf)) + (dNdx(:,inod)*ones(1,ndf)).* Ue(:,jnod);	          
  end

  UPpg = cv2pv(Upg,gamma,1);  % pasaje de variables conservativas a primitivas
  
  
  [tau] = supg_euler_1d(Upg,UPpg,gamma,hele,ndf,tau_TET);
  %% DEBUG
%  tau = 0.007*reshape(ones(numel,1)*[1,0,0,0,1,0,0,0,1],numel,3,3);
  %% END DEBUG
  [dt] = dt_crit_euler_1d(Upg,UPpg,hele,gamma,Cou);
%  keyboard;pause
%  dt = 0.07*ones(numel,1);
  
       [Ax]  =  Ajac_euler_1D(Upg,UPpg,gamma);       
       [Fa]  = fluxa_euler_1D(Upg,UPpg(:,3),gamma);          
       
       
         AgU = rowprod(Ax,dUpg(:,1:ndf),ndf,ndf,1);    
         
         Atau = rowprod(Ax,tau,ndf,ndf,ndf); 
                
        for idf=1:ndf           
           xsjm(:,:,idf) = xsj*ones(1,ndf);           
        end
        
%------ Matriz de masa 
  if matrix_type=='full',

  for inod=1:nen,
         
     %     P_supg = Atau.*(dNdx(:,inod)*ones(1,ndf^2));
     for idf=1:ndf,
        P_supg(:,:,idf) = Atau(:,:,idf).*(dNdx(:,inod)*ones(1,ndf));
     end     
     
     % DEBUG
     %   P_supg(:,1,3)= 0*P_supg(:,1,3);
     % END DEBUG
     
     
     if lumped==1, 
        ter1 = N(inod) ./ dt ; 
        %        Mele(:,ip+jp) = Mele(:,ip+jp) + (ter1.*xsj)*ones(1,ndf);         
        Mele(:,inod,1:ndf,inod,1:ndf) = Mele(:,inod,1:ndf,inod,1:ndf) + ...
           reshape((ter1.*xsj)*ones(1,ndf^2),ne,1,ndf,1,ndf);
     end
     
   for jnod=1:nen,
     if lumped==0, 
        ter1 = N(inod)*N(jnod) ./ dt ; 
        for idf=1:ndf
           Mele(:,inod,idf,jnod,idf) = Mele(:,inod,idf,jnod,idf) + (ter1.*xsj);
        end        
     end
     
     if weak_form,
        for idf=1:ndf,
           ter2(:,:,idf) = -((dNdx(:,inod)*N(jnod))*ones(1,ndf)).*Ax(:,:,idf);
        end        
     else
        for idf=1:ndf,        
           ter2(:,:,idf) = +((dNdx(:,jnod)*N(inod))*ones(1,ndf)).*Ax(:,:,idf); 
        end        
     end
     % stabilization SUPG terms
     
     ter00(:,:,jnod) = (dNdx(:,jnod)*ones(1,ndf));
     for idf=1:ndf        
        AgN(:,:,idf)  = Ax(:,:,idf).*ter00(:,:,jnod);        
     end
  
     ter3 = rowprod(P_supg,AgN,ndf,ndf,ndf);          
     
     Mele(:,inod,1:ndf,jnod,1:ndf) = Mele(:,inod,1:ndf,jnod,1:ndf) + ...
        reshape((ter2+ter3).*xsjm,ne,1,ndf,1,ndf);
%        (1*ter2+1*ter3).*(xsj*ones(1,ndf,ndf));     

    end
  end

else
      
   for inod=1:nen,
     ter1 = N(inod) ./ dt ;
%     vaux(1:ne,1,1:ndf,1,1:ndf) = reshape((ter1.*xsj)*ones(1,ndf^2),ne,1,ndf,1,ndf);
     Mele(:,inod,1:ndf) = Mele(:,inod,1:ndf) + reshape((ter1.*xsj)*ones(1,ndf),ne,1,ndf);
%                 reshape((ter1.*xsj)*ones(1,ndf^2),ne,1,ndf,1,ndf);
   end
   
   
  end
  
%disp('HOLA');keyboard;pause
  
%------ Residuo
  for inod=1:nen,
   ter1 = N(inod)* ((Upg-U0pg) ./ (dt*ones(1,ndf)));
   if weak_form,
    ter2 = -(dNdx(:,inod)*ones(1,ndf)).*Fa(:,1:ndf);
   else
    ter2 = (N(inod)*ones(numel,ndf)).* AgU(:,1:ndf);
   end
   % stabilization SUPG terms   
   for idf=1:ndf,
      P_supg(:,:,idf) = Atau(:,:,idf).*(dNdx(:,inod)*ones(1,ndf));
   end   
   
     % DEBUG
%        P_supg(:,1,3)= 0*P_supg(:,1,3);
     % END DEBUG

    ter3   = rowprod(P_supg,AgU,ndf,ndf,1);    
    vaux(1:ne,1,1:ndf) = (ter1+ter2+ter3).*(xsj*ones(1,ndf));    
    Rele(:,inod,1:ndf) = Rele(:,inod,1:ndf) - vaux ;    

  end % inod
    
 end % ipg
 

% ------ Terminos de contorno

if weak_form,
   [Rele,Mele] = bc_conv_euler_1D(xnod,icone,Ue,ifaceb,Rele,Mele,gamma,matrix_type);   
end
