
%iii = v2m((1:ndf^2)',ndf);
%iii = m2v(iii');

ne  = length(eles);

% Localizacion de las variables
%------------------------------------------------------------------

    ceros = zeros(ne,nen*ndf);
       Ue = ceros;
      U0e = ceros;
	    re = zeros(ne,nen);
              
for inod=1:nen,
            nodes  = icone(eles,inod);
             jnod  = (inod-1)*ndf+(1:ndf);
       Ue(:,jnod)  = U(nodes,1:ndf);		 
       U0e(:,jnod) = Uold(nodes,1:ndf);   
       re(:,inod)  = xnod(nodes,1);		        
end

% UPWIND EN EL CENTROIDE 
%------------------------------------------------------------------
if nen==4,
  [X2S,S2X,Jaco0] = xy2st(xnod,icone(eles,:),0,0);
  [dshapex0,N0] = shape2d(X2S,0,0,nen); 
elseif nen==3,
  [X2S,S2X,Jaco0] = xy2st(xnod,icone(eles,:),1/3,1/3);
  [dshapex0,N0] = shape2d(X2S,1/3,1/3,nen); 
else
  error(' Bad type of element , nen ~=3, nen ~=4 ')
end
Upg = zeros(ne,ndf);
dUpg    = zeros(ne,ndf,ndm);
for inod=1:nen,
   jnod = (inod-1)*ndf+(1:ndf);
   Upg(:,(1:ndf))    =  Upg(:,(1:ndf)) + N0(inod).*  Ue(:,jnod);
   dUpg(:,(1:ndf),1) = dUpg(:,(1:ndf),1) + ...
	          (dshapex0(:,inod,1)*ones(1,ndf)).* Ue(:,jnod);          
   dUpg(:,(1:ndf),2) = dUpg(:,(1:ndf),2)+ ...
	          (dshapex0(:,inod,2)*ones(1,ndf)).* Ue(:,jnod);             
end    
UPpg   = cv2pv(Upg,gamma,1);    
velmod  = sqrt(sum(UPpg(:,2:3)'.^2))';
velmod  = max([velmod';1e-15*ones(1,length(velmod))])';  
velpg   = UPpg(:,2:3);
hele    = comp_hele(velpg,dshapex0,Jaco0,nen);  %UBICARLO MEJOR !!!
[tau,delta,dt] = supg_euler_2d(Upg,UPpg,dUpg,gamma,Cou,hele,shocap);
dt = min(dt)*ones(ne,1);
  
% Loop sobre los puntos de Gauss
%------------------------------------------------------------------
 for ipg=1:npg
  
  [X2S,S2X,Jaco] = xy2st(xnod,icone(eles,:),psipg(ipg),etapg(ipg));
  [dshapex,N] = shape2d(X2S,psipg(ipg),etapg(ipg),nen); 

% Interpolacion en punto de Gauss
%------------------------------------------------------------------

     Upg    = zeros(ne,ndf);
    U0pg    = zeros(ne,ndf);
    dUpg    = zeros(ne,ndf,ndm);
   radpg    = zeros(ne,1);

  for inod=1:nen,
     jnod = (inod-1)*ndf+(1:ndf);
      Upg(:,(1:ndf))  =  Upg(:,(1:ndf)) + N(inod).*  Ue(:,jnod);
      U0pg(:,(1:ndf)) = U0pg(:,(1:ndf)) + N(inod).* U0e(:,jnod);
      radpg(:,1)      =      radpg(:,1) + N(inod).* re(:,inod);
      
      dUpg(:,(1:ndf),1)   = dUpg(:,(1:ndf),1) + ...
	          (dshapex(:,inod,1)*ones(1,ndf)).* Ue(:,jnod);
          
      dUpg(:,(1:ndf),2) = dUpg(:,(1:ndf),2)+ ...
	          (dshapex(:,inod,2)*ones(1,ndf)).* Ue(:,jnod);          
          
  end
  
  UPpg    =  cv2pv(Upg,gamma,1);  % pasaje de variables conservativas a primitivas
    
  [Ax,Ay]  =  Ajac_2D(Upg,UPpg,gamma,axisim);
  [Fa]     =  Aflux(Upg,UPpg);
    
% Correccion axisimetrica del jacobiano de la transformacion al elemento master
%------------------------------------------------------------------
xsj =  wpg(ipg) .* Jaco;
if axisim,
   xsj = xsj.*radpg;
end

AgU = rowprod(Ax,dUpg(:,1:ndf,1),ndf,ndf,1);
AgU = AgU + rowprod(Ay,dUpg(:,1:ndf,2),ndf,ndf,1);
    
%------ Matriz de masa 
  if matrix_type=='full',

  for inod=1:nen,
   
      tmpx = tau.*dshapex(:,inod,1);
      tmpy = tau.*dshapex(:,inod,2);
      for idf=1:ndf,
         for jdf=1:ndf,
            P_supg(:,idf,jdf) = tmpx.*Ax(:,idf,jdf) + tmpy.*Ay(:,idf,jdf) ;
         end 
      end      
               
   for jnod=1:nen,
      
      ip=((inod-1)*nen+(jnod-1))*ndf^2;
      jp=[1,ndf+2,2*ndf+3,3*ndf+4];

      ter11 = (N(inod))*N(jnod)*xsj ./ dt ;
      ter12 = P_supg*N(jnod);
           
      for idf=1:ndf,
         jdf=idf;
           Mele(:,inod,idf,jnod,jdf) = Mele(:,inod,idf,jnod,jdf) + ...
              ter11;
      end
      
      for idf=1:ndf,
        for jdf=1:ndf,
           Mele(:,inod,idf,jnod,jdf) = Mele(:,inod,idf,jnod,jdf) + ...
              ter12(:,idf,jdf).*(xsj./dt);           
        end
     end
  
     if weak_form,
        tmpx = (dshapex(:,inod,1)*N(jnod));
        tmpy = (dshapex(:,inod,2)*N(jnod));                
        for idf=1:ndf,
           for jdf=1:ndf,              
              ter2(:,idf,jdf) = -tmpx.*Ax(:,idf,jdf) -tmpy.*Ay(:,idf,jdf);
           end 
        end      
     else          
        tmpx = (dshapex(:,jnod,1)*N(inod));
        tmpy = (dshapex(:,jnod,2)*N(inod));                
        for idf=1:ndf,
           for jdf=1:ndf,              
              ter2(:,idf,jdf) = tmpx.*Ax(:,idf,jdf) + tmpy.*Ay(:,idf,jdf);
           end 
        end      
     end
     
     % stabilization SUPG terms
                       
      tmpx = dshapex(:,jnod,1);
      tmpy = dshapex(:,jnod,2);
      for idf=1:ndf,
         for jdf=1:ndf,
            AgN(:,idf,jdf) = tmpx.*Ax(:,idf,jdf) + tmpy.*Ay(:,idf,jdf) ;
         end 
      end      
         
     ter3 = rowprod(P_supg,AgN,ndf,ndf,ndf);
     
     ter5 = zeros(ne,ndf,ndf);
     for idf=1:ndf,
        ter5(:,idf,idf) = ((dshapex(:,inod,1).*delta.*dshapex(:,jnod,1))+ ...
           (dshapex(:,inod,2).*delta.*dshapex(:,jnod,2)));
     end
     
     ter0 = (ter2+ter3+ter5)     ;
     for idf=1:ndf,
        for jdf=1:ndf,
           Mele(:,inod,idf,jnod,jdf) = Mele(:,inod,idf,jnod,jdf) + ...
              ter0(:,idf,jdf).*xsj;
        end
     end
  
end

  end

  else

   for inod=1:nen,
     ip=(inod-1)*ndf+(1:ndf);
     ter1 = N(inod) ./ dt ;
          
     Mele(:,inod,1:ndf) = Mele(:,inod,1:ndf) + reshape((ter1.*xsj)*ones(1,ndf),ne,1,ndf);
   end

  end

%------ Residuo
  for inod=1:nen,
     
     ip=(inod-1)*ndf+(1:ndf);   
   
     tmpx = tau.*dshapex(:,inod,1);
     tmpy = tau.*dshapex(:,inod,2);
     for idf=1:ndf,
        for jdf=1:ndf,
           P_supg(:,idf,jdf) = tmpx.*Ax(:,idf,jdf) + tmpy.*Ay(:,idf,jdf) ;
        end 
     end      
   
     
  if matrix_type=='full',     
     ter1=(N(inod))*(Upg-U0pg).*(xsj./dt*ones(1,ndf));      
     Rele(:,inod,1:ndf) = Rele(:,inod,1:ndf) - reshape(ter1,ne,1,ndf) ; 
     ter1   = rowprod(P_supg,(Upg-U0pg),ndf,ndf,1).*(xsj./dt*ones(1,ndf));
     
%     disp('EULER_ALE_2');keyboard;pause   
    
     Rele(:,inod,1:ndf) = Rele(:,inod,1:ndf) - reshape(ter1,ne,1,ndf) ;
  end

   if weak_form,
    ter2 = -(dshapex(:,inod,1)*ones(1,ndf)).*Fa(:,1:ndf) ... 
           -(dshapex(:,inod,2)*ones(1,ndf)).*Fa(:,ndf+(1:ndf));
   else
    ter2 = (N(inod)*ones(numel,ndf)).* AgU(:,1:ndf);
   end
   % stabilization SUPG terms
    ter3   = rowprod(P_supg,AgU,ndf,ndf,1);
                 
    ter5 = zeros(ne,ndf);
    for idf=1:ndf,
       ter5(:,idf) = ((dshapex(:,inod,1).*delta.*dUpg(:,idf,1))+ ...
          (dshapex(:,inod,2).*delta.*dUpg(:,idf,2)));
    end
    
    
     Rele(:,inod,1:ndf) = Rele(:,inod,1:ndf) - ... 
              reshape((ter2+ter3+ter5).*(xsj*ones(1,ndf)),ne,1,ndf);
  end % inod
  

end % ipg

% ------ Terminos de contorno

if weak_form,
   [Mele,Rele] = bc_conv_euler_2d(xnod,icone,Ue,ifaceb,Rele,Mele,gamma,axisim,matrix_type);   
end

