function [Ax,Ay] = Ajac_2D(UC,UP,ga,axisim)
%
%         [Ax,Ay] = Ajac_2D(UC,UP,gamma,axisim)
%
%     Jacobiano advectivo ecuaciones de Euler compresible 
%           2D , no axisimetrico

     [nnod,ndf]=size(UC);
     UU = zeros(nnod,1);
     for idf=2:ndf-1,
%        UU  =  UU + UP(:,idf).^2;
       UU  =  UU + UC(:,idf).^2;
        
	 end
    for idf=1:ndf
       eval(['U' num2str(idf) '= UC(:,' num2str(idf) ');' ]);
    end
    
    uno    =  ones(nnod,1);
    cero   =  zeros(nnod,1);
    g1     =  ga-1;


Ax = zeros(nnod,ndf,ndf);
Ax(:,2,1) = -U2.^2 ./ U1.^2+g1.*(1/2*UU)./ U1.^2; 
 
Ax(:,3,1) = -U3 .* U2 ./ U1.^2 ;
Ax(:,4,1) = g1*(1/2*UU)./U1.^2.*U2./U1-(U4+g1.*(U4-(1/2*UU) ./ U1)).*U2./U1.^2 ;

Ax(:,1,2) = uno;
Ax(:,2,2) = 2.*U2./U1-g1.*U2./U1;
Ax(:,3,2) = U3./U1;
Ax(:,4,2) = -g1.*U2./U1.*U2./U1+(U4+g1.*(U4-(1./2.*UU)./U1))./U1 ;

Ax(:,2,3) = -g1.*U3./U1;
Ax(:,3,3) =  U2./U1;
Ax(:,4,3) = -g1.*U3./U1.*U2./U1;
Ax(:,2,4) = g1*uno ;
Ax(:,4,4) = ga.*U2./U1;

Ay = zeros(nnod,ndf,ndf);
Ay(:,2,1) = -U3.*U2./U1.^2;
Ay(:,3,1) = -U3.^2./U1.^2+g1.*(1./2.*UU)./U1.^2;

Ay(:,4,1) = g1.*(1./2.*UU)./U1.^2.*U3./U1-(U4+g1.*(U4-(1./2.*UU)./U1)).*U3./U1.^2 ;

Ay(:,2,2) = U3./U1;
Ay(:,3,2) = -g1.*U2./U1;
Ay(:,4,2) = -g1.*U2./U1.*U3./U1;
Ay(:,1,3) = uno;
Ay(:,2,3) = U2./U1;
Ay(:,3,3) = 2.*U3./U1-g1.*U3./U1;
Ay(:,4,3) = -g1.*U3./U1.*(U3./U1)+(U4+g1.*(U4-(1./2.*UU)./U1))./U1;

Ay(:,3,4) = g1*uno ;
Ay(:,4,4) = ga.*U3./U1;
