function [Kxx,Kxy,Kyx,Kyy] = Djac_2D(UP,prop)
%
%  [Kxx,Kxy,Kyx,Kyy] = Djac_2D(UP,prop)
%

% ijob = 0  Up = [  p,u,v,T]
% ijob = 1  Up = [rho,u,v,p]
ijob = 1;

ga     = prop(1);
vis    = prop(20);
kappa  = prop(3);
axisim = prop(8);
Rgas   = prop(11);
g1     = ga-1;
Cv     = Rgas/g1;

if ijob==0,
   %       Up = [p,u,v,T]
   T = UP(:,4);
elseif ijob==1,
   T = UP(:,4)./UP(:,1)/Rgas;
end   

[nnod,ndf]=size(UP);
UU = zeros(nnod,1);
for idf=2:ndf-1,
       UU  =  UU + UP(:,idf).^2;
end
for idf=1:ndf
    eval(['U' num2str(idf) '= UP(:,' num2str(idf) ');' ]);
end
    
uno  = ones(nnod,1);
cero = zeros(nnod,1);

v1   = vis - kappa/Cv;   
i    = 1*Cv.*T;

Kxx = [ cero ...
        -4/3*vis*U2     ...
        -vis*U3         ...
        kappa/Cv*(1/2*UU-i)-vis*UU-vis/3*U2.^2 ...
        cero            ...
        4/3*vis*uno     ...
        cero            ...
        (vis/3+v1)*U2   ...
        cero            ...
        cero            ...
        vis*uno         ...
        v1*U3           ...
        cero				...
        cero				...
        cero				...
        kappa/Cv*uno       ];
     
     % me parece que esto esta demas
%        kappa/Cv*uno       ]./(U1*ones(1,ndf^2));
     
     
Kyy = [ cero ...
        -vis*U2         ...
        -4/3*vis*U3     ...
        kappa/Cv*(1/2*UU-i)-vis*UU-vis/3*U3.^2 ...
        cero            ...
        vis*uno         ...
        cero            ...
        v1*U2           ...
        cero            ...
        cero            ...
        4/3*vis*uno     ...
        (vis/3+v1)*U3   ...
        cero				...
        cero				...
        cero				...
        kappa/Cv*uno       ];
%        kappa/Cv*uno       ]./(U1*ones(1,ndf^2));     
     
Kxy = [cero					...
       2/3*vis*U3       ...
       -vis*U2          ...
       -vis/3*U2.*U3    ...
       cero             ...
       cero             ...
       vis*uno          ...
       vis*U3           ...
       cero             ...    
       -2/3*vis*uno     ...
       cero					...
       -2/3*vis*U2      ...
        cero            ...
        cero				...
        cero				...
        cero				   ];        
%        cero				   ]./(U1*ones(1,ndf^2));
        
        
        
Kyx = [cero					...
       -vis*U3          ...
       2/3*vis*U2       ...
       -vis/3*U2.*U3    ...
       cero					...
       cero             ...    
       -2/3*vis*uno     ...
       -2/3*vis*U3      ...
       cero             ...
       vis*uno          ...
       cero             ...
       vis*U2           ...
       cero             ...
       cero		   		...
       cero			   	...
       cero				      ];
%       cero				      ]./(U1*ones(1,ndf^2));        
        

numnp = nnod;

       Kxx = reshape(Kxx,numnp,ndf,ndf);
       Kxy = reshape(Kxy,numnp,ndf,ndf);
       Kyx = reshape(Kyx,numnp,ndf,ndf);
       Kyy = reshape(Kyy,numnp,ndf,ndf);