
ne  = length(eles);

% Localizacion de las variables
%------------------------------------------------------------------

    ceros = zeros(ne,nen*ndf);
       Ue = ceros;
      U0e = ceros;
	    re = zeros(ne,nen);
   Uenorm = zeros(ne,nen);
   
for inod=1:nen,
            nodes  = icone(eles,inod);
             jnod  = (inod-1)*ndf+(1:ndf);
       Ue(:,jnod)  = U(nodes,1:ndf);		 
       U0e(:,jnod) = Uold(nodes,1:ndf);   
       re(:,inod)  = xnod(nodes,1);		        
    Uenorm(:,inod) = sum(Uold(nodes,1:ndf)'.^2)';       
end

% UPWIND EN EL CENTROIDE 
%------------------------------------------------------------------
if nen==4,
  [X2S,S2X,Jaco0] = xy2st(xnod,icone(eles,:),0,0);
  [dshapex0,N0] = shape2d(X2S,0,0,nen); 
elseif nen==3,
  [X2S,S2X,Jaco0] = xy2st(xnod,icone(eles,:),1/3,1/3);
  [dshapex0,N0] = shape2d(X2S,1/3,1/3,nen); 
else
  error(' Bad type of element , nen ~=3, nen ~=4 ')
end
Upg        = zeros(ne,ndf);
dUpg       = zeros(ne,ndf,ndm);
grad_Unorm = zeros(ne,ndm);
for inod=1:nen,
   jnod = (inod-1)*ndf+(1:ndf);
   Upg(:,(1:ndf))    =  Upg(:,(1:ndf)) + N0(inod).*  U0e(:,jnod);
   dUpg(:,(1:ndf),1) = dUpg(:,(1:ndf),1) + ...
	          (dshapex0(:,inod,1)*ones(1,ndf)).* U0e(:,jnod);          
   dUpg(:,(1:ndf),2) = dUpg(:,(1:ndf),2)+ ...
	          (dshapex0(:,inod,2)*ones(1,ndf)).* U0e(:,jnod);             
   grad_Unorm(:,1) = grad_Unorm(:,1) + dshapex0(:,inod,1).* Uenorm(:,inod);
   grad_Unorm(:,2) = grad_Unorm(:,2) + dshapex0(:,inod,2).* Uenorm(:,inod);             
end    

[H,bas] = enthalpy_function(Upg,prop);
%UPpg    = cv2pv(H,gamma,1);  
%velmod  = sqrt(sum(UPpg(:,2:3)'.^2))';
velmod  = sqrt(sum(Upg(:,2:3)'.^2))';
velmod  = max([velmod';1e-15*ones(1,length(velmod))])';  
%velpg   = UPpg(:,2:3);
velpg   = Upg(:,2:3);
hele    = comp_hele(velpg,dshapex0,Jaco0,nen);  %UBICARLO MEJOR !!!
%[tau,delta,dt] = supg_euler_2d(H,UPpg,dUpg,gamma,Cou,hele,shocap);
[tau,delta,dt] = supg_nsc_2d(H,Upg,dUpg,grad_Unorm,hele,prop);

dt = min(dt)*ones(ne,1);


% Loop sobre los puntos de Gauss
%------------------------------------------------------------------
 for ipg=1:npg
  
  [X2S,S2X,Jaco] = xy2st(xnod,icone(eles,:),psipg(ipg),etapg(ipg));
  [dshapex,N] = shape2d(X2S,psipg(ipg),etapg(ipg),nen); 

% Interpolacion en punto de Gauss
%------------------------------------------------------------------

     Upg    = zeros(ne,ndf);
    U0pg    = zeros(ne,ndf);
    dUpg    = zeros(ne,ndf,ndm);
   radpg    = zeros(ne,1);

  for inod=1:nen,
     jnod = (inod-1)*ndf+(1:ndf);
      Upg(:,(1:ndf))  =  Upg(:,(1:ndf)) + N(inod).*  Ue(:,jnod);
      U0pg(:,(1:ndf)) = U0pg(:,(1:ndf)) + N(inod).* U0e(:,jnod);
      radpg(:,1)      =      radpg(:,1) + N(inod).* re(:,inod);
      
      dUpg(:,(1:ndf),1)   = dUpg(:,(1:ndf),1) + ...
	          (dshapex(:,inod,1)*ones(1,ndf)).* Ue(:,jnod);
          
      dUpg(:,(1:ndf),2) = dUpg(:,(1:ndf),2)+ ...
	          (dshapex(:,inod,2)*ones(1,ndf)).* Ue(:,jnod);          
          
  end
  
  [H,Cp]     =  enthalpy_function(Upg,prop);
  [H0,bas]   =  enthalpy_function(U0pg,prop);
  
  % advective flux function  
  [Fa,A]     =  Flux_function(H,prop);  % H contiene a las variables conservativas  
  Ax         = reshape(A(:,1,:,:),numel,ndf,ndf);
  Ay         = reshape(A(:,2,:,:),numel,ndf,ndf);
  Ax         = rowprod(Ax,Cp,ndf,ndf,ndf);
  Ay         = rowprod(Ay,Cp,ndf,ndf,ndf);
  
  % Upg y dUpg deben tener como 2da y 3ra componentes a la velocidad   
  [Fd]       = Dflux(Upg,dUpg,prop);  
  [Kxx,Kxy,Kyx,Kyy] = Djac_2D(Upg,prop);
  Kxx        = rowprod(Kxx,Cp,ndf,ndf,ndf);
  Kxy        = rowprod(Kxy,Cp,ndf,ndf,ndf);
  Kyx        = rowprod(Kyx,Cp,ndf,ndf,ndf);
  Kyy        = rowprod(Kyy,Cp,ndf,ndf,ndf);
  
  % Correccion axisimetrica del jacobiano de la transformacion al elemento master
  %------------------------------------------------------------------
  xsj =  wpg(ipg) .* Jaco;
  if axisim,
     xsj = xsj.*radpg;
  end
  
  AgU = rowprod(Ax,dUpg(:,1:ndf,1),ndf,ndf,1) + ... 
        rowprod(Ay,dUpg(:,1:ndf,2),ndf,ndf,1);
   
  % P_i Petrov-Galerkin perturbation weight function
  for inod=1:nen,   
     
     % W_i = N_i + P_i
     tmpx = tau.*dshapex(:,inod,1);
     tmpy = tau.*dshapex(:,inod,2);
     for idf=1:ndf,
        for jdf=1:ndf,
           P_supg(:,idf,jdf) = tmpx.*Ax(:,idf,jdf) + tmpy.*Ay(:,idf,jdf) ;
        end 
     end
     
     W_supg = P_supg;
     for idf=1:ndf,
        W_supg(:,idf,idf)=W_supg(:,idf,idf)+N(inod);
     end
     
     % W_i N_j term
     if matrix_type=='diag',
        
        W_N_ = N(inod) ./ dt ;          
        Mele(:,inod,1:ndf) = Mele(:,inod,1:ndf) + reshape((W_N_.*xsj)*ones(1,ndf),ne,1,ndf);
        
        N_dUdt = (N(inod))*(Upg-U0pg).*(xsj./dt*ones(1,ndf));      
        Rele(:,inod,1:ndf) = Rele(:,inod,1:ndf) - reshape(N_dUdt,ne,1,ndf) ; 
        
     else        
                
        for jnod=1:nen,        
        % A_gN     
        tmpx = dshapex(:,jnod,1);
        tmpy = dshapex(:,jnod,2);
        for idf=1:ndf,
           for jdf=1:ndf,
              A_gN(:,idf,jdf,jnod) = tmpx.*Ax(:,idf,jdf) + tmpy.*Ay(:,idf,jdf) ;
           end 
        end    
        end
        
        for jnod=1:nen,
           
        % temporal terms
        W_Cp_N = rowprod(W_supg,Cp,ndf,ndf,ndf)*N(jnod) ;        
        
        % N_A_gN or gN_A_N according to weak form
        if weak_form,
                 N_A_gN = -A_gN(:,:,:,inod)*N(jnod);                 
        else          
                 N_A_gN =  A_gN(:,:,:,jnod)*N(inod);              
        end
        
        P_A_gN = rowprod(P_supg,A_gN(:,:,:,jnod),ndf,ndf,ndf);
        
        % shock capturing term
        gN_D_gN = zeros(numel,ndf,ndf);        
        if (shocap > 0)
           for idf=1:ndf,
              gN_D_gN(:,idf,idf) = ((dshapex(:,inod,1).*delta.*dshapex(:,jnod,1))+ ...
                                    (dshapex(:,inod,2).*delta.*dshapex(:,jnod,2)));
           end
        end
        
        gN_K_gN = zeros(numel,ndf,ndf);        
        for idf=1:ndf,
           for jdf=1:ndf,
              gN_K_gN(:,idf,jdf) = ...
                 -( (dshapex(:,inod,1).*Kxx(:,idf,jdf).*dshapex(:,jnod,1))+ ...
                    (dshapex(:,inod,1).*Kxy(:,idf,jdf).*dshapex(:,jnod,2))+ ...
                    (dshapex(:,inod,2).*Kyx(:,idf,jdf).*dshapex(:,jnod,1))+ ...
                    (dshapex(:,inod,2).*Kyy(:,idf,jdf).*dshapex(:,jnod,2)) );
           end             
        end
     
        % assembling
        vaux =  N_A_gN + P_A_gN + gN_D_gN - gN_K_gN;
        
        for idf=1:ndf,
           for jdf=1:ndf,              
              Mele(:,inod,idf,jnod,jdf) = Mele(:,inod,idf,jnod,jdf) + ... 
              xsj.*( W_Cp_N(:,idf,jdf) ./ dt + vaux(:,idf,jdf) );           
           end
        end
                
        end % jnod
        
        % temporal term
        W_dUdt   = rowprod(W_supg,(H-H0),ndf,ndf,1) ;
        
        % advective fluxes
        if weak_form,
           
           gN_Fa = -(dshapex(:,inod,1)*ones(1,ndf)).*Fa(:,1:ndf,1) ... 
                   -(dshapex(:,inod,2)*ones(1,ndf)).*Fa(:,1:ndf,2);
        else
           gN_Fa = (N(inod)*ones(numel,ndf)).* AgU(:,1:ndf);
        end
        
        % diffusive fluxes
        gN_Fd = -(dshapex(:,inod,1)*ones(1,ndf)).*Fd(:,1:ndf,1) ... 
                -(dshapex(:,inod,2)*ones(1,ndf)).*Fd(:,1:ndf,2);
        
        % stabilization SUPG terms        
        P_A_gU   = rowprod(P_supg,AgU,ndf,ndf,1);
        
        gN_D_gU = zeros(ne,ndf);
        if(shocap>0)        
           for idf=1:ndf,
              gN_D_gU(:,idf) = ((dshapex(:,inod,1).*delta.*dUpg(:,idf,1))+ ...
                                (dshapex(:,inod,2).*delta.*dUpg(:,idf,2)));
           end
        end
        
        vaux =  gN_Fa + P_A_gU + gN_D_gU - gN_Fd;
            
        for idf=1:ndf,
           Rele(:,inod,idf) = Rele(:,inod,idf) - ... 
                              (vaux(:,idf) +W_dUdt(:,idf) ./ dt ).* xsj ;
        end
%          reshape(vaux(:,idf) +W_dUdt(:,idf) ./ dt ).*(xsj*ones(1,ndf)),ne,1,ndf);
        
     end % if full matrix_type
  end % inod
  
end % ipg

% ------ Terminos de contorno

if weak_form,
   [Mele,Rele] = bc_conv_euler_2d(xnod,icone,Ue,ifaceb,Rele,Mele,prop,matrix_type);   
end

