% 
%  handle_prop_elem
%

if strcmp(ijob,'get')
    
    % get_prop_elem
    
%%%%%%%%%%%%%% PROPIEDADES DEL MATERIAL 

ga   = prop(1) ;
Cou = prop(2) ;
kappa = prop(3);
npg  = prop(4);
weak_form = prop(5);
type_upw =  prop(6); 
shocap  = prop(7);
axisim = prop(8);
Rgas = prop(11);
visco = prop(20);
C_p =  prop(21);
C_v =  prop(22); 
Pr = prop(23); 

lflag = prop(9);
if lflag==0, 
    matrix_type='diag';
else
    matrix_type='full';
end 


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
elseif strcmp(ijob,'set'),
    
    %  set_prop_elem

 prop(1)  = ga   ;
 prop(2)  = Cou    ;
 prop(3)  = kappa ;
 prop(4)  = npg   ;
 prop(5)  = weak_form;
 prop(6)  = type_upw; 
 prop(7)  = shocap ;
 prop(8)  = axisim ;
 prop(11) = Rgas ;
 prop(20) = visco;
 prop(21) = C_p;
 prop(22) = C_v; 
 prop(23) = Pr; 
 if exist('matrix_type'),
   if matrix_type=='diag', prop(9) = 0; else prop(9) = 1; end 
end

else
    
    error(' Bad ijob choice for HANDLE_PROP_ELEM')
    
end