syms U1 U2 U3 U4 p ga rho u v e T Cv R

Vg = 0;

g1 = ga-1;

%p = g1*(U4-0.5*(U2^2+U3^2)/U1);

Fa_x = [U2-U1*Vg;U2*U2/U1+p-U2*Vg;U3*U2/U1-U3*Vg;(U4+p)*(U2/U1-Vg)];
Fa_y = [U3-U1*Vg;U2*U3/U1-U2*Vg;U3*U3/U1+p-U3*Vg;(U4+p)*(U3/U1-Vg)];

Fa_x = subs(Fa_x,p,'(ga-1)*(U4-0.5*(U2^2+U3^2)/U1)');
Fa_y = subs(Fa_y,p,'(ga-1)*(U4-0.5*(U2^2+U3^2)/U1)');


%Up = [rho,u,v,p];
Up = [p,u,v,T];
Uc = [U1,U2,U3,U4];

Ax=jacobian(Fa_x,Uc);
Ay=jacobian(Fa_y,Uc);

Uc = simple((subs(subs(subs(subs(Uc,U1,'rho'),U2,'rho*u'),U3,'rho*v'),U4,'rho*e')));
Uc = simple(subs(Uc,e,'Cv*T+0.5*(u^2+v^2)'));
Uc = simple(subs(Uc,rho,'p/R/T'));

Cp = jacobian(reshape(Uc,4,1),Up);

if 0,
Fa_x = simple((subs(subs(subs(subs(Fa_x,U1,'rho'),U2,'rho*u'),U3,'rho*v'),U4,'rho*e')));
Fa_x = simple(subs(Fa_x,e,'Cv*T+0.5*(u^2+v^2)'));
Fa_x = simple(subs(Fa_x,rho,'p/R/T'));

Fa_y = simple((subs(subs(subs(subs(Fa_y,U1,'rho'),U2,'rho*u'),U3,'rho*v'),U4,'rho*e')));
Fa_y = simple(subs(Fa_y,e,'Cv*T+0.5*(u^2+v^2)'));
Fa_y = simple(subs(Fa_y,rho,'p/R/T'));
end

Ax = simple((subs(subs(subs(subs(Ax,U1,'rho'),U2,'rho*u'),U3,'rho*v'),U4,'rho*e')));
Ay = simple((subs(subs(subs(subs(Ay,U1,'rho'),U2,'rho*u'),U3,'rho*v'),U4,'rho*e')));

return

Fa_x = simple((subs(subs(subs(subs(Fa_x,U1,'rho'),U2,'rho*u'),U3,'rho*v'),U4,'rho*e')));
Fa_y = simple((subs(subs(subs(subs(Fa_y,U1,'rho'),U2,'rho*u'),U3,'rho*v'),U4,'rho*e')));

Cp = jacobian(reshape(Uc,4,1),Up);


return

syms rho u v p e ga

g1 = ga-1;

Up = [rho,u,v,p];

Fa_x = [rho*u,rho*u*u+p,rho*u*v,(rho*e+p)*u];
Fa_y = [rho*v,rho*u*v,rho*v*v+p,(rho*e+p)*v];

Ax=jacobian(Fa_x,Up);
Ay=jacobian(Fa_y,Up);

