function v = tensor_vector_cont(T,u)
%
%        v = tensor_vector_cont(T,u)
% 
%         T :  2nd order tensor
%         u :  vector
%         v :  T . u  (vector produced by tensor_vector contraction)
%
% Note: for u . T use the same routine with transpose T
%

u = sym(u); T = sym(T);

v = sym(zeros(size(u)));

v = T*reshape(u,3,1);
%v = T*u';


v = simple(reshape(v,1,3));

return

for j=1:3,
   for i=1:3,      
      v(j)=v(j)+T(j,i)*u(i);
   end; 
end ; 

v = simple(v);