%----------------------------------------------------------------------
%
%          Fichero de datos
%
%----------------------------------------------------------------------

  caso     =0;

if caso==0,
   Ej_00       %  Ejemplo test # 1   du^2/dx2 - u = 0 
%                (teoria FEM-interpolacion de alto orden)
elseif caso==1,
   Ej_01        %  Ejemplo 1 en Aplicaciones (Cap 9 notas curso NQN_99)
elseif caso==2,
   Ej_02        %  Ejemplo 2 en Aplicaciones (Cap 9 notas curso NQN_99)
elseif caso==3,
   Ej_03        %  Ejemplo 3 en Aplicaciones (Cap 9 notas curso NQN_99)
elseif caso==4,
   Ej_04        %  Ejemplo 4 en Aplicaciones (Cap 9 notas curso NQN_99)
elseif (caso==5)|(caso==51), % implicito o explicito
   Ej_05        %  Ejemplo 7 en Aplicaciones (Cap 9 notas curso NQN_99)
elseif (caso==6),
   Ej_06        %  Ejemplo 8 en Aplicaciones (Cap 9 notas curso NQN_99)
elseif (caso==7),
   Ej_07        %  Ejemplo 8 en Aplicaciones (Cap 9 notas curso NQN_99)
elseif (caso==8),
   Ej_08        %  Test condiciones periodicas
else
   error(' MALA ELECCION DEL CASO A TRATAR')
end
  
  ndm = 1;
  limit    =   1e-06;

%   Type_solver = 0 ---> metodo directo con un parametro de
%                        parametro de relajacion "relax"
%                        grado de implicitud (1/2 Cranck Nicholson) "alpha" (use >0)
%               = 1 ---> Line search
%               = 2 ---> Explicito - Forward Euler
%               = 3 ---> GMRES  

  dt          = 1e+15 ;
  prop(3)     = dt    ; % paso de tiempo
  type_solver = 0;
  relax       = 1;     % parametro de relajacion fijo para type_solver=0
  nu_max      = 2;	   % numero maximo de iteraciones por paso de tiempo
  alfa_min    = 0.01;  % para linesearch
  alpha       = 1;     % grado de implicitud (1/2 Cranck-Nicholson)  
  ntime       = 2;     % pasos de tiempo
  nstep       = 1;     % guarda solucion cada nstep pasos de tiempo
  nsave       = 5;     % Salva la memoria de c\'alculo cada nsave pasos de tiempo
  scaling     = 1;     % scaling equations at solver for better conditioning of the system
          
  if caso<2,
   type_solver = 0;
   relax       = 1;  % parametro de relajacion fijo para type_solver=0
   nu_max      = 5;
   ntime       = 2;
   nstep       = 10; % no interesa guardar la solucion en el tiempo
  elseif caso==2,
   dt          = 0.5 ;
   prop(3)     = dt  ;
   type_solver = 0;
   relax       = 1;  % parametro de relajacion fijo para type_solver=0
   nu_max      = 2;
   ntime       = 30;
   nstep       = 3;
  elseif caso==3,
  elseif caso==4,
   dt          = 0.02/12.8 ;
   prop(3)     = dt  ;
   type_solver = 0;
   relax       = 1;  % parametro de relajacion fijo para type_solver=0
   nu_max      = 2;
   ntime       = 12.8*10;
   nstep       = 10;
  elseif caso==5,
   dt          = 0.1 ;
   prop(3)     = dt  ;
   type_solver = 0;
   relax       = 0.5;  % parametro de relajacion fijo para type_solver=0
   nu_max      = 50;
   ntime       = 30;
   nstep       = 5;
  elseif caso==51,
   dt          = 0.01 ;
   prop(3)     = dt  ;
   type_solver = 2;
   relax       = 0.5;  % parametro de relajacion fijo para type_solver=0
   nu_max      = 1;
   ntime       = 300;
   nstep       = 10;
   nsave       = 100;
  elseif caso==6,
   dt          = 0.01 ;
   prop(3)     = dt  ;
   type_solver = 2;
   relax       = 0.5;  % parametro de relajacion fijo para type_solver=0
   nu_max      = 1;
   ntime       = 200;
   nstep       = 5;
   nsave       = 100;
   limit       = 1e-04;
  elseif caso==7,
   dt          = 0.01 ;
   prop(3)     = dt  ;
   type_solver = 2;
   type_solver = 3;
   relax       = 0.5;  % parametro de relajacion fijo para type_solver=0
   nu_max      = 1;
   ntime       = 1000;
   nstep       = 10;
   nsave       = 100;
   limit       = 1e-04;
  elseif caso==8,
   dt          = 0.01 ;
   prop(3)     = dt  ;
   type_solver = 0;
   relax       = 0.5;  % parametro de relajacion fijo para type_solver=0
   nu_max      = 1;
   ntime       = 100;
   nstep       = 5;
   nsave       = 100;
   limit       = 1e-04;   
end

prop(12)  = limit;
prop(13)  = dt    ; % paso de tiempo
prop(14)  = alpha ; % grado de implicitud  

prop_solver = [type_solver,relax,nu_max,alfa_min,alpha,ntime,nstep,scaling];