   Lv = 0;
   rho = prop_elem(1,1);
   Cp  = prop_elem(2,1);
   xnod_mod = xnod;
   xnod_mod(:,2) = xnod_mod(:,2)+Lv;
      
   x_guide = 0.5*(xnod_mod(icone_guide(:,1),2)+xnod_mod(icone_guide(:,2),2));
   x_fluid = 0.5*(xnod_mod(icone_fluid(:,1),2)+xnod_mod(icone_fluid(:,2),2));
   x_seat  = 0.5*(xnod_mod(icone_seat (:,1),2)+xnod_mod(icone_seat (:,2),2));
   
   % convection at guide taken into account the valve motion
   mask_guide = (x_guide>x_guide_min)&(x_guide<x_guide_max);
   
   teco = [];
   nn= find(mask_guide==1);
   teco = [teco;[ifaceb_guide(nn,1:2) , ...
            ones(length(nn),1)*[h_oil_guide/rho/Cp,T_oil_guide] ]];
   nn= find(mask_guide==0);
   teco = [teco;[ifaceb_guide(nn,1:2) , ones(length(nn),1)*[h_fluid/rho/Cp,T_fluid] ]];
   % convection between guide and the oil
   teco = [teco;[ifaceb_guide_out(:,1:2) , ...
            ones(length(ifaceb_guide_out(:,1)),1)*[h_oil_guide/rho/Cp,T_oil_guide] ]];   
   % convection between valve and the gas (fluid)
   teco = [teco;[ifaceb_fluid(:,1:2) , ones(length(ifaceb_fluid(:,1)),1)*[h_fluid/rho/Cp,T_fluid] ]];
   % convection between part of the seat in face with the gas (fluid)
   teco = [teco;[ifaceb_seat_fluid(:,1:2) , ones(length(ifaceb_seat_fluid(:,1)),1)*[h_fluid/rho/Cp,T_fluid] ]];   
   % at seat , convection when valve is open and thermal contact when valve is closed
   if Lv>0,
      teco = [teco;[ifaceb_seat(:,1:2) , ones(length(ifaceb_seat(:,1)),1)*[h_seat/rho/Cp,T_fluid] ]];
      teco = [teco;[ifaceb_seat_out(:,1:2) , ones(length(ifaceb_seat_out(:,1)),1)*[h_seat_out/rho/Cp,T_fluid] ]];
      ther_contact = [];
   else
      ther_contact =  [icone_seat(:,[2,1]) icone_seat_out(:,[2,1]) ... 
            C_seat/rho/Cp*ones(length(icone_seat(:,1)),1)];
   end
   
   % convection between part of the seat in face with the cylinder 
   %   eval(['[h_cylinder,T_cylinder]=' bc_time_file_T_cyl '(' num2str(ttime*omega) ');']);   
   teco = [teco;[ifaceb_seat_cylinder(:,1:2) , ones(length(ifaceb_seat_cylinder(:,1)),1)*[h_cylinder/rho/Cp,T_cylinder] ]]; 
   % convection between valve and cylinder
   teco = [teco;[ifaceb_cyl(:,1:2) , ones(length(ifaceb_cyl(:,1)),1)*[h_cylinder/rho/Cp,T_cylinder] ]];   
