ne  = length(eles);

% Localizacion de las variables
%------------------------------------------------------------------

    ceros = zeros(ne,nen*ndf);
       Ue = ceros;
      U0e = ceros;
      re = zeros(ne,nen);
     vele = zeros(length(eles),nen,ndm);      
%   Uenorm = zeros(ne,nen);
for inod=1:nen,
            nodes  = icone(eles,inod);
             jnod  = (inod-1)*ndf+(1:ndf);
       Ue(:,jnod)  = U(nodes,1:ndf);		 
       U0e(:,jnod) = Uold(nodes,1:ndf);   
       re(:,inod)  = xnod(nodes,1);		        
 vele(:,inod,1:ndm) = veloc(nodes,1:ndm);      
 %   Uenorm(:,inod) = sqrt(sum(Uold(nodes,1:ndf)'.^2)');
end

% UPWIND EN EL CENTROIDE 
%------------------------------------------------------------------
if nen==4,
  [X2S,S2X,Jaco0] = xy2st(xnod,icone(eles,:),0,0);
  [dshapex0,N0] = shape2d(X2S,0,0,nen); 
elseif nen==3,
  [X2S,S2X,Jaco0] = xy2st(xnod,icone(eles,:),1/3,1/3);
  [dshapex0,N0] = shape2d(X2S,1/3,1/3,nen); 
else
  error(' Bad type of element , nen ~=3, nen ~=4 ')
end
Upg     = zeros(ne,ndf);
dUpg    = zeros(ne,ndf,ndm);
%grad_Unorm   = zeros(ne,ndm);
velpg  = zeros(ne,ndm);
for inod=1:nen,
   jnod = (inod-1)*ndf+(1:ndf);
   Upg(:,(1:ndf))    =  Upg(:,(1:ndf)) + N0(inod).*  U0e(:,jnod);
   dUpg(:,(1:ndf),1) = dUpg(:,(1:ndf),1) + ...
	          (dshapex0(:,inod,1)*ones(1,ndf)).* U0e(:,jnod);          
   dUpg(:,(1:ndf),2) = dUpg(:,(1:ndf),2)+ ...
      (dshapex0(:,inod,2)*ones(1,ndf)).* U0e(:,jnod);             
   velpg(:,1)  = velpg(:,1) +  N0(inod).* vele(:,inod,1);      
   velpg(:,2)  = velpg(:,2) +  N0(inod).* vele(:,inod,2);         
%   grad_Unorm(:,1) = grad_Unorm(:,1) + dshapex0(:,inod,1).* Uenorm(:,inod);
%   grad_Unorm(:,2) = grad_Unorm(:,2) + dshapex0(:,inod,2).* Uenorm(:,inod);   
end    

% SUPG standard upwind
hele    = comp_hele(velpg,dshapex0,Jaco0,nen);
velmod  = sqrt(sum(velpg'.^2))';
[tau,delta] = compute_tau_advdif(Upg,dUpg,velmod,hele,reac,prop,type_upwind);

if flux_ff_flag,
    [bas,Ax0,Ay0]     =  Flux_function(Upg,prop,velpg);   
else
    Ax0 = velpg(:,1);
    Ay0 = velpg(:,2);
end

%disp('advdif_system_ele');keyboard;pause

% Loop sobre los puntos de Gauss
%------------------------------------------------------------------
 for ipg=1:npg
  
  [X2S,S2X,Jaco] = xy2st(xnod,icone(eles,:),psipg(ipg),etapg(ipg));
  [dshapex,N] = shape2d(X2S,psipg(ipg),etapg(ipg),nen); 

% Interpolacion en punto de Gauss
%------------------------------------------------------------------

     Upg    = zeros(ne,ndf);
    U0pg    = zeros(ne,ndf);
    dUpg    = zeros(ne,ndf,ndm);
   radpg    = zeros(ne,1);
   
  for inod=1:nen,
     jnod = (inod-1)*ndf+(1:ndf);
      Upg(:,(1:ndf))  =  Upg(:,(1:ndf)) + N(inod).*  Ue(:,jnod);
      U0pg(:,(1:ndf)) = U0pg(:,(1:ndf)) + N(inod).* U0e(:,jnod);
      radpg(:,1)      =      radpg(:,1) + N(inod).* re(:,inod);
      
      dUpg(:,(1:ndf),1)   = dUpg(:,(1:ndf),1) + ...
	          (dshapex(:,inod,1)*ones(1,ndf)).* Ue(:,jnod);
          
      dUpg(:,(1:ndf),2) = dUpg(:,(1:ndf),2)+ ...
	          (dshapex(:,inod,2)*ones(1,ndf)).* Ue(:,jnod);          
  end

  if entalphy_ff_flag,
      [H,Cp]     =  enthalpy_function(Upg,prop);
      [H0,bas]   =  enthalpy_function(U0pg,prop);
  else
      H = Upg;
      H0 = U0pg;
  end
  


  if flux_ff_flag,
      % advective flux function        
      [Fa,Ax,Ay]  =  Flux_function(Upg,prop,velpg);   
      % reactive and source terms due to:
      [Fc,C]     = Cflux(Upg,reac,source,prop);      
      % diffusive terms
      [Fd,Kxx,Kxy,Kyx,Kyy] = Dflux(Upg,dUpg,prop);        
  else
      Fa(:,1,1:2) = velpg.*(Upg*[1,1]);   
      Ax = velpg(:,1);
      Ay = velpg(:,2);
      Fc(:,1) = reac.*Upg-source;       
      C(:,1,1) = reac;
      Fd(:,1,1) = kappa*dUpg(:,1,1);
      Fd(:,1,2) = kappa*dUpg(:,1,2);      
      Kxx(:,1,1) = kappa*ones(numel,1);
      Kyy(:,1,1) = kappa*ones(numel,1); 
      Kxy(:,1,1) = zeros(numel,1);
      Kyx(:,1,1) = zeros(numel,1);
  end
  
  % Correccion axisimetrica del jacobiano de la transformacion al elemento master
  %------------------------------------------------------------------
  xsj =  wpg(ipg) .* Jaco;
  if axisim,
     xsj = xsj.*radpg;
  end
  
  AgU = rowprod(Ax,dUpg(:,1:ndf,1),ndf,ndf,1) + ... 
        rowprod(Ay,dUpg(:,1:ndf,2),ndf,ndf,1);

  % P_i Petrov-Galerkin perturbation weight function (GLS scheme)
  P_supg = zeros(ne,ndf,ndf);  
  for inod=1:nen,   

     P_supg_adv  = tau.*(velpg(:,1).*dshapex(:,inod,1)+velpg(:,2).*dshapex(:,inod,2));
     P_supg_reac = tau.*(-reac*N(inod));     
     for idf=1:ndf,
        P_supg(:,idf,idf) = P_supg_adv + P_supg_reac;
     end

    % W_i = N_i + P_i     
    W_supg = P_supg;  
    for idf=1:ndf,
       W_supg(:,idf,idf)=W_supg(:,idf,idf)+N(inod);
    end
                
        for jnod=1:nen,        
        % A_gN     
        tmpx = dshapex(:,jnod,1);
        tmpy = dshapex(:,jnod,2);
        for idf=1:ndf,
           for jdf=1:ndf,
              A_gN(:,idf,jdf,jnod) = tmpx.*Ax(:,idf,jdf) + tmpy.*Ay(:,idf,jdf) ;
           end 
        end    
        end
        
        for jnod=1:nen,
           
        % temporal terms
        if entalphy_ff_flag,
            W_Cp_N = rowprod(W_supg,Cp,ndf,ndf,ndf)*N(jnod) ;        
        else            
            W_Cp_N = N(inod)*N(jnod) ;         
        end
        
        % N_A_gN or gN_A_N according to weak form
        if weak_form,
                 N_A_gN = -A_gN(:,:,:,inod)*N(jnod);                 
        else          
                 N_A_gN =  A_gN(:,:,:,jnod)*N(inod);              
        end
        
        P_A_gN = rowprod(P_supg,A_gN(:,:,:,jnod),ndf,ndf,ndf);
        
        % shock capturing term
        gN_D_gN = zeros(numel,ndf,ndf);        
        if (shocap > 0)        
           for idf=1:ndf,
              for idm=1:ndm
                 gN_D_gN(:,idf,idf) = gN_D_gN(:,idf,idf) + ...
                    dshapex(:,inod,idm).*delta.*dshapex(:,jnod,idm);
              end
           end
        end
        
        gN_K_gN = zeros(numel,ndf,ndf);        
        for idf=1:ndf,
           for jdf=1:ndf,
              gN_K_gN(:,idf,jdf) = ...
                 -( (dshapex(:,inod,1).*Kxx(:,idf,jdf).*dshapex(:,jnod,1))+ ...
                    (dshapex(:,inod,1).*Kxy(:,idf,jdf).*dshapex(:,jnod,2))+ ...
                    (dshapex(:,inod,2).*Kyx(:,idf,jdf).*dshapex(:,jnod,1))+ ...
                    (dshapex(:,inod,2).*Kyy(:,idf,jdf).*dshapex(:,jnod,2)) );
           end             
        end
        
        % reactive terms
        W_C_N = rowprod(W_supg,C,ndf,ndf,ndf)*N(jnod) ;        
        
        % assembling
        vaux =  N_A_gN + P_A_gN + gN_D_gN - gN_K_gN + W_C_N;
        
        for idf=1:ndf,
           for jdf=1:ndf,              
              Mele(:,inod,idf,jnod,jdf) = Mele(:,inod,idf,jnod,jdf) + ... 
              xsj.*( W_Cp_N(:,idf,jdf) ./ dt + vaux(:,idf,jdf) );           
           end
        end
                
        end % jnod
        
        % temporal term
        if entalphy_ff_flag,        
            W_dUdt   = rowprod(W_supg,(H-H0),ndf,ndf,1);
        else
            W_dUdt   = N(inod)*(H-H0);
        end
        
        % advective fluxes
        if weak_form,
           gN_Fa = -(dshapex(:,inod,1)*ones(1,ndf)).*Fa(:,1:ndf,1) ... 
                   -(dshapex(:,inod,2)*ones(1,ndf)).*Fa(:,1:ndf,2);
        else
           gN_Fa = (N(inod)*ones(numel,ndf)).* AgU(:,1:ndf);
        end
        
        % stabilization SUPG terms        
        P_A_gU   = rowprod(P_supg,AgU,ndf,ndf,1);
        
        gN_D_gU = zeros(ne,ndf);        
        if(shocap>0)                
           for idf=1:ndf,
              for idm=1:ndm              
                 gN_D_gU(:,idf) = gN_D_gU(:,idf) + ...
                    dshapex(:,inod,idm).*delta.*dUpg(:,idf,idm);
              end
           end
        end        
        
        % reactive and source terms        
        W_Fc   = rowprod(W_supg,Fc,ndf,ndf,1) ;
        
        % diffusive fluxes
        gN_Fd = -(dshapex(:,inod,1)*ones(1,ndf)).*Fd(:,1:ndf,1) ... 
           -(dshapex(:,inod,2)*ones(1,ndf)).*Fd(:,1:ndf,2);
        vaux =  gN_Fa + P_A_gU + gN_D_gU - gN_Fd + W_Fc;                
     
        for idf=1:ndf,
           Rele(:,inod,idf) = Rele(:,inod,idf) - ... 
                              (vaux(:,idf) +W_dUdt(:,idf) ./ dt ).* xsj ;
        end
        
  end % inod
  
end % ipg

% ------ Terminos de contorno

if weak_form,
   [Mele,Rele] = bc_conv_advdif_system(xnod,icone,Ue,vele,ifaceb,Rele,Mele,prop);   
end

