function [tau,delta] = supg_advdif_system(Upg,grad_phi,velmod,hele,prop,type_upwind)
%
%  [tau,delta] = supg_advdif_system(Upg,grad_phi,velmod,hele,prop,type_upwind)
%

ijob = 'get';
handle_prop_elem;

tau_factor = 1.0;
[N,ndf]     = size(Upg);

Pe = 0.5/kappa*velmod.*hele ;
psi = min([ones(1,N);Pe'/3])';

if type_upwind==0,
   velmod  = max([velmod';tol_upw*ones(1,N)])';  
   tau   = 0.5* hele ./ velmod.*psi;
   delta = 1.0*velmod.*hele/2;
elseif type_upwind==1,
   % luego poner algo diferente
else
   error(' Bad type of upwind has been chosen')
end

