% 
%  handle_prop_elem
%

if strcmp(ijob,'get')
    
    % get_prop_elem
    
%%%%%%%%%%%%%% PROPIEDADES DEL MATERIAL 

rho_g   = prop(1);
visco_g = prop(2);
gravity = prop(3);
npg     = prop(4);
weak_form = prop(5);
Cou       = prop(6);
shocap  = prop(7);
axisim  = prop(8);
comp_interphase_terms =  prop(9);
drag_factor = prop(10);
dt       = prop(13);
visco_l  = prop(11);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
elseif strcmp(ijob,'set'),
    
    %  set_prop_elem

 prop(1) =  rho_g  ;
 prop(2) =  visco_g;
 prop(3) =  gravity;
 prop(4) =  npg;
 prop(5)  = weak_form;
 prop(6)  = Cou ;
 prop(7)  = shocap ;
 prop(8)  = axisim ;
 prop(9)  = comp_interphase_terms;
 prop(10) = drag_factor;
 if exist('dt','var')>0,
     prop(13) = dt;      
  end
 prop(11) = visco_l;  
else
    error(' Bad ijob choice for HANDLE_PROP_ELEM')
end
