function [H,Cp] = enthalpy_function(Up,rho_m)
%
%      [H,Cp] = enthalpy_function(Up,alpha)
%

%ijob = 'get';
%handle_prop_elem;

[N,ndf]     = size(Up);
pre         = Up(:,1);
vel_m       = Up(:,2:3);

H           = zeros(N,ndf,1);
H           = [rho_m,(rho_m*[1,1]).*vel_m];
Cp          = zeros(N,ndf,ndf);
Cp(:,2,2)   = rho_m;
Cp(:,3,3)   = rho_m;
