function vel_m = get_vel_mixture(vel_l,vslip,alphas,prop)
%
%   vel_m = get_vel_mixture(vel_l,vslip,alphas)
%

ijob = 'get';
handle_prop_elem;

alpha_l = 1-alphas(:,1)-alphas(:,2);

vel_m = (rho_l*vel_l.*alpha_l+ ...
         [vslip(1)]*rho_g*alphas(:,1) + [vslip(2)]*rho_s*alphas(:,2) ) ;
vel_m = vel_m ./ (alphas(:,1)*rho_g+alphas(:,2)*rho_s+alpha_l*rho_l);    
