% calculo de la velocidad de todas las fases nodalmente
v_slip   = get_vslip(phiold(:,2:3),phiold(:,4:ndf),prop);
vel_liq  = get_vel_liq(phiold(:,2:3),v_slip,phiold(:,4:ndf),prop);
external_nodal_fields_old=vel_liq;
external_nodal_fields_old = [external_nodal_fields_old , phiold(:,2:3)+v_slip(:,1:2) , phiold(:,2:3)+v_slip(:,3:4)];

v_slip   = get_vslip(phi(:,2:3),phi(:,4:ndf),prop);
vel_liq  = get_vel_liq(phi(:,2:3),v_slip,phi(:,4:ndf),prop);
external_nodal_fields=vel_liq;
external_nodal_fields = [external_nodal_fields , phi(:,2:3)+v_slip(:,1:2) , phi(:,2:3)+v_slip(:,3:4) ];

nu    = 0;
nu_max = nnwt;
iterflag = nu<nu_max;        

Rg = 0; dphi=0;
while iterflag
    
    
    nu= nu+1;      
    phi_nu = phi;      
    ijob = 0;
    
    [Kg,Rg] = nsi_tet(xnod,icone,fixa,forc,teco,lin_con,external_nodal_fields,external_nodal_fields_old,prop,ifaceb,phi,phiold);                            
    
    Rg_norm=0;
    if 1,
        if strcmp(Id_case,'nsi')==1,
            % solving NSI
            fixa_p = v2m(fixa,ndf); fixa_p(:,indx_nonsi)=1; fixa_p = m2v(fixa_p);   
            [phi,Rg1] = solver(phi,Rg,Kg,fixa_p,prop,prop_solver,ndf);   
            Rg_norm = Rg_norm + norm(Rg1);
        else
            % solving gas transport equation
            fixa_p = v2m(fixa,ndf); fixa_p(:,indx_nsi)=1; fixa_p = m2v(fixa_p);   
            [phi,Rg2] = solver(phi,Rg,Kg,fixa_p,prop,prop_solver,ndf);      
            Rg_norm = Rg_norm +norm(Rg2);
        end
    else
        [phi,Rg] = solver(phi,Rg,Kg,fixa,prop,prop_solver,ndf);          
        Rg_norm = Rg_norm + norm(Rg);
    end
    
    
    % Analisis de la convergencia
    %------------------------------------------------------------------
    dphi = phi-phi_nu;
    
    iterflag = (Rg_norm>limit) & (nu< nu_max); % & (norm(dphi)>limit);
    
    if nu==1, Rg_outer=Rg_outer+Rg_norm; end
    
    disp(['time ' num2str(itime) ... 
            ' Iter ' num2str(nu)  ' || R || -----> ' num2str(Rg_norm) ... 
            ' || Delta phi || -----> ' num2str(norm(dphi))  ])
    
end  % end while
