function v_slip = get_vslip(Upg,alpha,prop,ijob)
%
%   v_slip = get_vslip(Upg,prop,ijob)
%

if nargin <4, ijob=0; end

[N,nphases]=size(alpha);

ijob = 'get';
handle_prop_elem;

[N,ndf]=size(Upg);
[rho_m,bas] = get_mixture_props(alpha,prop,0,0);       

for iif=1:nphases
    [rho_k,bas] = get_mixture_props(alpha,prop,0,iif);       
    vslip = vslip - vslip*rho_k.*alpha ./rho_m;        
end

v_slip = vslip*[0,1];
%v_slip = ones(N,1)*[0,vslip];
