vel = vel_l;
rho = rho_l;
visco = visco_l;
hele   = hele_l;

if ndm==2,
   velmod    = sqrt(sum(vel'.^2))';
else
   velmod = abs(vel);
end

velmod    = max([velmod';tol_upw*ones(1,N)])';      
Pe        = 0.5/(visco/rho)*velmod.*hele ;
psi       = min([ones(1,N);Pe'/3])';

tau       = (2*velmod./hele).^2 + 9*(4*(visco/rho) ./(hele).^2).^2;
tau       = 1 ./ sqrt(tau);
delta_l   = velmod.*hele/2.*psi;   
tau_l     = tau_factor*tau;

