function [tau_l,tau_g,delta_l,delta_g] = supg_bubbly_2d_bis_2(Upg,grad_phi,hele_l,hele_g,prop,Cpi,Ax,Ay)
%
%

tol_upw = 1e-08;

ijob = 'get';
handle_prop_elem;

indx_l = [1,3,4];
indx_g = [2,5,6];

[N,ndf]     = size(Upg);
alpha_g     = Upg(:,indx_g(1));
vel_g       = Upg(:,indx_g(2:3));
pre         = Upg(:,indx_l(1));
vel_l       = Upg(:,indx_l(2:3));
alpha_l     = 1-alpha_g;
hele        = sqrt(hele_l.*hele_g);

sdir = vel_g-vel_l; sdir = sdir ./(sqrt(dot(sdir',sdir')')*[1,1]); 
[nnod,ndf] = size(Upg);
for kk=1:nnod,

    if 0,
        vaux_Cp = reshape(Cp(kk,:,:),ndf,ndf);
        vaux_Cp(indx_g(1),indx_l(1)) = vaux_Cp(indx_g(1),indx_l(1)) + alpha_g(kk) /cc^2;
        vaux_Cp(indx_l(1),indx_l(1)) = vaux_Cp(indx_l(1),indx_l(1)) + (1-alpha_g(kk)) /cc^2;
        vaux_Cp = inv(vaux_Cp);
    else
        vaux_Cp = reshape(Cpi(kk,:,:),ndf,ndf);
    end

    vaux_Ax = vaux_Cp*reshape(Ax(kk,:,:),ndf,ndf);
    vaux_Ay = vaux_Cp*reshape(Ay(kk,:,:),ndf,ndf);    

    if 1,
        vaux    = (vaux_Ax*vaux_Ax+vaux_Ay*vaux_Ay);
        tau_t = (hele(kk)/2*ones(ndf,ndf)).*(inv(sqrtm(vaux))*vaux_Cp);            
    else
        vaux    = vaux_Ax*abs(sdir(kk,1))+vaux_Ay*abs(sdir(kk,2));
        tau_t = (hele(kk)/2*ones(ndf,ndf)).*(inv(funm(vaux,'abs'))*vaux_Cp);                    
    end    
    
%    disp('SUPG BUBBLY 2D BIS ');keyboard;pause


if 0,
    vel_g_mod = sqrt(sum(vel_g(kk,:).^2));
    vel_g_mod = max([vel_g_mod,tol_upw]);    
    tau_gg = tau_t; tau_gg(indx_l,indx_l)=0;
    tau_g(kk,:,:) = tau_gg;
    delta_g(kk,1) = hele(kk)/2*vel_g_mod;    
    
    vel_l_mod = sqrt(sum(vel_l(kk,:).^2));
    vel_l_mod = max([vel_l_mod,tol_upw]);
    tau_ll = 0*tau_t; tau_ll(indx_g,indx_g) = 0; tau_ll(indx_l,indx_l) = 2*diag((hele(kk)/2/vel_l_mod)*ones(3,1));    
    tau_l(kk,:,:) = tau_ll;     
    delta_l(kk,1) = hele(kk)/2*vel_l_mod;
elseif 1,
    vel_g_mod = sqrt(sum(vel_g(kk,:).^2));
    vel_g_mod = max([vel_g_mod,tol_upw]);    
    tau_gg = 0*tau_t; tau_gg(indx_l,indx_l)=0; tau_gg(indx_g,indx_g) = diag((hele(kk)/2/vel_g_mod)*ones(3,1));    
    tau_g(kk,:,:) = tau_gg;
    delta_g(kk,1) = hele(kk)/2*vel_g_mod;    
    
    vel_l_mod = sqrt(sum(vel_l(kk,:).^2));
    vel_l_mod = max([vel_l_mod,tol_upw]);
    tau_ll = 0*tau_t; tau_ll(indx_g,indx_g) = 0; tau_ll(indx_l,indx_l) = diag((hele(kk)/2/vel_l_mod)*ones(3,1));    
    tau_l(kk,:,:) = tau_ll;     
    delta_l(kk,1) = hele(kk)/2*vel_l_mod;
else
    vel_g_mod = sqrt(sum(vel_g(kk,:).^2));
    vel_g_mod = max([vel_g_mod,tol_upw]);    
    tau_g(kk,:,:) = tau_t;
    delta_g(kk,1) = hele(kk)/2*vel_g_mod;    

    vel_l_mod = sqrt(sum(vel_l(kk,:).^2));
    vel_l_mod = max([vel_l_mod,tol_upw]);
    tau_ll = 0*tau_t; tau_ll(indx_g,indx_g) = 0; tau_ll(indx_l,indx_l) = diag((hele(kk)/2/vel_l_mod)*ones(3,1));    
    tau_l(kk,:,:) = tau_ll;     
    delta_l(kk,1) = hele(kk)/2*vel_l_mod;
end

end


