
tol = 1e-4;
alpha_l = 1-alpha_g;

if virtual_mass==1
    C_vm_2 = C_vm;
else
    C_vm_2 = 0;
end

u_g = vel_g(:,1:2);
u_l = vel_l(:,1:2);    

if Advdif_scheme==0,
    DD  = -(rho_g/rho_l*alpha_l+C_vm_2);
    D2 = alpha_g.*(alpha_l+C_vm_2) ./ alpha_l;
    
    %b1 = (-rho_g/rho_l*(1-alpha_g)-C_vm)^2*u_g^2;
    %b2 = (2*((-rho_g/rho_l*(1-alpha_g)-C_vm)*u_g-2*alpha_g/(1-alpha_g)*(1-alpha_g+C_vm)*u_l)*(-rho_g/rho_l*(1-alpha_g)-C_vm)*u_g-(4*rho_g/rho_l*(1-alpha_g)+4*C_vm)*((C_vm+rho_g/rho_l*(1-alpha_g))*u_g^2+alpha_g/(1-alpha_g)*(1-alpha_g+C_vm)*u_l^2));
    %b3 = ((-rho_g/rho_l*(1-alpha_g)-C_vm)*u_g-2*alpha_g/(1-alpha_g)*(1-alpha_g+C_vm)*u_l)^2-(4*alpha_g+4*C_vm*alpha_g/(1-alpha_g))*((C_vm+rho_g/rho_l*(1-alpha_g))*u_g^2+alpha_g/(1-alpha_g)*(1-alpha_g+C_vm)*u_l^2);
    
    % v1 = DD.^2.*u_g.^2;
    % v2 = -2*DD.*(DD.*u_g.^2+2*D2.*u_l.*u_g-2*D2.*u_l.^2);
    % v3 = DD.*u_g.*(DD.*u_g-4*D2.*u_l+4*D2.*u_g);
    
    v1 = DD.^2.*dot(u_g',u_g')';
    v2 = -2*DD.*(DD.*dot(u_g',u_g')'+2*D2.*dot(u_l',u_g')'-2*D2.*dot(u_l',u_l')');
    tmp = ((DD*[1,1]).*u_g-4*(D2*[1,1]).*u_l+4*(D2*[1,1]).*u_g);
    v3 = DD.*dot(u_g',tmp')';
    
else
    
%    v1 = rho_g*alpha_l*u_g^2;
%    v2 = -(rho_l*alpha_g*u_l*(u_l-u_g)+u_g*(rho_g*alpha_l*u_g-rho_l*alpha_g*u_l));
%    v3 = -rho_l*alpha_g*u_g^2;

    vr = (u_l-u_g);
    v1 = rho_g*alpha_l.*dot(u_g',u_g')';
    vaux = (rho_g*(alpha_l*[1,1]).*u_g-rho_l*(alpha_g*[1,1]).*u_l);
    v2 = -(rho_l*alpha_g.*dot(u_l',vr')'+dot(u_g',vaux')');
    v3 = -rho_l*alpha_g.*dot(u_g',u_g')';;

end

mask = (v1+v2+v3)>=0;
n0   = find(mask==1);

beta_1 = (-v2+sqrt(v2.^2-4*v1.*v3))./(2*v1);
beta_2 = (-v2-sqrt(v2.^2-4*v1.*v3))./(2*v1);            

beta_max = max([beta_1';beta_2'])';
beta_min = min([beta_1';beta_2'])';

if 0,
    beta = beta_max + 0.001*(beta_max-beta_min);
    mask = abs(u_g)>abs(u_l);
    nn=find(mask==0);
    if isempty(nn)==0, beta(nn) = beta_min(nn) - 0.001*(beta_max(nn)-beta_min(nn)); end    
elseif 0,
    beta=0.99*beta_min ;
    mask = beta_min<0;
    nn=find(mask==1);
    if isempty(nn)==0, beta(nn) = 1.01*beta_max(nn); end        
elseif 0,
    [bas,ipt] = min([abs(beta_min-1)';abs(beta_max-1)']);
    beta=beta_min-0.1;
    nn=find(ipt==2);
    if isempty(nn)==0, beta(nn) = beta_max(nn)+0.1; end        
 else
    factor = 0.01;
%    factor = 0.1;
    [bas,ipt] = min([abs(beta_min-1)';abs(beta_max-1)']);
    beta=beta_min-factor*abs(beta_min);
    nn=find(ipt==2);
    if isempty(nn)==0, beta(nn) = beta_max(nn)+factor*abs(beta_max(nn)); end     
end

tmp = u_g-u_l;
mask = sqrt(dot(tmp',tmp')')<tol;
nn   = find(mask==1);
beta(nn) = 1;

if isempty(n0)==0,
    beta(n0)=1;
end

%  disp('COMPUTE BETA LIMITS');keyboard;pause
