function [tau_l,tau_g,delta_l,delta_g] = supg_bubbly_2d_bis_2(Upg,grad_phi,hele_l,hele_g,prop,Cpi,Ax,Ay)
%
%

tol_upw = 1e-08;

ijob = 'get';
handle_prop_elem;

indx_l = [1,3,4];
indx_g = [2,5,6];

[N,ndf]     = size(Upg);
alpha_g     = Upg(:,indx_g(1));
vel_g       = Upg(:,indx_g(2:3));
pre         = Upg(:,indx_l(1));
vel_l       = Upg(:,indx_l(2:3));
alpha_l     = 1-alpha_g;
hele        = sqrt(hele_l.*hele_g);

sdir = vel_g-vel_l; sdir = sdir ./(sqrt(dot(sdir',sdir')')*[1,1]); 
[nnod,ndf] = size(Upg);

if (strcmp(supg_method,'standard')) | (strcmp(supg_method,'finlandes'))
    tau_standard;    
%elseif method=='as_supg'    
   % tau_as_supg;
else
    error('Unknown method')
end

tau_l=tau_factor*tau_l;
tau_g=tau_factor*tau_g;
%delta_l=tau_factor*delta_l;
%delta_g=tau_factor*delta_g;

if 0,
    % debug
    tau_l = ones(size(tau_l))*0.5;
    delta_l = ones(size(delta_l))*1.1;
    tau_g = tau_l;
    delta_g = delta_l;
    % end debug
end

% disp('supg_bubbly_2d_bis_2'); keyboard;pause