%
%  tau thinking as SUPG like method
%

for kk=1:nnod,
    
    vaux_Cp = reshape(Cpi(kk,:,:),ndf,ndf);
    vaux_Ax = vaux_Cp*reshape(Ax(kk,:,:),ndf,ndf);
    vaux_Ay = vaux_Cp*reshape(Ay(kk,:,:),ndf,ndf);    
    
    if 1,
        vaux    = (vaux_Ax*vaux_Ax+vaux_Ay*vaux_Ay);
        tau_t = (hele(kk)/2*ones(ndf,ndf)).*(inv(sqrtm(vaux))*vaux_Cp);            
    else
        vaux    = vaux_Ax*abs(sdir(kk,1))+vaux_Ay*abs(sdir(kk,2));
        tau_t = (hele(kk)/2*ones(ndf,ndf)).*(inv(funm(vaux,'abs'))*vaux_Cp);                    
    end    
    
    vel_g_mod = sqrt(sum(vel_g(kk,:).^2));
    vel_g_mod = max([vel_g_mod,tol_upw]);    
    tau_g(kk,:,:) = tau_t;
    delta_g(kk,1) = hele(kk)/2*vel_g_mod;    
    
    vel_l_mod = sqrt(sum(vel_l(kk,:).^2));
    vel_l_mod = max([vel_l_mod,tol_upw]);
    tau_ll = 0*tau_t; tau_ll(indx_l,indx_l) = diag((hele(kk)/2/vel_l_mod)*ones(3,1));    
    tau_l(kk,:,:) = tau_ll;     
    delta_l(kk,1) = hele(kk)/2*vel_l_mod;
    
end