
ijob = 'get';
handle_prop_elem;

P_supg = zeros(ne,ndf,ndf);                                   

if type_upwind~=2 ,
    %if 1,    
    switch supg_method
    case{'standard'}
        
        tau_pspg_factor = 1;    
        if 1,
            % LIQUID
            if type_upwind>0,
                tau = reshape(tau_l(:,indx_l(1),indx_l(1)),ne,1);
            else
                tau = tau_l;
            end
            
            tmp = tau.*(velpg_l(:,1).*dshapex(:,inod,1)+velpg_l(:,2).*dshapex(:,inod,2));
            for idm=1:ndm,
                P_supg(:,indx_l(idm+1),indx_l(idm+1)) = tmp;
            end
            P_supg(:,indx_l(1),indx_l(2)) = tau_pspg_factor*tau/rho_l.*dshapex(:,inod,1);
            P_supg(:,indx_l(1),indx_l(3)) = tau_pspg_factor*tau/rho_l.*dshapex(:,inod,2);        
            if shocap>0,
                P_supg(:,indx_l(2),indx_l(1)) = rho_l*delta_l.*dshapex(:,inod,1);
                P_supg(:,indx_l(3),indx_l(1)) = rho_l*delta_l.*dshapex(:,inod,2);
            end      
            
            
            % GAS
            if type_upwind>0,
                tau = reshape(tau_g(:,indx_g(1),indx_g(1)),ne,1);
            else
                tau = tau_g;
            end
            
            if PMM_method==1,
                %            disp('Compute P_supg');keyboard;pause    
                tmp = tau./beta.*(velpg_g(:,1).*dshapex(:,inod,1)+velpg_g(:,2).*dshapex(:,inod,2));
                P_supg(:,indx_g(1),indx_g(1)) = tmp;
                tmp = tau.*(velpg_g(:,1).*dshapex(:,inod,1)+velpg_g(:,2).*dshapex(:,inod,2));
                for idm=2:3,
                    P_supg(:,indx_g(idm),indx_g(idm)) = tmp;
                end            
            else
                tmp = tau.*(velpg_g(:,1).*dshapex(:,inod,1)+velpg_g(:,2).*dshapex(:,inod,2));
                for idm=1:3,
                    P_supg(:,indx_g(idm),indx_g(idm)) = tmp;
                end
            end
            
            %        P_supg = (P_supg~=0);
        else
            P_supg = ones(ne,ndf,ndf);                                   
        end
        
    case{'finlandes'}
        
        alpha_g_ele = Upg(:,2);
        alpha_l_ele = 1-alpha_g_ele;
        
        grad_alpha_g = reshape(dUpg(:,2,:),ne,2);
        grad_alpha_l = -grad_alpha_g;
        
        div_vg = dUpg(:,5,1)+dUpg(:,6,2);
        
        tau_pspg_factor = 1;
        % LIQUID
        if type_upwind>0,
            tau = reshape(tau_l(:,indx_l(1),indx_l(1)),ne,1);
        else
            tau = tau_l;
        end
       
        tmp = tau.*alpha_l_ele.*(velpg_l(:,1).*dshapex(:,inod,1)+velpg_l(:,2).*dshapex(:,inod,2));
        for idm=1:ndm,
            P_supg(:,indx_l(idm+1),indx_l(idm+1)) = tmp;
        end
        P_supg(:,indx_l(1),indx_l(2)) = tau_pspg_factor*tau/rho_l.*alpha_l_ele.*dshapex(:,inod,1);
        P_supg(:,indx_l(1),indx_l(3)) = tau_pspg_factor*tau/rho_l.*alpha_l_ele.*dshapex(:,inod,2);        
        if shocap>0,
            P_supg(:,indx_l(2),indx_l(1)) = rho_l*delta_l.*(dshapex(:,inod,1).*alpha_l_ele+N0(inod)*grad_alpha_l(:,1));
            P_supg(:,indx_l(3),indx_l(1)) = rho_l*delta_l.*(dshapex(:,inod,2).*alpha_l_ele+N0(inod)*grad_alpha_l(:,2));
        end      
                
        % GAS      
        if type_upwind>0,
            tau = reshape(tau_g(:,indx_g(1),indx_g(1)),ne,1);
        else
            tau = tau_g;
        end
        
        tmp = tau.*alpha_g_ele.*(velpg_g(:,1).*dshapex(:,inod,1)+velpg_g(:,2).*dshapex(:,inod,2));        
        for idm=1:ndm,
            P_supg(:,indx_g(idm+1),indx_g(idm+1)) = tmp;
        end
        P_supg(:,indx_g(1),indx_g(2)) = tau_pspg_factor*tau/rho_g.*alpha_g_ele.*dshapex(:,inod,1);
        P_supg(:,indx_g(1),indx_g(3)) = tau_pspg_factor*tau/rho_g.*alpha_g_ele.*dshapex(:,inod,2);                
        
%        P_supg(:,indx_g(1),indx_g(1)) = 0;        
        
        if (shocap>0),
            P_supg(:,indx_g(1),indx_g(1)) = P_supg(:,indx_g(1),indx_g(1)) + ...
                rho_g*delta_g.*((velpg_g(:,1).*dshapex(:,inod,1)+velpg_g(:,2).*dshapex(:,inod,2))+ div_vg*N0(inod));
        end      

%        keyboard;pause                
        
    otherwise
        error('Unknown method')
    end
    
else
    
    tmp_x=rowprod(Ax,tau_l,ndf,ndf,ndf);
    tmp_y=rowprod(Ay,tau_l,ndf,ndf,ndf);                        
    
    for idf=1:ndf
        for jdf=1:ndf
            tmp_x(:,idf,jdf)=tmp_x(:,idf,jdf).*dshapex(:,inod,1);
            tmp_y(:,idf,jdf)=tmp_y(:,idf,jdf).*dshapex(:,inod,2);                    
        end
    end
    P_supg = tmp_x+tmp_y;
    
    %disp('compute P supg ');keyboard;pause       
    
end

return
