function [tau,delta,dt] = supg_bubbly_2d(Upg,grad_phi,hele,prop,type_upwind)
%
%  [tau,delta,dt] = supg_bubbly_2d(Upg,grad_phi,dUpg,gamma,Cou,hele,shocap,type_upwind)
%

tol_upw = 1e-08;
tau_factor = 1;

if 0,
   file = 'supg_bubbly_2d';
   line = '7';
   lp_debug(file,line)
end

ijob = 'get';
handle_prop_elem;

[N,ndf]     = size(Upg);
alpha_g     = Upg(:,1);
vel_g       = Upg(:,2:3);

velmod  = sqrt(sum(Upg(:,2:3)'.^2))';

%   velmod  = max([velmod';tol*ones(1,N)])';  
%   tau   = tau_factor*0.5* hele ./ velmod;
%   velmod_eff = 1*(alpha_g+1/2+1/2*sqrt(4*alpha_g.^2+1)).*velmod;
%   velmod_eff = velmod;
%   delta = tau_factor*velmod_eff.*hele/2;

%    Pe = 0.5/(visco_g/rho_g)*velmod.*hele ;
Pe = 0.5*rho_g*velmod.*hele./(visco_g*alpha_g) ;
psi = min([ones(1,N);Pe'/3])';
velmod  = max([velmod';tol_upw*ones(1,N)])';  
tau   = tau_factor*0.5* hele ./ velmod.*psi;
delta = tau_factor*velmod.*hele/2;

%   delta = 5*ones(N,1);
dt    =  Cou*hele ./ velmod;   
