
caso = 0;

ndf=4;

delta = 0.0; % parametro termino presion interfacial
C_vl = 1.;
C_vg = 1.;

p      = 0;
u_l    = 0.1;
rho_g  = 0.001;
mu_l   = 1e-3;
mu_g   = 1e-5;
H      = 0.4;

alpha  = 0.1;
rho_l  = 1;         
u_g    = 0.1;        

Cou    = 0.5;
dx     = H/(nnod-1);

C_d_factor  = 0.1;
r_b  = 4/1000;
C_d  = C_d_factor*(3/4*mu_l/r_b^2*24);
%C_d  = 0.0;

C_vm = 0; % virtual mass coefficient

dt     = dx*Cou/max(abs([u_l;u_g]));
%dt     = 1e-3;

artif_compres = 0;
cc_g = 1000;
cc_l = 1000;

job='set';
handle_param    

xnod = (0:nnod-1)'*dx;

state = ones(nnod,1)*[alpha,u_g,u_l,p];

Ampl   = 0.*alpha;
kappa  = 2;
z = (xnod-min(xnod))/(max(xnod)-min(xnod));
state(:,1)=state(:,1)+Ampl*sin(kappa*2*pi*z);

% fixations & linear restrictions
fixa=[]; lin_con=[];
lin_con=[];
if 0,
for idf=1:ndf
    lin_con = [lin_con; [1,nnod,idf,-1,2,idf];[1,1,idf,-1,nnod-1,idf] ];  
end
%fixa = [2,4,0;nnod-1,4,0];
%fixa = [nnod-1,4,0];
fixa = [2,4,0];
else
    fixa = [1,1,alpha;
            1,2,u_g;
            1,3,u_l;
            nnod,4,0];
end