%----------------------------------------------------------------------
%
%          Fichero de datos
%
%----------------------------------------------------------------------

  caso     = 1 ;

  if caso==1,
     Ej_00  
  else
    error(' MALA ELECCION DEL CASO A TRATAR')
  end

  limit    =   1e-06;

% Type_solver ------>  [ 0 ]  standard - directo con relajacion (relax)
%                      [ 1 ]  line-search
%                      [ 2 ]  explicito
%                      [ 3 ]  GMRES

  dt          = 0.0001 ;
  type_solver = 0;
  relax       = 1;     % parametro de relajacion fijo para type_solver=0
  nu_max      = 1;	  % numero maximo de iteraciones por paso de tiempo
  alfa_min    = 0.01;  % para linesearch
  alpha       = 1;     % grado de implicitud (1/2 Cranck-Nicholson)
  ntime       = 10;  % pasos de tiempo
  nstep       = 1;     % guarda solucion cada nstep pasos de tiempo
  scaling     = 1;     % scaling equations at solver for better conditioning of the system

  if caso==1,
   type_solver = 0;
   relax       = 1;  % parametro de relajacion fijo para type_solver=0
   nu_max      = 2;
   ntime       = 2;
   alpha       = 1;
   nstep       = 1; % no interesa guardar la solucion en el tiempo
   dt          = 1e+15;
   scaling     = 0;  % OJO , hay nodos ficticious en esta aplicacion por lo tanto el scaling da NaN
  end
  
prop(12) = limit    ;
prop(13)  = dt    ; % paso de tiempo
prop(14)  = alpha ; % grado de implicitud  

prop_solver = [type_solver,relax,nu_max,alfa_min,alpha,ntime,nstep,scaling];