syms psi eta x1 x2 x3 y1 y2 y3

N1=1-psi-eta;
N2=psi;
N3=eta;

x = N1*x1+N2*x2+N3*x3;
y = N1*y1+N2*y2+N3*y3;

dxdpsi = jacobian(x,psi);
dxdeta = jacobian(x,eta);
dydpsi = jacobian(y,psi);
dydeta = jacobian(y,eta);

Jaco = [dxdpsi dxdeta ; dydpsi dydeta];