
xo = sqrt(1/6);
yo = sqrt(1/6);

x1 = 1; y1 = 0;
x2 = 1/2; y2=1/2;
x3 = xo; y3 = yo;
x4 = xo; y4 = 0;

Fe1 = [0,0,1-xo-yo,1-xo];
Fe2 = [1,1/2,xo,xo];
Fe3 = [0,1/2,yo,0];

xnod  = [x1,y1;x2,y2;x3,y3;x4,y4];
icone = [1,2,3,4];

npg = 2;
nen = 4;

pgauss2d;

tmp3 = 0; 
tmp2 = 0; 
tmp1 = 0; 
tmp0 = 0;
for ipg=1:npg

  [X2S,S2X,Jaco] = xy2st(xnod,icone,psipg(ipg),etapg(ipg));
  [dshapex,N] = shape2d(X2S,psipg(ipg),etapg(ipg),nen); 
  
  Fpg1 = 0;  Fpg2 = 0;  Fpg3 = 0;
  for inod=1:nen,
     Fpg1  = Fpg1 + N(inod) * Fe1(:,inod);
     Fpg2  = Fpg2 + N(inod) * Fe2(:,inod);
     Fpg3  = Fpg3 + N(inod) * Fe3(:,inod);     
  end
   
  xsj =  wpg(ipg) .* Jaco;
  
  for inod=1:nen,
     tmp0 = tmp0 + N(inod)*xsj ;
     tmp1 = tmp1 + N(inod)*Fpg1*xsj ;     
     tmp2 = tmp2 + N(inod)*Fpg2*xsj ;
     tmp3 = tmp3 + N(inod)*Fpg3*xsj ;     
  end
end
