syms psi eta x1 x2 x3 x4 y1 y2 y3 y4

N1 = 1/4*(1-psi)*(1-eta);
N2 = 1/4*(1+psi)*(1-eta);
N3 = 1/4*(1+psi)*(1+eta);
N4 = 1/4*(1-psi)*(1+eta);

xo = sqrt(1/6);
yo = sqrt(1/6);

x1 = 1; y1 = 0;
x2 = 1/2; y2=1/2;
x3 = xo; y3 = yo;
x4 = xo; y4 = 0;

x = N1*x1+N2*x2+N3*x3+N4*x4;
y = N1*y1+N2*y2+N3*y3+N4*y4;

dxdpsi = jacobian(x,psi);
dxdeta = jacobian(x,eta);
dydpsi = jacobian(y,psi);
dydeta = jacobian(y,eta);

Jaco = [dxdpsi dxdeta ; dydpsi dydeta];
dJaco = simple(det(Jaco));