function [fixa,forc] = conv_fixa_pfem(fixa_pf,fixa,forc)
%
%   [fixa,forc] = conv_fixa_pfem(fixa_pf,fixa,forc)
%
%   convert Petscfem format fixations to FemCode format fixations
%

idf_max = max(fixa_pf(:,2));
idf_min = min(fixa_pf(:,2));
for idf=idf_min:idf_max
    nn=find(fixa_pf(:,2)==idf);
    if isempty(nn)==0,
        nodes=fixa_pf(nn,1);
        value=fixa_pf(nn,3);
        fixa(nodes,idf)=1;
        forc(nodes,idf)=value;
    end
end
