function [Ax,Ay] = Ajac_bubbly(U)
%
%         [Ax,Ay] = Ajac_2D(U)
%
%     Jacobiano advectivo ecuaciones bubbly en 2D 
%

[nnod,ndf]=size(U);

alfa = U(:,1);
u_g  = U(:,2);
v_g  = U(:,3);

Ax = zeros(nnod,ndf,ndf);

Ax(:,1,1) = u_g;
Ax(:,1,2) = alfa;
Ax(:,2,1) = u_g.*u_g;
Ax(:,2,2) = 2*alfa.*u_g;
Ax(:,3,1) = u_g.*v_g;
Ax(:,3,2) = alfa.*v_g;
Ax(:,3,3) = alfa.*u_g;

Ay = zeros(nnod,ndf,ndf);

Ay(:,1,1) = v_g;
Ay(:,1,3) = alfa;
Ay(:,2,1) = u_g.*v_g;
Ay(:,2,2) = alfa.*v_g;
Ay(:,2,3) = alfa.*u_g;
Ay(:,3,1) = v_g.*v_g;
Ay(:,3,3) = 2*alfa.*v_g;

 

