function [At]=Area_valve(theta,valve)
%
%  [At]=Area_valve(theta,valve)
%

nvalves = length(valve);
for k=1:nvalves
    Lvmax = valve(k).Lvmax;
    VO    = valve(k).VO;
    VC    = valve(k).VC;
    Dv    = valve(k).Dv;
    angle = (theta-VO)./(VC-VO);
    Lv    = Lvmax*sin(angle).^2;
    At(k) = pi*Dv.*Lv;
end