syms U1 U2 U3 U4 p ga rho u v e
syms Vg;
syms h cc nu_t nu_v ;

g1 = ga-1;

%p = g1*(U4-0.5*(U2^2+U3^2)/U1);

Fa_x_ALE = [U2-U1*Vg;U2*U2/U1+p-U2*Vg;U3*U2/U1-U3*Vg;U4*(U2/U1-Vg)+p*(U2/U1)];
Fa_y_ALE = [U3-U1*Vg;U2*U3/U1-U2*Vg;U3*U3/U1+p-U3*Vg;U4*(U3/U1-Vg)+p*(U3/U1)];

Fa_x_ALE = subs(Fa_x_ALE,p,'(ga-1)*(U4-0.5*(U2^2+U3^2)/U1)');
Fa_y_ALE = subs(Fa_y_ALE,p,'(ga-1)*(U4-0.5*(U2^2+U3^2)/U1)');

Up = [rho,u,v,p];
Uc = [U1,U2,U3,U4];

Ax_ALE=jacobian(Fa_x_ALE,Uc);
Ay_ALE=jacobian(Fa_y_ALE,Uc);

Uc = simple((subs(subs(subs(subs(Uc,U1,'rho'),U2,'rho*u'),U3,'rho*v'),U4,'rho*e')));
Uc = simple(subs(Uc,e,'p/rho/(ga-1)+0.5*(u^2+v^2)'));

Cp = jacobian(reshape(Uc,4,1),Up);

Ax_ALE = simple((subs(subs(subs(subs(Ax_ALE,U1,'rho'),U2,'rho*u'),U3,'rho*v'),U4,'rho*e')));
Ay_ALE = simple((subs(subs(subs(subs(Ay_ALE,U1,'rho'),U2,'rho*u'),U3,'rho*v'),U4,'rho*e')));

Fa_x_ALE = simple((subs(subs(subs(subs(Fa_x_ALE,U1,'rho'),U2,'rho*u'),U3,'rho*v'),U4,'rho*e')));
Fa_y_ALE = simple((subs(subs(subs(subs(Fa_y_ALE,U1,'rho'),U2,'rho*u'),U3,'rho*v'),U4,'rho*e')));

Ax = simple(subs(Ax_ALE,Vg,0));
Ay = simple(subs(Ay_ALE,Vg,0));

umod = simple(sqrt((U2^2+U3^2)/(U1^2)));
umod = simple((subs(subs(subs(subs(umod,U1,'rho'),U2,'rho*u'),U3,'rho*v'),U4,'rho*e')));

tau_a = h/2/(umod-Vg)*eye(4);
tau_d = diag([0;nu_v;nu_v;nu_t])/((abs(umod-Vg)+cc)^2);
tau = tau_a - 0*tau_d;

return
