syms U1 U2 U3 p ga rho u e
syms Vg;
syms h cc nu_t nu_v ;

ndof = 3;

g1 = ga-.1;

Fa_x_ALE = [U1*(U2/U1-Vg);U2*U2/U1+p-U2*Vg;U3*(U2/U1-Vg)+p*(U2/U1)];
Fa_x_ALE = subs(Fa_x_ALE,p,'(ga-1)*(U3-0.5*(U2^2)/U1)');

Up = [rho,u,p];
Uc = [U1,U2,U3];

Ax_ALE=jacobian(Fa_x_ALE,Uc);

Uc = simple((subs(subs(subs(subs(Uc,U1,'rho'),U2,'rho*u'),U3,'rho*e'))));
Uc = simple(subs(Uc,e,'p/rho/(ga-1)+0.5*(u^2)'));

Cp = jacobian(reshape(Uc,ndof,1),Up);

if 1
    Fa_x_ALE = simple((subs(subs(subs(subs(Fa_x_ALE,U1,'rho'),U2,'rho*u'),U3,'rho*e'))));
    Ax_ALE = simple((subs(subs(subs(subs(Ax_ALE,U1,'rho'),U2,'rho*u'),U3,'rho*e'))));
else    
    Fa_x_ALE = simple((subs(subs(subs(subs(Fa_x_ALE,U1,'rho'),U2,'rho*u'),U3,'rho*e'))));
    Ax_ALE=jacobian(Fa_x_ALE,Uc);
end

Ax = simple(subs(Ax_ALE,Vg,0));

umod = simple(sqrt((U2^2)/(U1^2)));
umod = simple((subs(subs(subs(subs(umod,U1,'rho'),U2,'rho*u'),U3,'rho*e'))));

tau_a = h/2/(umod-Vg)*eye(ndof);
tau_d = diag([0;nu_v;nu_t])/((abs(umod-Vg)+cc)^2);
tau = tau_a - 0*tau_d;

if 1
    Ax_SIN_ALE = simple(subs(Ax,u,u+Vg));
    Ax_CON_ALE = Ax_ALE;    
else
    Ap_ALE = inv(Cp)*Ax_ALE*Cp;
    Ap     = inv(Cp)*Ax*Cp;
    Ap_SIN_ALE = simple(subs(Ap,u,u-Vg));
    Ap_CON_ALE = Ap_ALE;
end

return
