function [K,R] = get_num_jacobian(filename,U)
%
%  [K,R] = get_num_jacobian(filename,U,[U_in])
%


[nr,nc]=size(U);
eval(['R=' filename '(U);']);
ep = 1e-7;

for kr=1:nr,
    for kc=1:nc, 
        Up = U;
        if (abs(Up(kr,kc))<ep), 
            Up(kr,kc) = ep; 
        else
            Up(kr,kc) = Up(kr,kc)*(1+ep);            
        end        
        eval(['rp=' filename '(Up);']);
        Up = U;    
        if (abs(Up(kr,kc))<ep), 
            Up(kr,kc) = -ep; 
        else        
            Up(kr,kc) = Up(kr,kc)*(1-ep);    
        end
        eval(['rm=' filename '(Up);']);
        if (abs(U(kr,kc))<ep), 
            K(:,(kr-1)*nc+kc) = -(rp-rm)/(2*ep);            
        else        
            K(:,(kr-1)*nc+kc) = -(rp-rm)./(2*U(kr,kc)*ep);
        end
    end
end


