%
%  routine <test_valve_model.m> 
%
%  Performs test valve model
%
%  

datos_gral.ttime = 0;
datos_gral.dt    = 0.01;


phi_pipe_int = ones(1,1)*[1,1,1e5];
phi_pipe_end = ones(1,1)*[1,1.1,1e5];
phi_valve_th = ones(1,1)*[1,0.9,1e5]; 
phi_cylinder = ones(1,1)*[1,1e5,300];

if 1
datos_valve.dx       = [0.1;0.1];
datos_valve.Area_pipe   = [1;1];
datos_valve.Area_throat = [0.5;0.5];
datos_valve.dAreax      = [0;0];
datos_valve.Twall       = [300;300];
phi = [phi_pipe_int;phi_pipe_end;phi_valve_th;phi_cylinder];
phi = [phi;phi];
datos_valve.nodes_end = [1,3,5,7;2,4,6,8];
datos_valve.nodes_end = [1,2,3,4;5,6,7,8];
type_end = [-1;-1];

else
datos_valve.dx       = [0.1];
datos_valve.Area_pipe   = [1];
datos_valve.Area_throat = [0.5];
datos_valve.dAreax      = [0];
datos_valve.Twall       = [300];
phi = [phi_pipe_int;phi_pipe_end;phi_valve_th;phi_cylinder];
datos_valve.nodes_end = [1,2,3,4];
type_end = [-1];

end

datos_valve.type_end = type_end;

Kg = [];
Rg = [];

tol = 1e-8;
itermax = 20;
iter = 0;
lconv = 1;
while lconv
    iter=iter+1;
    [Kg,Rg] = do_valve(Kg,Rg,phi,datos_valve,datos_gral);

%    free = [6+(1:2*3),12+(1:2*3)];
    free = [3+(1:2*3),15+(1:2*3)];
%    free = [3+(1:2*3)];

    Kg = Kg(free,free);
    Rg = Rg(free);
    dphi = inv(Kg)*Rg;    

    disp('test_valve_model');keyboard;pause
    
%    phi(3:6,:)=phi(3:6,:)+reshape(dphi,3,4)';
     phi([2,3,6,7],:) = phi([2,3,6,7],:) + reshape(dphi,3,4)';
     
%    phi(2:3,:)=phi(2:3,:)+reshape(dphi,3,2)';

    lconv = (norm(dphi)>tol)&(iter<itermax);
    disp([' || dphi || = ' num2str(norm(dphi))])
    disp([' || Rg || = ' num2str(norm(Rg))])
end

return

