%
%   Ejemplo 00 : ejemplo 1D 
%

Nx       = 19;  
psi      = (0:Nx-1)'/(Nx-1);
x        = sin(-pi/2+psi*pi);

%-------- coordenadas (XNOD)
xnod= [x];

%-------- conectividades (ICONE)
%ico = [ (1:Nx-1)' (2:Nx)' ];  icone = ico;
ico  = [(1:2:Nx-2)' (2:2:Nx-1)' (3:2:Nx)'];  icone = ico;
%ico  = [(1:3:Nx-3)' (2:3:Nx-2)' (3:3:Nx-1)' (4:3:Nx)'];  icone = ico;


%-------- fijaciones (FIXA)
[numnp,ndm]=size(xnod);
[numel,nen]=size(icone);
ndf = 1;
nodes_lef  = 1;
nodes_rig  = Nx;
fixa= zeros(numnp,ndf);
fixa(nodes_lef,1)=ones(length(nodes_lef),1);
%fixa(nodes_rig,1)=ones(length(nodes_rig),1);

%-------- Cargas/Desplazamientos nodales(FORC)
forc= zeros(numnp,ndf);
forc(nodes_lef,1)=0*ones(length(nodes_lef),1);
%forc(nodes_rig,1)=1*ones(length(nodes_rig),1);

%-------- Fuentes de volumen (por elemento)
source = 10*ones(numel,1);

%--------- Termino reactivo -----------------------------
reac   = ones(numel,1);

%--------- Campo de Velocidad -----------------------------
veloc  =  zeros(numnp,1);

%-------- Propiedades del material
kappa   =  1    ;
npg     =  5    ;
prop(1) = kappa ;
prop(2) = npg   ;
upwind   =      0 ;
lumped   =      0 ;
prop(4)  = upwind   ;
prop(11) = lumped   ;

%-------- Cargas repartidas (STRG)
strg    = [];

%-------- Condiciones de contorno mixtas (TECO)
% del tipo  -k du/dn + h(u-u_0) = 0
% elementos con estas condiciones
%eles    = [1;numel];
% valor del coeficiente h
%val1    = ones(size(eles));
%val2    = 0.1*ones(size(eles));
%teco    = [eles face val1/rho/Cp val2 ];
teco     = [];

% Restricciones lineales ----> Condiciones periodicas
if 0,
   lin_con = [1,numnp,1,-1,1,1; 
      1,numnp-1,1,-1,2,1];
end

%-------- Solucion inicial (PHI)
phi0 =  0;
bini = zeros(numnp,ndf);
for k=1:ndf,
   bini(:,k)   = forc(:,k);
   free        = find(fixa(:,k)==0);
   bini(free,k)= phi0(1,k)*ones(size(free));
end
