nu    = 0;
nu_max = nnwt;
iterflag = nu<nu_max;        

Rg = 0; dphi=0;
while iterflag
   
   nu= nu+1;      
   phi_nu = phi;      
   ijob = 0;
   
   external_fields = [];
   external_fields_old = [];
   
   t0=cputime;
   [Kg,Rg] = nsi_tet(xnod,icone,fixa,forc,teco,lin_con,external_fields,...
       external_fields_old,prop,ifaceb,bou_data_neumann,phi,phiold,rowe,cole);                            
   t1=cputime;
   disp([' dt assemble = ' num2str(t1-t0)])   

   [phi,Rg]=solver(phi,Rg,Kg,fixa,prop,prop_solver,ndf);   
   t2=cputime;
   disp([' dt solver   = ' num2str(t2-t1)])
   
   % Analisis de la convergencia
   %------------------------------------------------------------------
   dphi = phi-phi_nu;
   
   iterflag = (norm(Rg)>limit) & (nu< nu_max); % & (norm(dphi)>limit);
   
   if nu==1, Rg_outer=Rg_outer+norm(Rg); end
   
   disp(['time ' num2str(itime) ... 
         ' Iter ' num2str(nu)  ' || R || -----> ' num2str(norm(Rg)) ... 
         ' || Delta phi || -----> ' num2str(norm(dphi))  ])
   
end  % end while

