% 
%  handle_prop_elem
%

if strcmp(ijob,'get')
    
    % get_prop_elem
    
%%%%%%%%%%%%%% PROPIEDADES DEL MATERIAL 

rho        = prop(1);
visco      = prop(2);
gravity    = prop(3);
npg        = prop(4);
weak_form  = prop(5);
Cou        = prop(6);
shocap     = prop(7);
axisim     = prop(8);
dt         = prop(13);
tau_factor = prop(9);
alpha      = prop(14);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
elseif strcmp(ijob,'set'),
    
    %  set_prop_elem

 prop(1) =  rho  ;
 prop(2) =  visco;
 prop(3) =  gravity;
 prop(4) =  npg;
 prop(5)  = weak_form;
 prop(6)  = Cou ;
 prop(7)  = shocap ;
 prop(8)  = axisim ;
 if exist('tau_factor','var')==0,
     tau_factor = 1;
 end
 prop(9)  = tau_factor;
 if exist('dt','var')>0,
     prop(13) = dt;      
  end
 
 if exist('alpha','var')>0,
     prop(14) = alpha;      
  end

 
else
    error(' Bad ijob choice for HANDLE_PROP_ELEM')
end
