nu    = 0;
nu_max = nnwt;
iterflag = nu<nu_max;        

Rg = 0; dphi=0;
while iterflag
    
    nu= nu+1;      
    %phi_nu = phi;
    phi_nu = phiold;
    ijob = 0;
    
    external_fields = [];
    external_fields_old = [];
    
    t0=cputime;
    % generacion matriz paso predictor + poisson y residuo predictor
    fs_step = 1;
    [Kg,Rg_pre] = nsi_fs(xnod,icone,fixa,forc,teco,lin_con,prop,ifaceb,phi,phi_nu,rowe,cole,fs_step);   
    t1=cputime;
    disp([' dt assemble K(predictor + poisson) + R(predictor)= ' num2str(t1-t0)])   
    
    % solver paso predictor
    fixa_p = v2m(fixa,ndf); fixa_p(:,indx_p)=1; fixa_p=m2v(fixa_p); 
    [phi_pre,Rg_pre]=solver(phi,Rg_pre,Kg,fixa_p,prop,prop_solver);      
    t2=cputime;
    disp([' dt solver (predictor)  = ' num2str(t2-t1)])
    
    % generacion residuo poisson 
    prop(14) = 1;
    fs_step = 2;   
    [bas,Rg_poi] = nsi_fs(xnod,icone,fixa,forc,teco,lin_con,prop,ifaceb,phi_pre,phi_nu,rowe,cole,fs_step);   
    t3=cputime;
    disp([' dt assemble R(poisson)= ' num2str(t3-t2)])   
    clear bas   
    
    % solver paso poisson 
    fixa_p = v2m(fixa,ndf); fixa_p(:,indx_v)=1; fixa_p=m2v(fixa_p); 
    [phi_poi,Rg_poi]=solver(phi_pre,0*Rg_poi,Kg,fixa_p,prop,prop_solver);      
    t4=cputime;
    disp([' dt solver (poisson)  = ' num2str(t4-t3)])
    
    % generacion residuo projection 
    fs_step = 3;      
    %    [bas,Rg_pr] = nsi_fs(xnod,icone,fixa,forc,teco,lin_con,prop,ifaceb,(phi_poi-phi_pre),0*phi_poi,rowe,cole,fs_step);   
    [bas,Rg_pr] = nsi_fs(xnod,icone,fixa,forc,teco,lin_con,prop,ifaceb,phi_poi,phi_nu,rowe,cole,fs_step);   
    t5=cputime;
    disp([' dt assemble R(projection)= ' num2str(t5-t4)])   
    clear bas   
    
    % solver paso projection 
    fixa_p = v2m(fixa,ndf); fixa_p(:,indx_p)=1; fixa_p=m2v(fixa_p); 
    [phi,Rg_pr]=solver(phi_poi,Rg_pr,Kg_pr,fixa_p,prop,prop_solver);      
    t6=cputime;
    disp([' dt solver (projection)  = ' num2str(t6-t5)])
    
    prop(14) = alpha;
    % Analisis de la convergencia
    %------------------------------------------------------------------
    Rg = [norm(Rg_pre),norm(Rg_poi),norm(Rg_pr)];
        
    iterflag = (norm(Rg)>limit) & (nu< nu_max); % & (norm(dphi)>limit);
    
    disp(['time ' num2str(itime) ...            
            ' Iter ' num2str(nu)  ' || R || -----> ' num2str(norm(Rg)) ]);
    disp([' Rg = [' num2str(Rg(1)) ',' num2str(Rg(2)) ',' num2str(Rg(3))  ']' ]);
        
end  % end while

dphi = phi-phi_nu;
disp([' || Delta phi || -----> ' num2str(norm(dphi))  ]);