%
%  paso predictor
%

u_gu = rowprod(dUpg(:,indx_v,:),U0pg(:,indx_v),ndm,ndm,1);
div_u = zeros(ne,1);
for idm =1:ndm
    div_u = div_u + dUpg(:,indx_v(idm),idm) ;
end

strain_rate = row_transp(dUpg(:,indx_v,:));
strain_rate = 0.5*(strain_rate + dUpg(:,indx_v,:));
sigma = 2*visco*strain_rate;
terd = rowprod(dshapex,sigma,nen,ndm,ndm);
dshapex_t = row_transp(dshapex);
terd_m = visco*rowprod(dshapex,dshapex_t,nen,ndm,nen);

for inod=1:nen,   
    
    if tau_centroide==0,
        compute_P_supg;
    end
    
    W_supg = P_delta;      
    for idf=1:ndm,
        W_supg(:,idf,idf)=W_supg(:,idf,idf)+N(inod);
    end
    
    % Residual assembling        
    grad_p = reshape(dUpg(:,indx_p,:),ne,ndm,1);    
    grad_p_old = reshape(dU0pg(:,indx_p,:),ne,ndm,1);    
    R_mom = (Upg(:,indx_v)-U0pg(:,indx_v))/dt+u_gu+grad_p;
    for idm=1:ndm
        Rele(:,inod,indx_v(idm)) = Rele(:,inod,indx_v(idm)) - ( ...  
            W_supg(:,idm,idm).*R_mom(:,idm) + ...                  % momentum residual ( Galerkin + SUPG )
            terd(:,inod,idm) ...
            ).*xsj;                 
        
        Rele(:,inod,indx_p) = Rele(:,inod,indx_p) - ( ...            
            dt*dshapex(:,inod,idm).*(grad_p-grad_p_old) + ...  % laplacian term
            P_epsilon(:,1,indx_v(idm)).*grad_p(:,idm)  ... % stabilizing pressure term
            ).*xsj; 
    end
    
    Rele(:,inod,indx_p) = Rele(:,inod,indx_p) - ( ... 
        N(inod)*div_u ...                   % continuity Galerkin
        ).*xsj; 
    
    % Matriz assembling
    for jnod=1:nen,        
        
        u_gN = zeros(ne,ndm);
        for idm=1:ndm
            for jdm=1:ndm
                u_gN(:,idm) = u_gN(:,idm) + dshapex(:,jnod,jdm).*U0pg(:,indx_v(jdm));
            end
        end            
        
        %keyboard;pause
        for idm=1:ndm
            Kele(:,inod,indx_v(idm),jnod,indx_v(idm)) = Kele(:,inod,indx_v(idm),jnod,indx_v(idm)) + ( ...  
                W_supg(:,idm,idm)*N(jnod)/dt + ... % termino temporal
                W_supg(:,idm,idm).*u_gN(:,idm)      + ... % termino convectivo                  
                terd_m(:,inod,jnod) ... 
                ).*xsj;  

            if 0
                Kele(:,inod,indx_v(idm),jnod,indx_p) = Kele(:,inod,indx_v(idm),jnod,indx_p) + ( ...  
                    W_supg(:,idm,idm).*dshapex(:,jnod,idm) ...  % termino presion
                    ).*xsj;                     
                
                Kele(:,inod,indx_p,jnod,indx_v(idm)) = Kele(:,inod,indx_p,jnod,indx_v(idm)) + ( ...  
                    N(inod)*dshapex(:,jnod,idm) + ... % termino continuidad Galerkin
                    P_epsilon(:,1,indx_v(idm))*N(jnod)/dt + ... % estabilizacion continuidad temporal
                    P_epsilon(:,1,indx_v(idm)).*u_gN(:,idm) ... % estabilizacion continuidad convectivo
                    ).*xsj; 
            end
            
            Kele(:,inod,indx_p,jnod,indx_p) = Kele(:,inod,indx_p,jnod,indx_p) + ( ...
                dt*dshapex(:,inod,idm).*dshapex(:,jnod,idm) + ...
                P_epsilon(:,1,indx_v(idm)).*dshapex(:,jnod,idm) ...
                ).*xsj; 
            
            for jdm=1:ndm
                Kele(:,inod,indx_v(idm),jnod,indx_v(jdm)) = ... 
                    Kele(:,inod,indx_v(idm),jnod,indx_v(jdm)) + ( ...                      
                    visco*dshapex(:,inod,jdm).*dshapex(:,jnod,idm) ...
                    ).*xsj; 
            end
        end
        
    end % jnod
    
end % inod

%   disp('bubbly_2d_ele (liquid) phase ');keyboard;pause   
