function eles_to_refine = error_indicator(xnod,icone,phi)
%
%  eles_to_refine = error_indicator(xnod,icone,phi)
%

npg = 1;
[numnp,ndm]=size(xnod);
[numel,nen]=size(icone);
[grad_U] = grad_phi_by_ele(xnod,icone,phi,npg);
grad_U=reshape(grad_U,numel,ndm);
grad_U_mod = sqrt(sum(grad_U'.^2))';
if 0,
    eles_to_refine = find(grad_U_mod>1);
elseif 0,
    [yy,ii] = sort(grad_U_mod);    
    eles_to_refine = ii(end-60:end);
elseif 0,
    nodes_to_refine = find((phi>1.01)|(phi<-0.01));
    mark = zeros(numnp,1);
    mark(nodes_to_refine)=1;
    mark_ele = zeros(numel,1);
    for k=1:nen
        mark_ele = mark_ele + mark(icone(:,nen));
    end
    eles_to_refine = find(mark_ele>0);
else
    fz = shocap_fun2(xnod,icone,phi+1);
    mark = zeros(numnp,1);    
    nn = find(fz>0.1);    
    mark(nn) = 1;
    mark_ele = zeros(numel,1);
    for k=1:nen
        mark_ele = mark_ele + mark(icone(:,nen));
    end
    eles_to_refine = find(mark_ele>0);    
end
