eles_to_refine = (1:numel)';
[fixa_pf,bas] = conv_fixa_pfem([],fixa,forc,-1);

eval(['save ' [filename '.nod.tmp'] ' xnod  -ascii -double'])
eval(['save ' [filename '.con.tmp'] ' icone -ascii '])
eval(['save ' [filename '.state.tmp'] ' phi -ascii -double'])   
eval(['save ' [filename '.fixa.tmp'] ' fixa_pf -ascii '])

eval(['save ' filename '-ref_0.mat ' ])    

for igrid=1:multigrid_levels
    level_ref = igrid-1;
    meshref(filename,eles_to_refine,level_ref);
    level_ref = level_ref+1; 
    if 0,    
        eval(['load ' filename '-ref_' num2str(igrid-1) '.mat ' ])
        edges_father_old = edges_father;
        ele_edges_old = ele_edges;
        edges_old = edges;
    end
    eval(['load ' filename '-ref_' num2str(igrid) '.mat ' ])
    [numnp,ndm]=size(xnod);
    [numel,nen]=size(icone);
    [numnp,ndf]=size(state);
    % APLICAR EL REFINAMIENTO A C/U DE LAS VARIABLES QUE ENTRAN EN LA ESTRUCTURA MESH
    [fixa,forc] = conv_fixa_pfem(fixa,zeros(numnp,ndf),zeros(numnp,ndf),0);
    [veloc] = refine_array(veloc,icone,icone_ref_info,'nodal');
    [phi] = refine_array(state,icone,icone_ref_info,'nodal');
    [reac] = refine_array(reac,icone,icone_ref_info,'element');
    [source] = refine_array(source,icone,icone_ref_info,'element');        
    [ifaceb,nodes_bou] = pfbou2d(xnod,icone,1);
    teco    = [];
    lin_con = [];
    ther_contact = [];
    prop_elem = prop_elem;
    prop_solver = prop_solver;

    imesh=igrid+1;
    job='pack';
    mesh_data;
    
end


