function [] = meshref(filename,level_ref)

if level_ref ==0, 
    inicia=1; 
else
    inicia=0;
end

xnod       = load([filename '.nod.tmp']);    
icone      = load([filename '.con.tmp']);       

[numnp,ndm]=size(xnod);
[numel,nen]=size(icone);    

if inicia==1,
    [numnp,ndm]=size(xnod);
    [numel,nen]=size(icone);
    %========================================================================
    ele_edges = get_ele_edges_array(xnod,icone);
    %========================================================================
    % remove duplicate edges
    nedges = max(max(ele_edges));
    map_edges = rmdbedge(icone,ele_edges,ndm,nedges);
    %========================================================================
    % map array ele_edges
    for m=1:nen,
        edge = ele_edges(:,m);
        new_edge = map_edges(edge);        
        ele_edges_new(:,m) = new_edge ; 
    end        
    ele_edges   = ele_edges_new;
    nedges = max(max(ele_edges));
    edges = zeros(nedges,1);
    edges_father = get_edges_nodes(icone,ele_edges,ndm);
    eles_level_ref = zeros(numel,1);
    [ifaceb,nodes_bou_ref] = pfbou2d(xnod,icone,1); 
    
    [numnp,ndm]=size(xnod);
    [numel,nen]=size(icone);
    eles_to_ref = (1:numel)';
    
    grid(1).eles_to_ref = eles_to_ref;
    grid(1).xnod = xnod;
    grid(1).icone = icone;
    grid(1).eles_edges = eles_edges;
    grid(1).edges_refined = edges_refined;
    grid(1).edges_father_refined = edges_father_refined;
    grid(1).eles_level_ref = eles_level_ref;
    
else
    filesave = [filename '-ref_' num2str(level_ref)];
    eval(['load ' filesave ])    
end


[grid(level_ref+1)]=refine_2d_homo(grid(level_ref));

map_refinement;    
post_refinement;

level_ref = level_ref+1;
filesave = [filename '-ref_' num2str(level_ref)];

eval(['save ' filesave ' xnod icone ele_edges edges eles_level_ref level_ref state edges_father icone_ref_info constraint nodes_bou_ref fixa'])
