if length(eles)>0,    
    advdif_2d_ele;
end

if (weak_form) | (~isempty(teco)),
    % ------ Terminos de contorno
    eles = (1:numel)';  
    ceros = zeros(length(eles),nen);
    Te = ceros;   
    vele = zeros(length(eles),nen,ndm);  
    for inod=1:nen,
        nodes = icone(eles,inod);
        Te(:,inod) = T(nodes);
        vele(:,inod,1:ndm) = veloc(nodes,1:ndm);       
    end
    
    % Convective heat flux at boundary
    %------------------------------------------------------------------
    if ~isempty(teco), 
        Ktmp = Kele(:,:,indx_scal,:,indx_scal);
        Rtmp = Rele(:,:,indx_scal);
        [Ktmp,Rtmp] = bc_teco_advdif_2d(xnod,icone,Te,teco,Ktmp,Rtmp,axisim);
        Kele(:,:,indx_scal,:,indx_scal) = Ktmp;
        Rele(:,:,indx_scal) = Rtmp;        
    end
    
    if weak_form,
        Ktmp = Kele(:,:,indx_scal,:,indx_scal);
        Rtmp = Rele(:,:,indx_scal);        
        [Rtmp,Ktmp] = bcconv_advdif_2d(xnod,icone,vele,Te,ifaceb,Rtmp,Ktmp,axisim);
        Kele(:,:,indx_scal,:,indx_scal) = Ktmp;
        Rele(:,:,indx_scal) = Rtmp;                
    end
end