nu    = 0;
nu_max = nnwt;
iterflag = nu<nu_max;        

Rg = 0; dphi=0;
get_index;

while iterflag
   
   nu= nu+1;      
   phi_nu   = phi;   
   ijob = 0;
   
   % solving flow equations   
   t0=cputime;
   [Kg,Rg] = nsi_tet(xnod,icone,fixa,forc,teco,lin_con,external_fields,...
       external_fields_old,prop,ifaceb,bou_data_neumann,phi,phiold,rowe,cole);                            
   t1=cputime;
   disp([' dt assemble = ' num2str(t1-t0)])   

%   disp(' *** SOLVER_NSI_TET (1) ***');keyboard;pause   
   fixa_p = v2m(fixa,ndf); fixa_p(:,indx_vf)=1; fixa_p(:,indx_v_d)=1; fixa_p=m2v(fixa_p);    
   [phi,Rg_flow]=solver(phi,Rg,Kg,fixa_p,prop,prop_solver,ndf);   
   t2=cputime;
   disp([' dt solver flow field  = ' num2str(t2-t1)])

%   disp(' *** SOLVER_NSI_TET (2) ***');keyboard;pause
   fixa_p = v2m(fixa,ndf); fixa_p(:,indx_flow)=1; fixa_p(:,indx_v_d)=1; fixa_p=m2v(fixa_p);    
   [phi,Rg_scal]=solver(phi,Rg,Kg,fixa_p,prop,prop_solver,ndf);   
   t3=cputime;
   disp([' dt solver scalar fields  = ' num2str(t3-t2)])

   fixa_p = v2m(fixa,ndf); fixa_p(:,indx_flow)=1; fixa_p(:,indx_vf)=1; fixa_p=m2v(fixa_p);    
   [phi,Rg_Vd]=solver(phi,Rg,Kg,fixa_p,prop,prop_solver,ndf);   
   t3=cputime;
   disp([' dt solver scalar fields  = ' num2str(t3-t2)])
   
   % Analisis de la convergencia
   %------------------------------------------------------------------
   dphi = phi-phi_nu;
   Rgnorm = norm(Rg_flow)+norm(Rg_scal)+norm(Rg_Vd);
   iterflag = (Rgnorm>limit) & (nu< nu_max); % & (norm(dphi)>limit);
   
   if nu==1, Rg_outer=Rg_outer+Rgnorm; end
   
   disp(['time ' num2str(itime) ... 
         ' Iter ' num2str(nu)  ' || R || -----> ' num2str(Rgnorm) ... 
         ' || Delta phi || -----> ' num2str(norm(dphi))  ])
   
end  % end while

