%
%  R for phase k mass conservation
%

diffu_vf = nu_vf/Sct_vf;

% termino convectivo
u_gvf = zeros(ne,1);
for idm=1:ndm
    u_gvf = u_gvf + dUpg(:,indx_vf,idm).*velpg_vf(:,idm);
end

% termino difusivo
for k=1:ndm
    sigma(:,k) = diffu_vf.*dUpg(:,indx_vf,k);
end

for inod=1:nen,   
    
    if tau_centroide==0,
        compute_P_supg;
    end
    
    W_supg = P_vf;          
    W_supg = W_supg+N(inod);
    
    % Residual assembling        
    if 1
        ter1 = W_supg.*(U1pg(:,indx_vf)-U0pg(:,indx_vf))/dt;
    else
        ter1 = N(inod)*(U1pg(:,indx_vf)-U0pg(:,indx_vf))/dt;    
    end    
    
    if weak_form,
        ter2 = -(dshapex(:,inod,1).*velpg_vf(:,1) + dshapex(:,inod,2).*velpg_vf(:,2)) ...
            .*Upg(:,indx_vf);
        ter2 = ter2 + P_vf.*u_gvf;
    else
        ter2 = W_supg.*u_gvf;                 
    end
    
    Rele(:,inod,indx_vf) = Rele(:,inod,indx_vf) - ( ...  
        ter1 + ter2 + ...            % temporal and convective terms
    (dshapex(:,inod,1).*sigma(:,1)+dshapex(:,inod,2).*sigma(:,2)) ...
        ).*xsj;                 
    
end % inod

%   disp('bubbly_2d_ele (liquid) phase ');keyboard;pause   
