nu    = 0;
nu_max = nnwt;
iterflag = nu<nu_max;        
flag_cpu_time = 0;

Rg = 0; dphi=0;
while iterflag
    
    nu= nu+1;      
    %phi_nu = phi;
    phi_nu = phiold;
    phi_last = phi;
    ijob = 0;
    
    external_fields = [];
    external_fields_old = [];
    
    t0=cputime;
    % generacion matriz paso predictor + poisson + void fraction fases dispersas y residuo predictor
    fs_step = 1;
    [Kg,Rg_pre] = nsi_fs(xnod,icone,fixa,forc,teco,lin_con,prop,ifaceb,phi,phi_nu,rowe,cole,fs_step);   
    t1=cputime;
    if(flag_cpu_time) disp([' dt assemble K(predictor + poisson) + R(predictor)= ' num2str(t1-t0)])   ; end
    
    % solver paso predictor
    fixa_p = v2m(fixa,ndf); fixa_p(:,[indx_p,indx_vf])=1; fixa_p=m2v(fixa_p); 
    [phi_pre,Rg_pre]=solver(phi,Rg_pre,Kg,fixa_p,prop,prop_solver);      
    t2=cputime;
    if(flag_cpu_time)     disp([' dt solver (predictor)  = ' num2str(t2-t1)]); end
    dphi2 = phi_pre-phi_last;
%    disp([' dphi (pred) = ' num2str(norm(dphi2(:,1))) ';' num2str(norm(dphi2(:,2))) ';' num2str(norm(dphi2(:,3))) ';' num2str(norm(dphi2(:,4))) ])        
    
    % generacion residuo poisson 
    prop(14) = 1;
    fs_step = 2;   
    [bas,Rg_poi] = nsi_fs(xnod,icone,fixa,forc,teco,lin_con,prop,ifaceb,phi_pre,phi_nu,rowe,cole,fs_step);   
    t3=cputime;
    if(flag_cpu_time)     disp([' dt assemble R(poisson)= ' num2str(t3-t2)])   ; end
    clear bas   
    
    % solver paso poisson 
    fixa_p = v2m(fixa,ndf); fixa_p(:,[indx_v,indx_vf])=1; fixa_p=m2v(fixa_p); 
    phi_poi = phi_pre;
    %    phi_poi(:,indx_p) = 0;
    [phi_poi,Rg_poi]=solver(phi_poi,Rg_poi,Kg,fixa_p,prop,prop_solver);      
    t4=cputime;
    if(flag_cpu_time)     disp([' dt solver (poisson)  = ' num2str(t4-t3)]); end
    dphi2 = phi_poi-phi_pre;
 %   disp([' dphi (poi) = ' num2str(norm(dphi2(:,1))) ';' num2str(norm(dphi2(:,2))) ';' num2str(norm(dphi2(:,3))) ';' num2str(norm(dphi2(:,4))) ])        
    
    if 1
        % generacion residuo projection 
        fs_step = 3;      
        %    [bas,Rg_pr] = nsi_fs(xnod,icone,fixa,forc,teco,lin_con,prop,ifaceb,(phi_poi-phi_pre),0*phi_poi,rowe,cole,fs_step);   
        [bas,Rg_pr] = nsi_fs(xnod,icone,fixa,forc,teco,lin_con,prop,ifaceb,phi_poi,phi_nu,rowe,cole,fs_step);   
        %    [bas,Rg_pr] = nsi_fs(xnod,icone,fixa,forc,teco,lin_con,prop,ifaceb,phi_poi,phi_pre,rowe,cole,fs_step);       
        t5=cputime;
        if(flag_cpu_time)     disp([' dt assemble R(projection)= ' num2str(t5-t4)])   ; end
        clear bas   
        
        % solver paso projection 
        fixa_p = v2m(fixa,ndf); fixa_p(:,[indx_p,indx_vf])=1; fixa_p=m2v(fixa_p); 
        [phi_prj,Rg_pr]=solver(phi_poi,Rg_pr,Kg_pr,fixa_p,prop,prop_solver);      
        t6=cputime;
        if(flag_cpu_time)     disp([' dt solver (projection)  = ' num2str(t6-t5)]); end
        dphi2 = phi_prj-phi_poi;
%        disp([' dphi (prj) = ' num2str(norm(dphi2(:,1))) ';' num2str(norm(dphi2(:,2))) ';' num2str(norm(dphi2(:,3))) ';' num2str(norm(dphi2(:,4))) ])        
        
        prop(14) = alpha;
    else
        phi_prj = phi_poi;
        Rg_pr  = 0;
    end
    
    % generacion residuo ec masa fase k 
    fs_step = 4;      
    [bas,Rg_vf] = nsi_fs(xnod,icone,fixa,forc,teco,lin_con,prop,ifaceb,phi_prj,phi_nu,rowe,cole,fs_step);   
    t7=cputime;
    if(flag_cpu_time)     disp([' dt assemble KyR(void fraction)= ' num2str(t7-t6)])   ; end
    
    % disp('solver_nsi_tet');keyboard;pause    
    
    % solver ec masa fase k
    fixa_p = v2m(fixa,ndf); fixa_p(:,[indx_v,indx_p])=1; fixa_p=m2v(fixa_p); 
    [phi,Rg_vf]=solver(phi_prj,Rg_vf,Kg,fixa_p,prop,prop_solver);      
    t8=cputime;
    if(flag_cpu_time)     disp([' dt solver (void fraction)  = ' num2str(t8-t7)]); end
    dphi2 = phi-phi_prj;
%    disp([' dphi (vf) = ' num2str(norm(dphi2(:,1))) ';' num2str(norm(dphi2(:,2))) ';' num2str(norm(dphi2(:,3))) ';' num2str(norm(dphi2(:,4))) ])        
    
    % Analisis de la convergencia
    %------------------------------------------------------------------
    Rg = [norm(Rg_pre),norm(Rg_poi),norm(Rg_pr),norm(Rg_vf)];
    
    iterflag = (norm(Rg)>limit) & (nu< nu_max); % & (norm(dphi)>limit);
    
    disp(['time ' num2str(itime) ...            
            ' Iter ' num2str(nu)  ' || R || -----> ' num2str(norm(Rg)) ]);
    disp([' Rg = [' num2str(Rg(1)) ',' num2str(Rg(2)) ',' num2str(Rg(3)) ',' num2str(Rg(4)) ']' ]);
    
    %    dphi2 = phi-phi_last;
    %    disp([' dphi = ' num2str(norm(dphi2(:,1))) ';' num2str(norm(dphi2(:,2))) ';' num2str(norm(dphi2(:,3))) ';' num2str(norm(dphi2(:,4))) ])    
    
%    dphi = phi-phi_last;
%    disp([' || Delta phi || -----> ' num2str(norm(dphi))  ]);
    
end  % end while

dphi = phi-phi_nu;
disp([' || Delta phi || -----> ' num2str(norm(dphi))  ]);