
% GAS PART
disp(' GAS PART CHECK ')
vaux = zeros(nele,3,3);
for k=1:3
    for j=1:3
        for i=1:3
            vaux(:,k,j) = vaux(:,k,j) + Vg(:,k,i).*Vgi(:,i,j).*Dg(:,i);
        end
    end
end
erro = max(max(max(abs(vaux-Bn_g))));
disp([' Max error en la inversa = ' num2str(erro)])
if abs(erro)>1e-8, error(' excede tolerancia'); end

% LIQUID PART
disp(' LIQUID PART CHECK ')
vaux = zeros(nele,3,3);
for k=1:3
    for j=1:3
        for i=1:3
            vaux(:,k,j) = vaux(:,k,j) + Vl(:,k,i).*Vli(:,i,j).*Dl(:,i);
        end
    end
end
erro = max(max(max(abs(vaux-Bn_l))));
disp([' Max error en la inversa = ' num2str(erro)])
if abs(erro)>1e-8, 
    disp(' error en parte liquida eigenvalues'); 
    keyboard;pause
    error(' excede tolerancia'); 
end

clear vaux