
ijob = 'get';
handle_prop_elem;

ndf  = size(Up,2);
ndm = (ndf-2)/2;

get_index;

if 1
    
    tau_M = zeros(ne,ndf,ndf);                                   
    
    tau_M(:,indx_g_con,indx_g_con) = tau_g;
    tau_M(:,indx_l_con,indx_l_con) = tau_l;
    
    for idm=1:ndm,
        tau_M(:,indx_g_mom(idm),indx_g_mom(idm)) = tau_g;
        tau_M(:,indx_l_mom(idm),indx_l_mom(idm)) = tau_l;    
    end            
    
    tau_M = rowprod(Cpi,tau_M,ndf,ndf,ndf);
    
    P_supg_x = rowprod(tau_M,Ax,ndf,ndf,ndf); 
    P_supg_y = rowprod(tau_M,Ay,ndf,ndf,ndf); 
    
    for idf=1:ndf
        for jdf=1:ndf
            P_supg(:,idf,jdf) = P_supg_x(:,idf,jdf).*dshapex(:,inod,1)+P_supg_y(:,idf,jdf).*dshapex(:,inod,2);
        end
    end
    
else
    
    P_supg = zeros(ne,ndf,ndf);                                   
    tmp_l = 0;
    tmp_g = 0;
    
    ag2 = (gamma_g-1)*Cp_g*Temp;
    al2 = (gamma_l-1)*Cp_l*Temp;
            
    for idm=1:ndm
        tmp_l = tmp_l + tau_l .* (velpg_l(:,idm)+sqrt(al2)).*dshapex(:,inod,idm);
        tmp_g = tmp_g + tau_g .* (velpg_g(:,idm)+sqrt(ag2)).*dshapex(:,inod,idm);
    end
    
    P_supg(:,indx_g_con,indx_g_con) = tmp_g;
    P_supg(:,indx_l_con,indx_l_con) = tmp_l;
    
    for idm=1:ndm,
        P_supg(:,indx_g_mom(idm),indx_g_mom(idm)) = tmp_g;
        P_supg(:,indx_l_mom(idm),indx_l_mom(idm)) = tmp_l;    
    end            
    
end

