function [tau] = compute_tau_supg_pspg(Upg,vel_g,vel_l,hele_g,hele_l,prop,rho_g,rho_l)
% 
%    tau_M = compute_tau_supg_pspg(Upg,velpg_g,velpg_l,hele_g,hele_l,prop,rho_g,rho_l);
%


ijob = 'get';
handle_prop_elem;
ndm = 2;
ndf = 6;
get_index;
cg = sqrt((gamma_g-1)*Cp_g*Temp);
cl = sqrt((gamma_l-1)*Cp_l*Temp);

alpha_g = Upg(:,indx_g_vf);

N = size(Upg,1);
tau = zeros(N,ndf,ndf);

velmod_l = sqrt(sum(vel_l'.^2))';

tau_l     = (2*velmod_l./hele_l).^2 + 9*(4*(visco_l./rho_l) ./(hele_l).^2).^2;
tau_l     = 1 ./ sqrt(tau_l);
delta_l   = velmod_l.*hele_l/2;

tau(:,[indx_l_p],[indx_l_p]) = tau_l;
tau(:,[indx_l_vel(1)],[indx_l_vel(1)]) = tau_l;
tau(:,[indx_l_vel(2)],[indx_l_vel(2)]) = tau_l;

velmod_g = sqrt(sum(vel_g'.^2))';
cg       = sqrt((gamma_g-1)*Cp_g*Temp);
tau_g     = (2*(velmod_g+cg)./hele_g).^2 + 9*(4*(visco_g./rho_g) ./(hele_g).^2).^2;
tau_g     = 1 ./ sqrt(tau_g);
delta_g   = velmod_g.*hele_g/2;

tau(:,[indx_g_vf],[indx_g_vf]) = tau_g;
tau(:,[indx_g_vel(1)],[indx_g_vel(1)]) = tau_g;
tau(:,[indx_g_vel(2)],[indx_g_vel(2)]) = tau_g;