%----------------------------------------------------------------------
%
%          Fichero de datos
%
%----------------------------------------------------------------------

caso  = 4;

if caso==0,
    % square cavity for one phase (alpha_g=0)
    sqcav_bubbly;
    % Poiseuille flow
    % bubbly_poise
elseif caso==1,
    % ejemplo Anagbo
    bubbly_laddle_2d;
elseif caso==2,
    % ejemplo Anagbo pero hecho 1D axial (periodico radial)
    % bubbly_laddle_1d;
    % laddle_1d;
    % bubbly_laddle_1d_homo;
    % bubbly_laddle_1d_homo_2;
    % bubbly_laddle_1d_homo_3;
    % bubbly_laddle_1d_homo_4;
    % water_faucet;
    % water_faucet_1d;
    % homo_1d;
    % homo_1d_beta;
    % bubbly_1d;
    % test_1d_homo;    
    water_faucet_test;    
    %test_1d_only_gas;
    % water_column_test;        
elseif caso==3,
    % ejemplo back step finlandes
    bubbly_bstep;   
elseif caso==4,   
    %toumi_test;
    riemann_test;
else
    error(' MALA ELECCION DEL CASO A TRATAR')
end

% Type_solver ------>  [ 0 ]  standard - directo con relajacion (relax)
%                      [ 1 ]  line-search
%                      [ 2 ]  explicito
%                      [ 3 ]  GMRES

limit    =   1e-08;

dt          = 0.0001 ;
type_solver = 0;
relax       = 1;     % parametro de relajacion fijo para type_solver=0
nu_max      = 1;	  % numero maximo de iteraciones por paso de tiempo
alfa_min    = 0.01;  % para linesearch
alpha       = 1;     % grado de implicitud (1/2 Cranck-Nicholson)
ntime       = 2;     % numero de pasos de tiempo
nstep       = 1;     % guarda solucion cada nstep pasos de tiempo
scaling     = 0;     % scaling equations at solver for better conditioning of the system

nnwt_outer  = 1;

if caso==1 | caso==2 | caso==3,
    alpha       = 1;
    dt          = 1e-03 ;
    type_solver = 0;
    relax       = 1;     
    nu_max      = 4;  
    alfa_min    = 0.01;  
    ntime       = 3;   
    nstep       = 10;     
    nsave       = 10;   
    dtmin       = 1e-4;
    dtmax       = 1e-4;   
end

if caso==0 | caso==2,
    dt      = 1e-5;
    dtmin   = 1e-5;
    dtmax   = dtmin;    
    nstep   = 1;     
    nsave   = 1;   
    limit   = 1e-12; 
    ntime   = 1;
    scaling = 1;
end

if caso==3,
    scaling = 0;
    dtmin   = 1e-0;
    dtmax   = 1e-0;    
end

if caso==4,
    scaling = 1;
    dt      = 1e-5;
    dtmin   = 1e-5;
    dtmax   = dtmin;    
    nstep   = 10;     
    nsave   = 10;   
    limit   = 1e-12; 
    ntime   = 3;    
end

prop(12) = limit    ;
prop(13)  = dt    ; % paso de tiempo
prop(14)  = alpha ; % grado de implicitud  
performance_measure = 0;

prop_solver = [type_solver,relax,nu_max,alfa_min,alpha,ntime,nstep,scaling,performance_measure];