
node = 15;

Ax2 = reshape(Ax(node,:,:),6,6);
Ay2 = reshape(Ay(node,:,:),6,6);
Cp2 = reshape(Cp(node,:,:),6,6);
Cpi2= reshape(Cpi(node,:,:),6,6);

Ax2p = Ax2*Cp2;
Ay2p = Ay2*Cp2;

vel_g      = Upg(node,indx_g_vel);
vel_l      = Upg(node,indx_l_vel);
velmod_g   = sqrt(sum(vel_g'.^2))';
velmod_l   = sqrt(sum(vel_l'.^2))';
alpha_g    = Upg(node,indx_g_vf);
rho_g      = rho_g(node);
rho_l      = rho_l(node);

p_int = alpha_g.*(1-alpha_g).*rho_g.*rho_l./(alpha_g.*rho_l+(1-alpha_g).*rho_g).*(velmod_g-velmod_l).^2;
p_int = coef_sigma*p_int;

Ax2p(3,1) = Ax2p(3,1)-p_int;
Ay2p(4,1) = Ay2p(4,1)-p_int;
Ax2p(5,1) = Ax2p(5,1)+p_int;
Ay2p(6,1) = Ay2p(6,1)+p_int;

Axp2p = Cpi2*Ax2p;
Ayp2p = Cpi2*Ay2p;

return

Ax2p = Cpi2*Ax2*Cp2;
Ay2p = Cpi2*Ay2*Cp2;

[VVx,DDx]=eig(Ax2p);
[VVy,DDy]=eig(Ay2p);


AA = Ax2*Ax2+Ay2*Ay2;
[VV,DD]=eig(AA);

