if length(eles)>0,    
    nsi_tet_ele;
end

if isempty(bou_data_neumann)==0,
    [Rele,Kele] = bc_neumann_nsi_tet(xnod,icone,Ue,bou_data_neumann,Rele,Kele,axisim,prop);
end


T      = Up(:,indx_vf);
Told   = Upold(:,indx_vf);

if (weak_form) | (~isempty(teco)),
    
    % Convective heat flux at boundary
    %------------------------------------------------------------------
    if ~isempty(teco), 
        Ktmp = Kele(:,:,indx_vf,:,indx_vf);
        Rtmp = Rele(:,:,indx_vf);
        [Ktmp,Rtmp] = bc_teco_advdif_2d(xnod,icone,Te,teco,Ktmp,Rtmp,axisim);
        Kele(:,:,indx_vf,:,indx_vf) = Ktmp;
        Rele(:,:,indx_vf) = Rtmp;        
    end
    
    if weak_form,
        %        [Rtmp,Ktmp] = bcconv_advdif_2d(xnod,icone,vele,Te,ifaceb,Rtmp,Ktmp,axisim);

        % keyboard;pause
        
        [Rele,Kele] = bcconv_bubbly(xnod,icone,Up,ifaceb,Rele,Kele,axisim,prop);        
    end
end
%==========================================================================
