N_AB = 30;
N_BBp = 60;
N_AC = 25;
N_AD = N_AC;
N_CE = 40;
N_FD = 40;
N_FE = (2*N_AB+N_BBp)-(N_CE+N_FD);
N_EF = N_FE;

if N_FE <= 5, error(' Revise la cantidad de nodos en cada zona porque es muy escasa en EF '); end

xcyl = -0.1;
ycyl = 0.1;
Rcyl = 1;
Ldown = 3;
Hdown = 4;
Lup   = 2;

yB = ycyl;
xB = Rcyl+xcyl;
xA = xB + Ldown;
xC = xA;
yC = Hdown;
yA = yB;
yD = -Hdown;
xD = xC;
xE = xC - Ldown - 2*Rcyl - Lup;
xF = xE;
yE = yC;
yF = yD;

bfh = [];

% Lado E-C
N = N_CE-1;
y = yC*ones(N+1,1);
x = (0:N)'/N*(xC-xE)+xE;
X_EC = [x,y];
bfh=[bfh;X_EC];

% Lado C-A
N = N_AC-1;
x = xA*ones(N+1,1);
y = (N:-1:0)'/N*(yC-yA)+yA;
X_CA = [x,y];
bfh=[bfh;X_CA];

% Lado A-B
N = N_AB-1;
y = yB*ones(N+1,1);
x = (0:N)'/N*(xB-xA)+xA;
X_AB = [x,y];
bfh=[bfh;X_AB];

% Lado B-Bp
N = N_BBp-1;
r = Rcyl;
theta = (0:N)'/N*2*pi;
x = r*cos(theta)+xcyl;
y = r*sin(theta)+ycyl;
X_BBp = [x,y];
bfh=[bfh;X_BBp];

% Lado Bp-Ap
N = N_AB-1;
y = yB*ones(N+1,1);
x = (0:N)'/N*(xA-xB)+xB;
X_BpAp =[x,y];
bfh=[bfh;X_BpAp];

% Lado Ap-D
N = N_AD-1;
x = xA*ones(N+1,1);
y = (0:N)'/N*(yD-yA)+yA;
X_ApD= [x,y];
bfh=[bfh;X_ApD];

% Lado D-F
N = N_FD-1;
y = yD*ones(N+1,1);
x = (0:N)'/N*(xF-xD)+xD;
X_DF = [x,y];
bfh=[bfh;X_DF];

% Lado F-E
N = N_FE-1;
x = xE*ones(N+1,1);
y = (0:N)'/N*(yE-yF)+yF;
X_FE = [x,y];
bfh=[bfh;X_FE];

plot(bfh(:,1),bfh(:,2),'-o')

