function [x] = gen_hele(xc,hc,N)

if 0
N = 100;
xc = [0, 0.25 , 0.5 , 0.75 1] ;
hc = [10 , 1 ,3, 1 , 10];
end

psi = (0:N)'/N;
hx = spline(xc,hc,psi);
hx(1) = [];
hxs = cumsum(hx);
xmin = min(psi);
xmax = max(psi);
x = xmin + (xmax-xmin)/sum(hx)*hxs;
x = [xmin ; x];

return

figure(1);clf;plot(xc,hc,'o',psi(2:end),hx);
figure(2);clf;plot(psi,x)
figure(3);clf;plot(x,ones(size(x)),'o')
