function ele_edges = get_ele_edges_array(xnod,icone)
%
%   ele_edges = get_ele_edges_array(xnod,icone)
%
%            :--> edges by eles   (ele_edges)
%

[numnp,ndm]=size(xnod);
[numel,nen]=size(icone);

[edges] = get_edges(xnod,icone,1);
edges_x = [edges,(1:length(edges(:,1)))'];
% sorting edges by eles
edges_s = sortrows(edges_x,3);
if ndm~=2, error(' ONLY FOR 2D') ; end
% get arrays 
%            :--> edges by eles   (ele_edges)
%            :--> nodes by edges  (edges_nodes)
% 
if 0,
    for k=1:numel
        vaux = edges_s((k-1)*nen+(1:nen),[1,2,4]);
        for m=1:nen
            edge=vaux(m,3);
            nodes=vaux(m,1:2);
            ele_edges(k,m)=edge;
            %        edges_nodes(edge,1:2)=nodes;
        end
    end
else
    for m=1:nen
        edge = edges_s(m:nen:end,4);
        ele  = edges_s(m:nen:end,3);
        ele_edges(ele,m)=edge;
    end
end
