function [fixa_ref] = get_fixa_ref(fixa,nodes_irreg,nodes_father,numnpnew);
%
% compute new fixations
%

ndof = max(fixa(:,2));

fixa_array = zeros(numnpnew,ndof);
value_array = fixa_array;
for idof=1:ndof
   nn=find(fixa(:,2)==idof);
   fixa_array(fixa(nn,1),idof) = 1;
   value_array(fixa(nn,1),idof) = fixa(nn,3);
end
[fixa_array,value_array] = interp_fixa_ref(nodes_irreg,nodes_father,fixa_array,value_array,ndof);
%    interp_fixa_ref;
fixa_ref = [];
for idof=1:ndof
   nn=find(fixa_array(:,idof)>0);
   fixa_ref = [fixa_ref ; [nn, idof*ones(size(nn)) value_array(nn,idof)]];
end
