function inoar=get_inoar(ndm,nen)
%
%  inoar=get_inoar(ndm,nen)
%

if ndm==3&nen==4,
   % Tetrahedra
   inoar = [1,2;2,4;1,4;1,3;2,3;3,4];   
elseif ndm==3&nen==8,
   % Hexahedra
   inoar = [1,2;2,3;3,4;4,1;5,6;6,7;7,8;8,5;1,5;2,6;3,7;4,8];
%   inoar = [1,2;2,3;3,4;4,1;5,6;6,7;7,8;8,5];   
elseif ndm==2&nen==3,
   % Triangles
   inoar = [1,2;2,3;3,1];
elseif ndm==2&nen==4,
   % Quadrangles
   inoar = [1,2;2,3;3,4;4,1];   
else
   error(' Bad element type in Get_edges')
end
