function [fixa_array,value_array] = interp_fixa_ref(nodes_irreg,nodes_father,fixa_array,value_array,ndof);
%
%  INTERPOLA LAS FIJACIONES SOBRE LA MALLA REFINADA
%

for idof=1:ndof
    vaux = prod([fixa_array(nodes_father(:,1),idof) , fixa_array(nodes_father(:,2),idof)]')';
    nn = find(vaux>0);
    if isempty(nn)==0,
       fixa_array(nodes_irreg(nn),idof)=1;
       value_array(nodes_irreg(nn),idof)=0.5*(value_array(nodes_father(nn,1),idof)+value_array(nodes_father(nn,2),idof));
    end
 end    
