function B=row_scale(A,alpha)
%
%   B=row_scale(A,alpha)
%
%   scale each element matrix A with an element-wise factor "alpha"
%
%   output element matrix B
%

[n1,n2,n3] = size(A);

for k2=1:n2,
    for k3=1:n3
        B(:,k2,k3) = alpha.*A(:,k2,k3);
    end
end

