
while exist('filename','var')==0,
   filename=input(' Enter filename ','s');
end
eval(['load ' filename '.nod']);
eval(['xnod= ' filename ';']);
eval(['load ' filename '.con']);
eval(['icone= ' filename ';']);
eval(['clear ' filename ]);
eval(['load ' filename '.state']);
eval(['state= ' filename ';']);

vaux = state;

[numel,nen]=size(icone);
[numnp,ndm]=size(xnod);
if ndm==2,
   xnod = [xnod, 0*xnod(:,1)];
   vaux = [vaux(:,1:2) , 0*vaux(:,1), vaux(:,3)];
   ndm=3;
   if nen==3,
      elem_type = 'tri ';      
   elseif nen==4,
      elem_type = 'quad ';
   else
      error(' Bad element type')
   end
else
   if nen==4,
      elem_type = 'tet ';
   elseif nen==8,
      elem_type = 'hex ';
   else
      error(' Bad element type')
   end
end

filename_base = filename;
filename_write = [filename_base , '.vigie'];

fid=fopen(filename_write,'w');

fprintf(fid,['points ' num2str(numnp) '\n'],[]);

% 1.- Coordinates 
format_xnod = [];
for k=1:ndm,
   format_xnod=[format_xnod, '%15.5e'];
end
format_xnod=[format_xnod, '\n'];
fprintf(fid,format_xnod,xnod');

% 2.- Cells
fprintf(fid,[elem_type num2str(numel) '\n'],[]);

format_icone = [];
for k=1:nen,
   format_icone=[format_icone, '%7i'];
end
format_icone=[format_icone, '\n'];

fprintf(fid,format_icone,icone');

% 3.- Variables
%data_location = 0;  % cell
data_location = 1;  % nodes
%data_location = 2;  % faces
var_field=[4,4;1,3];

%fprintf(fid,['variable \n'],[]);
fprintf(fid,['scalars pressure '  '\n'],[]);
k=1;
k1 = var_field(k,1);
k2 = var_field(k,2);   
format_state = [];
for kk=k1:k2,
   format_state=[format_state , '%15.5e '];
end
istep = 1;
format_state = [format_state, '\n'];
format_state = ['%15.5e \n'];

fprintf(fid,[format_state],[vaux((istep-1)*numnp+(1:numnp),k1:k2)]');

% Velocity vector a pata le metemos Vz=0
scale_factor=0.5;
fprintf(fid,['vectors vel vx vy vz ' num2str(scale_factor) '\n'],[]);
k=2;
k1 = var_field(k,1);
k2 = var_field(k,2);   
istep = 1;
format_state = [];
for kk=k1:k2,
   format_state=[format_state , '%15.5e '];
end
format_state = [ format_state, ' \n'];

fprintf(fid,[format_state],[vaux((istep-1)*numnp+(1:numnp),k1:k2)]');

%fprintf(fid,['endgmv \n'],[]);
fclose(fid)

