function [xi,yi,zi] = pltcut(xnod,u,x_cut,y_cut)
%
% Solution at a cut plane in 2D
%
%   [xi,yi,zi] = pltcut(xnod,u,x_cut,y_cut) 
%

xi = x_cut;
yi = y_cut;
zi = griddata(xnod(:,1),xnod(:,2),u(:,1),xi,yi);