function [nodes] = pltcut2(x,x_cut)
%
%  [x_cut_app] = pltcut2(x,x_cut)
%
%  retorna aquellos nodos con coordenada [x o y o z] mas cercana a 
%  aquella especificada [x_cut o y_cut o z_cut]
%  

tol=1e-6;
[d,j]=min(abs(x-x_cut));
x_cut_app=x(j,1);

nodes=find(abs(x-x_cut_app)<tol);
