function [xnew,iconew] = reshape_mesh(xnod,icone)
%
%     [xnew,iconew] = reshape_mesh(xnod,icone)
%
%

[numnp,ndm]      = size(xnod);
[numel,nen]      = size(icone);

   mask = zeros(numnp,1);   
   for k=1:nen
      nodes=icone(:,k);
      mask(nodes) = ones(numel,1);
   end
   nn=find(mask==0);
   jpt = (1:numnp)';
   jpt(nn) = jpt(nn)+numnp;
   [bas,ibas]=sort(jpt);
   numnp_active = numnp-length(nn);
   nodes_active = bas(1:numnp_active);
   jpt(nodes_active) = (1:numnp_active)';
   xnod=xnod((nodes_active),:);
   iconew = [];
   for k=1:nen
      nodes=icone(:,k);
      nodes2=jpt(nodes);
      iconew = [iconew , nodes2];
   end
   
   xnew = xnod;
