function [c] = set_nodes_in_line(X_P,hele,ref);
%
%  [c] = set_nodes_in_line([ip1,ip2],hele,ref);
%

Lon  = norm(X_P(2,:)-X_P(1,:));       
N    = round(Lon/hele);

psi  = refh(ref,N);

%psi  = (0:N)'/N;
x    = X_P(1,1) + psi*(X_P(2,1)-X_P(1,1));
y    = X_P(1,2) + psi*(X_P(2,2)-X_P(1,2));
c    = [x,y]; 
