function A = setcol(A,B,jA)
%
%        A = setcol(A,B,jA)
%
% Set a set of values in a vector B placed at different columns 
% in a matrix "A" 
%               A(1:N,jA(1:N)) = B(1:N)
%  
%

jA1 = min(jA); jA2=max(jA);
for j=jA1:jA2,
  nA = find(jA==j);
  A(nA,j) = B(nA) ;
end