function smooth_bad_eles(xnod,icone,is_nodes_bou,dx,delta)
%
%   smooth_bad_eles(xnod,icone,is_nodes_bou,dx)
%

[numel,nen]=size(icone);
[numnp,ndm]=size(xnod);
if ndm~=3 | nen ~=4, error(' Solo para tetras'); end

% calculamos los volumenes de cada tetra de la malla original
[vol0]=checktetras(xnod,icone);
vol0_min = min(vol0);
if min(vol0_min<0), error(' Malla original inadmisible'); end
vol_min = 0.75*vol0_min;
% calculamos los volumenes de cada tetra de la malla deformada
xnew = xnod+dx;
[vol]=checktetras(xnew,icone);
if min(vol)>vol_min, disp(' MALLA DEFORMADA ACEPTABLE SIN SUAVIZADO '); return; end

% suavizamiento
eles_bad=find(vol<vol_min);disp([' se encontraron ' num2str(length(eles_bad)) ' tetras malos']); 

for k=1:length(eles_bad)
    % tomamos los vecinos al elemento
    nodos = rmdblist(m2v(icone(eles_bad(k),:)));
    ip = find(is_nodes_bou(nodos)==0);
    if isempty(ip)==1, error(' Todos los nodos del elemento malo estan en la frontera ????? '); end    
    eles_neig = get_eles_by_nodes(nodos(ip(1)),icone,0);
    % armamos un cluster de elementos y nodos con los vecinos
    eles_set = rmdblist([eles_bad(k);eles_neig]);
    nodos2 = rmdblist(m2v(icone(eles_set,:)));
    factor = 1/ length(nodos2);
    for idm=1:ndm,
        xc_cluster(idm) = factor*sum(xnew(nodos2,idm));
    end    
    xnew(nodos(ip(1)),:) = xnew(nodos(ip(1)),:) + delta * (xc_cluster - xnew(nodos(ip(1)),:));
    [volnew]=checktetras(xnew,icone(eles_set,:));
    [eles_set volnew vol(eles_set)]
    keyboard;pause
end

return

pltmsh3d(xnod,icone(eles_bad(1),:),1,'b-');
xnew=xnod+dx;
pltmsh3d(xnew,icone(eles_bad(1),:),1,'r-');

nodes=m2v(icone(eles_bad(1),:));

for k=1:4,
    text(xnod(nodes(k),1),xnod(nodes(k),2),xnod(nodes(k),3),num2str(nodes(k)));
end

for k=1:4,
    text(xnew(nodes(k),1),xnew(nodes(k),2),xnew(nodes(k),3),num2str(nodes(k)));
end

