function [p_index]=sort_xnod(x,origen)
%
%                  [p_index]=sort_xnod(x,origen)
%
% sort a set of nodes according to their distance to the most left and bottom one
% output : a permutation index to sort the input array
%

if nargin<2,
xmin=min(x);
xmax=max(x);
origen = xmin-(xmax-xmin);
end
dx = x-ones(length(x(:,1)),1)*origen;
dd = sqrt(sum(dx'.^2));
[bas,p_index]=sort(dd);
