function [edges_int,edges_bou] = split_edges(edges);
%
%  [edges_int,edges_bou] = split_edges(edges);
%
%  split a set of edges in interior and boundary edges
%

new_edges = edges;
[bas,ipt] = sort(edges(:,1:2)');
nn = find(ipt(1,:)==2);
new_edges(nn,:) = edges(nn',[2,1,3]);
new_edges = sortrows(new_edges);
vaux = diff(new_edges(:,1:2));
nn=find(sum(abs(vaux)')==0);
new_edges(nn,4)=new_edges(nn+1,3);
new_edges(nn+1,:)=[];
mm=find(sum(new_edges(:,3:4)'==0));
edges_bou = new_edges(mm,:);
mask = ones(length(new_edges(:,1)),1);
mask(mm)=0;
mm = find(mask==1);
edges_int = new_edges(mm,:);

