function [grupo]=split_edges_by_topology(superficie)
%
%
%

% [2] obtener los grupos de aristas que deben tener la misma particion.
% [2.a] calculo el nro de aristas que hay en la geometria
nsurfs = length(superficie);
naristas = -1000;
for k=1:nsurfs,
   aristas=superficie(k).aristas;
   naristas=max(naristas,max(aristas));
end
vaux = [1,2,3,4,1,2];
% [2.b] tabla arista ---> superficie
ari_of_surf = zeros(naristas,nsurfs);
for k=1:nsurfs,
   aristas=superficie(k).aristas;
   ari_of_surf(aristas,k) = k*ones(4,1);   
end
ari_of_surf=-sort(-ari_of_surf')';
% [2.c] tomo una arista semilla

%================= este parrafo de sentencias es como elegir una nueva rama
number_of_ari_of_surf  = sum(ari_of_surf'~=0)';
nn                     = find(number_of_ari_of_surf==1);
hay_aristas_por_tratar = length(nn); 
indx    = 1;
kari    = nn(indx);
ksurf   = ari_of_surf(kari,indx);
%================= fin de este parrafo de sentencias 

ng=1;
set_of_aristas = [kari];

while hay_aristas_por_tratar,
      
   %disp('===============================================================')
   %disp([' arista = ' num2str(kari) ' superficie = ' num2str(ksurf)])
   %disp('===============================================================')
   
   % [2.d] marco la arista ya tratada
   ari_of_surf(kari,indx)=0*ari_of_surf(kari,indx);   
   % [2.e] tomo la arista opuesta por la superficie
   aristas = superficie(ksurf).aristas;
   mm      = find(aristas==kari);
   newari  = aristas(vaux(mm+2));
   ll      = find(ari_of_surf(newari,:)~=0);
   if length(ll)>2, error(' Genmesh_2 [000]'); end
   if length(ll)==0, error(' Genmesh_2 [001]'); end
   if length(ll)==2, 
      indx = find(ari_of_surf(newari,ll)==ksurf); 
      ari_of_surf(newari,indx)=0*ari_of_surf(newari,indx);
      hay_aristas_por_tratar = 1;       
      ll(indx)= [];
      indx    = ll;
      kari    = newari;
      ksurf   = ari_of_surf(kari,indx);
      set_of_aristas = [set_of_aristas;kari];
   else
      indx = ll;
      if ari_of_surf(newari,indx)==ksurf,
         ari_of_surf(newari,indx)=0*ari_of_surf(newari,indx);
         set_of_aristas = [set_of_aristas;newari];         
         [set_of_aristas] = rmdblist(set_of_aristas);
         grupo(ng) = struct('aristas',{set_of_aristas});
         ng=ng+1;      
         
%================= este parrafo de sentencias es como elegir una nueva rama
number_of_ari_of_surf  = sum(ari_of_surf'~=0)';
% busco alguna aristas que este en un sola superficie
nn                     = find(number_of_ari_of_surf==1);
if length(nn)==0,  nn   = find(number_of_ari_of_surf>0); end
hay_aristas_por_tratar = length(nn); 
if hay_aristas_por_tratar,
   indx    = 1;
   kari    = nn(indx);
   ksurf   = ari_of_surf(kari,indx);         
end
set_of_aristas = kari;
%================= fin de este parrafo de sentencias        
      else
         error(' Genmesh_2 [002] ')
      end
   end   
end
