function [chunk_ele]=split_mesh(xnod,icone,nchunks);
%
% [chunk_eles]=split_mesh(xnod,icone);
%
% chunk_ele = indice al chunk o subdominio de la malla 
%             donde se encuentra cada elemento
%

xmin = min(xnod);
xmax = max(xnod);
for k=1:nchunks,
   for j=1:nchunks,
      ichunk = (k-1)*nchunks+j;
      x1(ichunk,1)=xmin(1)+(xmax(1)-xmin(1))/nchunks*(k-1);   
      x2(ichunk,1)=xmin(1)+(xmax(1)-xmin(1))/nchunks*(k);            
      x1(ichunk,2)=xmin(2)+(xmax(2)-xmin(2))/nchunks*(j-1);
      x2(ichunk,2)=xmin(2)+(xmax(2)-xmin(2))/nchunks*(j);      
      % define los elementos que pertenecen a la region de acuerdo a la posicion
      % de su centroide
      [eles] = eles_in_box(xnod,icone,x1(ichunk,:),x2(ichunk,:));      
      if length(eles)>0,
         where_is_ele(eles)=ones(length(eles),1)*ichunk;
      end      
   end
end

chunk_ele = where_is_ele;

