function [bou_ext,bou_int]=split_nodes_bou(xnod,icone,map,ipt,lista,nodo_0)
%
%   [bou_ext,bou_int]=split_nodes_bou(xnod,icone,map,ipt,lista,nodo_0)
%
%   Split the whole boundary in two parts, the internal and the external ones
%

[numnp,ndm]=size(xnod);
[numel,nen]=size(icone);
[nlista,ibas] = size(lista);

bbb  = (1:numnp)'; 
ccc  = reshape(lista,2*nlista,1);
ccc  = rmdblist(ccc);
bbb(ccc) = [];

vaux = [lista, (1:nlista)'*[1,1]];
vaux = reshape(vaux,2*nlista,2);
vaux = [vaux ; [bbb 0*bbb]];

clear bbb ccc

[bas,ibas] = sort(vaux(:,1));
vaux       = vaux(ibas,:);
bas        = vaux(:,1); 
nn         = find(diff(bas)>0);
nn         = [1;nn+1];
map_arista = vaux(:,2);
nn         = [nn;length(map_arista)+1];
ipt_arista = nn;

clear vaux

lista_tmp = lista;

% tomo de una fila de la lista que contenga al nodo_0
nn=find(lista(:,1)==nodo_0);
icol = 1;
if length(nn)==0,
   nn=find(lista(:,2)==nodo_0);
   icol=2;
   if length(nn)==0, error(' split_nodes_bou [001]'); end
end
vvv=[1,2,1];
ii=[vvv(icol),vvv(icol+1)];
iii=[(1:nen),1];
arista = nn;
node_1 = lista(arista,ii(1));
node_2 = lista(arista,ii(2));
follow = 1;

bfh = [];

while follow,
   
   bfh = [bfh;arista];
   aristas_1=map_arista(ipt_arista(node_1):ipt_arista(node_1+1)-1);
   aristas_2=map_arista(ipt_arista(node_2):ipt_arista(node_2+1)-1);
   nn=find(aristas_2==arista); if length(nn)~=1, error(' Error [001]'); end
   aristas_2(nn)=[];
   if length(aristas_2)~=1, error(' Error [002]'); end      
   arista = aristas_2;
   node_1 = lista(arista,ii(1));
   node_2 = lista(arista,ii(2));   
   
   if node_1==nodo_0, follow=0; end
   
end

bou_ext = lista_tmp(bfh,:);
lista_tmp(bfh,:) = [];
bou_int = lista_tmp;

return
