function [Uprime] = streamls(time,U)

global xbox ybox pt2box setpt x_I y_I u_I v_I nbox

disp([' time  = ' num2str(time) ])

Np = length(U); 
Np = Np/2 ;
xp = U(1:Np)';
yp = U(Np+(1:Np))';

%------------------------------------------------------------------------
% (8.0) Identificar en que subcaja esta cada particula
%------------------------------------------------------------------------

for k=1:Np

for ibox=1:nbox,
 if(xp(1,k)>=xbox(ibox))&(xp(1,k)<=xbox(ibox+1)), 
   iibox=ibox;
 end
 if(yp(1,k)>=ybox(ibox))&(yp(1,k)<=ybox(ibox+1)), 
   jjbox=ibox;
 end
end
ibox  = (iibox-1)*nbox+jjbox;

%------------------------------------------------------------------------
% (8.1) Selecciono los datos de la caja en que se halla la particula
%------------------------------------------------------------------------

setpt = find(pt2box==ibox);

if length(setpt)==0, 

  up(k,1) = 0;
  vp(k,1) = 0;
  vmodp(k,1) = sqrt(up(k,1).^2+vp(k,1).^2);

else  
 
x_I_box = x_I(setpt); 
y_I_box = y_I(setpt); 

%------------------------------------------------------------------------
% (8.1)    Calcular la matriz de distancias entre cada particula y
%        cada punto de interpolacion (N x Np)
%------------------------------------------------------------------------
mdistx = xp(1,k)-x_I_box;
mdisty = yp(1,k)-y_I_box;
mdista = sqrt(mdistx.^2+mdisty.^2);

%------------------------------------------------------------------------
% (9)    Tomar la menor distancia para cada particula
%------------------------------------------------------------------------
[dmin,ipunto] = min(mdista);

%------------------------------------------------------------------------
% (10)   Tomar la velocidad del punto de interpolacion mas proximo
%------------------------------------------------------------------------
up(k,1) = u_I(setpt(ipunto));
vp(k,1) = v_I(setpt(ipunto));
vmodp(k,1) = sqrt(up(k,1).^2+vp(k,1).^2);

end

end

Uprime = [up;vp];
