function write_mesh_and_state(xnod,icone,state,fileout)
%
%      write_mesh_and_state(xnod,icone,state,fileout);
%
%  escribe la malla en el archivo fileout.nod y fileout.con
%  y la solucion en el fileout.state
%

[numel,nen]=size(icone);
[numnp,ndm]=size(xnod);
[numnp,ndf]=size(state);

format_xnod = [];
for k=1:ndm,
   format_xnod=[format_xnod, '%15.5e'];
end
format_xnod=[format_xnod, ' \n'];

format_icone = [];
for k=1:nen,
   format_icone=[format_icone, '%7i'];
end
format_icone=[format_icone, ' \n'];

my_fprintf([fileout '.nod'],format_xnod,[xnod]);
my_fprintf([fileout '.con'],format_icone,[icone]);

format_state = [];
for k=1:ndf,
   format_state=[format_state, '%15.5e'];
end
format_state=[format_state, ' \n'];

my_fprintf([fileout '.state'],format_state,[state]);