
carga_malla = 1;
carga_states = 1;
compute_visco = 1;

%nstates = 100; % [outvector0 : outvector19]
ndm = 2;
kini = 0;
kfin = 9;
nstates = kfin-kini+1;

if carga_malla,
load trafo_8.nods.tmp
xnod = trafo_8;
load trafo_8.solid_icone.tmp
icone_solid = trafo_8;
load trafo_8.fluid_icone.tmp
icone_fluid = trafo_8;
icone = [icone_fluid;icone_solid];
[nele,nen]=size(icone);
[numnp,bas]=size(xnod);
end

if carga_states,
bfh = [];
npg = 1; % centroide
for k=kini:kfin,
eval(['load outvector' num2str(k) '.out']);
eval(['U = outvector' num2str(k) ';']);
[grad_vec] = grad_phi_by_ele(xnod(:,1:ndm),icone,U(:,1:ndm),npg);
gU=reshape(grad_vec(:,1,1:ndm,1:ndm),nele,ndm,ndm);
bfh = [bfh , [ gU(:,1:2,1) gU(:,1:2,2)] ];
end
bfh=reshape(bfh,nele,nstates,ndm*ndm);
end

if compute_visco,
    [ar,emax,emin] = ar3d(xnod,icone);
    hele = sqrt(emin.*emax);
    C_smag = 0.18;
    nu_t = zeros(nele,nstates);
    for k=1:nstates,
        strain_rate = reshape(bfh(:,k,1:4),nele,2,2);
        Sij = zeros(nele,1);
        for idm=1:ndm,
            for jdm=1:ndm,
                Sij=Sij+(0.5*(strain_rate(:,idm,jdm)+strain_rate(:,jdm,idm)).^2);
            end
        end
        nu_t(:,k)=sqrt(Sij);
        nu_t(:,k) = (C_smag*hele).^2.*nu_t(:,k);
    end
end

%xc=xc_ele(xnod,icone);
factor = 1/nen;
nu_t_nod = zeros(numnp,nstates);
for inod=1:nen,
    nodes=icone(:,inod);
    nu_t_nod(nodes,1:nstates)=nu_t_nod(nodes,1:nstates)+factor*nu_t;
end

