%function [xnod]=draw_geo
%
%
%

% En cada parte del dominio (head dome, squish, piston bowl, intake and exhaust manifolds, 
% and so on) :

% [1] Definir los puntos de cada arista con sus coordenadasa 
%     e ingresar estructura arista.puntos
% [2] Definir las aristas por cada superficie en una estructura Superficie.aristas
%

% particion de cada grupo de aristas, ingresar un numero por cada grupo de aristas
Ng = [12,6,7,8,4];

%------------ head dome ------------
%-----------------------------------
center  = [0,0];
radio   = 1;
N       = 4;

xnod  = [];

% points by edges
ii    = 1;
theta_1 = 0;
theta_2 = pi/4;
psi   = (0:N)'/N;
angle = theta_1+(theta_2-theta_1)*psi;
xx    = ones(length(angle),1)*center+radio*[cos(angle),sin(angle)];
nn    = length(xx(:,1));
puntos = (1:nn);
arista(ii) = struct('puntos',{puntos});
xnod = [xnod;xx];

ii     = 2;
theta_1 = pi/4;
theta_2 = pi/2;
[numnp,ndm] = size(xnod);
psi    = (0:N)'/N;
angle  = theta_1+(theta_2-theta_1)*psi;
xx     = ones(length(angle),1)*center+radio*[cos(angle),sin(angle)];
nn     = length(xx(:,1));
puntos = numnp+(1:nn);
arista(ii) = struct('puntos',{puntos});
xnod = [xnod;xx];

ii     = 3;
xx = center+[radio/2,0];
xx = [xx;xx(1,:)+[radio/2,0]];
[numnp,ndm] = size(xnod);
nn     = length(xx(:,1));
puntos = numnp+(1:nn);
arista(ii) = struct('puntos',{puntos});
xnod = [xnod;xx];

ii     = 4;
xx = center;
xx = [xx;xx(1,:)+[radio/2,0]];
[numnp,ndm] = size(xnod);
nn     = length(xx(:,1));
puntos = numnp+(1:nn);
arista(ii) = struct('puntos',{puntos});
xnod = [xnod;xx];

ii     = 5;
xx = center;
xx = [xx;xx(1,:)+[0,radio/2]];
[numnp,ndm] = size(xnod);
nn     = length(xx(:,1));
puntos = numnp+(1:nn);
arista(ii) = struct('puntos',{puntos});
xnod = [xnod;xx];

ii     = 6;
xx = center+[0,radio/2];
xx = [xx;xx(1,:)+[0,radio/2]];
[numnp,ndm] = size(xnod);
nn     = length(xx(:,1));
puntos = numnp+(1:nn);
arista(ii) = struct('puntos',{puntos});
xnod = [xnod;xx];

ii     = 7;
xx = center+radio*[cos(pi/4),sin(pi/4)];
xx = [xx;xx(1,:)-radio/3*[cos(pi/4),sin(pi/4)]];
[numnp,ndm] = size(xnod);
nn     = length(xx(:,1));
puntos = numnp+(1:nn);
arista(ii) = struct('puntos',{puntos});
xnod = [xnod;xx];

ii     = 8;
xx = center+2*radio/3*[cos(pi/4),sin(pi/4)];
xx = [xx;center+[0,radio/2]];
[numnp,ndm] = size(xnod);
nn     = length(xx(:,1));
puntos = numnp+(1:nn);
arista(ii) = struct('puntos',{puntos});
xnod = [xnod;xx];

ii     = 9;
xx = center+2*radio/3*[cos(pi/4),sin(pi/4)];
xx = [xx;center+[radio/2,0]];
[numnp,ndm] = size(xnod);
nn     = length(xx(:,1));
puntos = numnp+(1:nn);
arista(ii) = struct('puntos',{puntos});
xnod = [xnod;xx];

% edges by surfaces
ii=1;
aristas = [2,6,8,7];
%aristas = [8,7,2,6];
%aristas = [2,7,8,6];
superficie(ii) = struct('aristas',{aristas});

ii=2;
aristas = [3,1,7,9];
superficie(ii) = struct('aristas',{aristas});

ii=3;
aristas = [4,9,8,5];
superficie(ii) = struct('aristas',{aristas});

%------------  squish  -------------
%-----------------------------------

Bore = 4;
Height = 2;

% points by edges

ii     = 10;
xx     = center + [0,-Height];
xx     = [xx;xx(1,:)+[radio/2,0]];
[numnp,ndm] = size(xnod);
nn     = length(xx(:,1));
puntos = numnp+(1:nn);
arista(ii) = struct('puntos',{puntos});
xnod = [xnod;xx];

ii     = 11;
xx     = center + [0,-Height] +[radio/2,0];
xx     = [xx;xx(1,:)+[radio/2,0]];
[numnp,ndm] = size(xnod);
nn     = length(xx(:,1));
puntos = numnp+(1:nn);
arista(ii) = struct('puntos',{puntos});
xnod = [xnod;xx];

ii     = 12;
xx     = center + [radio,0];
xx     = [xx;xx(1,:)+[Bore-radio,0]];
[numnp,ndm] = size(xnod);
nn     = length(xx(:,1));
puntos = numnp+(1:nn);
arista(ii) = struct('puntos',{puntos});
xnod = [xnod;xx];

ii     = 13;
xx     = center + [0,-Height] + [radio,0];
xx     = [xx;xx(1,:)+[Bore-radio,0]];
[numnp,ndm] = size(xnod);
nn     = length(xx(:,1));
puntos = numnp+(1:nn);
arista(ii) = struct('puntos',{puntos});
xnod = [xnod;xx];

ii     = 14;
xx     = center ;
xx     = [xx;xx(1,:)+[0,-Height]];
[numnp,ndm] = size(xnod);
nn     = length(xx(:,1));
puntos = numnp+(1:nn);
arista(ii) = struct('puntos',{puntos});
xnod = [xnod;xx];

ii     = 15;
xx     = center + radio/2*[1,0];
xx     = [xx;xx(1,:)+[0,-Height]];
[numnp,ndm] = size(xnod);
nn     = length(xx(:,1));
puntos = numnp+(1:nn);
arista(ii) = struct('puntos',{puntos});
xnod = [xnod;xx];

ii     = 16;
xx     = center + radio*[1,0];
xx     = [xx;xx(1,:)+[0,-Height]];
[numnp,ndm] = size(xnod);
nn     = length(xx(:,1));
puntos = numnp+(1:nn);
arista(ii) = struct('puntos',{puntos});
xnod = [xnod;xx];

ii     = 17;
xx     = center + Bore*[1,0];
xx     = [xx;xx(1,:)+[0,-Height]];
[numnp,ndm] = size(xnod);
nn     = length(xx(:,1));
puntos = numnp+(1:nn);
arista(ii) = struct('puntos',{puntos});
xnod = [xnod;xx];

% edges by surfaces

ii=4;
aristas = [10,15,4,14];
superficie(ii) = struct('aristas',{aristas});

ii=5;
aristas = [11,16,3,15];
superficie(ii) = struct('aristas',{aristas});

ii=6;
%aristas = [13,17,12,16];
aristas = [16,13,17,12];
aristas = [16,12,17,13];
superficie(ii) = struct('aristas',{aristas});
