function node_dupl = duplnode(xtet,icotet)
%
%        node_dupl = duplnode(xtet,icotet)
%

tol = 1e-10;
[numnp,ndm]=size(xtet);
[numel,nen]=size(icotet);

if ndm==2, xtet = [xtet,0*xtet(:,1)]; end

% Remuevo los duplicados
% [1] Calculo la distancia a un punto arbitrario 
xmin=min(xtet); xmin = xmin -10;

distan = sqrt((xtet(:,1)-xmin(1)).^2+(xtet(:,2)-xmin(2)).^2+(xtet(:,3)-xmin(3)).^2);

% [2] Ordeno por el valor de dicha distancia
[ysort,isort] = sort(distan);
yyy =  diff(ysort);
nnn =  find(abs(yyy)>tol);
n2  =  max(diff(nnn))+1;

% [3] Recorro el arreglo ordenado por patches de valores
ytet = xtet(isort,:);
[n1,m1] = size(ytet);

irepeat=zeros(n1,1);

%for k=1:n1-1,
%  for m=1:n2,
%	kk=min([k+m;n1]);
%    if norm(ytet(k,:)-ytet(kk,:)) < tol,
%	  irepeat(kk,1)=1;
%	end
%  end
%end

for k=1:n1-1,
  kk=min([k+(1:n2);n1*ones(1,n2)])';
  vaux = ones(n2,1)*ytet(k,:)-ytet(kk,:);
  vaux = sqrt(sum(vaux'.^2))';
  irepeat(kk,1)=irepeat(kk,1)| (vaux<tol);  
end

nnn = find(irepeat==1);
node_dupl = isort(nnn);