function [fn,vol_nod] = fe2fn(xnod,icone,vol,fe)
%
%    [fn,vol_nod] = fe2fn(xnod,icone,vol,fe)
%
%  element field to nodal field
%  fe : element field , size(fe) = (numel,ndf)
%

[numnp,ndm]=size(xnod);
[bas,ndf] = size(fe);
[numel,nen]=size(icone);

vol_nod = zeros(numnp,1);
for k=1:nen
    nodes=icone(:,k);
    vol_nod(nodes,1) = vol_nod(nodes,1)+vol/nen;
end

fn = zeros(numnp,ndf);
for idf=1:ndf
    for k=1:nen
        nodes=icone(:,k);
        fn(nodes,idf) = fn(nodes,idf) + vol/nen.*fe(:,idf);
    end
end

for idf=1:ndf
    fn(:,idf) = fn(:,idf) ./ vol_nod;
end
