function Jaco=get_Jaco(xnod,icone)
%
%     Jaco=get_Jaco(xnod,icone)
%  
%   Get the element Jacobians for a given mesh
%

[numel,nen]=size(icone);
[numnp,ndm]=size(xnod);

if ndm==2,
if nen==3,
   n1=icone(:,1);   n2=icone(:,2);    n3=icone(:,3);
   v12 = xnod(n2,:)-xnod(n1,:);v12 = [v12,zeros(numel,1)];
   v13 = xnod(n3,:)-xnod(n1,:);v13 = [v13,zeros(numel,1)];
   Jaco = 0.5*pvec(v12,v13);   Jaco=Jaco(:,3);
elseif nen==4,
   n1=icone(:,1);   n2=icone(:,2);    n3=icone(:,4);
   v12 = xnod(n2,:)-xnod(n1,:);v12 = [v12,zeros(numel,1)];
   v13 = xnod(n3,:)-xnod(n1,:);v13 = [v13,zeros(numel,1)];
   Jaco = pvec(v12,v13);   Jaco=Jaco(:,3);
else
   error('Bad element type')
end
else
   error(' NDM >2 not yet ')
   end