function [ele_by_reg,nod_by_reg]=get_ele_by_region(xnod,icone,x_reg);
%
%   [ele_by_reg,nod_by_reg]=get_ele_by_region(xnod,icone,x_reg);
%
%   [ele_by_reg,nod_by_reg] son arreglos sparse
%
%   x_reg se calcula de la rutina "regions_in_domain"
%

nchunks = length(x_reg(:,1));
[numnp,ndm]=size(xnod);

bfh1=[];bfh2=[];
for k=1:nchunks,
%      if(rem(k,5)==0), disp([' k=' num2str(k)]);end
      % define los elementos que pertenecen a la region de acuerdo a la posicion
      % de su centroide
      xmin_box= x_reg(k,1:ndm);
      xmax_box= x_reg(k,ndm+(1:ndm));      
      % nodos en la region
      nodes = in_box(xnod,xmin_box,xmax_box);
      % elementos ("eles") que tienen al menos 1 nodo del conjunto "nodes"
      eles = get_eles_by_nodes(nodes,icone);      
      bfh1 = [bfh1; [ones(size(eles))*k , eles]];       
      bfh2 = [bfh2; [ones(size(nodes))*k , nodes]];             
end

ele_by_reg = sparse(bfh1(:,1),bfh1(:,2),ones(length(bfh1(:,1)),1));
nod_by_reg = sparse(bfh2(:,1),bfh2(:,2),ones(length(bfh2(:,1)),1));
