function [free_nodes] = get_free_nodes(xnod,icone)
%
%      [free_nodes] = get_free_nodes(xnod,icone)
%
%   get a list of free nodes in a mesh
%

[numnp,ndm]      = size(xnod);
[numel,nen]      = size(icone);

mask = zeros(numnp,1);   
for k=1:nen
   nodes=icone(:,k);
   mask(nodes) = ones(numel,1);
end
free_nodes=find(mask==0);

