function [nodes] = get_nodes_in_line(xnod,X_P,tol);
%
%  [nodes] = get_nodes_in_line(xnod,X_P,tol)
%

if nargin <3, tol = 1e-10; end
[nr,nc]=size(X_P);

nodes=[];
for k=1:nr,
   d = sqrt((xnod(:,1)-X_P(k,1)).^2+(xnod(:,2)-X_P(k,2)).^2);
   ip = find(d<tol);   
   if length(ip)>1, error(' Encontro 2 nodos en la misma posicion'); end
   if length(ip)>0, nodes=[nodes;ip]; end
end
