function [dphi]=grad_phi_bou(xnod,icone,nodes_bou,phi)
%
%
%

ele_bou = find_ele(icone,nodes_bou,0);

  [numel,nen]   = size(icone);
  [numnp,ndm]   = size(xnod);
  [numnp,ndf]   = size(phi);
  
% determinacion de los puntos de Gauss
if nen==3,
   npg=3;
   psipg = [ 1/6  2/3  1/6 ];
   etapg = [ 1/6  1/6  2/3 ];
   wpg   = [ 1/6  1/6  1/6 ];   
elseif nen==4,
   npg=4; 
   xpg  = sqrt(3)/3;
   psipg = [ -xpg xpg xpg -xpg ];
   etapg = [ -xpg -xpg xpg xpg ];
   wpg   = [    1   1   1    1 ];   
else
   error(' Bad choice of Gauss point number ')
end

eles=ele_bou(:,1);
ne=length(eles);

num = zeros(numnp,ndf,2);
den = zeros(numnp,1);

for ipg=1:npg
  [X2S,S2X,Jaco] = xy2st(xnod,icone(eles,:),psipg(ipg),etapg(ipg));
  [dNdx,dNdy,N] = shape(X2S,psipg(ipg),etapg(ipg),nen);   
  
  dphipg    = zeros(ne,ndf,2);
  xsj       = wpg(ipg).*Jaco;
  
  for inod=1:nen,
     nodes = icone(eles,inod);
     for idf=1:ndf
       phie(:,inod) = phi(nodes,idf);
       dphipg(:,idf,1)  =    dphipg(:,idf,1) + dNdx(:,inod).* phie(:,inod);
       dphipg(:,idf,2)  =    dphipg(:,idf,2) + dNdy(:,inod).* phie(:,inod);
     end
  end

  for jnod=1:nen,
     nodes = icone(eles,jnod);
     for idf=1:ndf,
     num(nodes,idf,1) =     num(nodes,1) + N(jnod)*dphipg(:,idf,1).*xsj;
     num(nodes,idf,2) =     num(nodes,2) + N(jnod)*dphipg(:,idf,2).*xsj;
     end
     den(nodes)   =     den(nodes)   + N(jnod)*xsj;    							 
  end % jnod
  
end

nodes = find(den>0);
dphi  = zeros(numnp,ndf,2);
for idf=1:ndf
dphi(nodes,idf,1)=num(nodes,idf,1)./den(nodes);
dphi(nodes,idf,2)=num(nodes,idf,2)./den(nodes);
end