function h = hnod3d(xnod,icone,job)
%
% Calcula el tamanio de malla nodal
%
%       h = hnod(xnod,icone,job)
%
%  for triangles job==0, min over edges
%                job==1, min over medians
%

error(' en construccion ')

if nargin <3, job=0;end

[numel,nen] = size(icone);
[numnp,ndm] = size(xnod);

if (nen==4) &(ndm==2), inoca = [1,2;2,3;3,4;4,1]; end
if (nen==3) &(ndm==2), inoca = [1,2;2,3;3,1]; end
if (nen==4) &(ndm==3), inoca = [1,2;1,3;1,4;2,3;2,4;3,4]; end
if (nen==8) &(ndm==3), inoca = [1,2;1,4;1,5;2,3;2,6;3,4;3,7;4,8;5,6;5,8;6,7;7,8]; end

bfh = [];
for k=1:length(inoca(:,1)),
     n1 = inoca(k,1);   n2 = inoca(k,2);
    nn1 = icone(:,n1); nn2 = icone(:,n2);
    dd = zeros(numel,1);
    for idm=1:ndm
        dd = dd + (xnod(nn2,idm)-xnod(nn1,idm)).^2;        
    end
    dd = sqrt(dd);
    bfh = [bfh, dd];
end

hmin = min(bfh')';
hmax = min(bfh')';

return
    
if (nen==4) &(ndm==2),
   
dx  = xnod(icone(:,1),1)-xnod(icone(:,3),1);
dy  = xnod(icone(:,1),2)-xnod(icone(:,3),2);
di1 = sqrt(dx.^2+dy.^2);

dx  = xnod(icone(:,2),1)-xnod(icone(:,4),1);
dy  = xnod(icone(:,2),2)-xnod(icone(:,4),2);
di2 = sqrt(dx.^2+dy.^2);

di  = sqrt(di1.*di2);

ij  = [];
ij(icone(:,1),1) = (1:numel)';
ij(icone(:,2),2) = (1:numel)';
ij(icone(:,3),3) = (1:numel)';
ij(icone(:,4),4) = (1:numel)';

ij = ij+1;
big = 1e+20;
di = [big;di];
h = min([di(ij(:,1)) di(ij(:,2)) di(ij(:,3)) di(ij(:,4)) ]')';
elseif (nen==3)&(ndm==2),
   if job==0
     a=sqrt(sum((xnod(icone(:,2),:)-xnod(icone(:,1),:))'.^2 ))';
     b=sqrt(sum((xnod(icone(:,3),:)-xnod(icone(:,2),:))'.^2))';
     c=sqrt(sum((xnod(icone(:,3),:)-xnod(icone(:,1),:))'.^2))';          
     h = min([a';b';c'])';
   elseif job==1
      x12 =  0.5*(xnod(icone(:,2),:)+xnod(icone(:,1),:));
      x23 =  0.5*(xnod(icone(:,2),:)+xnod(icone(:,3),:));      
      x31 =  0.5*(xnod(icone(:,1),:)+xnod(icone(:,3),:));      
      a=sqrt(sum((x23-xnod(icone(:,1),:))'.^2))';
      b=sqrt(sum((x31-xnod(icone(:,2),:))'.^2))';
      c=sqrt(sum((x12-xnod(icone(:,3),:))'.^2))';     
      h = min([a';b';c'])';      
   else
      error(' HNOD ERROR [2]')
   end         
else
   error(' HNOD ERROR [1] ')
end
