function [nodes_in] = in_box(xnod,xmin_box,xmax_box)
%
%   Dado un conjunto de nodos "xnod", determinar aquellos
%   que se hallan dentro de una caja cubica con vertices
%   en xmin_box y xmax_box
%
%         [nodes_in] = in_box(xnod,xmin_box,xmax_box)
%

[numnp,ndm]=size(xnod);

mask = ones(numnp,1);
for k=1:ndm,
  mask = mask & (xnod(:,k)<xmax_box(k)) ;
  mask = mask & (xnod(:,k)>xmin_box(k)) ;
%  nn = find(mask==1)
%  plot3(xnod(nn,1),xnod(nn,2),xnod(nn,3),'y*')
end



nodes_in = find(mask==1);