function vsum = integrate_field(xnod,icone,phi);
%
%  vsum = integrate_field(xnod,icone,phi)
%
%  get the integral value of a scalar field
%

[numel,nen]=size(icone);
[numnp,ndm] = size(xnod);

if ndm==2 | (ndm==3 & nen==3),
    [vol] = area_mesh(xnod,icone);
else
    [vol]=checktetras(xnod,icone);
end


for k=1:nen; 
    nodes=icone(:,k);
    phi_ele(:,k)=phi(nodes,1); 
end
phi_ele = sum(phi_ele')'/nen;

vsum = sum(phi_ele.*vol);