function [vout] = isequal2(va,vb)
%
%  [vout] = isequal(va,vb)
%
%  va & vb should be arrays of the same length
%  check difference between them be lower than a tolerance
%

tol = 1e-10;
[nva,mva]=size(va);
[nvb,mvb]=size(vb);

vout = 1;
if (nva==nvb)&(mva==mvb),
   [va,iva] = mksort(sort(va')',(1:mva));
   [vb,ivb] = mksort(sort(vb')',(1:mvb));   
   vout = (max(abs(sort(va)-sort(vb)))>tol);
end
disp('ISEQUAL')
keyboard;pause
