function pffixa (filename,nodes,dofs,val,mode)
%
%  pffixa (filename,nodes,dofs,val,mode)
%

if nargin<5; mode = 'w'; end

ndof = length(dofs);
if nargin<4, val = zeros(1,ndof); end

if (columns(val)==1) & (ndof>1)
    val = val(:,ones(1,ndof));
end
columns(val)==ndof || error('val must have ndof columns\n');
fid = fopen(filename,mode);
if rows(nodes)>1 & rows(val)==1
    nodes = create_set(vec(nodes));
end
for kk=1:length(nodes)
    k = nodes(kk);
    for j=1:length(dofs)
        if rows(val)==length(nodes)
            vall = val(kk,j);
        else
            vall = val(j);
        end
        fprintf(fid,'%d %d %.12g\n',k,dofs(j),vall);
    end
end
fclose(fid);

